#include "parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2795
#define LARGE_STATE_COUNT 189
#define SYMBOL_COUNT 273
#define ALIAS_COUNT 2
#define TOKEN_COUNT 108
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 32
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 138

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_SEMI = 2,
  anon_sym_import = 3,
  anon_sym_DOT = 4,
  anon_sym_from = 5,
  anon_sym___future__ = 6,
  anon_sym_LPAREN = 7,
  anon_sym_RPAREN = 8,
  anon_sym_COMMA = 9,
  anon_sym_as = 10,
  anon_sym_STAR = 11,
  anon_sym_print = 12,
  anon_sym_GT_GT = 13,
  anon_sym_assert = 14,
  anon_sym_COLON_EQ = 15,
  anon_sym_return = 16,
  anon_sym_del = 17,
  anon_sym_raise = 18,
  anon_sym_pass = 19,
  anon_sym_break = 20,
  anon_sym_continue = 21,
  anon_sym_if = 22,
  anon_sym_COLON = 23,
  anon_sym_elif = 24,
  anon_sym_else = 25,
  anon_sym_match = 26,
  anon_sym_case = 27,
  anon_sym_async = 28,
  anon_sym_for = 29,
  anon_sym_in = 30,
  anon_sym_while = 31,
  anon_sym_try = 32,
  anon_sym_except = 33,
  anon_sym_except_STAR = 34,
  anon_sym_finally = 35,
  anon_sym_with = 36,
  anon_sym_def = 37,
  anon_sym_DASH_GT = 38,
  anon_sym_STAR_STAR = 39,
  anon_sym_global = 40,
  anon_sym_nonlocal = 41,
  anon_sym_exec = 42,
  anon_sym_type = 43,
  anon_sym_EQ = 44,
  anon_sym_class = 45,
  anon_sym_LBRACK = 46,
  anon_sym_RBRACK = 47,
  anon_sym_AT = 48,
  anon_sym_DASH = 49,
  anon_sym__ = 50,
  anon_sym_PIPE = 51,
  anon_sym_LBRACE = 52,
  anon_sym_RBRACE = 53,
  anon_sym_PLUS = 54,
  anon_sym_not = 55,
  anon_sym_and = 56,
  anon_sym_or = 57,
  anon_sym_SLASH = 58,
  anon_sym_PERCENT = 59,
  anon_sym_SLASH_SLASH = 60,
  anon_sym_AMP = 61,
  anon_sym_CARET = 62,
  anon_sym_LT_LT = 63,
  anon_sym_TILDE = 64,
  anon_sym_is = 65,
  anon_sym_LT = 66,
  anon_sym_LT_EQ = 67,
  anon_sym_EQ_EQ = 68,
  anon_sym_BANG_EQ = 69,
  anon_sym_GT_EQ = 70,
  anon_sym_GT = 71,
  anon_sym_LT_GT = 72,
  anon_sym_lambda = 73,
  anon_sym_PLUS_EQ = 74,
  anon_sym_DASH_EQ = 75,
  anon_sym_STAR_EQ = 76,
  anon_sym_SLASH_EQ = 77,
  anon_sym_AT_EQ = 78,
  anon_sym_SLASH_SLASH_EQ = 79,
  anon_sym_PERCENT_EQ = 80,
  anon_sym_STAR_STAR_EQ = 81,
  anon_sym_GT_GT_EQ = 82,
  anon_sym_LT_LT_EQ = 83,
  anon_sym_AMP_EQ = 84,
  anon_sym_CARET_EQ = 85,
  anon_sym_PIPE_EQ = 86,
  anon_sym_yield = 87,
  sym_ellipsis = 88,
  sym_escape_sequence = 89,
  anon_sym_BSLASH = 90,
  aux_sym_format_specifier_token1 = 91,
  sym_type_conversion = 92,
  sym_integer = 93,
  sym_float = 94,
  anon_sym_await = 95,
  sym_true = 96,
  sym_false = 97,
  sym_none = 98,
  sym_comment = 99,
  sym_line_continuation = 100,
  sym__newline = 101,
  sym__indent = 102,
  sym__dedent = 103,
  sym_string_start = 104,
  sym__string_content = 105,
  sym_escape_interpolation = 106,
  sym_string_end = 107,
  sym_module = 108,
  sym__statement = 109,
  sym__simple_statements = 110,
  sym_import_statement = 111,
  sym_import_prefix = 112,
  sym_relative_import = 113,
  sym_future_import_statement = 114,
  sym_import_from_statement = 115,
  sym__import_list = 116,
  sym_aliased_import = 117,
  sym_wildcard_import = 118,
  sym_print_statement = 119,
  sym_chevron = 120,
  sym_assert_statement = 121,
  sym_expression_statement = 122,
  sym_named_expression = 123,
  sym__named_expression_lhs = 124,
  sym_return_statement = 125,
  sym_delete_statement = 126,
  sym_raise_statement = 127,
  sym_pass_statement = 128,
  sym_break_statement = 129,
  sym_continue_statement = 130,
  sym_if_statement = 131,
  sym_elif_clause = 132,
  sym_else_clause = 133,
  sym_match_statement = 134,
  sym__match_block = 135,
  sym_case_clause = 136,
  sym_for_statement = 137,
  sym_while_statement = 138,
  sym_try_statement = 139,
  sym_except_clause = 140,
  sym_except_group_clause = 141,
  sym_finally_clause = 142,
  sym_with_statement = 143,
  sym_with_clause = 144,
  sym_with_item = 145,
  sym_function_definition = 146,
  sym_parameters = 147,
  sym_lambda_parameters = 148,
  sym_list_splat = 149,
  sym_dictionary_splat = 150,
  sym_global_statement = 151,
  sym_nonlocal_statement = 152,
  sym_exec_statement = 153,
  sym_type_alias_statement = 154,
  sym_class_definition = 155,
  sym_type_parameter = 156,
  sym_parenthesized_list_splat = 157,
  sym_argument_list = 158,
  sym_decorated_definition = 159,
  sym_decorator = 160,
  sym_block = 161,
  sym_expression_list = 162,
  sym_dotted_name = 163,
  sym_case_pattern = 164,
  sym__simple_pattern = 165,
  sym__as_pattern = 166,
  sym_union_pattern = 167,
  sym__list_pattern = 168,
  sym__tuple_pattern = 169,
  sym_dict_pattern = 170,
  sym__key_value_pattern = 171,
  sym_keyword_pattern = 172,
  sym_splat_pattern = 173,
  sym_class_pattern = 174,
  sym_complex_pattern = 175,
  sym__parameters = 176,
  sym__patterns = 177,
  sym_parameter = 178,
  sym_pattern = 179,
  sym_tuple_pattern = 180,
  sym_list_pattern = 181,
  sym_default_parameter = 182,
  sym_typed_default_parameter = 183,
  sym_list_splat_pattern = 184,
  sym_dictionary_splat_pattern = 185,
  sym_as_pattern = 186,
  sym__expression_within_for_in_clause = 187,
  sym_expression = 188,
  sym_primary_expression = 189,
  sym_not_operator = 190,
  sym_boolean_operator = 191,
  sym_binary_operator = 192,
  sym_unary_operator = 193,
  sym__not_in = 194,
  sym__is_not = 195,
  sym_comparison_operator = 196,
  sym_lambda = 197,
  sym_lambda_within_for_in_clause = 198,
  sym_assignment = 199,
  sym_augmented_assignment = 200,
  sym_pattern_list = 201,
  sym__right_hand_side = 202,
  sym_yield = 203,
  sym_attribute = 204,
  sym_subscript = 205,
  sym_slice = 206,
  sym_call = 207,
  sym_typed_parameter = 208,
  sym_type = 209,
  sym_splat_type = 210,
  sym_generic_type = 211,
  sym_union_type = 212,
  sym_constrained_type = 213,
  sym_member_type = 214,
  sym_keyword_argument = 215,
  sym_list = 216,
  sym_set = 217,
  sym_tuple = 218,
  sym_dictionary = 219,
  sym_pair = 220,
  sym_list_comprehension = 221,
  sym_dictionary_comprehension = 222,
  sym_set_comprehension = 223,
  sym_generator_expression = 224,
  sym__comprehension_clauses = 225,
  sym_parenthesized_expression = 226,
  sym__collection_elements = 227,
  sym_for_in_clause = 228,
  sym_if_clause = 229,
  sym_conditional_expression = 230,
  sym_concatenated_string = 231,
  sym_string = 232,
  sym_string_content = 233,
  sym_interpolation = 234,
  sym__f_expression = 235,
  sym__not_escape_sequence = 236,
  sym_format_specifier = 237,
  sym_await = 238,
  sym_positional_separator = 239,
  sym_keyword_separator = 240,
  aux_sym_module_repeat1 = 241,
  aux_sym__simple_statements_repeat1 = 242,
  aux_sym_import_prefix_repeat1 = 243,
  aux_sym__import_list_repeat1 = 244,
  aux_sym_print_statement_repeat1 = 245,
  aux_sym_assert_statement_repeat1 = 246,
  aux_sym_if_statement_repeat1 = 247,
  aux_sym_match_statement_repeat1 = 248,
  aux_sym__match_block_repeat1 = 249,
  aux_sym_case_clause_repeat1 = 250,
  aux_sym_try_statement_repeat1 = 251,
  aux_sym_try_statement_repeat2 = 252,
  aux_sym_with_clause_repeat1 = 253,
  aux_sym_global_statement_repeat1 = 254,
  aux_sym_type_parameter_repeat1 = 255,
  aux_sym_argument_list_repeat1 = 256,
  aux_sym_decorated_definition_repeat1 = 257,
  aux_sym_dotted_name_repeat1 = 258,
  aux_sym_union_pattern_repeat1 = 259,
  aux_sym_dict_pattern_repeat1 = 260,
  aux_sym__parameters_repeat1 = 261,
  aux_sym__patterns_repeat1 = 262,
  aux_sym_comparison_operator_repeat1 = 263,
  aux_sym_subscript_repeat1 = 264,
  aux_sym_dictionary_repeat1 = 265,
  aux_sym__comprehension_clauses_repeat1 = 266,
  aux_sym__collection_elements_repeat1 = 267,
  aux_sym_for_in_clause_repeat1 = 268,
  aux_sym_concatenated_string_repeat1 = 269,
  aux_sym_string_repeat1 = 270,
  aux_sym_string_content_repeat1 = 271,
  aux_sym_format_specifier_repeat1 = 272,
  alias_sym_as_pattern_target = 273,
  alias_sym_format_expression = 274,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_SEMI] = ";",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_match] = "match",
  [anon_sym_case] = "case",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_except_STAR] = "except*",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_class] = "class",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_AT] = "@",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PLUS] = "+",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_is] = "is",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [sym_ellipsis] = "ellipsis",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_await] = "await",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [sym_comment] = "comment",
  [sym_line_continuation] = "line_continuation",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym_string_start] = "string_start",
  [sym__string_content] = "_string_content",
  [sym_escape_interpolation] = "escape_interpolation",
  [sym_string_end] = "string_end",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym__named_expression_lhs] = "_named_expression_lhs",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_match_statement] = "match_statement",
  [sym__match_block] = "block",
  [sym_case_clause] = "case_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_except_group_clause] = "except_group_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_clause] = "with_clause",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_type_alias_statement] = "type_alias_statement",
  [sym_class_definition] = "class_definition",
  [sym_type_parameter] = "type_parameter",
  [sym_parenthesized_list_splat] = "parenthesized_list_splat",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym_case_pattern] = "case_pattern",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__as_pattern] = "as_pattern",
  [sym_union_pattern] = "union_pattern",
  [sym__list_pattern] = "list_pattern",
  [sym__tuple_pattern] = "tuple_pattern",
  [sym_dict_pattern] = "dict_pattern",
  [sym__key_value_pattern] = "_key_value_pattern",
  [sym_keyword_pattern] = "keyword_pattern",
  [sym_splat_pattern] = "splat_pattern",
  [sym_class_pattern] = "class_pattern",
  [sym_complex_pattern] = "complex_pattern",
  [sym__parameters] = "_parameters",
  [sym__patterns] = "_patterns",
  [sym_parameter] = "parameter",
  [sym_pattern] = "pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat_pattern] = "list_splat_pattern",
  [sym_dictionary_splat_pattern] = "dictionary_splat_pattern",
  [sym_as_pattern] = "as_pattern",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym__not_in] = "not in",
  [sym__is_not] = "is not",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym_pattern_list] = "pattern_list",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_splat_type] = "splat_type",
  [sym_generic_type] = "generic_type",
  [sym_union_type] = "union_type",
  [sym_constrained_type] = "constrained_type",
  [sym_member_type] = "member_type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym_set] = "set",
  [sym_tuple] = "tuple",
  [sym_dictionary] = "dictionary",
  [sym_pair] = "pair",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_set_comprehension] = "set_comprehension",
  [sym_generator_expression] = "generator_expression",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__collection_elements] = "_collection_elements",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_interpolation] = "interpolation",
  [sym__f_expression] = "_f_expression",
  [sym__not_escape_sequence] = "_not_escape_sequence",
  [sym_format_specifier] = "format_specifier",
  [sym_await] = "await",
  [sym_positional_separator] = "positional_separator",
  [sym_keyword_separator] = "keyword_separator",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_match_statement_repeat1] = "match_statement_repeat1",
  [aux_sym__match_block_repeat1] = "_match_block_repeat1",
  [aux_sym_case_clause_repeat1] = "case_clause_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_try_statement_repeat2] = "try_statement_repeat2",
  [aux_sym_with_clause_repeat1] = "with_clause_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_type_parameter_repeat1] = "type_parameter_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym_union_pattern_repeat1] = "union_pattern_repeat1",
  [aux_sym_dict_pattern_repeat1] = "dict_pattern_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym__patterns_repeat1] = "_patterns_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym__collection_elements_repeat1] = "_collection_elements_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
  [alias_sym_as_pattern_target] = "as_pattern_target",
  [alias_sym_format_expression] = "format_expression",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_from] = anon_sym_from,
  [anon_sym___future__] = anon_sym___future__,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_del] = anon_sym_del,
  [anon_sym_raise] = anon_sym_raise,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_except] = anon_sym_except,
  [anon_sym_except_STAR] = anon_sym_except_STAR,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_nonlocal] = anon_sym_nonlocal,
  [anon_sym_exec] = anon_sym_exec,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_lambda] = anon_sym_lambda,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AT_EQ] = anon_sym_AT_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_yield] = anon_sym_yield,
  [sym_ellipsis] = sym_ellipsis,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [sym_type_conversion] = sym_type_conversion,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_await] = anon_sym_await,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_none] = sym_none,
  [sym_comment] = sym_comment,
  [sym_line_continuation] = sym_line_continuation,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym_string_start] = sym_string_start,
  [sym__string_content] = sym__string_content,
  [sym_escape_interpolation] = sym_escape_interpolation,
  [sym_string_end] = sym_string_end,
  [sym_module] = sym_module,
  [sym__statement] = sym__statement,
  [sym__simple_statements] = sym__simple_statements,
  [sym_import_statement] = sym_import_statement,
  [sym_import_prefix] = sym_import_prefix,
  [sym_relative_import] = sym_relative_import,
  [sym_future_import_statement] = sym_future_import_statement,
  [sym_import_from_statement] = sym_import_from_statement,
  [sym__import_list] = sym__import_list,
  [sym_aliased_import] = sym_aliased_import,
  [sym_wildcard_import] = sym_wildcard_import,
  [sym_print_statement] = sym_print_statement,
  [sym_chevron] = sym_chevron,
  [sym_assert_statement] = sym_assert_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_named_expression] = sym_named_expression,
  [sym__named_expression_lhs] = sym__named_expression_lhs,
  [sym_return_statement] = sym_return_statement,
  [sym_delete_statement] = sym_delete_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_match_statement] = sym_match_statement,
  [sym__match_block] = sym_block,
  [sym_case_clause] = sym_case_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_except_clause] = sym_except_clause,
  [sym_except_group_clause] = sym_except_group_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_with_statement] = sym_with_statement,
  [sym_with_clause] = sym_with_clause,
  [sym_with_item] = sym_with_item,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym_list_splat] = sym_list_splat,
  [sym_dictionary_splat] = sym_dictionary_splat,
  [sym_global_statement] = sym_global_statement,
  [sym_nonlocal_statement] = sym_nonlocal_statement,
  [sym_exec_statement] = sym_exec_statement,
  [sym_type_alias_statement] = sym_type_alias_statement,
  [sym_class_definition] = sym_class_definition,
  [sym_type_parameter] = sym_type_parameter,
  [sym_parenthesized_list_splat] = sym_parenthesized_list_splat,
  [sym_argument_list] = sym_argument_list,
  [sym_decorated_definition] = sym_decorated_definition,
  [sym_decorator] = sym_decorator,
  [sym_block] = sym_block,
  [sym_expression_list] = sym_expression_list,
  [sym_dotted_name] = sym_dotted_name,
  [sym_case_pattern] = sym_case_pattern,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__as_pattern] = sym_as_pattern,
  [sym_union_pattern] = sym_union_pattern,
  [sym__list_pattern] = sym_list_pattern,
  [sym__tuple_pattern] = sym_tuple_pattern,
  [sym_dict_pattern] = sym_dict_pattern,
  [sym__key_value_pattern] = sym__key_value_pattern,
  [sym_keyword_pattern] = sym_keyword_pattern,
  [sym_splat_pattern] = sym_splat_pattern,
  [sym_class_pattern] = sym_class_pattern,
  [sym_complex_pattern] = sym_complex_pattern,
  [sym__parameters] = sym__parameters,
  [sym__patterns] = sym__patterns,
  [sym_parameter] = sym_parameter,
  [sym_pattern] = sym_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym_list_splat_pattern] = sym_list_splat_pattern,
  [sym_dictionary_splat_pattern] = sym_dictionary_splat_pattern,
  [sym_as_pattern] = sym_as_pattern,
  [sym__expression_within_for_in_clause] = sym__expression_within_for_in_clause,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_not_operator] = sym_not_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym__not_in] = sym__not_in,
  [sym__is_not] = sym__is_not,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_lambda] = sym_lambda,
  [sym_lambda_within_for_in_clause] = sym_lambda,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym_pattern_list] = sym_pattern_list,
  [sym__right_hand_side] = sym__right_hand_side,
  [sym_yield] = sym_yield,
  [sym_attribute] = sym_attribute,
  [sym_subscript] = sym_subscript,
  [sym_slice] = sym_slice,
  [sym_call] = sym_call,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_type] = sym_type,
  [sym_splat_type] = sym_splat_type,
  [sym_generic_type] = sym_generic_type,
  [sym_union_type] = sym_union_type,
  [sym_constrained_type] = sym_constrained_type,
  [sym_member_type] = sym_member_type,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_list] = sym_list,
  [sym_set] = sym_set,
  [sym_tuple] = sym_tuple,
  [sym_dictionary] = sym_dictionary,
  [sym_pair] = sym_pair,
  [sym_list_comprehension] = sym_list_comprehension,
  [sym_dictionary_comprehension] = sym_dictionary_comprehension,
  [sym_set_comprehension] = sym_set_comprehension,
  [sym_generator_expression] = sym_generator_expression,
  [sym__comprehension_clauses] = sym__comprehension_clauses,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__collection_elements] = sym__collection_elements,
  [sym_for_in_clause] = sym_for_in_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_interpolation] = sym_interpolation,
  [sym__f_expression] = sym__f_expression,
  [sym__not_escape_sequence] = sym__not_escape_sequence,
  [sym_format_specifier] = sym_format_specifier,
  [sym_await] = sym_await,
  [sym_positional_separator] = sym_positional_separator,
  [sym_keyword_separator] = sym_keyword_separator,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_import_prefix_repeat1] = aux_sym_import_prefix_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_assert_statement_repeat1] = aux_sym_assert_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_match_statement_repeat1] = aux_sym_match_statement_repeat1,
  [aux_sym__match_block_repeat1] = aux_sym__match_block_repeat1,
  [aux_sym_case_clause_repeat1] = aux_sym_case_clause_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_try_statement_repeat2] = aux_sym_try_statement_repeat2,
  [aux_sym_with_clause_repeat1] = aux_sym_with_clause_repeat1,
  [aux_sym_global_statement_repeat1] = aux_sym_global_statement_repeat1,
  [aux_sym_type_parameter_repeat1] = aux_sym_type_parameter_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_decorated_definition_repeat1] = aux_sym_decorated_definition_repeat1,
  [aux_sym_dotted_name_repeat1] = aux_sym_dotted_name_repeat1,
  [aux_sym_union_pattern_repeat1] = aux_sym_union_pattern_repeat1,
  [aux_sym_dict_pattern_repeat1] = aux_sym_dict_pattern_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
  [aux_sym__patterns_repeat1] = aux_sym__patterns_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_subscript_repeat1] = aux_sym_subscript_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym__comprehension_clauses_repeat1] = aux_sym__comprehension_clauses_repeat1,
  [aux_sym__collection_elements_repeat1] = aux_sym__collection_elements_repeat1,
  [aux_sym_for_in_clause_repeat1] = aux_sym_for_in_clause_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_format_specifier_repeat1] = aux_sym_format_specifier_repeat1,
  [alias_sym_as_pattern_target] = alias_sym_as_pattern_target,
  [alias_sym_format_expression] = alias_sym_format_expression,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_line_continuation] = {
    .visible = true,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym_string_start] = {
    .visible = true,
    .named = true,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_string_end] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__named_expression_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_match_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_except_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym_case_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym__as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_union_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dict_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__key_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_keyword_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_class_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_complex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__patterns] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__not_in] = {
    .visible = true,
    .named = false,
  },
  [sym__is_not] = {
    .visible = true,
    .named = false,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_list] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrained_type] = {
    .visible = true,
    .named = true,
  },
  [sym_member_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__collection_elements] = {
    .visible = false,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__f_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__not_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dict_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__collection_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_as_pattern_target] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_format_expression] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_cause = 7,
  field_code = 8,
  field_condition = 9,
  field_consequence = 10,
  field_definition = 11,
  field_expression = 12,
  field_format_specifier = 13,
  field_function = 14,
  field_guard = 15,
  field_key = 16,
  field_left = 17,
  field_module_name = 18,
  field_name = 19,
  field_object = 20,
  field_operator = 21,
  field_operators = 22,
  field_parameters = 23,
  field_return_type = 24,
  field_right = 25,
  field_subject = 26,
  field_subscript = 27,
  field_superclasses = 28,
  field_type = 29,
  field_type_conversion = 30,
  field_type_parameters = 31,
  field_value = 32,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_cause] = "cause",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_definition] = "definition",
  [field_expression] = "expression",
  [field_format_specifier] = "format_specifier",
  [field_function] = "function",
  [field_guard] = "guard",
  [field_key] = "key",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_operators] = "operators",
  [field_parameters] = "parameters",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_subject] = "subject",
  [field_subscript] = "subscript",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
  [field_type_conversion] = "type_conversion",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 1},
  [7] = {.index = 3, .length = 1},
  [8] = {.index = 4, .length = 1},
  [9] = {.index = 5, .length = 2},
  [10] = {.index = 7, .length = 2},
  [11] = {.index = 9, .length = 1},
  [12] = {.index = 10, .length = 1},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 13, .length = 1},
  [15] = {.index = 14, .length = 2},
  [16] = {.index = 16, .length = 1},
  [17] = {.index = 17, .length = 1},
  [18] = {.index = 18, .length = 2},
  [19] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 2},
  [21] = {.index = 24, .length = 3},
  [22] = {.index = 27, .length = 1},
  [23] = {.index = 28, .length = 2},
  [24] = {.index = 30, .length = 1},
  [25] = {.index = 31, .length = 2},
  [26] = {.index = 33, .length = 1},
  [27] = {.index = 34, .length = 1},
  [28] = {.index = 35, .length = 2},
  [29] = {.index = 37, .length = 2},
  [30] = {.index = 39, .length = 1},
  [31] = {.index = 40, .length = 2},
  [32] = {.index = 42, .length = 1},
  [34] = {.index = 43, .length = 1},
  [35] = {.index = 44, .length = 2},
  [36] = {.index = 46, .length = 1},
  [37] = {.index = 47, .length = 2},
  [38] = {.index = 49, .length = 1},
  [39] = {.index = 50, .length = 3},
  [40] = {.index = 53, .length = 2},
  [41] = {.index = 55, .length = 2},
  [42] = {.index = 17, .length = 1},
  [43] = {.index = 57, .length = 1},
  [44] = {.index = 58, .length = 2},
  [45] = {.index = 60, .length = 2},
  [46] = {.index = 62, .length = 1},
  [47] = {.index = 63, .length = 2},
  [48] = {.index = 65, .length = 2},
  [50] = {.index = 67, .length = 2},
  [51] = {.index = 69, .length = 2},
  [52] = {.index = 71, .length = 1},
  [53] = {.index = 72, .length = 3},
  [54] = {.index = 75, .length = 3},
  [55] = {.index = 78, .length = 3},
  [56] = {.index = 81, .length = 3},
  [57] = {.index = 84, .length = 4},
  [58] = {.index = 88, .length = 1},
  [59] = {.index = 89, .length = 3},
  [60] = {.index = 92, .length = 3},
  [61] = {.index = 95, .length = 2},
  [62] = {.index = 97, .length = 2},
  [63] = {.index = 99, .length = 3},
  [64] = {.index = 102, .length = 3},
  [65] = {.index = 105, .length = 3},
  [66] = {.index = 108, .length = 3},
  [67] = {.index = 111, .length = 3},
  [68] = {.index = 18, .length = 2},
  [69] = {.index = 114, .length = 1},
  [70] = {.index = 115, .length = 3},
  [71] = {.index = 118, .length = 2},
  [72] = {.index = 120, .length = 2},
  [73] = {.index = 122, .length = 2},
  [74] = {.index = 124, .length = 3},
  [75] = {.index = 127, .length = 1},
  [76] = {.index = 128, .length = 2},
  [77] = {.index = 130, .length = 2},
  [78] = {.index = 132, .length = 4},
  [79] = {.index = 136, .length = 2},
  [80] = {.index = 138, .length = 4},
  [81] = {.index = 142, .length = 4},
  [82] = {.index = 146, .length = 1},
  [83] = {.index = 147, .length = 4},
  [84] = {.index = 151, .length = 2},
  [85] = {.index = 153, .length = 3},
  [86] = {.index = 156, .length = 3},
  [87] = {.index = 159, .length = 4},
  [89] = {.index = 163, .length = 4},
  [90] = {.index = 167, .length = 4},
  [91] = {.index = 171, .length = 4},
  [92] = {.index = 175, .length = 4},
  [93] = {.index = 179, .length = 4},
  [94] = {.index = 183, .length = 3},
  [95] = {.index = 186, .length = 3},
  [96] = {.index = 189, .length = 2},
  [97] = {.index = 191, .length = 3},
  [98] = {.index = 194, .length = 5},
  [99] = {.index = 199, .length = 3},
  [100] = {.index = 202, .length = 4},
  [101] = {.index = 206, .length = 4},
  [102] = {.index = 210, .length = 4},
  [103] = {.index = 214, .length = 4},
  [105] = {.index = 218, .length = 4},
  [106] = {.index = 222, .length = 5},
  [107] = {.index = 227, .length = 5},
  [108] = {.index = 232, .length = 3},
  [109] = {.index = 235, .length = 2},
  [110] = {.index = 237, .length = 1},
  [111] = {.index = 238, .length = 4},
  [112] = {.index = 242, .length = 4},
  [113] = {.index = 246, .length = 4},
  [114] = {.index = 250, .length = 5},
  [115] = {.index = 255, .length = 5},
  [116] = {.index = 260, .length = 5},
  [117] = {.index = 265, .length = 5},
  [118] = {.index = 270, .length = 4},
  [119] = {.index = 274, .length = 4},
  [120] = {.index = 278, .length = 2},
  [121] = {.index = 280, .length = 1},
  [122] = {.index = 281, .length = 2},
  [123] = {.index = 283, .length = 2},
  [124] = {.index = 285, .length = 5},
  [125] = {.index = 290, .length = 5},
  [126] = {.index = 295, .length = 5},
  [128] = {.index = 300, .length = 6},
  [129] = {.index = 306, .length = 2},
  [130] = {.index = 308, .length = 2},
  [131] = {.index = 310, .length = 3},
  [132] = {.index = 313, .length = 1},
  [133] = {.index = 314, .length = 6},
  [134] = {.index = 320, .length = 3},
  [135] = {.index = 323, .length = 2},
  [136] = {.index = 325, .length = 2},
  [137] = {.index = 327, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_argument, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_code, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_operators, 1, .inherited = true},
  [10] =
    {field_definition, 1},
  [11] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [13] =
    {field_argument, 2, .inherited = true},
  [14] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [16] =
    {field_cause, 2},
  [17] =
    {field_body, 2},
  [18] =
    {field_name, 0},
    {field_value, 2},
  [20] =
    {field_left, 0},
    {field_type, 2},
  [22] =
    {field_left, 0},
    {field_right, 2},
  [24] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [27] =
    {field_alias, 2},
  [28] =
    {field_attribute, 2},
    {field_object, 0},
  [30] =
    {field_operators, 0},
  [31] =
    {field_operators, 0, .inherited = true},
    {field_operators, 1, .inherited = true},
  [33] =
    {field_expression, 1},
  [34] =
    {field_name, 1},
  [35] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [37] =
    {field_alias, 2},
    {field_name, 0},
  [39] =
    {field_name, 3, .inherited = true},
  [40] =
    {field_module_name, 1},
    {field_name, 3, .inherited = true},
  [42] =
    {field_module_name, 1},
  [43] =
    {field_body, 1},
  [44] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [46] =
    {field_cause, 3},
  [47] =
    {field_condition, 1},
    {field_consequence, 3},
  [49] =
    {field_subject, 1},
  [50] =
    {field_alternative, 3, .inherited = true},
    {field_body, 3},
    {field_subject, 1},
  [53] =
    {field_subject, 0, .inherited = true},
    {field_subject, 1, .inherited = true},
  [55] =
    {field_body, 3},
    {field_condition, 1},
  [57] =
    {field_body, 3},
  [58] =
    {field_body, 3},
    {field_name, 1},
  [60] =
    {field_key, 0},
    {field_value, 2},
  [62] =
    {field_type, 2},
  [63] =
    {field_body, 3},
    {field_parameters, 1},
  [65] =
    {field_subscript, 2},
    {field_value, 0},
  [67] =
    {field_expression, 1},
    {field_type_conversion, 2},
  [69] =
    {field_expression, 1},
    {field_format_specifier, 2},
  [71] =
    {field_alternative, 0},
  [72] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [75] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [78] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [81] =
    {field_alternative, 4, .inherited = true},
    {field_body, 4},
    {field_subject, 1},
  [84] =
    {field_alternative, 4, .inherited = true},
    {field_body, 4},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [88] =
    {field_body, 4},
  [89] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [92] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [95] =
    {field_body, 2},
    {field_body, 3},
  [97] =
    {field_body, 3},
    {field_body, 4},
  [99] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [102] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [105] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [108] =
    {field_body, 4},
    {field_name, 1},
    {field_superclasses, 2},
  [111] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [114] =
    {field_subscript, 1},
  [115] =
    {field_subscript, 2},
    {field_subscript, 3, .inherited = true},
    {field_value, 0},
  [118] =
    {field_subscript, 0, .inherited = true},
    {field_subscript, 1, .inherited = true},
  [120] =
    {field_expression, 1},
    {field_type_conversion, 3},
  [122] =
    {field_expression, 1},
    {field_format_specifier, 3},
  [124] =
    {field_expression, 1},
    {field_format_specifier, 3},
    {field_type_conversion, 2},
  [127] =
    {field_name, 4, .inherited = true},
  [128] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [130] =
    {field_left, 1},
    {field_right, 3},
  [132] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [136] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [138] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [142] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [146] =
    {field_alternative, 1, .inherited = true},
  [147] =
    {field_alternative, 5, .inherited = true},
    {field_body, 5},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [151] =
    {field_body, 4},
    {field_body, 5},
  [153] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [156] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [159] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [163] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [167] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [171] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_type_parameters, 2},
  [175] =
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 3},
    {field_type_parameters, 2},
  [179] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [183] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [186] =
    {field_expression, 1},
    {field_format_specifier, 4},
    {field_type_conversion, 3},
  [189] =
    {field_left, 2},
    {field_right, 4},
  [191] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [194] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [199] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [202] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [206] =
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [210] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [214] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [218] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [222] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [227] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 1},
    {field_superclasses, 3},
    {field_type_parameters, 2},
  [232] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [235] =
    {field_key, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [237] =
    {field_consequence, 3},
  [238] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [242] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [246] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [250] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [255] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [260] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [265] =
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [270] =
    {field_key, 1, .inherited = true},
    {field_key, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [274] =
    {field_key, 0, .inherited = true},
    {field_key, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [278] =
    {field_key, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [280] =
    {field_consequence, 4},
  [281] =
    {field_consequence, 3},
    {field_consequence, 4},
  [283] =
    {field_consequence, 4},
    {field_guard, 2},
  [285] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [290] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [295] =
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [300] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [306] =
    {field_consequence, 4},
    {field_consequence, 5},
  [308] =
    {field_consequence, 5},
    {field_guard, 3},
  [310] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_guard, 2},
  [313] =
    {field_consequence, 5},
  [314] =
    {field_body, 8},
    {field_body, 9},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [320] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
  [323] =
    {field_consequence, 5},
    {field_consequence, 6},
  [325] =
    {field_consequence, 6},
    {field_guard, 4},
  [327] =
    {field_consequence, 6},
    {field_consequence, 7},
    {field_guard, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [2] = {
    [0] = sym_list_splat,
  },
  [5] = {
    [1] = sym_identifier,
  },
  [22] = {
    [2] = alias_sym_as_pattern_target,
  },
  [33] = {
    [1] = sym_parenthesized_expression,
  },
  [37] = {
    [3] = sym_block,
  },
  [41] = {
    [3] = sym_block,
  },
  [42] = {
    [2] = sym_block,
  },
  [43] = {
    [3] = sym_block,
  },
  [44] = {
    [3] = sym_block,
  },
  [49] = {
    [0] = alias_sym_format_expression,
  },
  [53] = {
    [3] = sym_block,
  },
  [54] = {
    [3] = sym_block,
  },
  [58] = {
    [4] = sym_block,
  },
  [59] = {
    [3] = sym_block,
  },
  [63] = {
    [4] = sym_block,
  },
  [65] = {
    [4] = sym_block,
  },
  [66] = {
    [4] = sym_block,
  },
  [68] = {
    [0] = sym_identifier,
  },
  [78] = {
    [3] = sym_block,
  },
  [85] = {
    [5] = sym_block,
  },
  [86] = {
    [5] = sym_block,
  },
  [88] = {
    [2] = sym_block,
  },
  [90] = {
    [5] = sym_block,
  },
  [92] = {
    [5] = sym_block,
  },
  [99] = {
    [6] = sym_block,
  },
  [101] = {
    [6] = sym_block,
  },
  [102] = {
    [5] = sym_block,
  },
  [104] = {
    [3] = sym_block,
  },
  [105] = {
    [6] = sym_block,
  },
  [110] = {
    [3] = sym_block,
  },
  [111] = {
    [6] = sym_block,
  },
  [113] = {
    [7] = sym_block,
  },
  [117] = {
    [7] = sym_block,
  },
  [121] = {
    [4] = sym_block,
  },
  [123] = {
    [4] = sym_block,
  },
  [126] = {
    [8] = sym_block,
  },
  [127] = {
    [5] = sym_block,
  },
  [130] = {
    [5] = sym_block,
  },
  [132] = {
    [5] = sym_block,
  },
  [136] = {
    [6] = sym_block,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__simple_statements, 2,
    sym__simple_statements,
    sym_block,
  sym_parenthesized_list_splat, 2,
    sym_parenthesized_list_splat,
    sym_parenthesized_expression,
  sym_list_splat_pattern, 2,
    sym_list_splat_pattern,
    sym_list_splat,
  sym_expression, 2,
    sym_expression,
    alias_sym_as_pattern_target,
  sym_interpolation, 2,
    sym_interpolation,
    alias_sym_format_expression,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 10,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 8,
  [18] = 13,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 7,
  [25] = 3,
  [26] = 26,
  [27] = 22,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 21,
  [32] = 23,
  [33] = 33,
  [34] = 9,
  [35] = 35,
  [36] = 36,
  [37] = 16,
  [38] = 28,
  [39] = 39,
  [40] = 39,
  [41] = 41,
  [42] = 42,
  [43] = 33,
  [44] = 44,
  [45] = 44,
  [46] = 15,
  [47] = 36,
  [48] = 29,
  [49] = 42,
  [50] = 12,
  [51] = 2,
  [52] = 20,
  [53] = 53,
  [54] = 54,
  [55] = 41,
  [56] = 14,
  [57] = 19,
  [58] = 4,
  [59] = 59,
  [60] = 26,
  [61] = 6,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 63,
  [66] = 63,
  [67] = 64,
  [68] = 63,
  [69] = 63,
  [70] = 63,
  [71] = 63,
  [72] = 63,
  [73] = 73,
  [74] = 73,
  [75] = 75,
  [76] = 76,
  [77] = 75,
  [78] = 78,
  [79] = 79,
  [80] = 76,
  [81] = 79,
  [82] = 78,
  [83] = 83,
  [84] = 83,
  [85] = 85,
  [86] = 85,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 87,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 89,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 93,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 88,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 100,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 112,
  [116] = 116,
  [117] = 117,
  [118] = 103,
  [119] = 101,
  [120] = 120,
  [121] = 117,
  [122] = 107,
  [123] = 97,
  [124] = 105,
  [125] = 125,
  [126] = 114,
  [127] = 109,
  [128] = 108,
  [129] = 129,
  [130] = 96,
  [131] = 113,
  [132] = 99,
  [133] = 111,
  [134] = 91,
  [135] = 95,
  [136] = 104,
  [137] = 137,
  [138] = 138,
  [139] = 138,
  [140] = 138,
  [141] = 138,
  [142] = 137,
  [143] = 137,
  [144] = 138,
  [145] = 138,
  [146] = 137,
  [147] = 138,
  [148] = 137,
  [149] = 137,
  [150] = 137,
  [151] = 137,
  [152] = 138,
  [153] = 153,
  [154] = 154,
  [155] = 154,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 157,
  [160] = 154,
  [161] = 156,
  [162] = 156,
  [163] = 157,
  [164] = 164,
  [165] = 157,
  [166] = 166,
  [167] = 158,
  [168] = 157,
  [169] = 156,
  [170] = 154,
  [171] = 156,
  [172] = 156,
  [173] = 158,
  [174] = 164,
  [175] = 166,
  [176] = 157,
  [177] = 158,
  [178] = 178,
  [179] = 157,
  [180] = 158,
  [181] = 157,
  [182] = 164,
  [183] = 154,
  [184] = 158,
  [185] = 158,
  [186] = 158,
  [187] = 156,
  [188] = 178,
  [189] = 189,
  [190] = 190,
  [191] = 190,
  [192] = 189,
  [193] = 193,
  [194] = 193,
  [195] = 189,
  [196] = 190,
  [197] = 190,
  [198] = 198,
  [199] = 189,
  [200] = 200,
  [201] = 201,
  [202] = 193,
  [203] = 190,
  [204] = 189,
  [205] = 189,
  [206] = 189,
  [207] = 193,
  [208] = 189,
  [209] = 189,
  [210] = 193,
  [211] = 190,
  [212] = 198,
  [213] = 189,
  [214] = 193,
  [215] = 190,
  [216] = 190,
  [217] = 193,
  [218] = 189,
  [219] = 193,
  [220] = 193,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 224,
  [226] = 226,
  [227] = 224,
  [228] = 228,
  [229] = 226,
  [230] = 224,
  [231] = 226,
  [232] = 226,
  [233] = 228,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 234,
  [238] = 234,
  [239] = 239,
  [240] = 240,
  [241] = 240,
  [242] = 242,
  [243] = 235,
  [244] = 235,
  [245] = 235,
  [246] = 246,
  [247] = 247,
  [248] = 223,
  [249] = 235,
  [250] = 250,
  [251] = 251,
  [252] = 235,
  [253] = 240,
  [254] = 235,
  [255] = 255,
  [256] = 236,
  [257] = 240,
  [258] = 258,
  [259] = 242,
  [260] = 236,
  [261] = 250,
  [262] = 262,
  [263] = 263,
  [264] = 246,
  [265] = 222,
  [266] = 236,
  [267] = 267,
  [268] = 239,
  [269] = 269,
  [270] = 235,
  [271] = 234,
  [272] = 272,
  [273] = 273,
  [274] = 272,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 276,
  [279] = 279,
  [280] = 275,
  [281] = 281,
  [282] = 273,
  [283] = 276,
  [284] = 277,
  [285] = 279,
  [286] = 276,
  [287] = 273,
  [288] = 272,
  [289] = 277,
  [290] = 272,
  [291] = 273,
  [292] = 279,
  [293] = 276,
  [294] = 279,
  [295] = 277,
  [296] = 273,
  [297] = 273,
  [298] = 272,
  [299] = 272,
  [300] = 281,
  [301] = 273,
  [302] = 277,
  [303] = 276,
  [304] = 276,
  [305] = 275,
  [306] = 277,
  [307] = 281,
  [308] = 275,
  [309] = 272,
  [310] = 281,
  [311] = 273,
  [312] = 275,
  [313] = 276,
  [314] = 279,
  [315] = 277,
  [316] = 275,
  [317] = 281,
  [318] = 277,
  [319] = 275,
  [320] = 279,
  [321] = 281,
  [322] = 275,
  [323] = 281,
  [324] = 272,
  [325] = 281,
  [326] = 326,
  [327] = 326,
  [328] = 328,
  [329] = 329,
  [330] = 178,
  [331] = 331,
  [332] = 332,
  [333] = 331,
  [334] = 329,
  [335] = 335,
  [336] = 331,
  [337] = 332,
  [338] = 335,
  [339] = 339,
  [340] = 326,
  [341] = 339,
  [342] = 335,
  [343] = 332,
  [344] = 344,
  [345] = 345,
  [346] = 339,
  [347] = 329,
  [348] = 348,
  [349] = 255,
  [350] = 350,
  [351] = 351,
  [352] = 350,
  [353] = 351,
  [354] = 350,
  [355] = 351,
  [356] = 348,
  [357] = 255,
  [358] = 350,
  [359] = 351,
  [360] = 350,
  [361] = 350,
  [362] = 362,
  [363] = 350,
  [364] = 348,
  [365] = 351,
  [366] = 351,
  [367] = 351,
  [368] = 350,
  [369] = 255,
  [370] = 351,
  [371] = 371,
  [372] = 371,
  [373] = 373,
  [374] = 374,
  [375] = 374,
  [376] = 373,
  [377] = 371,
  [378] = 328,
  [379] = 374,
  [380] = 373,
  [381] = 381,
  [382] = 382,
  [383] = 344,
  [384] = 374,
  [385] = 156,
  [386] = 374,
  [387] = 373,
  [388] = 374,
  [389] = 374,
  [390] = 371,
  [391] = 371,
  [392] = 392,
  [393] = 374,
  [394] = 371,
  [395] = 373,
  [396] = 371,
  [397] = 374,
  [398] = 398,
  [399] = 374,
  [400] = 373,
  [401] = 401,
  [402] = 373,
  [403] = 371,
  [404] = 371,
  [405] = 371,
  [406] = 373,
  [407] = 373,
  [408] = 373,
  [409] = 409,
  [410] = 409,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 409,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 416,
  [420] = 344,
  [421] = 409,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 401,
  [426] = 426,
  [427] = 423,
  [428] = 156,
  [429] = 178,
  [430] = 418,
  [431] = 178,
  [432] = 415,
  [433] = 422,
  [434] = 409,
  [435] = 435,
  [436] = 409,
  [437] = 437,
  [438] = 438,
  [439] = 409,
  [440] = 418,
  [441] = 441,
  [442] = 442,
  [443] = 412,
  [444] = 328,
  [445] = 412,
  [446] = 328,
  [447] = 447,
  [448] = 409,
  [449] = 449,
  [450] = 409,
  [451] = 344,
  [452] = 409,
  [453] = 415,
  [454] = 454,
  [455] = 411,
  [456] = 456,
  [457] = 457,
  [458] = 423,
  [459] = 422,
  [460] = 178,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 461,
  [465] = 463,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 466,
  [471] = 462,
  [472] = 467,
  [473] = 473,
  [474] = 474,
  [475] = 474,
  [476] = 344,
  [477] = 468,
  [478] = 473,
  [479] = 328,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 486,
  [490] = 480,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 484,
  [498] = 483,
  [499] = 483,
  [500] = 482,
  [501] = 482,
  [502] = 493,
  [503] = 494,
  [504] = 487,
  [505] = 505,
  [506] = 506,
  [507] = 506,
  [508] = 486,
  [509] = 487,
  [510] = 483,
  [511] = 482,
  [512] = 485,
  [513] = 487,
  [514] = 514,
  [515] = 506,
  [516] = 482,
  [517] = 493,
  [518] = 506,
  [519] = 483,
  [520] = 494,
  [521] = 486,
  [522] = 506,
  [523] = 487,
  [524] = 514,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 494,
  [529] = 494,
  [530] = 485,
  [531] = 484,
  [532] = 486,
  [533] = 495,
  [534] = 485,
  [535] = 535,
  [536] = 493,
  [537] = 493,
  [538] = 506,
  [539] = 487,
  [540] = 482,
  [541] = 485,
  [542] = 483,
  [543] = 486,
  [544] = 494,
  [545] = 506,
  [546] = 493,
  [547] = 547,
  [548] = 487,
  [549] = 483,
  [550] = 547,
  [551] = 482,
  [552] = 482,
  [553] = 483,
  [554] = 486,
  [555] = 485,
  [556] = 556,
  [557] = 494,
  [558] = 506,
  [559] = 487,
  [560] = 493,
  [561] = 495,
  [562] = 480,
  [563] = 563,
  [564] = 480,
  [565] = 565,
  [566] = 485,
  [567] = 493,
  [568] = 568,
  [569] = 569,
  [570] = 568,
  [571] = 571,
  [572] = 568,
  [573] = 485,
  [574] = 568,
  [575] = 480,
  [576] = 494,
  [577] = 568,
  [578] = 481,
  [579] = 579,
  [580] = 580,
  [581] = 580,
  [582] = 582,
  [583] = 525,
  [584] = 584,
  [585] = 571,
  [586] = 556,
  [587] = 565,
  [588] = 480,
  [589] = 495,
  [590] = 563,
  [591] = 526,
  [592] = 480,
  [593] = 593,
  [594] = 514,
  [595] = 568,
  [596] = 484,
  [597] = 514,
  [598] = 593,
  [599] = 484,
  [600] = 492,
  [601] = 601,
  [602] = 602,
  [603] = 584,
  [604] = 604,
  [605] = 486,
  [606] = 480,
  [607] = 607,
  [608] = 601,
  [609] = 609,
  [610] = 610,
  [611] = 610,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 617,
  [619] = 615,
  [620] = 616,
  [621] = 612,
  [622] = 613,
  [623] = 623,
  [624] = 624,
  [625] = 623,
  [626] = 614,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 630,
  [635] = 635,
  [636] = 632,
  [637] = 628,
  [638] = 633,
  [639] = 639,
  [640] = 640,
  [641] = 635,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 648,
  [651] = 223,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 648,
  [657] = 657,
  [658] = 658,
  [659] = 658,
  [660] = 660,
  [661] = 222,
  [662] = 658,
  [663] = 660,
  [664] = 652,
  [665] = 657,
  [666] = 666,
  [667] = 667,
  [668] = 660,
  [669] = 648,
  [670] = 660,
  [671] = 660,
  [672] = 657,
  [673] = 649,
  [674] = 674,
  [675] = 652,
  [676] = 676,
  [677] = 652,
  [678] = 666,
  [679] = 657,
  [680] = 652,
  [681] = 648,
  [682] = 667,
  [683] = 652,
  [684] = 658,
  [685] = 685,
  [686] = 685,
  [687] = 687,
  [688] = 657,
  [689] = 687,
  [690] = 674,
  [691] = 653,
  [692] = 676,
  [693] = 658,
  [694] = 654,
  [695] = 660,
  [696] = 657,
  [697] = 655,
  [698] = 648,
  [699] = 658,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 702,
  [712] = 709,
  [713] = 708,
  [714] = 706,
  [715] = 704,
  [716] = 700,
  [717] = 703,
  [718] = 705,
  [719] = 701,
  [720] = 707,
  [721] = 710,
  [722] = 722,
  [723] = 722,
  [724] = 724,
  [725] = 724,
  [726] = 726,
  [727] = 726,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 747,
  [749] = 746,
  [750] = 222,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 745,
  [755] = 729,
  [756] = 756,
  [757] = 757,
  [758] = 744,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 739,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 756,
  [775] = 775,
  [776] = 760,
  [777] = 777,
  [778] = 778,
  [779] = 742,
  [780] = 780,
  [781] = 741,
  [782] = 770,
  [783] = 783,
  [784] = 762,
  [785] = 761,
  [786] = 223,
  [787] = 787,
  [788] = 757,
  [789] = 764,
  [790] = 753,
  [791] = 791,
  [792] = 751,
  [793] = 793,
  [794] = 794,
  [795] = 777,
  [796] = 773,
  [797] = 772,
  [798] = 771,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 775,
  [803] = 783,
  [804] = 767,
  [805] = 805,
  [806] = 793,
  [807] = 799,
  [808] = 743,
  [809] = 800,
  [810] = 805,
  [811] = 801,
  [812] = 812,
  [813] = 813,
  [814] = 733,
  [815] = 815,
  [816] = 816,
  [817] = 740,
  [818] = 738,
  [819] = 763,
  [820] = 812,
  [821] = 734,
  [822] = 731,
  [823] = 813,
  [824] = 752,
  [825] = 825,
  [826] = 737,
  [827] = 815,
  [828] = 735,
  [829] = 736,
  [830] = 730,
  [831] = 831,
  [832] = 832,
  [833] = 831,
  [834] = 832,
  [835] = 816,
  [836] = 825,
  [837] = 759,
  [838] = 732,
  [839] = 768,
  [840] = 778,
  [841] = 801,
  [842] = 780,
  [843] = 728,
  [844] = 844,
  [845] = 775,
  [846] = 844,
  [847] = 766,
  [848] = 787,
  [849] = 791,
  [850] = 794,
  [851] = 769,
  [852] = 852,
  [853] = 852,
  [854] = 852,
  [855] = 852,
  [856] = 852,
  [857] = 852,
  [858] = 858,
  [859] = 858,
  [860] = 860,
  [861] = 861,
  [862] = 861,
  [863] = 861,
  [864] = 861,
  [865] = 861,
  [866] = 861,
  [867] = 861,
  [868] = 861,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 869,
  [873] = 870,
  [874] = 869,
  [875] = 875,
  [876] = 870,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 875,
  [884] = 871,
  [885] = 869,
  [886] = 869,
  [887] = 869,
  [888] = 871,
  [889] = 869,
  [890] = 869,
  [891] = 891,
  [892] = 869,
  [893] = 875,
  [894] = 870,
  [895] = 869,
  [896] = 875,
  [897] = 870,
  [898] = 877,
  [899] = 878,
  [900] = 879,
  [901] = 880,
  [902] = 881,
  [903] = 882,
  [904] = 860,
  [905] = 877,
  [906] = 878,
  [907] = 879,
  [908] = 871,
  [909] = 882,
  [910] = 880,
  [911] = 881,
  [912] = 882,
  [913] = 871,
  [914] = 879,
  [915] = 881,
  [916] = 880,
  [917] = 879,
  [918] = 878,
  [919] = 878,
  [920] = 869,
  [921] = 877,
  [922] = 870,
  [923] = 875,
  [924] = 875,
  [925] = 891,
  [926] = 880,
  [927] = 871,
  [928] = 882,
  [929] = 881,
  [930] = 878,
  [931] = 881,
  [932] = 882,
  [933] = 879,
  [934] = 881,
  [935] = 880,
  [936] = 880,
  [937] = 881,
  [938] = 879,
  [939] = 878,
  [940] = 877,
  [941] = 870,
  [942] = 882,
  [943] = 875,
  [944] = 870,
  [945] = 880,
  [946] = 860,
  [947] = 891,
  [948] = 877,
  [949] = 869,
  [950] = 871,
  [951] = 891,
  [952] = 952,
  [953] = 869,
  [954] = 952,
  [955] = 877,
  [956] = 878,
  [957] = 871,
  [958] = 891,
  [959] = 879,
  [960] = 875,
  [961] = 877,
  [962] = 882,
  [963] = 860,
  [964] = 860,
  [965] = 860,
  [966] = 966,
  [967] = 967,
  [968] = 860,
  [969] = 969,
  [970] = 860,
  [971] = 971,
  [972] = 972,
  [973] = 966,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 860,
  [980] = 969,
  [981] = 967,
  [982] = 967,
  [983] = 966,
  [984] = 984,
  [985] = 985,
  [986] = 969,
  [987] = 987,
  [988] = 966,
  [989] = 987,
  [990] = 977,
  [991] = 860,
  [992] = 646,
  [993] = 978,
  [994] = 644,
  [995] = 966,
  [996] = 984,
  [997] = 974,
  [998] = 975,
  [999] = 627,
  [1000] = 976,
  [1001] = 985,
  [1002] = 639,
  [1003] = 967,
  [1004] = 1004,
  [1005] = 643,
  [1006] = 1006,
  [1007] = 969,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 640,
  [1011] = 966,
  [1012] = 969,
  [1013] = 985,
  [1014] = 976,
  [1015] = 975,
  [1016] = 974,
  [1017] = 984,
  [1018] = 972,
  [1019] = 977,
  [1020] = 978,
  [1021] = 647,
  [1022] = 967,
  [1023] = 860,
  [1024] = 969,
  [1025] = 967,
  [1026] = 966,
  [1027] = 1027,
  [1028] = 860,
  [1029] = 972,
  [1030] = 987,
  [1031] = 969,
  [1032] = 971,
  [1033] = 967,
  [1034] = 971,
  [1035] = 647,
  [1036] = 987,
  [1037] = 984,
  [1038] = 974,
  [1039] = 975,
  [1040] = 1009,
  [1041] = 1008,
  [1042] = 1006,
  [1043] = 976,
  [1044] = 985,
  [1045] = 645,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 642,
  [1049] = 612,
  [1050] = 1004,
  [1051] = 615,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 966,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 640,
  [1058] = 643,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 639,
  [1062] = 627,
  [1063] = 1063,
  [1064] = 1009,
  [1065] = 644,
  [1066] = 646,
  [1067] = 1008,
  [1068] = 1006,
  [1069] = 967,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 977,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 978,
  [1076] = 1027,
  [1077] = 624,
  [1078] = 1078,
  [1079] = 985,
  [1080] = 976,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 972,
  [1085] = 1085,
  [1086] = 975,
  [1087] = 974,
  [1088] = 978,
  [1089] = 984,
  [1090] = 977,
  [1091] = 972,
  [1092] = 984,
  [1093] = 974,
  [1094] = 975,
  [1095] = 971,
  [1096] = 971,
  [1097] = 1097,
  [1098] = 976,
  [1099] = 972,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 977,
  [1103] = 978,
  [1104] = 1104,
  [1105] = 1027,
  [1106] = 629,
  [1107] = 987,
  [1108] = 985,
  [1109] = 976,
  [1110] = 1100,
  [1111] = 971,
  [1112] = 975,
  [1113] = 974,
  [1114] = 984,
  [1115] = 972,
  [1116] = 977,
  [1117] = 978,
  [1118] = 1118,
  [1119] = 969,
  [1120] = 1120,
  [1121] = 987,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 985,
  [1125] = 987,
  [1126] = 971,
  [1127] = 1004,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1056,
  [1136] = 1071,
  [1137] = 1104,
  [1138] = 624,
  [1139] = 1120,
  [1140] = 1004,
  [1141] = 1097,
  [1142] = 1046,
  [1143] = 1123,
  [1144] = 615,
  [1145] = 612,
  [1146] = 640,
  [1147] = 1053,
  [1148] = 1070,
  [1149] = 1134,
  [1150] = 1006,
  [1151] = 1009,
  [1152] = 1008,
  [1153] = 1006,
  [1154] = 1008,
  [1155] = 1009,
  [1156] = 647,
  [1157] = 646,
  [1158] = 644,
  [1159] = 1132,
  [1160] = 1131,
  [1161] = 1073,
  [1162] = 1053,
  [1163] = 1074,
  [1164] = 1082,
  [1165] = 1085,
  [1166] = 1101,
  [1167] = 1081,
  [1168] = 1122,
  [1169] = 1133,
  [1170] = 1083,
  [1171] = 1130,
  [1172] = 1129,
  [1173] = 632,
  [1174] = 643,
  [1175] = 639,
  [1176] = 627,
  [1177] = 644,
  [1178] = 646,
  [1179] = 635,
  [1180] = 1047,
  [1181] = 1004,
  [1182] = 629,
  [1183] = 1118,
  [1184] = 1133,
  [1185] = 627,
  [1186] = 639,
  [1187] = 643,
  [1188] = 1004,
  [1189] = 630,
  [1190] = 971,
  [1191] = 1122,
  [1192] = 1081,
  [1193] = 642,
  [1194] = 624,
  [1195] = 987,
  [1196] = 1063,
  [1197] = 645,
  [1198] = 1006,
  [1199] = 1055,
  [1200] = 1009,
  [1201] = 1008,
  [1202] = 1004,
  [1203] = 1009,
  [1204] = 1008,
  [1205] = 1006,
  [1206] = 629,
  [1207] = 1027,
  [1208] = 1130,
  [1209] = 1071,
  [1210] = 1097,
  [1211] = 633,
  [1212] = 1118,
  [1213] = 1055,
  [1214] = 1104,
  [1215] = 1120,
  [1216] = 1056,
  [1217] = 1123,
  [1218] = 1063,
  [1219] = 1047,
  [1220] = 1100,
  [1221] = 640,
  [1222] = 1046,
  [1223] = 647,
  [1224] = 1070,
  [1225] = 1134,
  [1226] = 1060,
  [1227] = 1132,
  [1228] = 1059,
  [1229] = 978,
  [1230] = 977,
  [1231] = 972,
  [1232] = 984,
  [1233] = 1129,
  [1234] = 974,
  [1235] = 975,
  [1236] = 976,
  [1237] = 985,
  [1238] = 1027,
  [1239] = 1083,
  [1240] = 642,
  [1241] = 645,
  [1242] = 1100,
  [1243] = 629,
  [1244] = 1101,
  [1245] = 1131,
  [1246] = 1085,
  [1247] = 612,
  [1248] = 615,
  [1249] = 1082,
  [1250] = 1073,
  [1251] = 1060,
  [1252] = 1074,
  [1253] = 1027,
  [1254] = 1059,
  [1255] = 1027,
  [1256] = 1134,
  [1257] = 1101,
  [1258] = 1063,
  [1259] = 631,
  [1260] = 1132,
  [1261] = 1059,
  [1262] = 1047,
  [1263] = 1060,
  [1264] = 1118,
  [1265] = 1129,
  [1266] = 1131,
  [1267] = 629,
  [1268] = 1123,
  [1269] = 1118,
  [1270] = 1070,
  [1271] = 1083,
  [1272] = 1120,
  [1273] = 1101,
  [1274] = 1104,
  [1275] = 647,
  [1276] = 1073,
  [1277] = 1128,
  [1278] = 1078,
  [1279] = 1052,
  [1280] = 1085,
  [1281] = 1082,
  [1282] = 1074,
  [1283] = 629,
  [1284] = 1053,
  [1285] = 640,
  [1286] = 1097,
  [1287] = 643,
  [1288] = 639,
  [1289] = 627,
  [1290] = 644,
  [1291] = 646,
  [1292] = 644,
  [1293] = 1055,
  [1294] = 1053,
  [1295] = 1071,
  [1296] = 1097,
  [1297] = 646,
  [1298] = 633,
  [1299] = 642,
  [1300] = 1060,
  [1301] = 629,
  [1302] = 630,
  [1303] = 645,
  [1304] = 629,
  [1305] = 635,
  [1306] = 632,
  [1307] = 1118,
  [1308] = 627,
  [1309] = 639,
  [1310] = 643,
  [1311] = 1104,
  [1312] = 1120,
  [1313] = 1073,
  [1314] = 1123,
  [1315] = 1027,
  [1316] = 1074,
  [1317] = 629,
  [1318] = 645,
  [1319] = 642,
  [1320] = 1131,
  [1321] = 1132,
  [1322] = 1134,
  [1323] = 1070,
  [1324] = 1071,
  [1325] = 1004,
  [1326] = 1326,
  [1327] = 1046,
  [1328] = 1047,
  [1329] = 640,
  [1330] = 646,
  [1331] = 644,
  [1332] = 1047,
  [1333] = 1046,
  [1334] = 1123,
  [1335] = 627,
  [1336] = 1120,
  [1337] = 1104,
  [1338] = 639,
  [1339] = 1130,
  [1340] = 643,
  [1341] = 1059,
  [1342] = 1342,
  [1343] = 1070,
  [1344] = 640,
  [1345] = 1134,
  [1346] = 1132,
  [1347] = 1131,
  [1348] = 1082,
  [1349] = 1085,
  [1350] = 1097,
  [1351] = 1071,
  [1352] = 1101,
  [1353] = 1083,
  [1354] = 1073,
  [1355] = 1129,
  [1356] = 1053,
  [1357] = 647,
  [1358] = 1060,
  [1359] = 1059,
  [1360] = 647,
  [1361] = 1063,
  [1362] = 1056,
  [1363] = 1055,
  [1364] = 633,
  [1365] = 1074,
  [1366] = 1082,
  [1367] = 1085,
  [1368] = 629,
  [1369] = 645,
  [1370] = 642,
  [1371] = 631,
  [1372] = 630,
  [1373] = 1059,
  [1374] = 1060,
  [1375] = 1101,
  [1376] = 1083,
  [1377] = 635,
  [1378] = 632,
  [1379] = 1129,
  [1380] = 1130,
  [1381] = 1130,
  [1382] = 642,
  [1383] = 1056,
  [1384] = 645,
  [1385] = 1071,
  [1386] = 1097,
  [1387] = 1006,
  [1388] = 1104,
  [1389] = 1120,
  [1390] = 1123,
  [1391] = 1047,
  [1392] = 1008,
  [1393] = 1046,
  [1394] = 1070,
  [1395] = 1134,
  [1396] = 1009,
  [1397] = 1132,
  [1398] = 1055,
  [1399] = 1056,
  [1400] = 1063,
  [1401] = 1056,
  [1402] = 1055,
  [1403] = 633,
  [1404] = 1130,
  [1405] = 1063,
  [1406] = 1131,
  [1407] = 1129,
  [1408] = 1073,
  [1409] = 632,
  [1410] = 1083,
  [1411] = 635,
  [1412] = 1046,
  [1413] = 1118,
  [1414] = 1053,
  [1415] = 630,
  [1416] = 1085,
  [1417] = 1074,
  [1418] = 1082,
  [1419] = 1134,
  [1420] = 629,
  [1421] = 1060,
  [1422] = 1081,
  [1423] = 1122,
  [1424] = 1133,
  [1425] = 1081,
  [1426] = 631,
  [1427] = 1122,
  [1428] = 1133,
  [1429] = 1074,
  [1430] = 1082,
  [1431] = 1070,
  [1432] = 1085,
  [1433] = 1101,
  [1434] = 1083,
  [1435] = 1053,
  [1436] = 631,
  [1437] = 1073,
  [1438] = 1129,
  [1439] = 1131,
  [1440] = 1132,
  [1441] = 1059,
  [1442] = 1123,
  [1443] = 639,
  [1444] = 1047,
  [1445] = 646,
  [1446] = 644,
  [1447] = 1118,
  [1448] = 1130,
  [1449] = 627,
  [1450] = 1046,
  [1451] = 643,
  [1452] = 640,
  [1453] = 1063,
  [1454] = 1056,
  [1455] = 647,
  [1456] = 642,
  [1457] = 1071,
  [1458] = 645,
  [1459] = 1097,
  [1460] = 1104,
  [1461] = 1055,
  [1462] = 1120,
  [1463] = 1133,
  [1464] = 1122,
  [1465] = 1081,
  [1466] = 644,
  [1467] = 632,
  [1468] = 635,
  [1469] = 630,
  [1470] = 1326,
  [1471] = 1342,
  [1472] = 633,
  [1473] = 647,
  [1474] = 640,
  [1475] = 643,
  [1476] = 639,
  [1477] = 627,
  [1478] = 646,
  [1479] = 642,
  [1480] = 645,
  [1481] = 629,
  [1482] = 629,
  [1483] = 629,
  [1484] = 629,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1491,
  [1494] = 1490,
  [1495] = 1495,
  [1496] = 1495,
  [1497] = 1487,
  [1498] = 1498,
  [1499] = 1498,
  [1500] = 1500,
  [1501] = 1487,
  [1502] = 1500,
  [1503] = 1492,
  [1504] = 1489,
  [1505] = 1489,
  [1506] = 1491,
  [1507] = 1495,
  [1508] = 1488,
  [1509] = 1490,
  [1510] = 1500,
  [1511] = 1498,
  [1512] = 1491,
  [1513] = 1492,
  [1514] = 1498,
  [1515] = 1500,
  [1516] = 1488,
  [1517] = 1488,
  [1518] = 1490,
  [1519] = 1495,
  [1520] = 1492,
  [1521] = 1489,
  [1522] = 1487,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1523,
  [1526] = 1523,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1529,
  [1531] = 1531,
  [1532] = 1531,
  [1533] = 1533,
  [1534] = 1529,
  [1535] = 1533,
  [1536] = 1531,
  [1537] = 1537,
  [1538] = 1528,
  [1539] = 1531,
  [1540] = 1529,
  [1541] = 1528,
  [1542] = 1533,
  [1543] = 1533,
  [1544] = 1537,
  [1545] = 1537,
  [1546] = 1528,
  [1547] = 1537,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1549,
  [1552] = 1550,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1549,
  [1556] = 1550,
  [1557] = 1550,
  [1558] = 1549,
  [1559] = 1553,
  [1560] = 1554,
  [1561] = 1553,
  [1562] = 1554,
  [1563] = 1554,
  [1564] = 1554,
  [1565] = 1553,
  [1566] = 1553,
  [1567] = 1554,
  [1568] = 1553,
  [1569] = 1554,
  [1570] = 1554,
  [1571] = 1571,
  [1572] = 633,
  [1573] = 630,
  [1574] = 635,
  [1575] = 1326,
  [1576] = 1342,
  [1577] = 632,
  [1578] = 1578,
  [1579] = 1553,
  [1580] = 1553,
  [1581] = 642,
  [1582] = 645,
  [1583] = 1583,
  [1584] = 629,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 635,
  [1590] = 632,
  [1591] = 1342,
  [1592] = 645,
  [1593] = 642,
  [1594] = 1594,
  [1595] = 1594,
  [1596] = 629,
  [1597] = 1587,
  [1598] = 1586,
  [1599] = 1585,
  [1600] = 1326,
  [1601] = 1342,
  [1602] = 1602,
  [1603] = 630,
  [1604] = 1594,
  [1605] = 633,
  [1606] = 1594,
  [1607] = 1326,
  [1608] = 633,
  [1609] = 632,
  [1610] = 630,
  [1611] = 1594,
  [1612] = 635,
  [1613] = 635,
  [1614] = 632,
  [1615] = 630,
  [1616] = 633,
  [1617] = 1594,
  [1618] = 1618,
  [1619] = 1594,
  [1620] = 1620,
  [1621] = 1594,
  [1622] = 1342,
  [1623] = 1326,
  [1624] = 1624,
  [1625] = 1594,
  [1626] = 1594,
  [1627] = 1588,
  [1628] = 1628,
  [1629] = 1620,
  [1630] = 1628,
  [1631] = 1628,
  [1632] = 1628,
  [1633] = 1633,
  [1634] = 1624,
  [1635] = 1635,
  [1636] = 1583,
  [1637] = 1637,
  [1638] = 1633,
  [1639] = 1635,
  [1640] = 1633,
  [1641] = 1628,
  [1642] = 1628,
  [1643] = 1618,
  [1644] = 1602,
  [1645] = 1628,
  [1646] = 1628,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1649,
  [1651] = 1651,
  [1652] = 1648,
  [1653] = 1653,
  [1654] = 1653,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1656,
  [1658] = 1656,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1656,
  [1662] = 1662,
  [1663] = 1656,
  [1664] = 1656,
  [1665] = 1665,
  [1666] = 1656,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1656,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1674,
  [1676] = 1672,
  [1677] = 1674,
  [1678] = 1673,
  [1679] = 1673,
  [1680] = 1674,
  [1681] = 1672,
  [1682] = 1673,
  [1683] = 1674,
  [1684] = 1673,
  [1685] = 1685,
  [1686] = 1672,
  [1687] = 1687,
  [1688] = 1672,
  [1689] = 1689,
  [1690] = 1672,
  [1691] = 1689,
  [1692] = 1685,
  [1693] = 1673,
  [1694] = 1689,
  [1695] = 1685,
  [1696] = 1674,
  [1697] = 1689,
  [1698] = 1698,
  [1699] = 1672,
  [1700] = 1685,
  [1701] = 1673,
  [1702] = 1673,
  [1703] = 1685,
  [1704] = 1685,
  [1705] = 1689,
  [1706] = 1674,
  [1707] = 1685,
  [1708] = 1673,
  [1709] = 1674,
  [1710] = 1710,
  [1711] = 1689,
  [1712] = 1674,
  [1713] = 1685,
  [1714] = 1672,
  [1715] = 1689,
  [1716] = 1689,
  [1717] = 1670,
  [1718] = 1668,
  [1719] = 1669,
  [1720] = 1659,
  [1721] = 1668,
  [1722] = 1660,
  [1723] = 1659,
  [1724] = 1669,
  [1725] = 1667,
  [1726] = 1726,
  [1727] = 1662,
  [1728] = 1728,
  [1729] = 1665,
  [1730] = 1662,
  [1731] = 1731,
  [1732] = 1670,
  [1733] = 1665,
  [1734] = 1667,
  [1735] = 1655,
  [1736] = 1655,
  [1737] = 1726,
  [1738] = 1660,
  [1739] = 1667,
  [1740] = 1668,
  [1741] = 1662,
  [1742] = 1665,
  [1743] = 1670,
  [1744] = 1655,
  [1745] = 1662,
  [1746] = 1660,
  [1747] = 1665,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1670,
  [1751] = 1669,
  [1752] = 1726,
  [1753] = 1668,
  [1754] = 1754,
  [1755] = 1660,
  [1756] = 1667,
  [1757] = 1726,
  [1758] = 1655,
  [1759] = 1670,
  [1760] = 1665,
  [1761] = 1662,
  [1762] = 1659,
  [1763] = 1660,
  [1764] = 1655,
  [1765] = 1765,
  [1766] = 1668,
  [1767] = 1659,
  [1768] = 1659,
  [1769] = 1769,
  [1770] = 1667,
  [1771] = 1669,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1669,
  [1775] = 1775,
  [1776] = 1659,
  [1777] = 1667,
  [1778] = 1655,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1754,
  [1782] = 1782,
  [1783] = 1660,
  [1784] = 1728,
  [1785] = 1785,
  [1786] = 1669,
  [1787] = 1769,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1668,
  [1791] = 1660,
  [1792] = 1780,
  [1793] = 1779,
  [1794] = 1769,
  [1795] = 1769,
  [1796] = 1659,
  [1797] = 1779,
  [1798] = 1798,
  [1799] = 1668,
  [1800] = 1779,
  [1801] = 1788,
  [1802] = 1785,
  [1803] = 1788,
  [1804] = 1789,
  [1805] = 1780,
  [1806] = 1779,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1779,
  [1810] = 1670,
  [1811] = 1811,
  [1812] = 1779,
  [1813] = 1813,
  [1814] = 1779,
  [1815] = 1655,
  [1816] = 1816,
  [1817] = 1665,
  [1818] = 1670,
  [1819] = 1665,
  [1820] = 1667,
  [1821] = 1662,
  [1822] = 1662,
  [1823] = 1789,
  [1824] = 1779,
  [1825] = 1825,
  [1826] = 1782,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1669,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1807,
  [1834] = 1779,
  [1835] = 1835,
  [1836] = 1835,
  [1837] = 1835,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1748,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1830,
  [1847] = 1728,
  [1848] = 1773,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 1765,
  [1853] = 1850,
  [1854] = 1835,
  [1855] = 1841,
  [1856] = 1842,
  [1857] = 1857,
  [1858] = 1835,
  [1859] = 1859,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1748,
  [1863] = 1863,
  [1864] = 1765,
  [1865] = 1748,
  [1866] = 1866,
  [1867] = 1835,
  [1868] = 1839,
  [1869] = 1857,
  [1870] = 1835,
  [1871] = 1851,
  [1872] = 1842,
  [1873] = 1765,
  [1874] = 1841,
  [1875] = 1728,
  [1876] = 1876,
  [1877] = 1830,
  [1878] = 1850,
  [1879] = 1839,
  [1880] = 1830,
  [1881] = 1863,
  [1882] = 1773,
  [1883] = 1835,
  [1884] = 1773,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1808,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1754,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1894,
  [1910] = 1583,
  [1911] = 1902,
  [1912] = 1885,
  [1913] = 1754,
  [1914] = 1914,
  [1915] = 1901,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1907,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1906,
  [1922] = 1588,
  [1923] = 1923,
  [1924] = 1773,
  [1925] = 1844,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1906,
  [1929] = 1929,
  [1930] = 1908,
  [1931] = 1931,
  [1932] = 1825,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1825,
  [1936] = 1772,
  [1937] = 1772,
  [1938] = 1890,
  [1939] = 1939,
  [1940] = 1923,
  [1941] = 1754,
  [1942] = 1942,
  [1943] = 1943,
  [1944] = 1907,
  [1945] = 1945,
  [1946] = 1923,
  [1947] = 1886,
  [1948] = 1765,
  [1949] = 1949,
  [1950] = 1844,
  [1951] = 1898,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1899,
  [1955] = 1897,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1886,
  [1959] = 1927,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1943,
  [1963] = 1888,
  [1964] = 1916,
  [1965] = 1890,
  [1966] = 1866,
  [1967] = 1892,
  [1968] = 1923,
  [1969] = 1969,
  [1970] = 1772,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1917,
  [1975] = 1825,
  [1976] = 1866,
  [1977] = 1901,
  [1978] = 1916,
  [1979] = 1979,
  [1980] = 1844,
  [1981] = 1939,
  [1982] = 1866,
  [1983] = 1983,
  [1984] = 1927,
  [1985] = 1748,
  [1986] = 1896,
  [1987] = 1939,
  [1988] = 1957,
  [1989] = 1989,
  [1990] = 1943,
  [1991] = 1902,
  [1992] = 1618,
  [1993] = 1898,
  [1994] = 1994,
  [1995] = 1960,
  [1996] = 1971,
  [1997] = 1896,
  [1998] = 1998,
  [1999] = 1897,
  [2000] = 1952,
  [2001] = 1901,
  [2002] = 1939,
  [2003] = 2003,
  [2004] = 2004,
  [2005] = 1841,
  [2006] = 1960,
  [2007] = 1825,
  [2008] = 1971,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 1899,
  [2012] = 1934,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 1994,
  [2016] = 1899,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 2019,
  [2020] = 1934,
  [2021] = 1994,
  [2022] = 1933,
  [2023] = 1890,
  [2024] = 2024,
  [2025] = 1994,
  [2026] = 1920,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 1994,
  [2030] = 1919,
  [2031] = 1892,
  [2032] = 2018,
  [2033] = 2033,
  [2034] = 2027,
  [2035] = 1903,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 1933,
  [2040] = 1888,
  [2041] = 1961,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2043,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2010,
  [2048] = 1994,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 1920,
  [2052] = 1919,
  [2053] = 2053,
  [2054] = 1620,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2042,
  [2058] = 2036,
  [2059] = 2059,
  [2060] = 1624,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 2027,
  [2065] = 1896,
  [2066] = 2061,
  [2067] = 2067,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 1994,
  [2072] = 1897,
  [2073] = 2073,
  [2074] = 2018,
  [2075] = 1994,
  [2076] = 1602,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 1898,
  [2081] = 2055,
  [2082] = 2082,
  [2083] = 1933,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 2086,
  [2087] = 2042,
  [2088] = 2038,
  [2089] = 2089,
  [2090] = 1888,
  [2091] = 2091,
  [2092] = 2092,
  [2093] = 2038,
  [2094] = 1934,
  [2095] = 2070,
  [2096] = 2037,
  [2097] = 2038,
  [2098] = 1960,
  [2099] = 2099,
  [2100] = 1919,
  [2101] = 2101,
  [2102] = 1998,
  [2103] = 2103,
  [2104] = 1920,
  [2105] = 1892,
  [2106] = 1971,
  [2107] = 2107,
  [2108] = 2108,
  [2109] = 2109,
  [2110] = 2078,
  [2111] = 2103,
  [2112] = 2112,
  [2113] = 2113,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2115,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 2123,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 2114,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 2134,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 2140,
  [2141] = 2063,
  [2142] = 2142,
  [2143] = 2132,
  [2144] = 2134,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 2142,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2082,
  [2157] = 2151,
  [2158] = 2158,
  [2159] = 2150,
  [2160] = 2148,
  [2161] = 2003,
  [2162] = 2004,
  [2163] = 2059,
  [2164] = 2103,
  [2165] = 1998,
  [2166] = 2101,
  [2167] = 2099,
  [2168] = 2089,
  [2169] = 2049,
  [2170] = 2014,
  [2171] = 2109,
  [2172] = 2108,
  [2173] = 2107,
  [2174] = 2078,
  [2175] = 2077,
  [2176] = 2148,
  [2177] = 2150,
  [2178] = 2013,
  [2179] = 2073,
  [2180] = 2017,
  [2181] = 2062,
  [2182] = 2151,
  [2183] = 2056,
  [2184] = 2053,
  [2185] = 2050,
  [2186] = 2045,
  [2187] = 2019,
  [2188] = 2033,
  [2189] = 2028,
  [2190] = 2024,
  [2191] = 2019,
  [2192] = 2017,
  [2193] = 2024,
  [2194] = 2013,
  [2195] = 2028,
  [2196] = 2033,
  [2197] = 2099,
  [2198] = 2150,
  [2199] = 2101,
  [2200] = 2148,
  [2201] = 2151,
  [2202] = 2103,
  [2203] = 2050,
  [2204] = 2053,
  [2205] = 2056,
  [2206] = 2062,
  [2207] = 2073,
  [2208] = 2089,
  [2209] = 2049,
  [2210] = 2014,
  [2211] = 2109,
  [2212] = 2077,
  [2213] = 2108,
  [2214] = 2107,
  [2215] = 2077,
  [2216] = 2073,
  [2217] = 2062,
  [2218] = 2056,
  [2219] = 2053,
  [2220] = 2050,
  [2221] = 2045,
  [2222] = 2078,
  [2223] = 2107,
  [2224] = 2108,
  [2225] = 2033,
  [2226] = 2028,
  [2227] = 2024,
  [2228] = 2109,
  [2229] = 2045,
  [2230] = 2019,
  [2231] = 2017,
  [2232] = 2049,
  [2233] = 2013,
  [2234] = 2089,
  [2235] = 2014,
  [2236] = 2099,
  [2237] = 2101,
  [2238] = 1998,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2146,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2242,
  [2256] = 2256,
  [2257] = 2249,
  [2258] = 2258,
  [2259] = 2258,
  [2260] = 1588,
  [2261] = 2261,
  [2262] = 2244,
  [2263] = 1952,
  [2264] = 2158,
  [2265] = 2265,
  [2266] = 2239,
  [2267] = 1583,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 1961,
  [2272] = 2249,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2247,
  [2276] = 2274,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2251,
  [2283] = 2278,
  [2284] = 2244,
  [2285] = 2285,
  [2286] = 2243,
  [2287] = 2152,
  [2288] = 2153,
  [2289] = 2154,
  [2290] = 2290,
  [2291] = 2253,
  [2292] = 2292,
  [2293] = 1027,
  [2294] = 2294,
  [2295] = 1961,
  [2296] = 1952,
  [2297] = 1969,
  [2298] = 1004,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2154,
  [2302] = 2302,
  [2303] = 2153,
  [2304] = 2254,
  [2305] = 2152,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2273,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2309,
  [2312] = 2306,
  [2313] = 2307,
  [2314] = 2299,
  [2315] = 2153,
  [2316] = 2316,
  [2317] = 2277,
  [2318] = 2300,
  [2319] = 1961,
  [2320] = 1952,
  [2321] = 2146,
  [2322] = 2290,
  [2323] = 1972,
  [2324] = 2146,
  [2325] = 1905,
  [2326] = 1891,
  [2327] = 1887,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 1949,
  [2331] = 1956,
  [2332] = 2280,
  [2333] = 657,
  [2334] = 2243,
  [2335] = 2281,
  [2336] = 2336,
  [2337] = 2279,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2251,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2248,
  [2345] = 2345,
  [2346] = 2241,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2338,
  [2350] = 2244,
  [2351] = 2281,
  [2352] = 2280,
  [2353] = 2269,
  [2354] = 2258,
  [2355] = 2249,
  [2356] = 2356,
  [2357] = 2281,
  [2358] = 2280,
  [2359] = 2269,
  [2360] = 2360,
  [2361] = 2265,
  [2362] = 2239,
  [2363] = 2258,
  [2364] = 2269,
  [2365] = 2365,
  [2366] = 2135,
  [2367] = 2281,
  [2368] = 2280,
  [2369] = 2265,
  [2370] = 2239,
  [2371] = 2133,
  [2372] = 2372,
  [2373] = 2269,
  [2374] = 1929,
  [2375] = 1583,
  [2376] = 2278,
  [2377] = 658,
  [2378] = 2356,
  [2379] = 2240,
  [2380] = 2274,
  [2381] = 2274,
  [2382] = 2278,
  [2383] = 2316,
  [2384] = 2280,
  [2385] = 2281,
  [2386] = 1624,
  [2387] = 2285,
  [2388] = 2273,
  [2389] = 2124,
  [2390] = 2123,
  [2391] = 2247,
  [2392] = 652,
  [2393] = 2393,
  [2394] = 2265,
  [2395] = 2269,
  [2396] = 2396,
  [2397] = 2239,
  [2398] = 2345,
  [2399] = 2265,
  [2400] = 2300,
  [2401] = 2270,
  [2402] = 2258,
  [2403] = 2268,
  [2404] = 2249,
  [2405] = 2244,
  [2406] = 2307,
  [2407] = 2248,
  [2408] = 2309,
  [2409] = 2279,
  [2410] = 2250,
  [2411] = 2306,
  [2412] = 2412,
  [2413] = 2299,
  [2414] = 2251,
  [2415] = 2243,
  [2416] = 2112,
  [2417] = 2417,
  [2418] = 2253,
  [2419] = 2343,
  [2420] = 2290,
  [2421] = 2421,
  [2422] = 660,
  [2423] = 2423,
  [2424] = 2281,
  [2425] = 2280,
  [2426] = 2339,
  [2427] = 2278,
  [2428] = 2274,
  [2429] = 2429,
  [2430] = 2243,
  [2431] = 2269,
  [2432] = 2269,
  [2433] = 2290,
  [2434] = 2239,
  [2435] = 2435,
  [2436] = 2251,
  [2437] = 2265,
  [2438] = 2438,
  [2439] = 2258,
  [2440] = 2336,
  [2441] = 2249,
  [2442] = 2285,
  [2443] = 2274,
  [2444] = 2244,
  [2445] = 2243,
  [2446] = 2244,
  [2447] = 2278,
  [2448] = 2280,
  [2449] = 2249,
  [2450] = 2251,
  [2451] = 2281,
  [2452] = 2452,
  [2453] = 2243,
  [2454] = 2341,
  [2455] = 2329,
  [2456] = 2258,
  [2457] = 2365,
  [2458] = 2277,
  [2459] = 1583,
  [2460] = 2251,
  [2461] = 2328,
  [2462] = 2265,
  [2463] = 2239,
  [2464] = 2299,
  [2465] = 2306,
  [2466] = 2269,
  [2467] = 2281,
  [2468] = 2309,
  [2469] = 2307,
  [2470] = 2292,
  [2471] = 2274,
  [2472] = 2280,
  [2473] = 2278,
  [2474] = 2278,
  [2475] = 2280,
  [2476] = 2281,
  [2477] = 2274,
  [2478] = 2300,
  [2479] = 2479,
  [2480] = 2342,
  [2481] = 2269,
  [2482] = 648,
  [2483] = 2294,
  [2484] = 2484,
  [2485] = 2285,
  [2486] = 2302,
  [2487] = 2417,
  [2488] = 2310,
  [2489] = 2243,
  [2490] = 2239,
  [2491] = 2265,
  [2492] = 2254,
  [2493] = 2258,
  [2494] = 2251,
  [2495] = 2249,
  [2496] = 2496,
  [2497] = 2244,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 648,
  [2522] = 1620,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2396,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2085,
  [2529] = 1624,
  [2530] = 2085,
  [2531] = 2531,
  [2532] = 1602,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 1618,
  [2536] = 2516,
  [2537] = 2518,
  [2538] = 2526,
  [2539] = 2531,
  [2540] = 2531,
  [2541] = 2527,
  [2542] = 2526,
  [2543] = 2543,
  [2544] = 658,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2510,
  [2550] = 2550,
  [2551] = 2509,
  [2552] = 2547,
  [2553] = 2517,
  [2554] = 2519,
  [2555] = 660,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2393,
  [2560] = 657,
  [2561] = 2372,
  [2562] = 1618,
  [2563] = 1620,
  [2564] = 2546,
  [2565] = 2565,
  [2566] = 2516,
  [2567] = 2085,
  [2568] = 2518,
  [2569] = 2569,
  [2570] = 2519,
  [2571] = 2571,
  [2572] = 2531,
  [2573] = 2520,
  [2574] = 2574,
  [2575] = 2524,
  [2576] = 2576,
  [2577] = 2543,
  [2578] = 2578,
  [2579] = 2579,
  [2580] = 2580,
  [2581] = 2518,
  [2582] = 2582,
  [2583] = 2583,
  [2584] = 2584,
  [2585] = 2548,
  [2586] = 2586,
  [2587] = 2510,
  [2588] = 2588,
  [2589] = 2526,
  [2590] = 652,
  [2591] = 2507,
  [2592] = 2545,
  [2593] = 2593,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 1602,
  [2597] = 2516,
  [2598] = 2517,
  [2599] = 2599,
  [2600] = 2600,
  [2601] = 2601,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2605,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2605,
  [2615] = 2602,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2619,
  [2620] = 2620,
  [2621] = 2600,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 2625,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2617,
  [2629] = 2603,
  [2630] = 2625,
  [2631] = 2631,
  [2632] = 2624,
  [2633] = 2626,
  [2634] = 2623,
  [2635] = 2622,
  [2636] = 2626,
  [2637] = 2637,
  [2638] = 2627,
  [2639] = 2625,
  [2640] = 2616,
  [2641] = 2624,
  [2642] = 2600,
  [2643] = 2623,
  [2644] = 2626,
  [2645] = 2616,
  [2646] = 2646,
  [2647] = 2616,
  [2648] = 2648,
  [2649] = 2622,
  [2650] = 2619,
  [2651] = 2631,
  [2652] = 2618,
  [2653] = 2600,
  [2654] = 2637,
  [2655] = 2625,
  [2656] = 2624,
  [2657] = 2600,
  [2658] = 2617,
  [2659] = 2619,
  [2660] = 2660,
  [2661] = 2618,
  [2662] = 2618,
  [2663] = 2623,
  [2664] = 2664,
  [2665] = 2617,
  [2666] = 2648,
  [2667] = 2617,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 2616,
  [2671] = 2617,
  [2672] = 2619,
  [2673] = 2673,
  [2674] = 2616,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2637,
  [2679] = 2660,
  [2680] = 2676,
  [2681] = 2602,
  [2682] = 2602,
  [2683] = 2600,
  [2684] = 2603,
  [2685] = 2664,
  [2686] = 2602,
  [2687] = 2613,
  [2688] = 2631,
  [2689] = 2610,
  [2690] = 2605,
  [2691] = 2605,
  [2692] = 2609,
  [2693] = 2622,
  [2694] = 2604,
  [2695] = 2623,
  [2696] = 2696,
  [2697] = 2626,
  [2698] = 2698,
  [2699] = 2622,
  [2700] = 2675,
  [2701] = 2701,
  [2702] = 2620,
  [2703] = 2668,
  [2704] = 2704,
  [2705] = 2620,
  [2706] = 2624,
  [2707] = 2707,
  [2708] = 2646,
  [2709] = 2625,
  [2710] = 2696,
  [2711] = 2605,
  [2712] = 2712,
  [2713] = 2603,
  [2714] = 2612,
  [2715] = 2600,
  [2716] = 2631,
  [2717] = 2601,
  [2718] = 2718,
  [2719] = 2719,
  [2720] = 2602,
  [2721] = 2613,
  [2722] = 2722,
  [2723] = 2696,
  [2724] = 2600,
  [2725] = 2646,
  [2726] = 2626,
  [2727] = 2727,
  [2728] = 2698,
  [2729] = 2620,
  [2730] = 2730,
  [2731] = 2731,
  [2732] = 2618,
  [2733] = 2733,
  [2734] = 2619,
  [2735] = 2626,
  [2736] = 2736,
  [2737] = 2618,
  [2738] = 2622,
  [2739] = 2625,
  [2740] = 2616,
  [2741] = 2637,
  [2742] = 2624,
  [2743] = 2660,
  [2744] = 2625,
  [2745] = 2624,
  [2746] = 2605,
  [2747] = 2623,
  [2748] = 2648,
  [2749] = 2673,
  [2750] = 2750,
  [2751] = 2622,
  [2752] = 2752,
  [2753] = 2631,
  [2754] = 2626,
  [2755] = 2625,
  [2756] = 2623,
  [2757] = 2602,
  [2758] = 2624,
  [2759] = 2759,
  [2760] = 2600,
  [2761] = 2761,
  [2762] = 2603,
  [2763] = 2637,
  [2764] = 2619,
  [2765] = 2648,
  [2766] = 2619,
  [2767] = 2623,
  [2768] = 2768,
  [2769] = 2618,
  [2770] = 2622,
  [2771] = 2771,
  [2772] = 2617,
  [2773] = 2600,
  [2774] = 2602,
  [2775] = 2605,
  [2776] = 2617,
  [2777] = 2777,
  [2778] = 2761,
  [2779] = 2779,
  [2780] = 2780,
  [2781] = 2781,
  [2782] = 2759,
  [2783] = 2619,
  [2784] = 2781,
  [2785] = 2752,
  [2786] = 2660,
  [2787] = 2750,
  [2788] = 2718,
  [2789] = 2701,
  [2790] = 2616,
  [2791] = 2677,
  [2792] = 2701,
  [2793] = 2618,
  [2794] = 2722,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113},
  {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096},
  {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10},
  {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0},
  {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d},
  {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c},
  {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739},
  {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(55);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == 'e') ADVANCE(163);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(87);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(168);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(130);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3);
      if (lookahead == '\r') ADVANCE(135);
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '\\') ADVANCE(134);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '}') ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(135);
      if (lookahead != 0) ADVANCE(136);
      END_STATE();
    case 4:
      if (lookahead == '\r') SKIP(4);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(87);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 5:
      if (lookahead == '\r') SKIP(5);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(94);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(114);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(100);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(86);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 6:
      if (lookahead == '\r') SKIP(6);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(21);
      if (lookahead == '&') ADVANCE(22);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '/') ADVANCE(17);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(18);
      if (lookahead == '=') ADVANCE(77);
      if (lookahead == '>') ADVANCE(31);
      if (lookahead == '@') ADVANCE(23);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(24);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(25);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 7:
      if (lookahead == '\r') SKIP(7);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == '|') ADVANCE(87);
      if (lookahead == '}') ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 8:
      if (lookahead == '\r') SKIP(8);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == '|') ADVANCE(87);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(8);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 9:
      if (lookahead == '\r') SKIP(9);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '-') ADVANCE(30);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'e') ADVANCE(163);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 10:
      if (lookahead == '\r') ADVANCE(1);
      if ((!eof && lookahead == 00) ||
          lookahead == '\n') ADVANCE(168);
      END_STATE();
    case 11:
      if (lookahead == '\r') SKIP(11);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(87);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 12:
      if (lookahead == '\r') SKIP(12);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(94);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(114);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(100);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(86);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 13:
      if (lookahead == '\r') SKIP(13);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(94);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(114);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(100);
      if (lookahead == '|') ADVANCE(86);
      if (lookahead == '}') ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(13);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 14:
      if (lookahead == '\r') SKIP(14);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(94);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(114);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(100);
      if (lookahead == '|') ADVANCE(86);
      if (lookahead == '}') ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(129);
      END_STATE();
    case 17:
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 18:
      if (lookahead == '<') ADVANCE(28);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(110);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(110);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(137);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 25:
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 26:
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 27:
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 28:
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 30:
      if (lookahead == '>') ADVANCE(74);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(29);
      END_STATE();
    case 32:
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(142);
      END_STATE();
    case 33:
      if (lookahead == '_') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(143);
      END_STATE();
    case 34:
      if (lookahead == '_') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 35:
      if (lookahead == '{') ADVANCE(50);
      END_STATE();
    case 36:
      if (lookahead == '}') ADVANCE(130);
      if (lookahead != 0) ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 38:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(142);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(143);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(130);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(36);
      END_STATE();
    case 51:
      if (eof) ADVANCE(55);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == 'e') ADVANCE(163);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(87);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 52:
      if (eof) ADVANCE(55);
      if (lookahead == '\r') SKIP(52);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(107);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(112);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(86);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(52);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 53:
      if (eof) ADVANCE(55);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'e') ADVANCE(164);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 54:
      if (eof) ADVANCE(55);
      if (lookahead == '\r') SKIP(54);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'e') ADVANCE(165);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(75);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(26);
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(68);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_except);
      if (lookahead == '*') ADVANCE(73);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_except);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_except_STAR);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(117);
      if (lookahead == '>') ADVANCE(74);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(97);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(96);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(103);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(115);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(102);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(115);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(115);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(111);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '>') ADVANCE(67);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '>') ADVANCE(66);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(130);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        0, 168,
        '\n', 130,
        '\r', 2,
        'N', 35,
        'U', 49,
        'u', 45,
        'x', 43,
        '"', 130,
        '\'', 130,
        '\\', 130,
        'a', 130,
        'b', 130,
        'f', 130,
        'n', 130,
        'r', 130,
        't', 130,
        'v', 130,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(132);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if ((!eof && lookahead == 00)) ADVANCE(136);
      if (lookahead == '\r') ADVANCE(136);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(136);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      ADVANCE_MAP(
        '\r', 135,
        '#', 136,
        '\\', 134,
        '\t', 135,
        0x0b, 135,
        '\f', 135,
        ' ', 135,
        0x200b, 135,
        0x2060, 135,
        0xfeff, 135,
      );
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(136);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(136);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 148,
        '_', 141,
        'B', 32,
        'b', 32,
        'E', 37,
        'e', 37,
        'O', 33,
        'o', 33,
        'X', 34,
        'x', 34,
        'J', 138,
        'L', 138,
        'j', 138,
        'l', 138,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 148,
        '_', 141,
        'E', 37,
        'e', 37,
        'J', 138,
        'L', 138,
        'j', 138,
        'l', 138,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(148);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(138);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(39);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(42);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(148);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(149);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '*') ADVANCE(73);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(154);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(156);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(157);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(158);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(159);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(160);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(161);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(162);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(71);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(150);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(151);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(152);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(153);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(167);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_line_continuation);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\r') SKIP(0);
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '_') ADVANCE(4);
      if (lookahead == 'a') ADVANCE(5);
      if (lookahead == 'b') ADVANCE(6);
      if (lookahead == 'c') ADVANCE(7);
      if (lookahead == 'd') ADVANCE(8);
      if (lookahead == 'e') ADVANCE(9);
      if (lookahead == 'f') ADVANCE(10);
      if (lookahead == 'g') ADVANCE(11);
      if (lookahead == 'i') ADVANCE(12);
      if (lookahead == 'l') ADVANCE(13);
      if (lookahead == 'm') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      if (lookahead == 'p') ADVANCE(17);
      if (lookahead == 'r') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(22);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(23);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '_') ADVANCE(25);
      END_STATE();
    case 5:
      if (lookahead == 'n') ADVANCE(26);
      if (lookahead == 's') ADVANCE(27);
      if (lookahead == 'w') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'r') ADVANCE(29);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'l') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 9:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 10:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'o') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 11:
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 12:
      if (lookahead == 'f') ADVANCE(40);
      if (lookahead == 'm') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(42);
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(45);
      END_STATE();
    case 15:
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(47);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(52);
      if (lookahead == 'y') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(58);
      END_STATE();
    case 24:
      if (lookahead == 'u') ADVANCE(59);
      END_STATE();
    case 25:
      if (lookahead == 'f') ADVANCE(60);
      END_STATE();
    case 26:
      if (lookahead == 'd') ADVANCE(61);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(62);
      if (lookahead == 'y') ADVANCE(63);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(65);
      END_STATE();
    case 30:
      if (lookahead == 's') ADVANCE(66);
      END_STATE();
    case 31:
      if (lookahead == 'a') ADVANCE(67);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 33:
      if (lookahead == 'f') ADVANCE(69);
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(71);
      if (lookahead == 's') ADVANCE(72);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(75);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 39:
      if (lookahead == 'o') ADVANCE(77);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 41:
      if (lookahead == 'p') ADVANCE(78);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 44:
      if (lookahead == 'm') ADVANCE(79);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(81);
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 48:
      if (lookahead == 's') ADVANCE(83);
      END_STATE();
    case 49:
      if (lookahead == 'i') ADVANCE(84);
      END_STATE();
    case 50:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 52:
      if (lookahead == 'y') ADVANCE(87);
      END_STATE();
    case 53:
      if (lookahead == 'p') ADVANCE(88);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(89);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 57:
      if (lookahead == 's') ADVANCE(92);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 60:
      if (lookahead == 'u') ADVANCE(95);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(96);
      END_STATE();
    case 63:
      if (lookahead == 'n') ADVANCE(97);
      END_STATE();
    case 64:
      if (lookahead == 'i') ADVANCE(98);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(99);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 67:
      if (lookahead == 's') ADVANCE(101);
      END_STATE();
    case 68:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 71:
      if (lookahead == 'f') ADVANCE(103);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 73:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(106);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 76:
      if (lookahead == 'm') ADVANCE(107);
      END_STATE();
    case 77:
      if (lookahead == 'b') ADVANCE(108);
      END_STATE();
    case 78:
      if (lookahead == 'o') ADVANCE(109);
      END_STATE();
    case 79:
      if (lookahead == 'b') ADVANCE(110);
      END_STATE();
    case 80:
      if (lookahead == 'c') ADVANCE(111);
      END_STATE();
    case 81:
      if (lookahead == 'l') ADVANCE(112);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 83:
      if (lookahead == 's') ADVANCE(113);
      END_STATE();
    case 84:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 85:
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 86:
      if (lookahead == 'u') ADVANCE(116);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(117);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 90:
      if (lookahead == 'h') ADVANCE(119);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(120);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 95:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 96:
      if (lookahead == 'r') ADVANCE(123);
      END_STATE();
    case 97:
      if (lookahead == 'c') ADVANCE(124);
      END_STATE();
    case 98:
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 99:
      if (lookahead == 'k') ADVANCE(126);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 101:
      if (lookahead == 's') ADVANCE(127);
      END_STATE();
    case 102:
      if (lookahead == 'i') ADVANCE(128);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 106:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(130);
      END_STATE();
    case 109:
      if (lookahead == 'r') ADVANCE(131);
      END_STATE();
    case 110:
      if (lookahead == 'd') ADVANCE(132);
      END_STATE();
    case 111:
      if (lookahead == 'h') ADVANCE(133);
      END_STATE();
    case 112:
      if (lookahead == 'o') ADVANCE(134);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 114:
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(137);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 118:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 120:
      if (lookahead == 'd') ADVANCE(139);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(140);
      END_STATE();
    case 123:
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 128:
      if (lookahead == 'n') ADVANCE(142);
      END_STATE();
    case 129:
      if (lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(144);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(145);
      END_STATE();
    case 132:
      if (lookahead == 'a') ADVANCE(146);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 134:
      if (lookahead == 'c') ADVANCE(147);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 137:
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 140:
      if (lookahead == 'r') ADVANCE(149);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 142:
      if (lookahead == 'u') ADVANCE(150);
      END_STATE();
    case 143:
      if (lookahead == 'y') ADVANCE(151);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 147:
      if (lookahead == 'a') ADVANCE(152);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 152:
      if (lookahead == 'l') ADVANCE(155);
      END_STATE();
    case 153:
      if (lookahead == '_') ADVANCE(156);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 156:
      if (lookahead == '_') ADVANCE(157);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 52, .external_lex_state = 2},
  [2] = {.lex_state = 52, .external_lex_state = 3},
  [3] = {.lex_state = 52, .external_lex_state = 3},
  [4] = {.lex_state = 52, .external_lex_state = 3},
  [5] = {.lex_state = 52, .external_lex_state = 3},
  [6] = {.lex_state = 52, .external_lex_state = 3},
  [7] = {.lex_state = 52, .external_lex_state = 3},
  [8] = {.lex_state = 52, .external_lex_state = 3},
  [9] = {.lex_state = 52, .external_lex_state = 3},
  [10] = {.lex_state = 52, .external_lex_state = 3},
  [11] = {.lex_state = 52, .external_lex_state = 3},
  [12] = {.lex_state = 52, .external_lex_state = 3},
  [13] = {.lex_state = 52, .external_lex_state = 3},
  [14] = {.lex_state = 52, .external_lex_state = 3},
  [15] = {.lex_state = 52, .external_lex_state = 3},
  [16] = {.lex_state = 52, .external_lex_state = 3},
  [17] = {.lex_state = 52, .external_lex_state = 3},
  [18] = {.lex_state = 52, .external_lex_state = 3},
  [19] = {.lex_state = 52, .external_lex_state = 3},
  [20] = {.lex_state = 52, .external_lex_state = 3},
  [21] = {.lex_state = 52, .external_lex_state = 3},
  [22] = {.lex_state = 52, .external_lex_state = 3},
  [23] = {.lex_state = 52, .external_lex_state = 3},
  [24] = {.lex_state = 52, .external_lex_state = 3},
  [25] = {.lex_state = 52, .external_lex_state = 3},
  [26] = {.lex_state = 52, .external_lex_state = 3},
  [27] = {.lex_state = 52, .external_lex_state = 3},
  [28] = {.lex_state = 52, .external_lex_state = 3},
  [29] = {.lex_state = 52, .external_lex_state = 3},
  [30] = {.lex_state = 52, .external_lex_state = 3},
  [31] = {.lex_state = 52, .external_lex_state = 3},
  [32] = {.lex_state = 52, .external_lex_state = 3},
  [33] = {.lex_state = 52, .external_lex_state = 3},
  [34] = {.lex_state = 52, .external_lex_state = 3},
  [35] = {.lex_state = 52, .external_lex_state = 3},
  [36] = {.lex_state = 52, .external_lex_state = 3},
  [37] = {.lex_state = 52, .external_lex_state = 3},
  [38] = {.lex_state = 52, .external_lex_state = 3},
  [39] = {.lex_state = 52, .external_lex_state = 3},
  [40] = {.lex_state = 52, .external_lex_state = 3},
  [41] = {.lex_state = 52, .external_lex_state = 3},
  [42] = {.lex_state = 52, .external_lex_state = 3},
  [43] = {.lex_state = 52, .external_lex_state = 3},
  [44] = {.lex_state = 52, .external_lex_state = 3},
  [45] = {.lex_state = 52, .external_lex_state = 3},
  [46] = {.lex_state = 52, .external_lex_state = 3},
  [47] = {.lex_state = 52, .external_lex_state = 3},
  [48] = {.lex_state = 52, .external_lex_state = 3},
  [49] = {.lex_state = 52, .external_lex_state = 3},
  [50] = {.lex_state = 52, .external_lex_state = 3},
  [51] = {.lex_state = 52, .external_lex_state = 3},
  [52] = {.lex_state = 52, .external_lex_state = 3},
  [53] = {.lex_state = 52, .external_lex_state = 3},
  [54] = {.lex_state = 52, .external_lex_state = 3},
  [55] = {.lex_state = 52, .external_lex_state = 3},
  [56] = {.lex_state = 52, .external_lex_state = 3},
  [57] = {.lex_state = 52, .external_lex_state = 3},
  [58] = {.lex_state = 52, .external_lex_state = 3},
  [59] = {.lex_state = 52, .external_lex_state = 3},
  [60] = {.lex_state = 52, .external_lex_state = 3},
  [61] = {.lex_state = 52, .external_lex_state = 3},
  [62] = {.lex_state = 52, .external_lex_state = 2},
  [63] = {.lex_state = 52, .external_lex_state = 3},
  [64] = {.lex_state = 52, .external_lex_state = 3},
  [65] = {.lex_state = 52, .external_lex_state = 3},
  [66] = {.lex_state = 52, .external_lex_state = 3},
  [67] = {.lex_state = 52, .external_lex_state = 2},
  [68] = {.lex_state = 52, .external_lex_state = 3},
  [69] = {.lex_state = 52, .external_lex_state = 3},
  [70] = {.lex_state = 52, .external_lex_state = 3},
  [71] = {.lex_state = 52, .external_lex_state = 3},
  [72] = {.lex_state = 52, .external_lex_state = 3},
  [73] = {.lex_state = 4, .external_lex_state = 4},
  [74] = {.lex_state = 4, .external_lex_state = 4},
  [75] = {.lex_state = 5, .external_lex_state = 5},
  [76] = {.lex_state = 5, .external_lex_state = 5},
  [77] = {.lex_state = 5, .external_lex_state = 5},
  [78] = {.lex_state = 5, .external_lex_state = 5},
  [79] = {.lex_state = 5, .external_lex_state = 5},
  [80] = {.lex_state = 5, .external_lex_state = 5},
  [81] = {.lex_state = 5, .external_lex_state = 5},
  [82] = {.lex_state = 5, .external_lex_state = 5},
  [83] = {.lex_state = 4, .external_lex_state = 4},
  [84] = {.lex_state = 4, .external_lex_state = 4},
  [85] = {.lex_state = 4, .external_lex_state = 4},
  [86] = {.lex_state = 4, .external_lex_state = 4},
  [87] = {.lex_state = 52, .external_lex_state = 5},
  [88] = {.lex_state = 52, .external_lex_state = 5},
  [89] = {.lex_state = 52, .external_lex_state = 5},
  [90] = {.lex_state = 52, .external_lex_state = 5},
  [91] = {.lex_state = 52, .external_lex_state = 5},
  [92] = {.lex_state = 52, .external_lex_state = 5},
  [93] = {.lex_state = 52, .external_lex_state = 5},
  [94] = {.lex_state = 52, .external_lex_state = 5},
  [95] = {.lex_state = 52, .external_lex_state = 5},
  [96] = {.lex_state = 52, .external_lex_state = 5},
  [97] = {.lex_state = 52, .external_lex_state = 5},
  [98] = {.lex_state = 52, .external_lex_state = 5},
  [99] = {.lex_state = 52, .external_lex_state = 5},
  [100] = {.lex_state = 52, .external_lex_state = 5},
  [101] = {.lex_state = 52, .external_lex_state = 5},
  [102] = {.lex_state = 52, .external_lex_state = 5},
  [103] = {.lex_state = 52, .external_lex_state = 5},
  [104] = {.lex_state = 52, .external_lex_state = 5},
  [105] = {.lex_state = 52, .external_lex_state = 5},
  [106] = {.lex_state = 52, .external_lex_state = 5},
  [107] = {.lex_state = 52, .external_lex_state = 5},
  [108] = {.lex_state = 52, .external_lex_state = 5},
  [109] = {.lex_state = 52, .external_lex_state = 5},
  [110] = {.lex_state = 52, .external_lex_state = 5},
  [111] = {.lex_state = 52, .external_lex_state = 5},
  [112] = {.lex_state = 52, .external_lex_state = 5},
  [113] = {.lex_state = 52, .external_lex_state = 5},
  [114] = {.lex_state = 52, .external_lex_state = 5},
  [115] = {.lex_state = 52, .external_lex_state = 5},
  [116] = {.lex_state = 52, .external_lex_state = 5},
  [117] = {.lex_state = 52, .external_lex_state = 5},
  [118] = {.lex_state = 52, .external_lex_state = 5},
  [119] = {.lex_state = 52, .external_lex_state = 5},
  [120] = {.lex_state = 52, .external_lex_state = 5},
  [121] = {.lex_state = 52, .external_lex_state = 5},
  [122] = {.lex_state = 52, .external_lex_state = 5},
  [123] = {.lex_state = 52, .external_lex_state = 5},
  [124] = {.lex_state = 52, .external_lex_state = 5},
  [125] = {.lex_state = 52, .external_lex_state = 5},
  [126] = {.lex_state = 52, .external_lex_state = 5},
  [127] = {.lex_state = 52, .external_lex_state = 5},
  [128] = {.lex_state = 52, .external_lex_state = 5},
  [129] = {.lex_state = 52, .external_lex_state = 5},
  [130] = {.lex_state = 52, .external_lex_state = 5},
  [131] = {.lex_state = 52, .external_lex_state = 5},
  [132] = {.lex_state = 52, .external_lex_state = 5},
  [133] = {.lex_state = 52, .external_lex_state = 5},
  [134] = {.lex_state = 52, .external_lex_state = 5},
  [135] = {.lex_state = 52, .external_lex_state = 5},
  [136] = {.lex_state = 52, .external_lex_state = 5},
  [137] = {.lex_state = 52, .external_lex_state = 4},
  [138] = {.lex_state = 52, .external_lex_state = 4},
  [139] = {.lex_state = 52, .external_lex_state = 4},
  [140] = {.lex_state = 52, .external_lex_state = 4},
  [141] = {.lex_state = 52, .external_lex_state = 4},
  [142] = {.lex_state = 52, .external_lex_state = 4},
  [143] = {.lex_state = 52, .external_lex_state = 4},
  [144] = {.lex_state = 52, .external_lex_state = 4},
  [145] = {.lex_state = 52, .external_lex_state = 4},
  [146] = {.lex_state = 52, .external_lex_state = 4},
  [147] = {.lex_state = 52, .external_lex_state = 4},
  [148] = {.lex_state = 52, .external_lex_state = 4},
  [149] = {.lex_state = 52, .external_lex_state = 4},
  [150] = {.lex_state = 52, .external_lex_state = 4},
  [151] = {.lex_state = 52, .external_lex_state = 4},
  [152] = {.lex_state = 52, .external_lex_state = 4},
  [153] = {.lex_state = 52, .external_lex_state = 2},
  [154] = {.lex_state = 4, .external_lex_state = 4},
  [155] = {.lex_state = 4, .external_lex_state = 4},
  [156] = {.lex_state = 11, .external_lex_state = 4},
  [157] = {.lex_state = 5, .external_lex_state = 4},
  [158] = {.lex_state = 12, .external_lex_state = 4},
  [159] = {.lex_state = 5, .external_lex_state = 6},
  [160] = {.lex_state = 5, .external_lex_state = 6},
  [161] = {.lex_state = 12, .external_lex_state = 4},
  [162] = {.lex_state = 12, .external_lex_state = 6},
  [163] = {.lex_state = 5, .external_lex_state = 2},
  [164] = {.lex_state = 5, .external_lex_state = 6},
  [165] = {.lex_state = 5, .external_lex_state = 6},
  [166] = {.lex_state = 5, .external_lex_state = 7},
  [167] = {.lex_state = 12, .external_lex_state = 6},
  [168] = {.lex_state = 5, .external_lex_state = 7},
  [169] = {.lex_state = 12, .external_lex_state = 7},
  [170] = {.lex_state = 5, .external_lex_state = 7},
  [171] = {.lex_state = 12, .external_lex_state = 2},
  [172] = {.lex_state = 12, .external_lex_state = 8},
  [173] = {.lex_state = 12, .external_lex_state = 2},
  [174] = {.lex_state = 5, .external_lex_state = 7},
  [175] = {.lex_state = 5, .external_lex_state = 7},
  [176] = {.lex_state = 5, .external_lex_state = 8},
  [177] = {.lex_state = 12, .external_lex_state = 7},
  [178] = {.lex_state = 11, .external_lex_state = 4},
  [179] = {.lex_state = 5, .external_lex_state = 8},
  [180] = {.lex_state = 12, .external_lex_state = 6},
  [181] = {.lex_state = 5, .external_lex_state = 7},
  [182] = {.lex_state = 5, .external_lex_state = 8},
  [183] = {.lex_state = 5, .external_lex_state = 8},
  [184] = {.lex_state = 5, .external_lex_state = 7},
  [185] = {.lex_state = 5, .external_lex_state = 8},
  [186] = {.lex_state = 12, .external_lex_state = 8},
  [187] = {.lex_state = 11, .external_lex_state = 2},
  [188] = {.lex_state = 11, .external_lex_state = 2},
  [189] = {.lex_state = 52, .external_lex_state = 8},
  [190] = {.lex_state = 5, .external_lex_state = 6},
  [191] = {.lex_state = 5, .external_lex_state = 6},
  [192] = {.lex_state = 52, .external_lex_state = 8},
  [193] = {.lex_state = 52, .external_lex_state = 7},
  [194] = {.lex_state = 52, .external_lex_state = 7},
  [195] = {.lex_state = 52, .external_lex_state = 8},
  [196] = {.lex_state = 5, .external_lex_state = 6},
  [197] = {.lex_state = 5, .external_lex_state = 6},
  [198] = {.lex_state = 52, .external_lex_state = 7},
  [199] = {.lex_state = 52, .external_lex_state = 8},
  [200] = {.lex_state = 52, .external_lex_state = 2},
  [201] = {.lex_state = 52, .external_lex_state = 2},
  [202] = {.lex_state = 52, .external_lex_state = 7},
  [203] = {.lex_state = 5, .external_lex_state = 6},
  [204] = {.lex_state = 52, .external_lex_state = 8},
  [205] = {.lex_state = 52, .external_lex_state = 8},
  [206] = {.lex_state = 52, .external_lex_state = 8},
  [207] = {.lex_state = 52, .external_lex_state = 7},
  [208] = {.lex_state = 52, .external_lex_state = 8},
  [209] = {.lex_state = 52, .external_lex_state = 8},
  [210] = {.lex_state = 52, .external_lex_state = 7},
  [211] = {.lex_state = 5, .external_lex_state = 6},
  [212] = {.lex_state = 52, .external_lex_state = 7},
  [213] = {.lex_state = 52, .external_lex_state = 8},
  [214] = {.lex_state = 52, .external_lex_state = 7},
  [215] = {.lex_state = 5, .external_lex_state = 6},
  [216] = {.lex_state = 5, .external_lex_state = 6},
  [217] = {.lex_state = 52, .external_lex_state = 7},
  [218] = {.lex_state = 52, .external_lex_state = 8},
  [219] = {.lex_state = 52, .external_lex_state = 7},
  [220] = {.lex_state = 52, .external_lex_state = 7},
  [221] = {.lex_state = 52, .external_lex_state = 2},
  [222] = {.lex_state = 6, .external_lex_state = 4},
  [223] = {.lex_state = 6, .external_lex_state = 4},
  [224] = {.lex_state = 5, .external_lex_state = 8},
  [225] = {.lex_state = 5, .external_lex_state = 8},
  [226] = {.lex_state = 5, .external_lex_state = 8},
  [227] = {.lex_state = 5, .external_lex_state = 8},
  [228] = {.lex_state = 52, .external_lex_state = 2},
  [229] = {.lex_state = 5, .external_lex_state = 8},
  [230] = {.lex_state = 5, .external_lex_state = 8},
  [231] = {.lex_state = 5, .external_lex_state = 8},
  [232] = {.lex_state = 5, .external_lex_state = 8},
  [233] = {.lex_state = 52, .external_lex_state = 2},
  [234] = {.lex_state = 5, .external_lex_state = 2},
  [235] = {.lex_state = 5, .external_lex_state = 7},
  [236] = {.lex_state = 5, .external_lex_state = 2},
  [237] = {.lex_state = 5, .external_lex_state = 2},
  [238] = {.lex_state = 5, .external_lex_state = 2},
  [239] = {.lex_state = 5, .external_lex_state = 2},
  [240] = {.lex_state = 5, .external_lex_state = 2},
  [241] = {.lex_state = 5, .external_lex_state = 2},
  [242] = {.lex_state = 5, .external_lex_state = 2},
  [243] = {.lex_state = 5, .external_lex_state = 7},
  [244] = {.lex_state = 5, .external_lex_state = 7},
  [245] = {.lex_state = 5, .external_lex_state = 7},
  [246] = {.lex_state = 5, .external_lex_state = 2},
  [247] = {.lex_state = 5, .external_lex_state = 2},
  [248] = {.lex_state = 6, .external_lex_state = 2},
  [249] = {.lex_state = 5, .external_lex_state = 7},
  [250] = {.lex_state = 5, .external_lex_state = 2},
  [251] = {.lex_state = 5, .external_lex_state = 2},
  [252] = {.lex_state = 5, .external_lex_state = 7},
  [253] = {.lex_state = 5, .external_lex_state = 2},
  [254] = {.lex_state = 5, .external_lex_state = 7},
  [255] = {.lex_state = 52, .external_lex_state = 6},
  [256] = {.lex_state = 5, .external_lex_state = 2},
  [257] = {.lex_state = 5, .external_lex_state = 2},
  [258] = {.lex_state = 5, .external_lex_state = 7},
  [259] = {.lex_state = 5, .external_lex_state = 2},
  [260] = {.lex_state = 5, .external_lex_state = 2},
  [261] = {.lex_state = 5, .external_lex_state = 2},
  [262] = {.lex_state = 5, .external_lex_state = 2},
  [263] = {.lex_state = 5, .external_lex_state = 2},
  [264] = {.lex_state = 5, .external_lex_state = 2},
  [265] = {.lex_state = 6, .external_lex_state = 2},
  [266] = {.lex_state = 5, .external_lex_state = 2},
  [267] = {.lex_state = 5, .external_lex_state = 2},
  [268] = {.lex_state = 5, .external_lex_state = 2},
  [269] = {.lex_state = 52, .external_lex_state = 7},
  [270] = {.lex_state = 5, .external_lex_state = 7},
  [271] = {.lex_state = 5, .external_lex_state = 2},
  [272] = {.lex_state = 52, .external_lex_state = 7},
  [273] = {.lex_state = 52, .external_lex_state = 8},
  [274] = {.lex_state = 52, .external_lex_state = 7},
  [275] = {.lex_state = 5, .external_lex_state = 7},
  [276] = {.lex_state = 5, .external_lex_state = 7},
  [277] = {.lex_state = 5, .external_lex_state = 7},
  [278] = {.lex_state = 5, .external_lex_state = 7},
  [279] = {.lex_state = 52, .external_lex_state = 7},
  [280] = {.lex_state = 5, .external_lex_state = 7},
  [281] = {.lex_state = 5, .external_lex_state = 7},
  [282] = {.lex_state = 52, .external_lex_state = 8},
  [283] = {.lex_state = 5, .external_lex_state = 7},
  [284] = {.lex_state = 5, .external_lex_state = 7},
  [285] = {.lex_state = 52, .external_lex_state = 7},
  [286] = {.lex_state = 5, .external_lex_state = 7},
  [287] = {.lex_state = 52, .external_lex_state = 8},
  [288] = {.lex_state = 52, .external_lex_state = 7},
  [289] = {.lex_state = 5, .external_lex_state = 7},
  [290] = {.lex_state = 52, .external_lex_state = 7},
  [291] = {.lex_state = 52, .external_lex_state = 8},
  [292] = {.lex_state = 52, .external_lex_state = 7},
  [293] = {.lex_state = 5, .external_lex_state = 7},
  [294] = {.lex_state = 52, .external_lex_state = 7},
  [295] = {.lex_state = 5, .external_lex_state = 7},
  [296] = {.lex_state = 52, .external_lex_state = 8},
  [297] = {.lex_state = 52, .external_lex_state = 8},
  [298] = {.lex_state = 52, .external_lex_state = 7},
  [299] = {.lex_state = 52, .external_lex_state = 7},
  [300] = {.lex_state = 5, .external_lex_state = 7},
  [301] = {.lex_state = 52, .external_lex_state = 8},
  [302] = {.lex_state = 5, .external_lex_state = 7},
  [303] = {.lex_state = 5, .external_lex_state = 7},
  [304] = {.lex_state = 5, .external_lex_state = 7},
  [305] = {.lex_state = 5, .external_lex_state = 7},
  [306] = {.lex_state = 5, .external_lex_state = 7},
  [307] = {.lex_state = 5, .external_lex_state = 7},
  [308] = {.lex_state = 5, .external_lex_state = 7},
  [309] = {.lex_state = 52, .external_lex_state = 7},
  [310] = {.lex_state = 5, .external_lex_state = 7},
  [311] = {.lex_state = 52, .external_lex_state = 8},
  [312] = {.lex_state = 5, .external_lex_state = 7},
  [313] = {.lex_state = 5, .external_lex_state = 7},
  [314] = {.lex_state = 52, .external_lex_state = 7},
  [315] = {.lex_state = 5, .external_lex_state = 7},
  [316] = {.lex_state = 5, .external_lex_state = 7},
  [317] = {.lex_state = 5, .external_lex_state = 7},
  [318] = {.lex_state = 5, .external_lex_state = 7},
  [319] = {.lex_state = 5, .external_lex_state = 7},
  [320] = {.lex_state = 52, .external_lex_state = 7},
  [321] = {.lex_state = 5, .external_lex_state = 7},
  [322] = {.lex_state = 5, .external_lex_state = 7},
  [323] = {.lex_state = 5, .external_lex_state = 7},
  [324] = {.lex_state = 52, .external_lex_state = 7},
  [325] = {.lex_state = 5, .external_lex_state = 7},
  [326] = {.lex_state = 52, .external_lex_state = 6},
  [327] = {.lex_state = 52, .external_lex_state = 8},
  [328] = {.lex_state = 52, .external_lex_state = 6},
  [329] = {.lex_state = 52, .external_lex_state = 8},
  [330] = {.lex_state = 12, .external_lex_state = 6},
  [331] = {.lex_state = 52, .external_lex_state = 6},
  [332] = {.lex_state = 52, .external_lex_state = 6},
  [333] = {.lex_state = 52, .external_lex_state = 8},
  [334] = {.lex_state = 52, .external_lex_state = 6},
  [335] = {.lex_state = 52, .external_lex_state = 7},
  [336] = {.lex_state = 52, .external_lex_state = 7},
  [337] = {.lex_state = 52, .external_lex_state = 7},
  [338] = {.lex_state = 52, .external_lex_state = 6},
  [339] = {.lex_state = 52, .external_lex_state = 8},
  [340] = {.lex_state = 52, .external_lex_state = 7},
  [341] = {.lex_state = 52, .external_lex_state = 6},
  [342] = {.lex_state = 52, .external_lex_state = 8},
  [343] = {.lex_state = 52, .external_lex_state = 8},
  [344] = {.lex_state = 52, .external_lex_state = 6},
  [345] = {.lex_state = 5, .external_lex_state = 2},
  [346] = {.lex_state = 52, .external_lex_state = 7},
  [347] = {.lex_state = 52, .external_lex_state = 7},
  [348] = {.lex_state = 52, .external_lex_state = 2},
  [349] = {.lex_state = 52, .external_lex_state = 7},
  [350] = {.lex_state = 5, .external_lex_state = 6},
  [351] = {.lex_state = 5, .external_lex_state = 6},
  [352] = {.lex_state = 5, .external_lex_state = 6},
  [353] = {.lex_state = 5, .external_lex_state = 6},
  [354] = {.lex_state = 5, .external_lex_state = 6},
  [355] = {.lex_state = 5, .external_lex_state = 6},
  [356] = {.lex_state = 52, .external_lex_state = 2},
  [357] = {.lex_state = 52, .external_lex_state = 4},
  [358] = {.lex_state = 5, .external_lex_state = 6},
  [359] = {.lex_state = 5, .external_lex_state = 6},
  [360] = {.lex_state = 5, .external_lex_state = 6},
  [361] = {.lex_state = 5, .external_lex_state = 6},
  [362] = {.lex_state = 52, .external_lex_state = 4},
  [363] = {.lex_state = 5, .external_lex_state = 6},
  [364] = {.lex_state = 52, .external_lex_state = 2},
  [365] = {.lex_state = 5, .external_lex_state = 6},
  [366] = {.lex_state = 5, .external_lex_state = 6},
  [367] = {.lex_state = 5, .external_lex_state = 6},
  [368] = {.lex_state = 5, .external_lex_state = 6},
  [369] = {.lex_state = 52, .external_lex_state = 8},
  [370] = {.lex_state = 5, .external_lex_state = 6},
  [371] = {.lex_state = 52, .external_lex_state = 8},
  [372] = {.lex_state = 52, .external_lex_state = 8},
  [373] = {.lex_state = 52, .external_lex_state = 8},
  [374] = {.lex_state = 52, .external_lex_state = 8},
  [375] = {.lex_state = 52, .external_lex_state = 8},
  [376] = {.lex_state = 52, .external_lex_state = 8},
  [377] = {.lex_state = 52, .external_lex_state = 8},
  [378] = {.lex_state = 52, .external_lex_state = 4},
  [379] = {.lex_state = 52, .external_lex_state = 8},
  [380] = {.lex_state = 52, .external_lex_state = 8},
  [381] = {.lex_state = 52, .external_lex_state = 8},
  [382] = {.lex_state = 5, .external_lex_state = 2},
  [383] = {.lex_state = 52, .external_lex_state = 4},
  [384] = {.lex_state = 52, .external_lex_state = 8},
  [385] = {.lex_state = 12, .external_lex_state = 7},
  [386] = {.lex_state = 52, .external_lex_state = 8},
  [387] = {.lex_state = 52, .external_lex_state = 8},
  [388] = {.lex_state = 52, .external_lex_state = 8},
  [389] = {.lex_state = 52, .external_lex_state = 8},
  [390] = {.lex_state = 52, .external_lex_state = 8},
  [391] = {.lex_state = 52, .external_lex_state = 8},
  [392] = {.lex_state = 52, .external_lex_state = 4},
  [393] = {.lex_state = 52, .external_lex_state = 8},
  [394] = {.lex_state = 52, .external_lex_state = 8},
  [395] = {.lex_state = 52, .external_lex_state = 8},
  [396] = {.lex_state = 52, .external_lex_state = 8},
  [397] = {.lex_state = 52, .external_lex_state = 8},
  [398] = {.lex_state = 52, .external_lex_state = 8},
  [399] = {.lex_state = 52, .external_lex_state = 8},
  [400] = {.lex_state = 52, .external_lex_state = 8},
  [401] = {.lex_state = 12, .external_lex_state = 7},
  [402] = {.lex_state = 52, .external_lex_state = 8},
  [403] = {.lex_state = 52, .external_lex_state = 8},
  [404] = {.lex_state = 52, .external_lex_state = 8},
  [405] = {.lex_state = 52, .external_lex_state = 8},
  [406] = {.lex_state = 52, .external_lex_state = 8},
  [407] = {.lex_state = 52, .external_lex_state = 8},
  [408] = {.lex_state = 52, .external_lex_state = 8},
  [409] = {.lex_state = 52, .external_lex_state = 2},
  [410] = {.lex_state = 52, .external_lex_state = 2},
  [411] = {.lex_state = 52, .external_lex_state = 2},
  [412] = {.lex_state = 52, .external_lex_state = 2},
  [413] = {.lex_state = 52, .external_lex_state = 7},
  [414] = {.lex_state = 52, .external_lex_state = 2},
  [415] = {.lex_state = 52, .external_lex_state = 2},
  [416] = {.lex_state = 52, .external_lex_state = 2},
  [417] = {.lex_state = 52, .external_lex_state = 2},
  [418] = {.lex_state = 52, .external_lex_state = 2},
  [419] = {.lex_state = 52, .external_lex_state = 2},
  [420] = {.lex_state = 52, .external_lex_state = 7},
  [421] = {.lex_state = 52, .external_lex_state = 2},
  [422] = {.lex_state = 52, .external_lex_state = 2},
  [423] = {.lex_state = 52, .external_lex_state = 2},
  [424] = {.lex_state = 52, .external_lex_state = 4},
  [425] = {.lex_state = 12, .external_lex_state = 2},
  [426] = {.lex_state = 52, .external_lex_state = 2},
  [427] = {.lex_state = 52, .external_lex_state = 2},
  [428] = {.lex_state = 12, .external_lex_state = 2},
  [429] = {.lex_state = 5, .external_lex_state = 8},
  [430] = {.lex_state = 52, .external_lex_state = 2},
  [431] = {.lex_state = 5, .external_lex_state = 2},
  [432] = {.lex_state = 52, .external_lex_state = 2},
  [433] = {.lex_state = 52, .external_lex_state = 2},
  [434] = {.lex_state = 52, .external_lex_state = 2},
  [435] = {.lex_state = 52, .external_lex_state = 8},
  [436] = {.lex_state = 52, .external_lex_state = 2},
  [437] = {.lex_state = 52, .external_lex_state = 4},
  [438] = {.lex_state = 52, .external_lex_state = 8},
  [439] = {.lex_state = 52, .external_lex_state = 2},
  [440] = {.lex_state = 52, .external_lex_state = 2},
  [441] = {.lex_state = 52, .external_lex_state = 2},
  [442] = {.lex_state = 52, .external_lex_state = 4},
  [443] = {.lex_state = 52, .external_lex_state = 2},
  [444] = {.lex_state = 52, .external_lex_state = 7},
  [445] = {.lex_state = 52, .external_lex_state = 2},
  [446] = {.lex_state = 52, .external_lex_state = 8},
  [447] = {.lex_state = 52, .external_lex_state = 8},
  [448] = {.lex_state = 52, .external_lex_state = 2},
  [449] = {.lex_state = 52, .external_lex_state = 4},
  [450] = {.lex_state = 52, .external_lex_state = 2},
  [451] = {.lex_state = 52, .external_lex_state = 8},
  [452] = {.lex_state = 52, .external_lex_state = 2},
  [453] = {.lex_state = 52, .external_lex_state = 2},
  [454] = {.lex_state = 52, .external_lex_state = 4},
  [455] = {.lex_state = 52, .external_lex_state = 2},
  [456] = {.lex_state = 52, .external_lex_state = 7},
  [457] = {.lex_state = 52, .external_lex_state = 4},
  [458] = {.lex_state = 52, .external_lex_state = 2},
  [459] = {.lex_state = 52, .external_lex_state = 2},
  [460] = {.lex_state = 5, .external_lex_state = 7},
  [461] = {.lex_state = 7, .external_lex_state = 9},
  [462] = {.lex_state = 52, .external_lex_state = 2},
  [463] = {.lex_state = 52, .external_lex_state = 2},
  [464] = {.lex_state = 7, .external_lex_state = 9},
  [465] = {.lex_state = 52, .external_lex_state = 2},
  [466] = {.lex_state = 52, .external_lex_state = 2},
  [467] = {.lex_state = 7, .external_lex_state = 4},
  [468] = {.lex_state = 52, .external_lex_state = 2},
  [469] = {.lex_state = 52, .external_lex_state = 2},
  [470] = {.lex_state = 52, .external_lex_state = 2},
  [471] = {.lex_state = 52, .external_lex_state = 2},
  [472] = {.lex_state = 7, .external_lex_state = 4},
  [473] = {.lex_state = 52, .external_lex_state = 2},
  [474] = {.lex_state = 52, .external_lex_state = 2},
  [475] = {.lex_state = 52, .external_lex_state = 2},
  [476] = {.lex_state = 52, .external_lex_state = 2},
  [477] = {.lex_state = 52, .external_lex_state = 2},
  [478] = {.lex_state = 52, .external_lex_state = 2},
  [479] = {.lex_state = 52, .external_lex_state = 2},
  [480] = {.lex_state = 52, .external_lex_state = 2},
  [481] = {.lex_state = 52, .external_lex_state = 2},
  [482] = {.lex_state = 52, .external_lex_state = 2},
  [483] = {.lex_state = 52, .external_lex_state = 2},
  [484] = {.lex_state = 52, .external_lex_state = 2},
  [485] = {.lex_state = 52, .external_lex_state = 2},
  [486] = {.lex_state = 52, .external_lex_state = 2},
  [487] = {.lex_state = 52, .external_lex_state = 2},
  [488] = {.lex_state = 52, .external_lex_state = 2},
  [489] = {.lex_state = 52, .external_lex_state = 2},
  [490] = {.lex_state = 52, .external_lex_state = 2},
  [491] = {.lex_state = 52, .external_lex_state = 2},
  [492] = {.lex_state = 52, .external_lex_state = 2},
  [493] = {.lex_state = 52, .external_lex_state = 2},
  [494] = {.lex_state = 52, .external_lex_state = 2},
  [495] = {.lex_state = 52, .external_lex_state = 2},
  [496] = {.lex_state = 52, .external_lex_state = 2},
  [497] = {.lex_state = 52, .external_lex_state = 2},
  [498] = {.lex_state = 52, .external_lex_state = 2},
  [499] = {.lex_state = 52, .external_lex_state = 2},
  [500] = {.lex_state = 52, .external_lex_state = 2},
  [501] = {.lex_state = 52, .external_lex_state = 2},
  [502] = {.lex_state = 52, .external_lex_state = 2},
  [503] = {.lex_state = 52, .external_lex_state = 2},
  [504] = {.lex_state = 52, .external_lex_state = 2},
  [505] = {.lex_state = 52, .external_lex_state = 2},
  [506] = {.lex_state = 52, .external_lex_state = 2},
  [507] = {.lex_state = 52, .external_lex_state = 2},
  [508] = {.lex_state = 52, .external_lex_state = 2},
  [509] = {.lex_state = 52, .external_lex_state = 2},
  [510] = {.lex_state = 52, .external_lex_state = 2},
  [511] = {.lex_state = 52, .external_lex_state = 2},
  [512] = {.lex_state = 52, .external_lex_state = 2},
  [513] = {.lex_state = 52, .external_lex_state = 2},
  [514] = {.lex_state = 52, .external_lex_state = 2},
  [515] = {.lex_state = 52, .external_lex_state = 2},
  [516] = {.lex_state = 52, .external_lex_state = 2},
  [517] = {.lex_state = 52, .external_lex_state = 2},
  [518] = {.lex_state = 52, .external_lex_state = 2},
  [519] = {.lex_state = 52, .external_lex_state = 2},
  [520] = {.lex_state = 52, .external_lex_state = 2},
  [521] = {.lex_state = 52, .external_lex_state = 2},
  [522] = {.lex_state = 52, .external_lex_state = 2},
  [523] = {.lex_state = 52, .external_lex_state = 2},
  [524] = {.lex_state = 52, .external_lex_state = 2},
  [525] = {.lex_state = 53, .external_lex_state = 10},
  [526] = {.lex_state = 54, .external_lex_state = 2},
  [527] = {.lex_state = 52, .external_lex_state = 2},
  [528] = {.lex_state = 52, .external_lex_state = 2},
  [529] = {.lex_state = 52, .external_lex_state = 2},
  [530] = {.lex_state = 52, .external_lex_state = 2},
  [531] = {.lex_state = 52, .external_lex_state = 2},
  [532] = {.lex_state = 52, .external_lex_state = 2},
  [533] = {.lex_state = 52, .external_lex_state = 2},
  [534] = {.lex_state = 52, .external_lex_state = 2},
  [535] = {.lex_state = 52, .external_lex_state = 2},
  [536] = {.lex_state = 52, .external_lex_state = 2},
  [537] = {.lex_state = 52, .external_lex_state = 2},
  [538] = {.lex_state = 52, .external_lex_state = 2},
  [539] = {.lex_state = 52, .external_lex_state = 2},
  [540] = {.lex_state = 52, .external_lex_state = 2},
  [541] = {.lex_state = 52, .external_lex_state = 2},
  [542] = {.lex_state = 52, .external_lex_state = 2},
  [543] = {.lex_state = 52, .external_lex_state = 2},
  [544] = {.lex_state = 52, .external_lex_state = 2},
  [545] = {.lex_state = 52, .external_lex_state = 2},
  [546] = {.lex_state = 52, .external_lex_state = 2},
  [547] = {.lex_state = 52, .external_lex_state = 2},
  [548] = {.lex_state = 52, .external_lex_state = 2},
  [549] = {.lex_state = 52, .external_lex_state = 2},
  [550] = {.lex_state = 52, .external_lex_state = 2},
  [551] = {.lex_state = 52, .external_lex_state = 2},
  [552] = {.lex_state = 52, .external_lex_state = 2},
  [553] = {.lex_state = 52, .external_lex_state = 2},
  [554] = {.lex_state = 52, .external_lex_state = 2},
  [555] = {.lex_state = 52, .external_lex_state = 2},
  [556] = {.lex_state = 52, .external_lex_state = 2},
  [557] = {.lex_state = 52, .external_lex_state = 2},
  [558] = {.lex_state = 52, .external_lex_state = 2},
  [559] = {.lex_state = 52, .external_lex_state = 2},
  [560] = {.lex_state = 52, .external_lex_state = 2},
  [561] = {.lex_state = 52, .external_lex_state = 2},
  [562] = {.lex_state = 52, .external_lex_state = 2},
  [563] = {.lex_state = 52, .external_lex_state = 2},
  [564] = {.lex_state = 52, .external_lex_state = 2},
  [565] = {.lex_state = 53, .external_lex_state = 11},
  [566] = {.lex_state = 52, .external_lex_state = 2},
  [567] = {.lex_state = 52, .external_lex_state = 2},
  [568] = {.lex_state = 52, .external_lex_state = 2},
  [569] = {.lex_state = 52, .external_lex_state = 2},
  [570] = {.lex_state = 52, .external_lex_state = 2},
  [571] = {.lex_state = 54, .external_lex_state = 3},
  [572] = {.lex_state = 52, .external_lex_state = 2},
  [573] = {.lex_state = 52, .external_lex_state = 2},
  [574] = {.lex_state = 52, .external_lex_state = 2},
  [575] = {.lex_state = 52, .external_lex_state = 2},
  [576] = {.lex_state = 52, .external_lex_state = 2},
  [577] = {.lex_state = 52, .external_lex_state = 2},
  [578] = {.lex_state = 52, .external_lex_state = 2},
  [579] = {.lex_state = 52, .external_lex_state = 2},
  [580] = {.lex_state = 52, .external_lex_state = 2},
  [581] = {.lex_state = 52, .external_lex_state = 2},
  [582] = {.lex_state = 52, .external_lex_state = 2},
  [583] = {.lex_state = 53, .external_lex_state = 11},
  [584] = {.lex_state = 52, .external_lex_state = 2},
  [585] = {.lex_state = 54, .external_lex_state = 2},
  [586] = {.lex_state = 52, .external_lex_state = 2},
  [587] = {.lex_state = 53, .external_lex_state = 10},
  [588] = {.lex_state = 52, .external_lex_state = 2},
  [589] = {.lex_state = 52, .external_lex_state = 2},
  [590] = {.lex_state = 52, .external_lex_state = 2},
  [591] = {.lex_state = 54, .external_lex_state = 3},
  [592] = {.lex_state = 52, .external_lex_state = 2},
  [593] = {.lex_state = 52, .external_lex_state = 2},
  [594] = {.lex_state = 52, .external_lex_state = 2},
  [595] = {.lex_state = 52, .external_lex_state = 2},
  [596] = {.lex_state = 52, .external_lex_state = 2},
  [597] = {.lex_state = 52, .external_lex_state = 2},
  [598] = {.lex_state = 52, .external_lex_state = 2},
  [599] = {.lex_state = 52, .external_lex_state = 2},
  [600] = {.lex_state = 52, .external_lex_state = 2},
  [601] = {.lex_state = 52, .external_lex_state = 2},
  [602] = {.lex_state = 52, .external_lex_state = 2},
  [603] = {.lex_state = 52, .external_lex_state = 2},
  [604] = {.lex_state = 52, .external_lex_state = 2},
  [605] = {.lex_state = 52, .external_lex_state = 2},
  [606] = {.lex_state = 52, .external_lex_state = 2},
  [607] = {.lex_state = 52, .external_lex_state = 2},
  [608] = {.lex_state = 52, .external_lex_state = 2},
  [609] = {.lex_state = 7, .external_lex_state = 9},
  [610] = {.lex_state = 53, .external_lex_state = 10},
  [611] = {.lex_state = 53, .external_lex_state = 11},
  [612] = {.lex_state = 7, .external_lex_state = 9},
  [613] = {.lex_state = 52, .external_lex_state = 2},
  [614] = {.lex_state = 52, .external_lex_state = 2},
  [615] = {.lex_state = 7, .external_lex_state = 9},
  [616] = {.lex_state = 54, .external_lex_state = 2},
  [617] = {.lex_state = 52, .external_lex_state = 3},
  [618] = {.lex_state = 52, .external_lex_state = 2},
  [619] = {.lex_state = 7, .external_lex_state = 9},
  [620] = {.lex_state = 54, .external_lex_state = 3},
  [621] = {.lex_state = 7, .external_lex_state = 9},
  [622] = {.lex_state = 52, .external_lex_state = 3},
  [623] = {.lex_state = 52, .external_lex_state = 3},
  [624] = {.lex_state = 7, .external_lex_state = 9},
  [625] = {.lex_state = 52, .external_lex_state = 2},
  [626] = {.lex_state = 52, .external_lex_state = 3},
  [627] = {.lex_state = 8, .external_lex_state = 9},
  [628] = {.lex_state = 52, .external_lex_state = 2},
  [629] = {.lex_state = 8, .external_lex_state = 9},
  [630] = {.lex_state = 8, .external_lex_state = 9},
  [631] = {.lex_state = 8, .external_lex_state = 9},
  [632] = {.lex_state = 8, .external_lex_state = 9},
  [633] = {.lex_state = 8, .external_lex_state = 9},
  [634] = {.lex_state = 8, .external_lex_state = 9},
  [635] = {.lex_state = 8, .external_lex_state = 9},
  [636] = {.lex_state = 8, .external_lex_state = 9},
  [637] = {.lex_state = 52, .external_lex_state = 3},
  [638] = {.lex_state = 8, .external_lex_state = 9},
  [639] = {.lex_state = 8, .external_lex_state = 9},
  [640] = {.lex_state = 8, .external_lex_state = 9},
  [641] = {.lex_state = 8, .external_lex_state = 9},
  [642] = {.lex_state = 8, .external_lex_state = 9},
  [643] = {.lex_state = 8, .external_lex_state = 9},
  [644] = {.lex_state = 8, .external_lex_state = 9},
  [645] = {.lex_state = 8, .external_lex_state = 9},
  [646] = {.lex_state = 8, .external_lex_state = 9},
  [647] = {.lex_state = 8, .external_lex_state = 9},
  [648] = {.lex_state = 52, .external_lex_state = 2},
  [649] = {.lex_state = 53, .external_lex_state = 10},
  [650] = {.lex_state = 53, .external_lex_state = 10},
  [651] = {.lex_state = 52, .external_lex_state = 6},
  [652] = {.lex_state = 52, .external_lex_state = 3},
  [653] = {.lex_state = 53, .external_lex_state = 11},
  [654] = {.lex_state = 53, .external_lex_state = 11},
  [655] = {.lex_state = 54, .external_lex_state = 3},
  [656] = {.lex_state = 54, .external_lex_state = 2},
  [657] = {.lex_state = 53, .external_lex_state = 10},
  [658] = {.lex_state = 54, .external_lex_state = 2},
  [659] = {.lex_state = 54, .external_lex_state = 3},
  [660] = {.lex_state = 54, .external_lex_state = 2},
  [661] = {.lex_state = 52, .external_lex_state = 6},
  [662] = {.lex_state = 52, .external_lex_state = 3},
  [663] = {.lex_state = 54, .external_lex_state = 3},
  [664] = {.lex_state = 53, .external_lex_state = 11},
  [665] = {.lex_state = 54, .external_lex_state = 3},
  [666] = {.lex_state = 54, .external_lex_state = 2},
  [667] = {.lex_state = 53, .external_lex_state = 10},
  [668] = {.lex_state = 52, .external_lex_state = 2},
  [669] = {.lex_state = 54, .external_lex_state = 3},
  [670] = {.lex_state = 52, .external_lex_state = 3},
  [671] = {.lex_state = 53, .external_lex_state = 10},
  [672] = {.lex_state = 52, .external_lex_state = 3},
  [673] = {.lex_state = 53, .external_lex_state = 11},
  [674] = {.lex_state = 54, .external_lex_state = 2},
  [675] = {.lex_state = 54, .external_lex_state = 3},
  [676] = {.lex_state = 53, .external_lex_state = 10},
  [677] = {.lex_state = 53, .external_lex_state = 10},
  [678] = {.lex_state = 54, .external_lex_state = 3},
  [679] = {.lex_state = 54, .external_lex_state = 2},
  [680] = {.lex_state = 54, .external_lex_state = 2},
  [681] = {.lex_state = 52, .external_lex_state = 3},
  [682] = {.lex_state = 53, .external_lex_state = 11},
  [683] = {.lex_state = 52, .external_lex_state = 2},
  [684] = {.lex_state = 53, .external_lex_state = 11},
  [685] = {.lex_state = 53, .external_lex_state = 10},
  [686] = {.lex_state = 53, .external_lex_state = 11},
  [687] = {.lex_state = 54, .external_lex_state = 2},
  [688] = {.lex_state = 52, .external_lex_state = 2},
  [689] = {.lex_state = 54, .external_lex_state = 3},
  [690] = {.lex_state = 54, .external_lex_state = 3},
  [691] = {.lex_state = 53, .external_lex_state = 10},
  [692] = {.lex_state = 53, .external_lex_state = 11},
  [693] = {.lex_state = 52, .external_lex_state = 2},
  [694] = {.lex_state = 53, .external_lex_state = 10},
  [695] = {.lex_state = 53, .external_lex_state = 11},
  [696] = {.lex_state = 53, .external_lex_state = 11},
  [697] = {.lex_state = 54, .external_lex_state = 2},
  [698] = {.lex_state = 53, .external_lex_state = 11},
  [699] = {.lex_state = 53, .external_lex_state = 10},
  [700] = {.lex_state = 52, .external_lex_state = 2},
  [701] = {.lex_state = 52, .external_lex_state = 3},
  [702] = {.lex_state = 52, .external_lex_state = 2},
  [703] = {.lex_state = 52, .external_lex_state = 3},
  [704] = {.lex_state = 52, .external_lex_state = 2},
  [705] = {.lex_state = 52, .external_lex_state = 2},
  [706] = {.lex_state = 52, .external_lex_state = 2},
  [707] = {.lex_state = 52, .external_lex_state = 2},
  [708] = {.lex_state = 52, .external_lex_state = 3},
  [709] = {.lex_state = 52, .external_lex_state = 2},
  [710] = {.lex_state = 52, .external_lex_state = 2},
  [711] = {.lex_state = 52, .external_lex_state = 3},
  [712] = {.lex_state = 52, .external_lex_state = 3},
  [713] = {.lex_state = 52, .external_lex_state = 2},
  [714] = {.lex_state = 52, .external_lex_state = 3},
  [715] = {.lex_state = 52, .external_lex_state = 3},
  [716] = {.lex_state = 52, .external_lex_state = 3},
  [717] = {.lex_state = 52, .external_lex_state = 2},
  [718] = {.lex_state = 52, .external_lex_state = 3},
  [719] = {.lex_state = 52, .external_lex_state = 2},
  [720] = {.lex_state = 52, .external_lex_state = 3},
  [721] = {.lex_state = 52, .external_lex_state = 3},
  [722] = {.lex_state = 52, .external_lex_state = 3},
  [723] = {.lex_state = 52, .external_lex_state = 2},
  [724] = {.lex_state = 52, .external_lex_state = 3},
  [725] = {.lex_state = 52, .external_lex_state = 2},
  [726] = {.lex_state = 52, .external_lex_state = 7},
  [727] = {.lex_state = 52, .external_lex_state = 7},
  [728] = {.lex_state = 52, .external_lex_state = 2},
  [729] = {.lex_state = 52, .external_lex_state = 3},
  [730] = {.lex_state = 52, .external_lex_state = 3},
  [731] = {.lex_state = 52, .external_lex_state = 3},
  [732] = {.lex_state = 52, .external_lex_state = 3},
  [733] = {.lex_state = 52, .external_lex_state = 2},
  [734] = {.lex_state = 52, .external_lex_state = 2},
  [735] = {.lex_state = 52, .external_lex_state = 3},
  [736] = {.lex_state = 52, .external_lex_state = 3},
  [737] = {.lex_state = 52, .external_lex_state = 3},
  [738] = {.lex_state = 52, .external_lex_state = 3},
  [739] = {.lex_state = 52, .external_lex_state = 8},
  [740] = {.lex_state = 52, .external_lex_state = 3},
  [741] = {.lex_state = 52, .external_lex_state = 2},
  [742] = {.lex_state = 52, .external_lex_state = 2},
  [743] = {.lex_state = 52, .external_lex_state = 3},
  [744] = {.lex_state = 52, .external_lex_state = 2},
  [745] = {.lex_state = 52, .external_lex_state = 2},
  [746] = {.lex_state = 52, .external_lex_state = 3},
  [747] = {.lex_state = 52, .external_lex_state = 3},
  [748] = {.lex_state = 52, .external_lex_state = 2},
  [749] = {.lex_state = 52, .external_lex_state = 2},
  [750] = {.lex_state = 52, .external_lex_state = 2},
  [751] = {.lex_state = 52, .external_lex_state = 2},
  [752] = {.lex_state = 52, .external_lex_state = 2},
  [753] = {.lex_state = 52, .external_lex_state = 2},
  [754] = {.lex_state = 52, .external_lex_state = 3},
  [755] = {.lex_state = 52, .external_lex_state = 2},
  [756] = {.lex_state = 52, .external_lex_state = 2},
  [757] = {.lex_state = 52, .external_lex_state = 2},
  [758] = {.lex_state = 52, .external_lex_state = 3},
  [759] = {.lex_state = 52, .external_lex_state = 2},
  [760] = {.lex_state = 52, .external_lex_state = 2},
  [761] = {.lex_state = 52, .external_lex_state = 2},
  [762] = {.lex_state = 52, .external_lex_state = 2},
  [763] = {.lex_state = 52, .external_lex_state = 3},
  [764] = {.lex_state = 52, .external_lex_state = 2},
  [765] = {.lex_state = 52, .external_lex_state = 7},
  [766] = {.lex_state = 52, .external_lex_state = 7},
  [767] = {.lex_state = 52, .external_lex_state = 3},
  [768] = {.lex_state = 52, .external_lex_state = 2},
  [769] = {.lex_state = 52, .external_lex_state = 2},
  [770] = {.lex_state = 52, .external_lex_state = 2},
  [771] = {.lex_state = 52, .external_lex_state = 3},
  [772] = {.lex_state = 52, .external_lex_state = 3},
  [773] = {.lex_state = 52, .external_lex_state = 3},
  [774] = {.lex_state = 52, .external_lex_state = 3},
  [775] = {.lex_state = 52, .external_lex_state = 2},
  [776] = {.lex_state = 52, .external_lex_state = 3},
  [777] = {.lex_state = 52, .external_lex_state = 2},
  [778] = {.lex_state = 52, .external_lex_state = 2},
  [779] = {.lex_state = 52, .external_lex_state = 3},
  [780] = {.lex_state = 52, .external_lex_state = 2},
  [781] = {.lex_state = 52, .external_lex_state = 3},
  [782] = {.lex_state = 52, .external_lex_state = 3},
  [783] = {.lex_state = 52, .external_lex_state = 2},
  [784] = {.lex_state = 52, .external_lex_state = 3},
  [785] = {.lex_state = 52, .external_lex_state = 3},
  [786] = {.lex_state = 52, .external_lex_state = 2},
  [787] = {.lex_state = 52, .external_lex_state = 2},
  [788] = {.lex_state = 52, .external_lex_state = 3},
  [789] = {.lex_state = 52, .external_lex_state = 3},
  [790] = {.lex_state = 52, .external_lex_state = 3},
  [791] = {.lex_state = 52, .external_lex_state = 2},
  [792] = {.lex_state = 52, .external_lex_state = 3},
  [793] = {.lex_state = 52, .external_lex_state = 2},
  [794] = {.lex_state = 52, .external_lex_state = 2},
  [795] = {.lex_state = 52, .external_lex_state = 3},
  [796] = {.lex_state = 52, .external_lex_state = 2},
  [797] = {.lex_state = 52, .external_lex_state = 2},
  [798] = {.lex_state = 52, .external_lex_state = 2},
  [799] = {.lex_state = 52, .external_lex_state = 2},
  [800] = {.lex_state = 52, .external_lex_state = 2},
  [801] = {.lex_state = 52, .external_lex_state = 2},
  [802] = {.lex_state = 52, .external_lex_state = 2},
  [803] = {.lex_state = 52, .external_lex_state = 3},
  [804] = {.lex_state = 52, .external_lex_state = 2},
  [805] = {.lex_state = 52, .external_lex_state = 3},
  [806] = {.lex_state = 52, .external_lex_state = 3},
  [807] = {.lex_state = 52, .external_lex_state = 3},
  [808] = {.lex_state = 52, .external_lex_state = 2},
  [809] = {.lex_state = 52, .external_lex_state = 3},
  [810] = {.lex_state = 52, .external_lex_state = 2},
  [811] = {.lex_state = 52, .external_lex_state = 2},
  [812] = {.lex_state = 52, .external_lex_state = 3},
  [813] = {.lex_state = 52, .external_lex_state = 3},
  [814] = {.lex_state = 52, .external_lex_state = 3},
  [815] = {.lex_state = 52, .external_lex_state = 3},
  [816] = {.lex_state = 52, .external_lex_state = 3},
  [817] = {.lex_state = 52, .external_lex_state = 2},
  [818] = {.lex_state = 52, .external_lex_state = 2},
  [819] = {.lex_state = 52, .external_lex_state = 2},
  [820] = {.lex_state = 52, .external_lex_state = 2},
  [821] = {.lex_state = 52, .external_lex_state = 3},
  [822] = {.lex_state = 52, .external_lex_state = 2},
  [823] = {.lex_state = 52, .external_lex_state = 2},
  [824] = {.lex_state = 52, .external_lex_state = 3},
  [825] = {.lex_state = 52, .external_lex_state = 3},
  [826] = {.lex_state = 52, .external_lex_state = 2},
  [827] = {.lex_state = 52, .external_lex_state = 2},
  [828] = {.lex_state = 52, .external_lex_state = 2},
  [829] = {.lex_state = 52, .external_lex_state = 2},
  [830] = {.lex_state = 52, .external_lex_state = 2},
  [831] = {.lex_state = 52, .external_lex_state = 2},
  [832] = {.lex_state = 52, .external_lex_state = 3},
  [833] = {.lex_state = 52, .external_lex_state = 3},
  [834] = {.lex_state = 52, .external_lex_state = 2},
  [835] = {.lex_state = 52, .external_lex_state = 2},
  [836] = {.lex_state = 52, .external_lex_state = 2},
  [837] = {.lex_state = 52, .external_lex_state = 3},
  [838] = {.lex_state = 52, .external_lex_state = 2},
  [839] = {.lex_state = 52, .external_lex_state = 3},
  [840] = {.lex_state = 52, .external_lex_state = 3},
  [841] = {.lex_state = 52, .external_lex_state = 2},
  [842] = {.lex_state = 52, .external_lex_state = 3},
  [843] = {.lex_state = 52, .external_lex_state = 3},
  [844] = {.lex_state = 52, .external_lex_state = 2},
  [845] = {.lex_state = 52, .external_lex_state = 2},
  [846] = {.lex_state = 52, .external_lex_state = 2},
  [847] = {.lex_state = 52, .external_lex_state = 8},
  [848] = {.lex_state = 52, .external_lex_state = 3},
  [849] = {.lex_state = 52, .external_lex_state = 3},
  [850] = {.lex_state = 52, .external_lex_state = 3},
  [851] = {.lex_state = 52, .external_lex_state = 2},
  [852] = {.lex_state = 52, .external_lex_state = 2},
  [853] = {.lex_state = 52, .external_lex_state = 2},
  [854] = {.lex_state = 52, .external_lex_state = 2},
  [855] = {.lex_state = 52, .external_lex_state = 2},
  [856] = {.lex_state = 52, .external_lex_state = 2},
  [857] = {.lex_state = 52, .external_lex_state = 2},
  [858] = {.lex_state = 52, .external_lex_state = 2},
  [859] = {.lex_state = 52, .external_lex_state = 7},
  [860] = {.lex_state = 13, .external_lex_state = 9},
  [861] = {.lex_state = 52, .external_lex_state = 2},
  [862] = {.lex_state = 52, .external_lex_state = 2},
  [863] = {.lex_state = 52, .external_lex_state = 2},
  [864] = {.lex_state = 52, .external_lex_state = 2},
  [865] = {.lex_state = 52, .external_lex_state = 2},
  [866] = {.lex_state = 52, .external_lex_state = 2},
  [867] = {.lex_state = 52, .external_lex_state = 2},
  [868] = {.lex_state = 52, .external_lex_state = 2},
  [869] = {.lex_state = 52, .external_lex_state = 2},
  [870] = {.lex_state = 52, .external_lex_state = 2},
  [871] = {.lex_state = 52, .external_lex_state = 2},
  [872] = {.lex_state = 52, .external_lex_state = 2},
  [873] = {.lex_state = 52, .external_lex_state = 2},
  [874] = {.lex_state = 52, .external_lex_state = 2},
  [875] = {.lex_state = 52, .external_lex_state = 2},
  [876] = {.lex_state = 52, .external_lex_state = 2},
  [877] = {.lex_state = 52, .external_lex_state = 2},
  [878] = {.lex_state = 52, .external_lex_state = 2},
  [879] = {.lex_state = 52, .external_lex_state = 2},
  [880] = {.lex_state = 52, .external_lex_state = 2},
  [881] = {.lex_state = 52, .external_lex_state = 2},
  [882] = {.lex_state = 52, .external_lex_state = 2},
  [883] = {.lex_state = 52, .external_lex_state = 2},
  [884] = {.lex_state = 52, .external_lex_state = 2},
  [885] = {.lex_state = 52, .external_lex_state = 2},
  [886] = {.lex_state = 52, .external_lex_state = 2},
  [887] = {.lex_state = 52, .external_lex_state = 2},
  [888] = {.lex_state = 52, .external_lex_state = 2},
  [889] = {.lex_state = 52, .external_lex_state = 2},
  [890] = {.lex_state = 52, .external_lex_state = 2},
  [891] = {.lex_state = 52, .external_lex_state = 2},
  [892] = {.lex_state = 52, .external_lex_state = 2},
  [893] = {.lex_state = 52, .external_lex_state = 2},
  [894] = {.lex_state = 52, .external_lex_state = 2},
  [895] = {.lex_state = 52, .external_lex_state = 2},
  [896] = {.lex_state = 52, .external_lex_state = 2},
  [897] = {.lex_state = 52, .external_lex_state = 2},
  [898] = {.lex_state = 52, .external_lex_state = 2},
  [899] = {.lex_state = 52, .external_lex_state = 2},
  [900] = {.lex_state = 52, .external_lex_state = 2},
  [901] = {.lex_state = 52, .external_lex_state = 2},
  [902] = {.lex_state = 52, .external_lex_state = 2},
  [903] = {.lex_state = 52, .external_lex_state = 2},
  [904] = {.lex_state = 13, .external_lex_state = 12},
  [905] = {.lex_state = 52, .external_lex_state = 2},
  [906] = {.lex_state = 52, .external_lex_state = 2},
  [907] = {.lex_state = 52, .external_lex_state = 2},
  [908] = {.lex_state = 52, .external_lex_state = 2},
  [909] = {.lex_state = 52, .external_lex_state = 2},
  [910] = {.lex_state = 52, .external_lex_state = 2},
  [911] = {.lex_state = 52, .external_lex_state = 2},
  [912] = {.lex_state = 52, .external_lex_state = 2},
  [913] = {.lex_state = 52, .external_lex_state = 2},
  [914] = {.lex_state = 52, .external_lex_state = 2},
  [915] = {.lex_state = 52, .external_lex_state = 2},
  [916] = {.lex_state = 52, .external_lex_state = 2},
  [917] = {.lex_state = 52, .external_lex_state = 2},
  [918] = {.lex_state = 52, .external_lex_state = 2},
  [919] = {.lex_state = 52, .external_lex_state = 2},
  [920] = {.lex_state = 52, .external_lex_state = 2},
  [921] = {.lex_state = 52, .external_lex_state = 2},
  [922] = {.lex_state = 52, .external_lex_state = 2},
  [923] = {.lex_state = 52, .external_lex_state = 2},
  [924] = {.lex_state = 52, .external_lex_state = 2},
  [925] = {.lex_state = 52, .external_lex_state = 2},
  [926] = {.lex_state = 52, .external_lex_state = 2},
  [927] = {.lex_state = 52, .external_lex_state = 2},
  [928] = {.lex_state = 52, .external_lex_state = 2},
  [929] = {.lex_state = 52, .external_lex_state = 2},
  [930] = {.lex_state = 52, .external_lex_state = 2},
  [931] = {.lex_state = 52, .external_lex_state = 2},
  [932] = {.lex_state = 52, .external_lex_state = 2},
  [933] = {.lex_state = 52, .external_lex_state = 2},
  [934] = {.lex_state = 52, .external_lex_state = 2},
  [935] = {.lex_state = 52, .external_lex_state = 2},
  [936] = {.lex_state = 52, .external_lex_state = 2},
  [937] = {.lex_state = 52, .external_lex_state = 2},
  [938] = {.lex_state = 52, .external_lex_state = 2},
  [939] = {.lex_state = 52, .external_lex_state = 2},
  [940] = {.lex_state = 52, .external_lex_state = 2},
  [941] = {.lex_state = 52, .external_lex_state = 2},
  [942] = {.lex_state = 52, .external_lex_state = 2},
  [943] = {.lex_state = 52, .external_lex_state = 2},
  [944] = {.lex_state = 52, .external_lex_state = 2},
  [945] = {.lex_state = 52, .external_lex_state = 2},
  [946] = {.lex_state = 13, .external_lex_state = 12},
  [947] = {.lex_state = 52, .external_lex_state = 2},
  [948] = {.lex_state = 52, .external_lex_state = 2},
  [949] = {.lex_state = 52, .external_lex_state = 2},
  [950] = {.lex_state = 52, .external_lex_state = 2},
  [951] = {.lex_state = 52, .external_lex_state = 2},
  [952] = {.lex_state = 52, .external_lex_state = 2},
  [953] = {.lex_state = 52, .external_lex_state = 2},
  [954] = {.lex_state = 52, .external_lex_state = 2},
  [955] = {.lex_state = 52, .external_lex_state = 2},
  [956] = {.lex_state = 52, .external_lex_state = 2},
  [957] = {.lex_state = 52, .external_lex_state = 2},
  [958] = {.lex_state = 52, .external_lex_state = 2},
  [959] = {.lex_state = 52, .external_lex_state = 2},
  [960] = {.lex_state = 52, .external_lex_state = 2},
  [961] = {.lex_state = 52, .external_lex_state = 2},
  [962] = {.lex_state = 52, .external_lex_state = 2},
  [963] = {.lex_state = 13, .external_lex_state = 13},
  [964] = {.lex_state = 13, .external_lex_state = 14},
  [965] = {.lex_state = 13, .external_lex_state = 13},
  [966] = {.lex_state = 13, .external_lex_state = 4},
  [967] = {.lex_state = 13, .external_lex_state = 4},
  [968] = {.lex_state = 13, .external_lex_state = 15},
  [969] = {.lex_state = 13, .external_lex_state = 4},
  [970] = {.lex_state = 13, .external_lex_state = 9},
  [971] = {.lex_state = 13, .external_lex_state = 9},
  [972] = {.lex_state = 13, .external_lex_state = 9},
  [973] = {.lex_state = 13, .external_lex_state = 6},
  [974] = {.lex_state = 13, .external_lex_state = 9},
  [975] = {.lex_state = 13, .external_lex_state = 9},
  [976] = {.lex_state = 13, .external_lex_state = 9},
  [977] = {.lex_state = 13, .external_lex_state = 9},
  [978] = {.lex_state = 13, .external_lex_state = 9},
  [979] = {.lex_state = 13, .external_lex_state = 14},
  [980] = {.lex_state = 13, .external_lex_state = 6},
  [981] = {.lex_state = 13, .external_lex_state = 6},
  [982] = {.lex_state = 13, .external_lex_state = 6},
  [983] = {.lex_state = 13, .external_lex_state = 6},
  [984] = {.lex_state = 13, .external_lex_state = 9},
  [985] = {.lex_state = 13, .external_lex_state = 9},
  [986] = {.lex_state = 13, .external_lex_state = 6},
  [987] = {.lex_state = 13, .external_lex_state = 9},
  [988] = {.lex_state = 13, .external_lex_state = 7},
  [989] = {.lex_state = 13, .external_lex_state = 12},
  [990] = {.lex_state = 13, .external_lex_state = 12},
  [991] = {.lex_state = 13, .external_lex_state = 13},
  [992] = {.lex_state = 13, .external_lex_state = 12},
  [993] = {.lex_state = 13, .external_lex_state = 12},
  [994] = {.lex_state = 13, .external_lex_state = 12},
  [995] = {.lex_state = 13, .external_lex_state = 2},
  [996] = {.lex_state = 13, .external_lex_state = 12},
  [997] = {.lex_state = 13, .external_lex_state = 12},
  [998] = {.lex_state = 13, .external_lex_state = 12},
  [999] = {.lex_state = 13, .external_lex_state = 12},
  [1000] = {.lex_state = 13, .external_lex_state = 12},
  [1001] = {.lex_state = 13, .external_lex_state = 12},
  [1002] = {.lex_state = 13, .external_lex_state = 12},
  [1003] = {.lex_state = 13, .external_lex_state = 7},
  [1004] = {.lex_state = 13, .external_lex_state = 4},
  [1005] = {.lex_state = 13, .external_lex_state = 12},
  [1006] = {.lex_state = 14, .external_lex_state = 9},
  [1007] = {.lex_state = 13, .external_lex_state = 7},
  [1008] = {.lex_state = 14, .external_lex_state = 9},
  [1009] = {.lex_state = 14, .external_lex_state = 9},
  [1010] = {.lex_state = 13, .external_lex_state = 12},
  [1011] = {.lex_state = 13, .external_lex_state = 8},
  [1012] = {.lex_state = 13, .external_lex_state = 8},
  [1013] = {.lex_state = 13, .external_lex_state = 12},
  [1014] = {.lex_state = 13, .external_lex_state = 12},
  [1015] = {.lex_state = 13, .external_lex_state = 12},
  [1016] = {.lex_state = 13, .external_lex_state = 12},
  [1017] = {.lex_state = 13, .external_lex_state = 12},
  [1018] = {.lex_state = 13, .external_lex_state = 12},
  [1019] = {.lex_state = 13, .external_lex_state = 12},
  [1020] = {.lex_state = 13, .external_lex_state = 12},
  [1021] = {.lex_state = 13, .external_lex_state = 12},
  [1022] = {.lex_state = 13, .external_lex_state = 8},
  [1023] = {.lex_state = 13, .external_lex_state = 12},
  [1024] = {.lex_state = 13, .external_lex_state = 7},
  [1025] = {.lex_state = 13, .external_lex_state = 7},
  [1026] = {.lex_state = 13, .external_lex_state = 7},
  [1027] = {.lex_state = 13, .external_lex_state = 4},
  [1028] = {.lex_state = 13, .external_lex_state = 14},
  [1029] = {.lex_state = 13, .external_lex_state = 12},
  [1030] = {.lex_state = 13, .external_lex_state = 12},
  [1031] = {.lex_state = 13, .external_lex_state = 2},
  [1032] = {.lex_state = 13, .external_lex_state = 12},
  [1033] = {.lex_state = 13, .external_lex_state = 2},
  [1034] = {.lex_state = 13, .external_lex_state = 12},
  [1035] = {.lex_state = 13, .external_lex_state = 9},
  [1036] = {.lex_state = 13, .external_lex_state = 13},
  [1037] = {.lex_state = 13, .external_lex_state = 15},
  [1038] = {.lex_state = 13, .external_lex_state = 15},
  [1039] = {.lex_state = 13, .external_lex_state = 15},
  [1040] = {.lex_state = 14, .external_lex_state = 12},
  [1041] = {.lex_state = 14, .external_lex_state = 12},
  [1042] = {.lex_state = 14, .external_lex_state = 12},
  [1043] = {.lex_state = 13, .external_lex_state = 15},
  [1044] = {.lex_state = 13, .external_lex_state = 15},
  [1045] = {.lex_state = 13, .external_lex_state = 9},
  [1046] = {.lex_state = 13, .external_lex_state = 9},
  [1047] = {.lex_state = 13, .external_lex_state = 9},
  [1048] = {.lex_state = 13, .external_lex_state = 9},
  [1049] = {.lex_state = 14, .external_lex_state = 12},
  [1050] = {.lex_state = 13, .external_lex_state = 6},
  [1051] = {.lex_state = 14, .external_lex_state = 12},
  [1052] = {.lex_state = 14, .external_lex_state = 13},
  [1053] = {.lex_state = 13, .external_lex_state = 9},
  [1054] = {.lex_state = 13, .external_lex_state = 8},
  [1055] = {.lex_state = 13, .external_lex_state = 9},
  [1056] = {.lex_state = 13, .external_lex_state = 9},
  [1057] = {.lex_state = 13, .external_lex_state = 9},
  [1058] = {.lex_state = 13, .external_lex_state = 9},
  [1059] = {.lex_state = 13, .external_lex_state = 9},
  [1060] = {.lex_state = 13, .external_lex_state = 9},
  [1061] = {.lex_state = 13, .external_lex_state = 9},
  [1062] = {.lex_state = 13, .external_lex_state = 9},
  [1063] = {.lex_state = 13, .external_lex_state = 9},
  [1064] = {.lex_state = 14, .external_lex_state = 12},
  [1065] = {.lex_state = 13, .external_lex_state = 9},
  [1066] = {.lex_state = 13, .external_lex_state = 9},
  [1067] = {.lex_state = 14, .external_lex_state = 12},
  [1068] = {.lex_state = 14, .external_lex_state = 12},
  [1069] = {.lex_state = 13, .external_lex_state = 8},
  [1070] = {.lex_state = 13, .external_lex_state = 9},
  [1071] = {.lex_state = 13, .external_lex_state = 9},
  [1072] = {.lex_state = 13, .external_lex_state = 15},
  [1073] = {.lex_state = 13, .external_lex_state = 9},
  [1074] = {.lex_state = 13, .external_lex_state = 9},
  [1075] = {.lex_state = 13, .external_lex_state = 15},
  [1076] = {.lex_state = 13, .external_lex_state = 6},
  [1077] = {.lex_state = 14, .external_lex_state = 12},
  [1078] = {.lex_state = 14, .external_lex_state = 13},
  [1079] = {.lex_state = 13, .external_lex_state = 13},
  [1080] = {.lex_state = 13, .external_lex_state = 13},
  [1081] = {.lex_state = 14, .external_lex_state = 12},
  [1082] = {.lex_state = 13, .external_lex_state = 9},
  [1083] = {.lex_state = 13, .external_lex_state = 9},
  [1084] = {.lex_state = 13, .external_lex_state = 15},
  [1085] = {.lex_state = 13, .external_lex_state = 9},
  [1086] = {.lex_state = 13, .external_lex_state = 13},
  [1087] = {.lex_state = 13, .external_lex_state = 13},
  [1088] = {.lex_state = 13, .external_lex_state = 13},
  [1089] = {.lex_state = 13, .external_lex_state = 13},
  [1090] = {.lex_state = 13, .external_lex_state = 13},
  [1091] = {.lex_state = 13, .external_lex_state = 13},
  [1092] = {.lex_state = 13, .external_lex_state = 13},
  [1093] = {.lex_state = 13, .external_lex_state = 13},
  [1094] = {.lex_state = 13, .external_lex_state = 13},
  [1095] = {.lex_state = 13, .external_lex_state = 13},
  [1096] = {.lex_state = 13, .external_lex_state = 15},
  [1097] = {.lex_state = 13, .external_lex_state = 9},
  [1098] = {.lex_state = 13, .external_lex_state = 13},
  [1099] = {.lex_state = 13, .external_lex_state = 13},
  [1100] = {.lex_state = 14, .external_lex_state = 9},
  [1101] = {.lex_state = 13, .external_lex_state = 9},
  [1102] = {.lex_state = 13, .external_lex_state = 13},
  [1103] = {.lex_state = 13, .external_lex_state = 13},
  [1104] = {.lex_state = 13, .external_lex_state = 9},
  [1105] = {.lex_state = 13, .external_lex_state = 6},
  [1106] = {.lex_state = 13, .external_lex_state = 9},
  [1107] = {.lex_state = 13, .external_lex_state = 15},
  [1108] = {.lex_state = 13, .external_lex_state = 14},
  [1109] = {.lex_state = 13, .external_lex_state = 14},
  [1110] = {.lex_state = 14, .external_lex_state = 13},
  [1111] = {.lex_state = 13, .external_lex_state = 14},
  [1112] = {.lex_state = 13, .external_lex_state = 14},
  [1113] = {.lex_state = 13, .external_lex_state = 14},
  [1114] = {.lex_state = 13, .external_lex_state = 14},
  [1115] = {.lex_state = 13, .external_lex_state = 14},
  [1116] = {.lex_state = 13, .external_lex_state = 14},
  [1117] = {.lex_state = 13, .external_lex_state = 14},
  [1118] = {.lex_state = 13, .external_lex_state = 9},
  [1119] = {.lex_state = 13, .external_lex_state = 8},
  [1120] = {.lex_state = 13, .external_lex_state = 9},
  [1121] = {.lex_state = 13, .external_lex_state = 14},
  [1122] = {.lex_state = 14, .external_lex_state = 12},
  [1123] = {.lex_state = 13, .external_lex_state = 9},
  [1124] = {.lex_state = 13, .external_lex_state = 13},
  [1125] = {.lex_state = 13, .external_lex_state = 13},
  [1126] = {.lex_state = 13, .external_lex_state = 13},
  [1127] = {.lex_state = 13, .external_lex_state = 6},
  [1128] = {.lex_state = 14, .external_lex_state = 13},
  [1129] = {.lex_state = 13, .external_lex_state = 9},
  [1130] = {.lex_state = 13, .external_lex_state = 9},
  [1131] = {.lex_state = 13, .external_lex_state = 9},
  [1132] = {.lex_state = 13, .external_lex_state = 9},
  [1133] = {.lex_state = 14, .external_lex_state = 12},
  [1134] = {.lex_state = 13, .external_lex_state = 9},
  [1135] = {.lex_state = 13, .external_lex_state = 12},
  [1136] = {.lex_state = 13, .external_lex_state = 12},
  [1137] = {.lex_state = 13, .external_lex_state = 12},
  [1138] = {.lex_state = 14, .external_lex_state = 13},
  [1139] = {.lex_state = 13, .external_lex_state = 12},
  [1140] = {.lex_state = 13, .external_lex_state = 7},
  [1141] = {.lex_state = 13, .external_lex_state = 12},
  [1142] = {.lex_state = 13, .external_lex_state = 12},
  [1143] = {.lex_state = 13, .external_lex_state = 12},
  [1144] = {.lex_state = 14, .external_lex_state = 14},
  [1145] = {.lex_state = 14, .external_lex_state = 14},
  [1146] = {.lex_state = 13, .external_lex_state = 12},
  [1147] = {.lex_state = 13, .external_lex_state = 12},
  [1148] = {.lex_state = 13, .external_lex_state = 12},
  [1149] = {.lex_state = 13, .external_lex_state = 12},
  [1150] = {.lex_state = 14, .external_lex_state = 15},
  [1151] = {.lex_state = 14, .external_lex_state = 13},
  [1152] = {.lex_state = 14, .external_lex_state = 13},
  [1153] = {.lex_state = 14, .external_lex_state = 13},
  [1154] = {.lex_state = 14, .external_lex_state = 15},
  [1155] = {.lex_state = 14, .external_lex_state = 15},
  [1156] = {.lex_state = 13, .external_lex_state = 12},
  [1157] = {.lex_state = 13, .external_lex_state = 13},
  [1158] = {.lex_state = 13, .external_lex_state = 13},
  [1159] = {.lex_state = 13, .external_lex_state = 12},
  [1160] = {.lex_state = 13, .external_lex_state = 12},
  [1161] = {.lex_state = 13, .external_lex_state = 12},
  [1162] = {.lex_state = 13, .external_lex_state = 12},
  [1163] = {.lex_state = 13, .external_lex_state = 12},
  [1164] = {.lex_state = 13, .external_lex_state = 12},
  [1165] = {.lex_state = 13, .external_lex_state = 12},
  [1166] = {.lex_state = 13, .external_lex_state = 12},
  [1167] = {.lex_state = 14, .external_lex_state = 13},
  [1168] = {.lex_state = 14, .external_lex_state = 13},
  [1169] = {.lex_state = 14, .external_lex_state = 13},
  [1170] = {.lex_state = 13, .external_lex_state = 12},
  [1171] = {.lex_state = 13, .external_lex_state = 12},
  [1172] = {.lex_state = 13, .external_lex_state = 12},
  [1173] = {.lex_state = 13, .external_lex_state = 12},
  [1174] = {.lex_state = 13, .external_lex_state = 12},
  [1175] = {.lex_state = 13, .external_lex_state = 12},
  [1176] = {.lex_state = 13, .external_lex_state = 12},
  [1177] = {.lex_state = 13, .external_lex_state = 12},
  [1178] = {.lex_state = 13, .external_lex_state = 12},
  [1179] = {.lex_state = 13, .external_lex_state = 12},
  [1180] = {.lex_state = 13, .external_lex_state = 12},
  [1181] = {.lex_state = 13, .external_lex_state = 7},
  [1182] = {.lex_state = 13, .external_lex_state = 12},
  [1183] = {.lex_state = 13, .external_lex_state = 12},
  [1184] = {.lex_state = 14, .external_lex_state = 14},
  [1185] = {.lex_state = 13, .external_lex_state = 13},
  [1186] = {.lex_state = 13, .external_lex_state = 13},
  [1187] = {.lex_state = 13, .external_lex_state = 13},
  [1188] = {.lex_state = 13, .external_lex_state = 8},
  [1189] = {.lex_state = 13, .external_lex_state = 12},
  [1190] = {.lex_state = 13, .external_lex_state = 14},
  [1191] = {.lex_state = 14, .external_lex_state = 14},
  [1192] = {.lex_state = 14, .external_lex_state = 14},
  [1193] = {.lex_state = 13, .external_lex_state = 12},
  [1194] = {.lex_state = 14, .external_lex_state = 14},
  [1195] = {.lex_state = 13, .external_lex_state = 14},
  [1196] = {.lex_state = 13, .external_lex_state = 12},
  [1197] = {.lex_state = 13, .external_lex_state = 12},
  [1198] = {.lex_state = 14, .external_lex_state = 13},
  [1199] = {.lex_state = 13, .external_lex_state = 12},
  [1200] = {.lex_state = 14, .external_lex_state = 14},
  [1201] = {.lex_state = 14, .external_lex_state = 13},
  [1202] = {.lex_state = 13, .external_lex_state = 2},
  [1203] = {.lex_state = 14, .external_lex_state = 13},
  [1204] = {.lex_state = 14, .external_lex_state = 14},
  [1205] = {.lex_state = 14, .external_lex_state = 14},
  [1206] = {.lex_state = 13, .external_lex_state = 12},
  [1207] = {.lex_state = 13, .external_lex_state = 7},
  [1208] = {.lex_state = 13, .external_lex_state = 12},
  [1209] = {.lex_state = 13, .external_lex_state = 12},
  [1210] = {.lex_state = 13, .external_lex_state = 12},
  [1211] = {.lex_state = 13, .external_lex_state = 12},
  [1212] = {.lex_state = 13, .external_lex_state = 12},
  [1213] = {.lex_state = 13, .external_lex_state = 12},
  [1214] = {.lex_state = 13, .external_lex_state = 12},
  [1215] = {.lex_state = 13, .external_lex_state = 12},
  [1216] = {.lex_state = 13, .external_lex_state = 12},
  [1217] = {.lex_state = 13, .external_lex_state = 12},
  [1218] = {.lex_state = 13, .external_lex_state = 12},
  [1219] = {.lex_state = 13, .external_lex_state = 12},
  [1220] = {.lex_state = 14, .external_lex_state = 14},
  [1221] = {.lex_state = 13, .external_lex_state = 13},
  [1222] = {.lex_state = 13, .external_lex_state = 12},
  [1223] = {.lex_state = 13, .external_lex_state = 13},
  [1224] = {.lex_state = 13, .external_lex_state = 12},
  [1225] = {.lex_state = 13, .external_lex_state = 12},
  [1226] = {.lex_state = 13, .external_lex_state = 12},
  [1227] = {.lex_state = 13, .external_lex_state = 12},
  [1228] = {.lex_state = 13, .external_lex_state = 12},
  [1229] = {.lex_state = 13, .external_lex_state = 14},
  [1230] = {.lex_state = 13, .external_lex_state = 14},
  [1231] = {.lex_state = 13, .external_lex_state = 14},
  [1232] = {.lex_state = 13, .external_lex_state = 14},
  [1233] = {.lex_state = 13, .external_lex_state = 12},
  [1234] = {.lex_state = 13, .external_lex_state = 14},
  [1235] = {.lex_state = 13, .external_lex_state = 14},
  [1236] = {.lex_state = 13, .external_lex_state = 14},
  [1237] = {.lex_state = 13, .external_lex_state = 14},
  [1238] = {.lex_state = 13, .external_lex_state = 8},
  [1239] = {.lex_state = 13, .external_lex_state = 12},
  [1240] = {.lex_state = 13, .external_lex_state = 12},
  [1241] = {.lex_state = 13, .external_lex_state = 12},
  [1242] = {.lex_state = 14, .external_lex_state = 15},
  [1243] = {.lex_state = 13, .external_lex_state = 12},
  [1244] = {.lex_state = 13, .external_lex_state = 12},
  [1245] = {.lex_state = 13, .external_lex_state = 12},
  [1246] = {.lex_state = 13, .external_lex_state = 12},
  [1247] = {.lex_state = 14, .external_lex_state = 13},
  [1248] = {.lex_state = 14, .external_lex_state = 13},
  [1249] = {.lex_state = 13, .external_lex_state = 12},
  [1250] = {.lex_state = 13, .external_lex_state = 12},
  [1251] = {.lex_state = 13, .external_lex_state = 12},
  [1252] = {.lex_state = 13, .external_lex_state = 12},
  [1253] = {.lex_state = 13, .external_lex_state = 2},
  [1254] = {.lex_state = 13, .external_lex_state = 12},
  [1255] = {.lex_state = 13, .external_lex_state = 7},
  [1256] = {.lex_state = 13, .external_lex_state = 13},
  [1257] = {.lex_state = 13, .external_lex_state = 13},
  [1258] = {.lex_state = 13, .external_lex_state = 15},
  [1259] = {.lex_state = 13, .external_lex_state = 9},
  [1260] = {.lex_state = 13, .external_lex_state = 13},
  [1261] = {.lex_state = 13, .external_lex_state = 13},
  [1262] = {.lex_state = 13, .external_lex_state = 13},
  [1263] = {.lex_state = 13, .external_lex_state = 13},
  [1264] = {.lex_state = 13, .external_lex_state = 13},
  [1265] = {.lex_state = 13, .external_lex_state = 15},
  [1266] = {.lex_state = 13, .external_lex_state = 13},
  [1267] = {.lex_state = 13, .external_lex_state = 14},
  [1268] = {.lex_state = 13, .external_lex_state = 13},
  [1269] = {.lex_state = 13, .external_lex_state = 15},
  [1270] = {.lex_state = 13, .external_lex_state = 13},
  [1271] = {.lex_state = 13, .external_lex_state = 15},
  [1272] = {.lex_state = 13, .external_lex_state = 13},
  [1273] = {.lex_state = 13, .external_lex_state = 15},
  [1274] = {.lex_state = 13, .external_lex_state = 13},
  [1275] = {.lex_state = 13, .external_lex_state = 14},
  [1276] = {.lex_state = 13, .external_lex_state = 13},
  [1277] = {.lex_state = 14, .external_lex_state = 13},
  [1278] = {.lex_state = 14, .external_lex_state = 13},
  [1279] = {.lex_state = 14, .external_lex_state = 13},
  [1280] = {.lex_state = 13, .external_lex_state = 15},
  [1281] = {.lex_state = 13, .external_lex_state = 15},
  [1282] = {.lex_state = 13, .external_lex_state = 15},
  [1283] = {.lex_state = 13, .external_lex_state = 14},
  [1284] = {.lex_state = 13, .external_lex_state = 13},
  [1285] = {.lex_state = 13, .external_lex_state = 14},
  [1286] = {.lex_state = 13, .external_lex_state = 13},
  [1287] = {.lex_state = 13, .external_lex_state = 14},
  [1288] = {.lex_state = 13, .external_lex_state = 14},
  [1289] = {.lex_state = 13, .external_lex_state = 14},
  [1290] = {.lex_state = 13, .external_lex_state = 14},
  [1291] = {.lex_state = 13, .external_lex_state = 15},
  [1292] = {.lex_state = 13, .external_lex_state = 15},
  [1293] = {.lex_state = 13, .external_lex_state = 15},
  [1294] = {.lex_state = 13, .external_lex_state = 15},
  [1295] = {.lex_state = 13, .external_lex_state = 14},
  [1296] = {.lex_state = 13, .external_lex_state = 14},
  [1297] = {.lex_state = 13, .external_lex_state = 14},
  [1298] = {.lex_state = 8, .external_lex_state = 9},
  [1299] = {.lex_state = 13, .external_lex_state = 13},
  [1300] = {.lex_state = 13, .external_lex_state = 15},
  [1301] = {.lex_state = 13, .external_lex_state = 13},
  [1302] = {.lex_state = 8, .external_lex_state = 9},
  [1303] = {.lex_state = 13, .external_lex_state = 13},
  [1304] = {.lex_state = 13, .external_lex_state = 15},
  [1305] = {.lex_state = 8, .external_lex_state = 9},
  [1306] = {.lex_state = 8, .external_lex_state = 9},
  [1307] = {.lex_state = 13, .external_lex_state = 14},
  [1308] = {.lex_state = 13, .external_lex_state = 15},
  [1309] = {.lex_state = 13, .external_lex_state = 15},
  [1310] = {.lex_state = 13, .external_lex_state = 15},
  [1311] = {.lex_state = 13, .external_lex_state = 14},
  [1312] = {.lex_state = 13, .external_lex_state = 14},
  [1313] = {.lex_state = 13, .external_lex_state = 15},
  [1314] = {.lex_state = 13, .external_lex_state = 14},
  [1315] = {.lex_state = 13, .external_lex_state = 8},
  [1316] = {.lex_state = 13, .external_lex_state = 13},
  [1317] = {.lex_state = 13, .external_lex_state = 13},
  [1318] = {.lex_state = 13, .external_lex_state = 14},
  [1319] = {.lex_state = 13, .external_lex_state = 14},
  [1320] = {.lex_state = 13, .external_lex_state = 15},
  [1321] = {.lex_state = 13, .external_lex_state = 15},
  [1322] = {.lex_state = 13, .external_lex_state = 15},
  [1323] = {.lex_state = 13, .external_lex_state = 15},
  [1324] = {.lex_state = 13, .external_lex_state = 13},
  [1325] = {.lex_state = 13, .external_lex_state = 8},
  [1326] = {.lex_state = 8, .external_lex_state = 9},
  [1327] = {.lex_state = 13, .external_lex_state = 15},
  [1328] = {.lex_state = 13, .external_lex_state = 15},
  [1329] = {.lex_state = 13, .external_lex_state = 15},
  [1330] = {.lex_state = 13, .external_lex_state = 13},
  [1331] = {.lex_state = 13, .external_lex_state = 13},
  [1332] = {.lex_state = 13, .external_lex_state = 14},
  [1333] = {.lex_state = 13, .external_lex_state = 14},
  [1334] = {.lex_state = 13, .external_lex_state = 15},
  [1335] = {.lex_state = 13, .external_lex_state = 13},
  [1336] = {.lex_state = 13, .external_lex_state = 15},
  [1337] = {.lex_state = 13, .external_lex_state = 15},
  [1338] = {.lex_state = 13, .external_lex_state = 13},
  [1339] = {.lex_state = 13, .external_lex_state = 15},
  [1340] = {.lex_state = 13, .external_lex_state = 13},
  [1341] = {.lex_state = 13, .external_lex_state = 15},
  [1342] = {.lex_state = 8, .external_lex_state = 9},
  [1343] = {.lex_state = 13, .external_lex_state = 14},
  [1344] = {.lex_state = 13, .external_lex_state = 13},
  [1345] = {.lex_state = 13, .external_lex_state = 14},
  [1346] = {.lex_state = 13, .external_lex_state = 14},
  [1347] = {.lex_state = 13, .external_lex_state = 14},
  [1348] = {.lex_state = 13, .external_lex_state = 13},
  [1349] = {.lex_state = 13, .external_lex_state = 13},
  [1350] = {.lex_state = 13, .external_lex_state = 15},
  [1351] = {.lex_state = 13, .external_lex_state = 15},
  [1352] = {.lex_state = 13, .external_lex_state = 13},
  [1353] = {.lex_state = 13, .external_lex_state = 13},
  [1354] = {.lex_state = 13, .external_lex_state = 14},
  [1355] = {.lex_state = 13, .external_lex_state = 13},
  [1356] = {.lex_state = 13, .external_lex_state = 14},
  [1357] = {.lex_state = 13, .external_lex_state = 15},
  [1358] = {.lex_state = 13, .external_lex_state = 14},
  [1359] = {.lex_state = 13, .external_lex_state = 14},
  [1360] = {.lex_state = 13, .external_lex_state = 13},
  [1361] = {.lex_state = 13, .external_lex_state = 13},
  [1362] = {.lex_state = 13, .external_lex_state = 13},
  [1363] = {.lex_state = 13, .external_lex_state = 13},
  [1364] = {.lex_state = 13, .external_lex_state = 13},
  [1365] = {.lex_state = 13, .external_lex_state = 14},
  [1366] = {.lex_state = 13, .external_lex_state = 14},
  [1367] = {.lex_state = 13, .external_lex_state = 14},
  [1368] = {.lex_state = 13, .external_lex_state = 13},
  [1369] = {.lex_state = 13, .external_lex_state = 15},
  [1370] = {.lex_state = 13, .external_lex_state = 15},
  [1371] = {.lex_state = 13, .external_lex_state = 13},
  [1372] = {.lex_state = 13, .external_lex_state = 13},
  [1373] = {.lex_state = 13, .external_lex_state = 13},
  [1374] = {.lex_state = 13, .external_lex_state = 13},
  [1375] = {.lex_state = 13, .external_lex_state = 14},
  [1376] = {.lex_state = 13, .external_lex_state = 14},
  [1377] = {.lex_state = 13, .external_lex_state = 13},
  [1378] = {.lex_state = 13, .external_lex_state = 13},
  [1379] = {.lex_state = 13, .external_lex_state = 14},
  [1380] = {.lex_state = 13, .external_lex_state = 13},
  [1381] = {.lex_state = 13, .external_lex_state = 13},
  [1382] = {.lex_state = 13, .external_lex_state = 13},
  [1383] = {.lex_state = 13, .external_lex_state = 15},
  [1384] = {.lex_state = 13, .external_lex_state = 13},
  [1385] = {.lex_state = 13, .external_lex_state = 13},
  [1386] = {.lex_state = 13, .external_lex_state = 13},
  [1387] = {.lex_state = 14, .external_lex_state = 14},
  [1388] = {.lex_state = 13, .external_lex_state = 13},
  [1389] = {.lex_state = 13, .external_lex_state = 13},
  [1390] = {.lex_state = 13, .external_lex_state = 13},
  [1391] = {.lex_state = 13, .external_lex_state = 13},
  [1392] = {.lex_state = 14, .external_lex_state = 14},
  [1393] = {.lex_state = 13, .external_lex_state = 13},
  [1394] = {.lex_state = 13, .external_lex_state = 13},
  [1395] = {.lex_state = 13, .external_lex_state = 13},
  [1396] = {.lex_state = 14, .external_lex_state = 14},
  [1397] = {.lex_state = 13, .external_lex_state = 13},
  [1398] = {.lex_state = 13, .external_lex_state = 13},
  [1399] = {.lex_state = 13, .external_lex_state = 13},
  [1400] = {.lex_state = 13, .external_lex_state = 14},
  [1401] = {.lex_state = 13, .external_lex_state = 14},
  [1402] = {.lex_state = 13, .external_lex_state = 14},
  [1403] = {.lex_state = 13, .external_lex_state = 14},
  [1404] = {.lex_state = 13, .external_lex_state = 14},
  [1405] = {.lex_state = 13, .external_lex_state = 13},
  [1406] = {.lex_state = 13, .external_lex_state = 13},
  [1407] = {.lex_state = 13, .external_lex_state = 13},
  [1408] = {.lex_state = 13, .external_lex_state = 13},
  [1409] = {.lex_state = 13, .external_lex_state = 14},
  [1410] = {.lex_state = 13, .external_lex_state = 13},
  [1411] = {.lex_state = 13, .external_lex_state = 14},
  [1412] = {.lex_state = 13, .external_lex_state = 13},
  [1413] = {.lex_state = 13, .external_lex_state = 13},
  [1414] = {.lex_state = 13, .external_lex_state = 13},
  [1415] = {.lex_state = 13, .external_lex_state = 14},
  [1416] = {.lex_state = 13, .external_lex_state = 13},
  [1417] = {.lex_state = 13, .external_lex_state = 13},
  [1418] = {.lex_state = 13, .external_lex_state = 13},
  [1419] = {.lex_state = 13, .external_lex_state = 14},
  [1420] = {.lex_state = 13, .external_lex_state = 14},
  [1421] = {.lex_state = 13, .external_lex_state = 14},
  [1422] = {.lex_state = 14, .external_lex_state = 14},
  [1423] = {.lex_state = 14, .external_lex_state = 14},
  [1424] = {.lex_state = 14, .external_lex_state = 14},
  [1425] = {.lex_state = 14, .external_lex_state = 12},
  [1426] = {.lex_state = 13, .external_lex_state = 14},
  [1427] = {.lex_state = 14, .external_lex_state = 12},
  [1428] = {.lex_state = 14, .external_lex_state = 12},
  [1429] = {.lex_state = 13, .external_lex_state = 14},
  [1430] = {.lex_state = 13, .external_lex_state = 14},
  [1431] = {.lex_state = 13, .external_lex_state = 14},
  [1432] = {.lex_state = 13, .external_lex_state = 14},
  [1433] = {.lex_state = 13, .external_lex_state = 14},
  [1434] = {.lex_state = 13, .external_lex_state = 14},
  [1435] = {.lex_state = 13, .external_lex_state = 14},
  [1436] = {.lex_state = 13, .external_lex_state = 15},
  [1437] = {.lex_state = 13, .external_lex_state = 14},
  [1438] = {.lex_state = 13, .external_lex_state = 14},
  [1439] = {.lex_state = 13, .external_lex_state = 14},
  [1440] = {.lex_state = 13, .external_lex_state = 14},
  [1441] = {.lex_state = 13, .external_lex_state = 14},
  [1442] = {.lex_state = 13, .external_lex_state = 14},
  [1443] = {.lex_state = 13, .external_lex_state = 14},
  [1444] = {.lex_state = 13, .external_lex_state = 14},
  [1445] = {.lex_state = 13, .external_lex_state = 14},
  [1446] = {.lex_state = 13, .external_lex_state = 14},
  [1447] = {.lex_state = 13, .external_lex_state = 14},
  [1448] = {.lex_state = 13, .external_lex_state = 14},
  [1449] = {.lex_state = 13, .external_lex_state = 14},
  [1450] = {.lex_state = 13, .external_lex_state = 14},
  [1451] = {.lex_state = 13, .external_lex_state = 14},
  [1452] = {.lex_state = 13, .external_lex_state = 14},
  [1453] = {.lex_state = 13, .external_lex_state = 14},
  [1454] = {.lex_state = 13, .external_lex_state = 14},
  [1455] = {.lex_state = 13, .external_lex_state = 14},
  [1456] = {.lex_state = 13, .external_lex_state = 14},
  [1457] = {.lex_state = 13, .external_lex_state = 14},
  [1458] = {.lex_state = 13, .external_lex_state = 14},
  [1459] = {.lex_state = 13, .external_lex_state = 14},
  [1460] = {.lex_state = 13, .external_lex_state = 14},
  [1461] = {.lex_state = 13, .external_lex_state = 14},
  [1462] = {.lex_state = 13, .external_lex_state = 14},
  [1463] = {.lex_state = 14, .external_lex_state = 13},
  [1464] = {.lex_state = 14, .external_lex_state = 13},
  [1465] = {.lex_state = 14, .external_lex_state = 13},
  [1466] = {.lex_state = 8, .external_lex_state = 15},
  [1467] = {.lex_state = 8, .external_lex_state = 15},
  [1468] = {.lex_state = 8, .external_lex_state = 15},
  [1469] = {.lex_state = 8, .external_lex_state = 15},
  [1470] = {.lex_state = 8, .external_lex_state = 15},
  [1471] = {.lex_state = 8, .external_lex_state = 15},
  [1472] = {.lex_state = 8, .external_lex_state = 15},
  [1473] = {.lex_state = 8, .external_lex_state = 15},
  [1474] = {.lex_state = 8, .external_lex_state = 15},
  [1475] = {.lex_state = 8, .external_lex_state = 15},
  [1476] = {.lex_state = 8, .external_lex_state = 15},
  [1477] = {.lex_state = 8, .external_lex_state = 15},
  [1478] = {.lex_state = 8, .external_lex_state = 15},
  [1479] = {.lex_state = 8, .external_lex_state = 15},
  [1480] = {.lex_state = 8, .external_lex_state = 15},
  [1481] = {.lex_state = 8, .external_lex_state = 15},
  [1482] = {.lex_state = 13, .external_lex_state = 13},
  [1483] = {.lex_state = 13, .external_lex_state = 14},
  [1484] = {.lex_state = 13, .external_lex_state = 12},
  [1485] = {.lex_state = 12, .external_lex_state = 2},
  [1486] = {.lex_state = 12, .external_lex_state = 2},
  [1487] = {.lex_state = 5, .external_lex_state = 7},
  [1488] = {.lex_state = 5, .external_lex_state = 7},
  [1489] = {.lex_state = 5, .external_lex_state = 7},
  [1490] = {.lex_state = 5, .external_lex_state = 8},
  [1491] = {.lex_state = 5, .external_lex_state = 7},
  [1492] = {.lex_state = 5, .external_lex_state = 7},
  [1493] = {.lex_state = 5, .external_lex_state = 7},
  [1494] = {.lex_state = 5, .external_lex_state = 8},
  [1495] = {.lex_state = 5, .external_lex_state = 7},
  [1496] = {.lex_state = 5, .external_lex_state = 7},
  [1497] = {.lex_state = 5, .external_lex_state = 7},
  [1498] = {.lex_state = 5, .external_lex_state = 8},
  [1499] = {.lex_state = 5, .external_lex_state = 8},
  [1500] = {.lex_state = 5, .external_lex_state = 8},
  [1501] = {.lex_state = 5, .external_lex_state = 7},
  [1502] = {.lex_state = 5, .external_lex_state = 8},
  [1503] = {.lex_state = 5, .external_lex_state = 7},
  [1504] = {.lex_state = 5, .external_lex_state = 7},
  [1505] = {.lex_state = 5, .external_lex_state = 7},
  [1506] = {.lex_state = 5, .external_lex_state = 7},
  [1507] = {.lex_state = 5, .external_lex_state = 7},
  [1508] = {.lex_state = 5, .external_lex_state = 7},
  [1509] = {.lex_state = 5, .external_lex_state = 8},
  [1510] = {.lex_state = 5, .external_lex_state = 8},
  [1511] = {.lex_state = 5, .external_lex_state = 8},
  [1512] = {.lex_state = 5, .external_lex_state = 7},
  [1513] = {.lex_state = 5, .external_lex_state = 7},
  [1514] = {.lex_state = 5, .external_lex_state = 8},
  [1515] = {.lex_state = 5, .external_lex_state = 8},
  [1516] = {.lex_state = 5, .external_lex_state = 7},
  [1517] = {.lex_state = 5, .external_lex_state = 7},
  [1518] = {.lex_state = 5, .external_lex_state = 8},
  [1519] = {.lex_state = 5, .external_lex_state = 7},
  [1520] = {.lex_state = 5, .external_lex_state = 7},
  [1521] = {.lex_state = 5, .external_lex_state = 7},
  [1522] = {.lex_state = 5, .external_lex_state = 7},
  [1523] = {.lex_state = 5, .external_lex_state = 2},
  [1524] = {.lex_state = 5, .external_lex_state = 2},
  [1525] = {.lex_state = 5, .external_lex_state = 2},
  [1526] = {.lex_state = 5, .external_lex_state = 2},
  [1527] = {.lex_state = 5, .external_lex_state = 2},
  [1528] = {.lex_state = 5, .external_lex_state = 6},
  [1529] = {.lex_state = 5, .external_lex_state = 6},
  [1530] = {.lex_state = 5, .external_lex_state = 6},
  [1531] = {.lex_state = 5, .external_lex_state = 6},
  [1532] = {.lex_state = 5, .external_lex_state = 6},
  [1533] = {.lex_state = 5, .external_lex_state = 6},
  [1534] = {.lex_state = 5, .external_lex_state = 6},
  [1535] = {.lex_state = 5, .external_lex_state = 6},
  [1536] = {.lex_state = 5, .external_lex_state = 6},
  [1537] = {.lex_state = 5, .external_lex_state = 6},
  [1538] = {.lex_state = 5, .external_lex_state = 6},
  [1539] = {.lex_state = 5, .external_lex_state = 6},
  [1540] = {.lex_state = 5, .external_lex_state = 6},
  [1541] = {.lex_state = 5, .external_lex_state = 6},
  [1542] = {.lex_state = 5, .external_lex_state = 6},
  [1543] = {.lex_state = 5, .external_lex_state = 6},
  [1544] = {.lex_state = 5, .external_lex_state = 6},
  [1545] = {.lex_state = 5, .external_lex_state = 6},
  [1546] = {.lex_state = 5, .external_lex_state = 6},
  [1547] = {.lex_state = 5, .external_lex_state = 6},
  [1548] = {.lex_state = 5, .external_lex_state = 2},
  [1549] = {.lex_state = 5, .external_lex_state = 2},
  [1550] = {.lex_state = 5, .external_lex_state = 2},
  [1551] = {.lex_state = 5, .external_lex_state = 2},
  [1552] = {.lex_state = 5, .external_lex_state = 2},
  [1553] = {.lex_state = 8, .external_lex_state = 9},
  [1554] = {.lex_state = 8, .external_lex_state = 9},
  [1555] = {.lex_state = 5, .external_lex_state = 2},
  [1556] = {.lex_state = 5, .external_lex_state = 2},
  [1557] = {.lex_state = 5, .external_lex_state = 2},
  [1558] = {.lex_state = 5, .external_lex_state = 2},
  [1559] = {.lex_state = 8, .external_lex_state = 13},
  [1560] = {.lex_state = 8, .external_lex_state = 15},
  [1561] = {.lex_state = 8, .external_lex_state = 15},
  [1562] = {.lex_state = 8, .external_lex_state = 13},
  [1563] = {.lex_state = 52, .external_lex_state = 12},
  [1564] = {.lex_state = 8, .external_lex_state = 14},
  [1565] = {.lex_state = 52, .external_lex_state = 12},
  [1566] = {.lex_state = 8, .external_lex_state = 14},
  [1567] = {.lex_state = 52, .external_lex_state = 12},
  [1568] = {.lex_state = 52, .external_lex_state = 12},
  [1569] = {.lex_state = 52, .external_lex_state = 13},
  [1570] = {.lex_state = 52, .external_lex_state = 14},
  [1571] = {.lex_state = 52, .external_lex_state = 2},
  [1572] = {.lex_state = 13, .external_lex_state = 12},
  [1573] = {.lex_state = 13, .external_lex_state = 12},
  [1574] = {.lex_state = 13, .external_lex_state = 12},
  [1575] = {.lex_state = 13, .external_lex_state = 12},
  [1576] = {.lex_state = 13, .external_lex_state = 12},
  [1577] = {.lex_state = 13, .external_lex_state = 12},
  [1578] = {.lex_state = 52, .external_lex_state = 2},
  [1579] = {.lex_state = 52, .external_lex_state = 14},
  [1580] = {.lex_state = 52, .external_lex_state = 13},
  [1581] = {.lex_state = 13, .external_lex_state = 13},
  [1582] = {.lex_state = 13, .external_lex_state = 13},
  [1583] = {.lex_state = 11, .external_lex_state = 9},
  [1584] = {.lex_state = 13, .external_lex_state = 13},
  [1585] = {.lex_state = 13, .external_lex_state = 13},
  [1586] = {.lex_state = 13, .external_lex_state = 13},
  [1587] = {.lex_state = 13, .external_lex_state = 13},
  [1588] = {.lex_state = 11, .external_lex_state = 9},
  [1589] = {.lex_state = 13, .external_lex_state = 14},
  [1590] = {.lex_state = 13, .external_lex_state = 14},
  [1591] = {.lex_state = 13, .external_lex_state = 14},
  [1592] = {.lex_state = 13, .external_lex_state = 15},
  [1593] = {.lex_state = 13, .external_lex_state = 15},
  [1594] = {.lex_state = 13, .external_lex_state = 15},
  [1595] = {.lex_state = 13, .external_lex_state = 15},
  [1596] = {.lex_state = 13, .external_lex_state = 15},
  [1597] = {.lex_state = 13, .external_lex_state = 15},
  [1598] = {.lex_state = 13, .external_lex_state = 15},
  [1599] = {.lex_state = 13, .external_lex_state = 15},
  [1600] = {.lex_state = 13, .external_lex_state = 13},
  [1601] = {.lex_state = 13, .external_lex_state = 13},
  [1602] = {.lex_state = 11, .external_lex_state = 9},
  [1603] = {.lex_state = 13, .external_lex_state = 14},
  [1604] = {.lex_state = 13, .external_lex_state = 15},
  [1605] = {.lex_state = 13, .external_lex_state = 14},
  [1606] = {.lex_state = 13, .external_lex_state = 15},
  [1607] = {.lex_state = 13, .external_lex_state = 14},
  [1608] = {.lex_state = 13, .external_lex_state = 13},
  [1609] = {.lex_state = 13, .external_lex_state = 15},
  [1610] = {.lex_state = 13, .external_lex_state = 13},
  [1611] = {.lex_state = 13, .external_lex_state = 15},
  [1612] = {.lex_state = 13, .external_lex_state = 13},
  [1613] = {.lex_state = 13, .external_lex_state = 15},
  [1614] = {.lex_state = 13, .external_lex_state = 13},
  [1615] = {.lex_state = 13, .external_lex_state = 15},
  [1616] = {.lex_state = 13, .external_lex_state = 15},
  [1617] = {.lex_state = 13, .external_lex_state = 15},
  [1618] = {.lex_state = 11, .external_lex_state = 9},
  [1619] = {.lex_state = 13, .external_lex_state = 15},
  [1620] = {.lex_state = 11, .external_lex_state = 9},
  [1621] = {.lex_state = 13, .external_lex_state = 15},
  [1622] = {.lex_state = 13, .external_lex_state = 15},
  [1623] = {.lex_state = 13, .external_lex_state = 15},
  [1624] = {.lex_state = 11, .external_lex_state = 9},
  [1625] = {.lex_state = 13, .external_lex_state = 15},
  [1626] = {.lex_state = 13, .external_lex_state = 15},
  [1627] = {.lex_state = 11, .external_lex_state = 15},
  [1628] = {.lex_state = 12, .external_lex_state = 15},
  [1629] = {.lex_state = 11, .external_lex_state = 15},
  [1630] = {.lex_state = 12, .external_lex_state = 15},
  [1631] = {.lex_state = 12, .external_lex_state = 15},
  [1632] = {.lex_state = 12, .external_lex_state = 15},
  [1633] = {.lex_state = 12, .external_lex_state = 15},
  [1634] = {.lex_state = 11, .external_lex_state = 15},
  [1635] = {.lex_state = 11, .external_lex_state = 15},
  [1636] = {.lex_state = 11, .external_lex_state = 15},
  [1637] = {.lex_state = 11, .external_lex_state = 9},
  [1638] = {.lex_state = 12, .external_lex_state = 15},
  [1639] = {.lex_state = 11, .external_lex_state = 15},
  [1640] = {.lex_state = 12, .external_lex_state = 15},
  [1641] = {.lex_state = 12, .external_lex_state = 15},
  [1642] = {.lex_state = 12, .external_lex_state = 15},
  [1643] = {.lex_state = 11, .external_lex_state = 15},
  [1644] = {.lex_state = 11, .external_lex_state = 15},
  [1645] = {.lex_state = 12, .external_lex_state = 15},
  [1646] = {.lex_state = 12, .external_lex_state = 15},
  [1647] = {.lex_state = 5, .external_lex_state = 13},
  [1648] = {.lex_state = 5, .external_lex_state = 13},
  [1649] = {.lex_state = 5, .external_lex_state = 13},
  [1650] = {.lex_state = 12, .external_lex_state = 15},
  [1651] = {.lex_state = 11, .external_lex_state = 15},
  [1652] = {.lex_state = 12, .external_lex_state = 15},
  [1653] = {.lex_state = 5, .external_lex_state = 15},
  [1654] = {.lex_state = 5, .external_lex_state = 15},
  [1655] = {.lex_state = 8, .external_lex_state = 9},
  [1656] = {.lex_state = 52, .external_lex_state = 12},
  [1657] = {.lex_state = 52, .external_lex_state = 12},
  [1658] = {.lex_state = 52, .external_lex_state = 12},
  [1659] = {.lex_state = 8, .external_lex_state = 9},
  [1660] = {.lex_state = 8, .external_lex_state = 9},
  [1661] = {.lex_state = 52, .external_lex_state = 12},
  [1662] = {.lex_state = 8, .external_lex_state = 9},
  [1663] = {.lex_state = 52, .external_lex_state = 12},
  [1664] = {.lex_state = 52, .external_lex_state = 12},
  [1665] = {.lex_state = 8, .external_lex_state = 9},
  [1666] = {.lex_state = 52, .external_lex_state = 12},
  [1667] = {.lex_state = 8, .external_lex_state = 9},
  [1668] = {.lex_state = 8, .external_lex_state = 9},
  [1669] = {.lex_state = 8, .external_lex_state = 9},
  [1670] = {.lex_state = 8, .external_lex_state = 9},
  [1671] = {.lex_state = 52, .external_lex_state = 12},
  [1672] = {.lex_state = 52, .external_lex_state = 13},
  [1673] = {.lex_state = 0, .external_lex_state = 16},
  [1674] = {.lex_state = 0, .external_lex_state = 16},
  [1675] = {.lex_state = 0, .external_lex_state = 16},
  [1676] = {.lex_state = 52, .external_lex_state = 13},
  [1677] = {.lex_state = 0, .external_lex_state = 16},
  [1678] = {.lex_state = 0, .external_lex_state = 16},
  [1679] = {.lex_state = 0, .external_lex_state = 16},
  [1680] = {.lex_state = 0, .external_lex_state = 16},
  [1681] = {.lex_state = 52, .external_lex_state = 13},
  [1682] = {.lex_state = 0, .external_lex_state = 16},
  [1683] = {.lex_state = 0, .external_lex_state = 16},
  [1684] = {.lex_state = 0, .external_lex_state = 16},
  [1685] = {.lex_state = 52, .external_lex_state = 13},
  [1686] = {.lex_state = 52, .external_lex_state = 13},
  [1687] = {.lex_state = 0, .external_lex_state = 16},
  [1688] = {.lex_state = 52, .external_lex_state = 13},
  [1689] = {.lex_state = 52, .external_lex_state = 14},
  [1690] = {.lex_state = 52, .external_lex_state = 13},
  [1691] = {.lex_state = 52, .external_lex_state = 14},
  [1692] = {.lex_state = 52, .external_lex_state = 13},
  [1693] = {.lex_state = 0, .external_lex_state = 16},
  [1694] = {.lex_state = 52, .external_lex_state = 14},
  [1695] = {.lex_state = 52, .external_lex_state = 13},
  [1696] = {.lex_state = 0, .external_lex_state = 16},
  [1697] = {.lex_state = 52, .external_lex_state = 14},
  [1698] = {.lex_state = 8, .external_lex_state = 9},
  [1699] = {.lex_state = 52, .external_lex_state = 13},
  [1700] = {.lex_state = 52, .external_lex_state = 13},
  [1701] = {.lex_state = 0, .external_lex_state = 16},
  [1702] = {.lex_state = 0, .external_lex_state = 16},
  [1703] = {.lex_state = 52, .external_lex_state = 13},
  [1704] = {.lex_state = 52, .external_lex_state = 13},
  [1705] = {.lex_state = 52, .external_lex_state = 14},
  [1706] = {.lex_state = 0, .external_lex_state = 16},
  [1707] = {.lex_state = 52, .external_lex_state = 13},
  [1708] = {.lex_state = 0, .external_lex_state = 16},
  [1709] = {.lex_state = 0, .external_lex_state = 16},
  [1710] = {.lex_state = 52, .external_lex_state = 13},
  [1711] = {.lex_state = 52, .external_lex_state = 14},
  [1712] = {.lex_state = 0, .external_lex_state = 16},
  [1713] = {.lex_state = 52, .external_lex_state = 13},
  [1714] = {.lex_state = 52, .external_lex_state = 13},
  [1715] = {.lex_state = 52, .external_lex_state = 14},
  [1716] = {.lex_state = 52, .external_lex_state = 14},
  [1717] = {.lex_state = 8, .external_lex_state = 15},
  [1718] = {.lex_state = 8, .external_lex_state = 15},
  [1719] = {.lex_state = 8, .external_lex_state = 15},
  [1720] = {.lex_state = 8, .external_lex_state = 15},
  [1721] = {.lex_state = 8, .external_lex_state = 13},
  [1722] = {.lex_state = 8, .external_lex_state = 15},
  [1723] = {.lex_state = 8, .external_lex_state = 13},
  [1724] = {.lex_state = 8, .external_lex_state = 13},
  [1725] = {.lex_state = 8, .external_lex_state = 15},
  [1726] = {.lex_state = 8, .external_lex_state = 9},
  [1727] = {.lex_state = 8, .external_lex_state = 13},
  [1728] = {.lex_state = 52, .external_lex_state = 12},
  [1729] = {.lex_state = 8, .external_lex_state = 13},
  [1730] = {.lex_state = 8, .external_lex_state = 15},
  [1731] = {.lex_state = 52, .external_lex_state = 12},
  [1732] = {.lex_state = 8, .external_lex_state = 13},
  [1733] = {.lex_state = 8, .external_lex_state = 15},
  [1734] = {.lex_state = 8, .external_lex_state = 13},
  [1735] = {.lex_state = 8, .external_lex_state = 15},
  [1736] = {.lex_state = 8, .external_lex_state = 13},
  [1737] = {.lex_state = 8, .external_lex_state = 13},
  [1738] = {.lex_state = 8, .external_lex_state = 13},
  [1739] = {.lex_state = 8, .external_lex_state = 14},
  [1740] = {.lex_state = 8, .external_lex_state = 14},
  [1741] = {.lex_state = 8, .external_lex_state = 14},
  [1742] = {.lex_state = 8, .external_lex_state = 14},
  [1743] = {.lex_state = 8, .external_lex_state = 14},
  [1744] = {.lex_state = 8, .external_lex_state = 14},
  [1745] = {.lex_state = 52, .external_lex_state = 12},
  [1746] = {.lex_state = 8, .external_lex_state = 14},
  [1747] = {.lex_state = 52, .external_lex_state = 12},
  [1748] = {.lex_state = 8, .external_lex_state = 15},
  [1749] = {.lex_state = 52, .external_lex_state = 9},
  [1750] = {.lex_state = 52, .external_lex_state = 12},
  [1751] = {.lex_state = 52, .external_lex_state = 12},
  [1752] = {.lex_state = 8, .external_lex_state = 15},
  [1753] = {.lex_state = 52, .external_lex_state = 12},
  [1754] = {.lex_state = 52, .external_lex_state = 12},
  [1755] = {.lex_state = 52, .external_lex_state = 12},
  [1756] = {.lex_state = 52, .external_lex_state = 12},
  [1757] = {.lex_state = 8, .external_lex_state = 14},
  [1758] = {.lex_state = 52, .external_lex_state = 12},
  [1759] = {.lex_state = 52, .external_lex_state = 12},
  [1760] = {.lex_state = 52, .external_lex_state = 12},
  [1761] = {.lex_state = 52, .external_lex_state = 12},
  [1762] = {.lex_state = 52, .external_lex_state = 12},
  [1763] = {.lex_state = 52, .external_lex_state = 12},
  [1764] = {.lex_state = 52, .external_lex_state = 12},
  [1765] = {.lex_state = 8, .external_lex_state = 15},
  [1766] = {.lex_state = 52, .external_lex_state = 12},
  [1767] = {.lex_state = 8, .external_lex_state = 14},
  [1768] = {.lex_state = 52, .external_lex_state = 12},
  [1769] = {.lex_state = 8, .external_lex_state = 15},
  [1770] = {.lex_state = 52, .external_lex_state = 12},
  [1771] = {.lex_state = 8, .external_lex_state = 14},
  [1772] = {.lex_state = 52, .external_lex_state = 12},
  [1773] = {.lex_state = 8, .external_lex_state = 15},
  [1774] = {.lex_state = 52, .external_lex_state = 12},
  [1775] = {.lex_state = 52, .external_lex_state = 9},
  [1776] = {.lex_state = 52, .external_lex_state = 14},
  [1777] = {.lex_state = 52, .external_lex_state = 13},
  [1778] = {.lex_state = 52, .external_lex_state = 14},
  [1779] = {.lex_state = 52, .external_lex_state = 14},
  [1780] = {.lex_state = 52, .external_lex_state = 12},
  [1781] = {.lex_state = 52, .external_lex_state = 9},
  [1782] = {.lex_state = 52, .external_lex_state = 15},
  [1783] = {.lex_state = 52, .external_lex_state = 14},
  [1784] = {.lex_state = 52, .external_lex_state = 9},
  [1785] = {.lex_state = 9, .external_lex_state = 17},
  [1786] = {.lex_state = 52, .external_lex_state = 14},
  [1787] = {.lex_state = 7, .external_lex_state = 14},
  [1788] = {.lex_state = 52, .external_lex_state = 12},
  [1789] = {.lex_state = 52, .external_lex_state = 12},
  [1790] = {.lex_state = 52, .external_lex_state = 14},
  [1791] = {.lex_state = 52, .external_lex_state = 13},
  [1792] = {.lex_state = 52, .external_lex_state = 13},
  [1793] = {.lex_state = 52, .external_lex_state = 14},
  [1794] = {.lex_state = 7, .external_lex_state = 12},
  [1795] = {.lex_state = 7, .external_lex_state = 13},
  [1796] = {.lex_state = 52, .external_lex_state = 13},
  [1797] = {.lex_state = 52, .external_lex_state = 14},
  [1798] = {.lex_state = 52, .external_lex_state = 9},
  [1799] = {.lex_state = 52, .external_lex_state = 13},
  [1800] = {.lex_state = 52, .external_lex_state = 14},
  [1801] = {.lex_state = 52, .external_lex_state = 14},
  [1802] = {.lex_state = 9, .external_lex_state = 17},
  [1803] = {.lex_state = 52, .external_lex_state = 13},
  [1804] = {.lex_state = 52, .external_lex_state = 14},
  [1805] = {.lex_state = 52, .external_lex_state = 14},
  [1806] = {.lex_state = 52, .external_lex_state = 14},
  [1807] = {.lex_state = 9, .external_lex_state = 17},
  [1808] = {.lex_state = 52, .external_lex_state = 12},
  [1809] = {.lex_state = 52, .external_lex_state = 14},
  [1810] = {.lex_state = 52, .external_lex_state = 14},
  [1811] = {.lex_state = 0, .external_lex_state = 16},
  [1812] = {.lex_state = 52, .external_lex_state = 14},
  [1813] = {.lex_state = 52, .external_lex_state = 9},
  [1814] = {.lex_state = 52, .external_lex_state = 14},
  [1815] = {.lex_state = 52, .external_lex_state = 13},
  [1816] = {.lex_state = 0, .external_lex_state = 16},
  [1817] = {.lex_state = 52, .external_lex_state = 14},
  [1818] = {.lex_state = 52, .external_lex_state = 13},
  [1819] = {.lex_state = 52, .external_lex_state = 13},
  [1820] = {.lex_state = 52, .external_lex_state = 14},
  [1821] = {.lex_state = 52, .external_lex_state = 13},
  [1822] = {.lex_state = 52, .external_lex_state = 14},
  [1823] = {.lex_state = 52, .external_lex_state = 13},
  [1824] = {.lex_state = 52, .external_lex_state = 14},
  [1825] = {.lex_state = 8, .external_lex_state = 15},
  [1826] = {.lex_state = 52, .external_lex_state = 15},
  [1827] = {.lex_state = 52, .external_lex_state = 9},
  [1828] = {.lex_state = 52, .external_lex_state = 9},
  [1829] = {.lex_state = 52, .external_lex_state = 13},
  [1830] = {.lex_state = 52, .external_lex_state = 2},
  [1831] = {.lex_state = 52, .external_lex_state = 9},
  [1832] = {.lex_state = 52, .external_lex_state = 9},
  [1833] = {.lex_state = 9, .external_lex_state = 17},
  [1834] = {.lex_state = 52, .external_lex_state = 14},
  [1835] = {.lex_state = 52, .external_lex_state = 12},
  [1836] = {.lex_state = 52, .external_lex_state = 12},
  [1837] = {.lex_state = 52, .external_lex_state = 12},
  [1838] = {.lex_state = 7, .external_lex_state = 15},
  [1839] = {.lex_state = 52, .external_lex_state = 12},
  [1840] = {.lex_state = 52, .external_lex_state = 14},
  [1841] = {.lex_state = 52, .external_lex_state = 12},
  [1842] = {.lex_state = 52, .external_lex_state = 12},
  [1843] = {.lex_state = 7, .external_lex_state = 13},
  [1844] = {.lex_state = 52, .external_lex_state = 15},
  [1845] = {.lex_state = 52, .external_lex_state = 15},
  [1846] = {.lex_state = 52, .external_lex_state = 8},
  [1847] = {.lex_state = 52, .external_lex_state = 14},
  [1848] = {.lex_state = 7, .external_lex_state = 13},
  [1849] = {.lex_state = 52, .external_lex_state = 9},
  [1850] = {.lex_state = 52, .external_lex_state = 13},
  [1851] = {.lex_state = 52, .external_lex_state = 15},
  [1852] = {.lex_state = 7, .external_lex_state = 12},
  [1853] = {.lex_state = 52, .external_lex_state = 14},
  [1854] = {.lex_state = 52, .external_lex_state = 12},
  [1855] = {.lex_state = 52, .external_lex_state = 13},
  [1856] = {.lex_state = 52, .external_lex_state = 13},
  [1857] = {.lex_state = 52, .external_lex_state = 15},
  [1858] = {.lex_state = 52, .external_lex_state = 12},
  [1859] = {.lex_state = 52, .external_lex_state = 9},
  [1860] = {.lex_state = 52, .external_lex_state = 14},
  [1861] = {.lex_state = 52, .external_lex_state = 14},
  [1862] = {.lex_state = 7, .external_lex_state = 14},
  [1863] = {.lex_state = 52, .external_lex_state = 15},
  [1864] = {.lex_state = 7, .external_lex_state = 14},
  [1865] = {.lex_state = 7, .external_lex_state = 12},
  [1866] = {.lex_state = 52, .external_lex_state = 15},
  [1867] = {.lex_state = 52, .external_lex_state = 12},
  [1868] = {.lex_state = 52, .external_lex_state = 13},
  [1869] = {.lex_state = 52, .external_lex_state = 15},
  [1870] = {.lex_state = 52, .external_lex_state = 12},
  [1871] = {.lex_state = 52, .external_lex_state = 15},
  [1872] = {.lex_state = 52, .external_lex_state = 14},
  [1873] = {.lex_state = 7, .external_lex_state = 13},
  [1874] = {.lex_state = 52, .external_lex_state = 14},
  [1875] = {.lex_state = 52, .external_lex_state = 13},
  [1876] = {.lex_state = 52, .external_lex_state = 13},
  [1877] = {.lex_state = 52, .external_lex_state = 7},
  [1878] = {.lex_state = 52, .external_lex_state = 12},
  [1879] = {.lex_state = 52, .external_lex_state = 14},
  [1880] = {.lex_state = 52, .external_lex_state = 6},
  [1881] = {.lex_state = 52, .external_lex_state = 15},
  [1882] = {.lex_state = 7, .external_lex_state = 14},
  [1883] = {.lex_state = 52, .external_lex_state = 12},
  [1884] = {.lex_state = 7, .external_lex_state = 12},
  [1885] = {.lex_state = 52, .external_lex_state = 15},
  [1886] = {.lex_state = 52, .external_lex_state = 13},
  [1887] = {.lex_state = 0, .external_lex_state = 16},
  [1888] = {.lex_state = 8, .external_lex_state = 13},
  [1889] = {.lex_state = 52, .external_lex_state = 12},
  [1890] = {.lex_state = 8, .external_lex_state = 9},
  [1891] = {.lex_state = 0, .external_lex_state = 16},
  [1892] = {.lex_state = 8, .external_lex_state = 13},
  [1893] = {.lex_state = 52, .external_lex_state = 15},
  [1894] = {.lex_state = 52, .external_lex_state = 13},
  [1895] = {.lex_state = 52, .external_lex_state = 14},
  [1896] = {.lex_state = 8, .external_lex_state = 9},
  [1897] = {.lex_state = 8, .external_lex_state = 9},
  [1898] = {.lex_state = 8, .external_lex_state = 9},
  [1899] = {.lex_state = 8, .external_lex_state = 9},
  [1900] = {.lex_state = 52, .external_lex_state = 9},
  [1901] = {.lex_state = 8, .external_lex_state = 9},
  [1902] = {.lex_state = 52, .external_lex_state = 13},
  [1903] = {.lex_state = 8, .external_lex_state = 13},
  [1904] = {.lex_state = 52, .external_lex_state = 15},
  [1905] = {.lex_state = 0, .external_lex_state = 16},
  [1906] = {.lex_state = 52, .external_lex_state = 13},
  [1907] = {.lex_state = 52, .external_lex_state = 14},
  [1908] = {.lex_state = 52, .external_lex_state = 13},
  [1909] = {.lex_state = 52, .external_lex_state = 15},
  [1910] = {.lex_state = 52, .external_lex_state = 12},
  [1911] = {.lex_state = 52, .external_lex_state = 14},
  [1912] = {.lex_state = 52, .external_lex_state = 15},
  [1913] = {.lex_state = 52, .external_lex_state = 14},
  [1914] = {.lex_state = 52, .external_lex_state = 15},
  [1915] = {.lex_state = 8, .external_lex_state = 15},
  [1916] = {.lex_state = 52, .external_lex_state = 13},
  [1917] = {.lex_state = 52, .external_lex_state = 12},
  [1918] = {.lex_state = 52, .external_lex_state = 13},
  [1919] = {.lex_state = 52, .external_lex_state = 15},
  [1920] = {.lex_state = 52, .external_lex_state = 15},
  [1921] = {.lex_state = 52, .external_lex_state = 14},
  [1922] = {.lex_state = 52, .external_lex_state = 12},
  [1923] = {.lex_state = 8, .external_lex_state = 14},
  [1924] = {.lex_state = 7, .external_lex_state = 9},
  [1925] = {.lex_state = 52, .external_lex_state = 13},
  [1926] = {.lex_state = 8, .external_lex_state = 9},
  [1927] = {.lex_state = 52, .external_lex_state = 14},
  [1928] = {.lex_state = 52, .external_lex_state = 12},
  [1929] = {.lex_state = 0, .external_lex_state = 16},
  [1930] = {.lex_state = 52, .external_lex_state = 15},
  [1931] = {.lex_state = 52, .external_lex_state = 15},
  [1932] = {.lex_state = 7, .external_lex_state = 12},
  [1933] = {.lex_state = 52, .external_lex_state = 15},
  [1934] = {.lex_state = 52, .external_lex_state = 15},
  [1935] = {.lex_state = 7, .external_lex_state = 14},
  [1936] = {.lex_state = 52, .external_lex_state = 14},
  [1937] = {.lex_state = 52, .external_lex_state = 9},
  [1938] = {.lex_state = 8, .external_lex_state = 15},
  [1939] = {.lex_state = 8, .external_lex_state = 15},
  [1940] = {.lex_state = 8, .external_lex_state = 14},
  [1941] = {.lex_state = 52, .external_lex_state = 13},
  [1942] = {.lex_state = 52, .external_lex_state = 14},
  [1943] = {.lex_state = 52, .external_lex_state = 14},
  [1944] = {.lex_state = 52, .external_lex_state = 12},
  [1945] = {.lex_state = 52, .external_lex_state = 13},
  [1946] = {.lex_state = 8, .external_lex_state = 14},
  [1947] = {.lex_state = 52, .external_lex_state = 14},
  [1948] = {.lex_state = 7, .external_lex_state = 9},
  [1949] = {.lex_state = 0, .external_lex_state = 16},
  [1950] = {.lex_state = 52, .external_lex_state = 14},
  [1951] = {.lex_state = 8, .external_lex_state = 13},
  [1952] = {.lex_state = 52, .external_lex_state = 12},
  [1953] = {.lex_state = 52, .external_lex_state = 9},
  [1954] = {.lex_state = 8, .external_lex_state = 13},
  [1955] = {.lex_state = 8, .external_lex_state = 13},
  [1956] = {.lex_state = 0, .external_lex_state = 16},
  [1957] = {.lex_state = 52, .external_lex_state = 13},
  [1958] = {.lex_state = 52, .external_lex_state = 12},
  [1959] = {.lex_state = 52, .external_lex_state = 12},
  [1960] = {.lex_state = 52, .external_lex_state = 15},
  [1961] = {.lex_state = 52, .external_lex_state = 12},
  [1962] = {.lex_state = 52, .external_lex_state = 12},
  [1963] = {.lex_state = 8, .external_lex_state = 9},
  [1964] = {.lex_state = 52, .external_lex_state = 14},
  [1965] = {.lex_state = 8, .external_lex_state = 13},
  [1966] = {.lex_state = 52, .external_lex_state = 13},
  [1967] = {.lex_state = 8, .external_lex_state = 9},
  [1968] = {.lex_state = 8, .external_lex_state = 14},
  [1969] = {.lex_state = 0, .external_lex_state = 16},
  [1970] = {.lex_state = 52, .external_lex_state = 13},
  [1971] = {.lex_state = 52, .external_lex_state = 15},
  [1972] = {.lex_state = 0, .external_lex_state = 16},
  [1973] = {.lex_state = 52, .external_lex_state = 15},
  [1974] = {.lex_state = 52, .external_lex_state = 13},
  [1975] = {.lex_state = 7, .external_lex_state = 13},
  [1976] = {.lex_state = 52, .external_lex_state = 14},
  [1977] = {.lex_state = 8, .external_lex_state = 13},
  [1978] = {.lex_state = 52, .external_lex_state = 12},
  [1979] = {.lex_state = 52, .external_lex_state = 13},
  [1980] = {.lex_state = 52, .external_lex_state = 12},
  [1981] = {.lex_state = 8, .external_lex_state = 9},
  [1982] = {.lex_state = 52, .external_lex_state = 12},
  [1983] = {.lex_state = 52, .external_lex_state = 13},
  [1984] = {.lex_state = 52, .external_lex_state = 13},
  [1985] = {.lex_state = 7, .external_lex_state = 9},
  [1986] = {.lex_state = 8, .external_lex_state = 13},
  [1987] = {.lex_state = 8, .external_lex_state = 13},
  [1988] = {.lex_state = 52, .external_lex_state = 15},
  [1989] = {.lex_state = 52, .external_lex_state = 14},
  [1990] = {.lex_state = 52, .external_lex_state = 13},
  [1991] = {.lex_state = 52, .external_lex_state = 12},
  [1992] = {.lex_state = 52, .external_lex_state = 12},
  [1993] = {.lex_state = 8, .external_lex_state = 14},
  [1994] = {.lex_state = 52, .external_lex_state = 15},
  [1995] = {.lex_state = 52, .external_lex_state = 12},
  [1996] = {.lex_state = 52, .external_lex_state = 12},
  [1997] = {.lex_state = 8, .external_lex_state = 14},
  [1998] = {.lex_state = 52, .external_lex_state = 12},
  [1999] = {.lex_state = 8, .external_lex_state = 14},
  [2000] = {.lex_state = 52, .external_lex_state = 9},
  [2001] = {.lex_state = 8, .external_lex_state = 14},
  [2002] = {.lex_state = 8, .external_lex_state = 14},
  [2003] = {.lex_state = 52, .external_lex_state = 9},
  [2004] = {.lex_state = 52, .external_lex_state = 9},
  [2005] = {.lex_state = 52, .external_lex_state = 15},
  [2006] = {.lex_state = 52, .external_lex_state = 14},
  [2007] = {.lex_state = 7, .external_lex_state = 9},
  [2008] = {.lex_state = 52, .external_lex_state = 14},
  [2009] = {.lex_state = 3, .external_lex_state = 12},
  [2010] = {.lex_state = 52, .external_lex_state = 15},
  [2011] = {.lex_state = 8, .external_lex_state = 14},
  [2012] = {.lex_state = 52, .external_lex_state = 12},
  [2013] = {.lex_state = 52, .external_lex_state = 15},
  [2014] = {.lex_state = 52, .external_lex_state = 15},
  [2015] = {.lex_state = 52, .external_lex_state = 15},
  [2016] = {.lex_state = 8, .external_lex_state = 15},
  [2017] = {.lex_state = 52, .external_lex_state = 15},
  [2018] = {.lex_state = 52, .external_lex_state = 13},
  [2019] = {.lex_state = 52, .external_lex_state = 15},
  [2020] = {.lex_state = 52, .external_lex_state = 14},
  [2021] = {.lex_state = 52, .external_lex_state = 15},
  [2022] = {.lex_state = 52, .external_lex_state = 12},
  [2023] = {.lex_state = 8, .external_lex_state = 14},
  [2024] = {.lex_state = 52, .external_lex_state = 15},
  [2025] = {.lex_state = 52, .external_lex_state = 15},
  [2026] = {.lex_state = 52, .external_lex_state = 12},
  [2027] = {.lex_state = 52, .external_lex_state = 12},
  [2028] = {.lex_state = 52, .external_lex_state = 15},
  [2029] = {.lex_state = 52, .external_lex_state = 15},
  [2030] = {.lex_state = 52, .external_lex_state = 12},
  [2031] = {.lex_state = 8, .external_lex_state = 14},
  [2032] = {.lex_state = 52, .external_lex_state = 12},
  [2033] = {.lex_state = 52, .external_lex_state = 15},
  [2034] = {.lex_state = 52, .external_lex_state = 13},
  [2035] = {.lex_state = 8, .external_lex_state = 15},
  [2036] = {.lex_state = 52, .external_lex_state = 15},
  [2037] = {.lex_state = 52, .external_lex_state = 15},
  [2038] = {.lex_state = 52, .external_lex_state = 12},
  [2039] = {.lex_state = 52, .external_lex_state = 14},
  [2040] = {.lex_state = 8, .external_lex_state = 14},
  [2041] = {.lex_state = 52, .external_lex_state = 9},
  [2042] = {.lex_state = 52, .external_lex_state = 13},
  [2043] = {.lex_state = 52, .external_lex_state = 15},
  [2044] = {.lex_state = 52, .external_lex_state = 15},
  [2045] = {.lex_state = 52, .external_lex_state = 15},
  [2046] = {.lex_state = 52, .external_lex_state = 15},
  [2047] = {.lex_state = 52, .external_lex_state = 15},
  [2048] = {.lex_state = 52, .external_lex_state = 15},
  [2049] = {.lex_state = 52, .external_lex_state = 15},
  [2050] = {.lex_state = 52, .external_lex_state = 15},
  [2051] = {.lex_state = 52, .external_lex_state = 14},
  [2052] = {.lex_state = 52, .external_lex_state = 14},
  [2053] = {.lex_state = 52, .external_lex_state = 15},
  [2054] = {.lex_state = 52, .external_lex_state = 12},
  [2055] = {.lex_state = 52, .external_lex_state = 15},
  [2056] = {.lex_state = 52, .external_lex_state = 15},
  [2057] = {.lex_state = 52, .external_lex_state = 12},
  [2058] = {.lex_state = 52, .external_lex_state = 15},
  [2059] = {.lex_state = 52, .external_lex_state = 9},
  [2060] = {.lex_state = 52, .external_lex_state = 12},
  [2061] = {.lex_state = 52, .external_lex_state = 12},
  [2062] = {.lex_state = 52, .external_lex_state = 15},
  [2063] = {.lex_state = 8, .external_lex_state = 13},
  [2064] = {.lex_state = 52, .external_lex_state = 14},
  [2065] = {.lex_state = 8, .external_lex_state = 15},
  [2066] = {.lex_state = 52, .external_lex_state = 12},
  [2067] = {.lex_state = 8, .external_lex_state = 9},
  [2068] = {.lex_state = 52, .external_lex_state = 15},
  [2069] = {.lex_state = 52, .external_lex_state = 9},
  [2070] = {.lex_state = 52, .external_lex_state = 15},
  [2071] = {.lex_state = 52, .external_lex_state = 15},
  [2072] = {.lex_state = 8, .external_lex_state = 15},
  [2073] = {.lex_state = 52, .external_lex_state = 15},
  [2074] = {.lex_state = 52, .external_lex_state = 14},
  [2075] = {.lex_state = 52, .external_lex_state = 15},
  [2076] = {.lex_state = 52, .external_lex_state = 12},
  [2077] = {.lex_state = 52, .external_lex_state = 15},
  [2078] = {.lex_state = 52, .external_lex_state = 15},
  [2079] = {.lex_state = 52, .external_lex_state = 15},
  [2080] = {.lex_state = 8, .external_lex_state = 15},
  [2081] = {.lex_state = 52, .external_lex_state = 15},
  [2082] = {.lex_state = 52, .external_lex_state = 9},
  [2083] = {.lex_state = 52, .external_lex_state = 13},
  [2084] = {.lex_state = 3, .external_lex_state = 12},
  [2085] = {.lex_state = 52, .external_lex_state = 12},
  [2086] = {.lex_state = 3, .external_lex_state = 12},
  [2087] = {.lex_state = 52, .external_lex_state = 14},
  [2088] = {.lex_state = 52, .external_lex_state = 12},
  [2089] = {.lex_state = 52, .external_lex_state = 15},
  [2090] = {.lex_state = 8, .external_lex_state = 15},
  [2091] = {.lex_state = 52, .external_lex_state = 15},
  [2092] = {.lex_state = 8, .external_lex_state = 14},
  [2093] = {.lex_state = 52, .external_lex_state = 12},
  [2094] = {.lex_state = 52, .external_lex_state = 13},
  [2095] = {.lex_state = 52, .external_lex_state = 15},
  [2096] = {.lex_state = 52, .external_lex_state = 15},
  [2097] = {.lex_state = 52, .external_lex_state = 12},
  [2098] = {.lex_state = 52, .external_lex_state = 13},
  [2099] = {.lex_state = 52, .external_lex_state = 15},
  [2100] = {.lex_state = 52, .external_lex_state = 13},
  [2101] = {.lex_state = 52, .external_lex_state = 15},
  [2102] = {.lex_state = 52, .external_lex_state = 15},
  [2103] = {.lex_state = 52, .external_lex_state = 15},
  [2104] = {.lex_state = 52, .external_lex_state = 13},
  [2105] = {.lex_state = 8, .external_lex_state = 15},
  [2106] = {.lex_state = 52, .external_lex_state = 13},
  [2107] = {.lex_state = 52, .external_lex_state = 15},
  [2108] = {.lex_state = 52, .external_lex_state = 15},
  [2109] = {.lex_state = 52, .external_lex_state = 15},
  [2110] = {.lex_state = 52, .external_lex_state = 14},
  [2111] = {.lex_state = 52, .external_lex_state = 14},
  [2112] = {.lex_state = 52, .external_lex_state = 9},
  [2113] = {.lex_state = 7, .external_lex_state = 15},
  [2114] = {.lex_state = 52, .external_lex_state = 15},
  [2115] = {.lex_state = 52, .external_lex_state = 15},
  [2116] = {.lex_state = 52, .external_lex_state = 9},
  [2117] = {.lex_state = 52, .external_lex_state = 15},
  [2118] = {.lex_state = 52, .external_lex_state = 9},
  [2119] = {.lex_state = 52, .external_lex_state = 9},
  [2120] = {.lex_state = 8, .external_lex_state = 15},
  [2121] = {.lex_state = 52, .external_lex_state = 15},
  [2122] = {.lex_state = 52, .external_lex_state = 9},
  [2123] = {.lex_state = 52, .external_lex_state = 9},
  [2124] = {.lex_state = 52, .external_lex_state = 9},
  [2125] = {.lex_state = 7, .external_lex_state = 15},
  [2126] = {.lex_state = 52, .external_lex_state = 9},
  [2127] = {.lex_state = 52, .external_lex_state = 9},
  [2128] = {.lex_state = 52, .external_lex_state = 9},
  [2129] = {.lex_state = 52, .external_lex_state = 15},
  [2130] = {.lex_state = 52, .external_lex_state = 9},
  [2131] = {.lex_state = 52, .external_lex_state = 15},
  [2132] = {.lex_state = 52, .external_lex_state = 12},
  [2133] = {.lex_state = 52, .external_lex_state = 9},
  [2134] = {.lex_state = 52, .external_lex_state = 18},
  [2135] = {.lex_state = 52, .external_lex_state = 9},
  [2136] = {.lex_state = 52, .external_lex_state = 15},
  [2137] = {.lex_state = 52, .external_lex_state = 15},
  [2138] = {.lex_state = 52, .external_lex_state = 9},
  [2139] = {.lex_state = 52, .external_lex_state = 9},
  [2140] = {.lex_state = 52, .external_lex_state = 9},
  [2141] = {.lex_state = 8, .external_lex_state = 15},
  [2142] = {.lex_state = 52, .external_lex_state = 18},
  [2143] = {.lex_state = 52, .external_lex_state = 12},
  [2144] = {.lex_state = 52, .external_lex_state = 18},
  [2145] = {.lex_state = 52, .external_lex_state = 9},
  [2146] = {.lex_state = 52, .external_lex_state = 15},
  [2147] = {.lex_state = 52, .external_lex_state = 18},
  [2148] = {.lex_state = 52, .external_lex_state = 13},
  [2149] = {.lex_state = 52, .external_lex_state = 18},
  [2150] = {.lex_state = 52, .external_lex_state = 14},
  [2151] = {.lex_state = 52, .external_lex_state = 13},
  [2152] = {.lex_state = 52, .external_lex_state = 15},
  [2153] = {.lex_state = 52, .external_lex_state = 15},
  [2154] = {.lex_state = 52, .external_lex_state = 15},
  [2155] = {.lex_state = 52, .external_lex_state = 12},
  [2156] = {.lex_state = 52, .external_lex_state = 13},
  [2157] = {.lex_state = 52, .external_lex_state = 13},
  [2158] = {.lex_state = 52, .external_lex_state = 13},
  [2159] = {.lex_state = 52, .external_lex_state = 14},
  [2160] = {.lex_state = 52, .external_lex_state = 13},
  [2161] = {.lex_state = 52, .external_lex_state = 13},
  [2162] = {.lex_state = 52, .external_lex_state = 13},
  [2163] = {.lex_state = 52, .external_lex_state = 13},
  [2164] = {.lex_state = 52, .external_lex_state = 13},
  [2165] = {.lex_state = 52, .external_lex_state = 13},
  [2166] = {.lex_state = 52, .external_lex_state = 13},
  [2167] = {.lex_state = 52, .external_lex_state = 13},
  [2168] = {.lex_state = 52, .external_lex_state = 12},
  [2169] = {.lex_state = 52, .external_lex_state = 12},
  [2170] = {.lex_state = 52, .external_lex_state = 12},
  [2171] = {.lex_state = 52, .external_lex_state = 12},
  [2172] = {.lex_state = 52, .external_lex_state = 12},
  [2173] = {.lex_state = 52, .external_lex_state = 12},
  [2174] = {.lex_state = 52, .external_lex_state = 12},
  [2175] = {.lex_state = 52, .external_lex_state = 12},
  [2176] = {.lex_state = 52, .external_lex_state = 13},
  [2177] = {.lex_state = 52, .external_lex_state = 14},
  [2178] = {.lex_state = 52, .external_lex_state = 13},
  [2179] = {.lex_state = 52, .external_lex_state = 12},
  [2180] = {.lex_state = 52, .external_lex_state = 13},
  [2181] = {.lex_state = 52, .external_lex_state = 12},
  [2182] = {.lex_state = 52, .external_lex_state = 13},
  [2183] = {.lex_state = 52, .external_lex_state = 12},
  [2184] = {.lex_state = 52, .external_lex_state = 12},
  [2185] = {.lex_state = 52, .external_lex_state = 12},
  [2186] = {.lex_state = 52, .external_lex_state = 12},
  [2187] = {.lex_state = 52, .external_lex_state = 13},
  [2188] = {.lex_state = 52, .external_lex_state = 12},
  [2189] = {.lex_state = 52, .external_lex_state = 12},
  [2190] = {.lex_state = 52, .external_lex_state = 12},
  [2191] = {.lex_state = 52, .external_lex_state = 12},
  [2192] = {.lex_state = 52, .external_lex_state = 12},
  [2193] = {.lex_state = 52, .external_lex_state = 13},
  [2194] = {.lex_state = 52, .external_lex_state = 12},
  [2195] = {.lex_state = 52, .external_lex_state = 13},
  [2196] = {.lex_state = 52, .external_lex_state = 13},
  [2197] = {.lex_state = 52, .external_lex_state = 12},
  [2198] = {.lex_state = 52, .external_lex_state = 14},
  [2199] = {.lex_state = 52, .external_lex_state = 12},
  [2200] = {.lex_state = 52, .external_lex_state = 13},
  [2201] = {.lex_state = 52, .external_lex_state = 13},
  [2202] = {.lex_state = 52, .external_lex_state = 12},
  [2203] = {.lex_state = 52, .external_lex_state = 13},
  [2204] = {.lex_state = 52, .external_lex_state = 13},
  [2205] = {.lex_state = 52, .external_lex_state = 13},
  [2206] = {.lex_state = 52, .external_lex_state = 13},
  [2207] = {.lex_state = 52, .external_lex_state = 13},
  [2208] = {.lex_state = 52, .external_lex_state = 14},
  [2209] = {.lex_state = 52, .external_lex_state = 14},
  [2210] = {.lex_state = 52, .external_lex_state = 14},
  [2211] = {.lex_state = 52, .external_lex_state = 14},
  [2212] = {.lex_state = 52, .external_lex_state = 13},
  [2213] = {.lex_state = 52, .external_lex_state = 14},
  [2214] = {.lex_state = 52, .external_lex_state = 14},
  [2215] = {.lex_state = 52, .external_lex_state = 14},
  [2216] = {.lex_state = 52, .external_lex_state = 14},
  [2217] = {.lex_state = 52, .external_lex_state = 14},
  [2218] = {.lex_state = 52, .external_lex_state = 14},
  [2219] = {.lex_state = 52, .external_lex_state = 14},
  [2220] = {.lex_state = 52, .external_lex_state = 14},
  [2221] = {.lex_state = 52, .external_lex_state = 14},
  [2222] = {.lex_state = 52, .external_lex_state = 13},
  [2223] = {.lex_state = 52, .external_lex_state = 13},
  [2224] = {.lex_state = 52, .external_lex_state = 13},
  [2225] = {.lex_state = 52, .external_lex_state = 14},
  [2226] = {.lex_state = 52, .external_lex_state = 14},
  [2227] = {.lex_state = 52, .external_lex_state = 14},
  [2228] = {.lex_state = 52, .external_lex_state = 13},
  [2229] = {.lex_state = 52, .external_lex_state = 13},
  [2230] = {.lex_state = 52, .external_lex_state = 14},
  [2231] = {.lex_state = 52, .external_lex_state = 14},
  [2232] = {.lex_state = 52, .external_lex_state = 13},
  [2233] = {.lex_state = 52, .external_lex_state = 14},
  [2234] = {.lex_state = 52, .external_lex_state = 13},
  [2235] = {.lex_state = 52, .external_lex_state = 13},
  [2236] = {.lex_state = 52, .external_lex_state = 14},
  [2237] = {.lex_state = 52, .external_lex_state = 14},
  [2238] = {.lex_state = 52, .external_lex_state = 14},
  [2239] = {.lex_state = 52, .external_lex_state = 13},
  [2240] = {.lex_state = 52, .external_lex_state = 15},
  [2241] = {.lex_state = 52, .external_lex_state = 15},
  [2242] = {.lex_state = 52, .external_lex_state = 15},
  [2243] = {.lex_state = 52, .external_lex_state = 9},
  [2244] = {.lex_state = 52, .external_lex_state = 12},
  [2245] = {.lex_state = 52, .external_lex_state = 14},
  [2246] = {.lex_state = 52, .external_lex_state = 15},
  [2247] = {.lex_state = 52, .external_lex_state = 13},
  [2248] = {.lex_state = 52, .external_lex_state = 12},
  [2249] = {.lex_state = 52, .external_lex_state = 9},
  [2250] = {.lex_state = 52, .external_lex_state = 13},
  [2251] = {.lex_state = 52, .external_lex_state = 13},
  [2252] = {.lex_state = 52, .external_lex_state = 9},
  [2253] = {.lex_state = 52, .external_lex_state = 13},
  [2254] = {.lex_state = 52, .external_lex_state = 13},
  [2255] = {.lex_state = 52, .external_lex_state = 15},
  [2256] = {.lex_state = 52, .external_lex_state = 15},
  [2257] = {.lex_state = 52, .external_lex_state = 9},
  [2258] = {.lex_state = 52, .external_lex_state = 12},
  [2259] = {.lex_state = 52, .external_lex_state = 12},
  [2260] = {.lex_state = 52, .external_lex_state = 15},
  [2261] = {.lex_state = 52, .external_lex_state = 9},
  [2262] = {.lex_state = 52, .external_lex_state = 12},
  [2263] = {.lex_state = 52, .external_lex_state = 13},
  [2264] = {.lex_state = 52, .external_lex_state = 15},
  [2265] = {.lex_state = 52, .external_lex_state = 13},
  [2266] = {.lex_state = 52, .external_lex_state = 13},
  [2267] = {.lex_state = 52, .external_lex_state = 14},
  [2268] = {.lex_state = 52, .external_lex_state = 15},
  [2269] = {.lex_state = 52, .external_lex_state = 14},
  [2270] = {.lex_state = 52, .external_lex_state = 15},
  [2271] = {.lex_state = 52, .external_lex_state = 13},
  [2272] = {.lex_state = 52, .external_lex_state = 9},
  [2273] = {.lex_state = 52, .external_lex_state = 12},
  [2274] = {.lex_state = 52, .external_lex_state = 13},
  [2275] = {.lex_state = 52, .external_lex_state = 12},
  [2276] = {.lex_state = 52, .external_lex_state = 13},
  [2277] = {.lex_state = 52, .external_lex_state = 15},
  [2278] = {.lex_state = 52, .external_lex_state = 13},
  [2279] = {.lex_state = 52, .external_lex_state = 15},
  [2280] = {.lex_state = 52, .external_lex_state = 14},
  [2281] = {.lex_state = 52, .external_lex_state = 14},
  [2282] = {.lex_state = 52, .external_lex_state = 13},
  [2283] = {.lex_state = 52, .external_lex_state = 13},
  [2284] = {.lex_state = 52, .external_lex_state = 12},
  [2285] = {.lex_state = 52, .external_lex_state = 14},
  [2286] = {.lex_state = 52, .external_lex_state = 9},
  [2287] = {.lex_state = 52, .external_lex_state = 14},
  [2288] = {.lex_state = 52, .external_lex_state = 14},
  [2289] = {.lex_state = 52, .external_lex_state = 14},
  [2290] = {.lex_state = 52, .external_lex_state = 13},
  [2291] = {.lex_state = 52, .external_lex_state = 13},
  [2292] = {.lex_state = 8, .external_lex_state = 15},
  [2293] = {.lex_state = 52, .external_lex_state = 9},
  [2294] = {.lex_state = 8, .external_lex_state = 15},
  [2295] = {.lex_state = 52, .external_lex_state = 14},
  [2296] = {.lex_state = 52, .external_lex_state = 14},
  [2297] = {.lex_state = 3, .external_lex_state = 12},
  [2298] = {.lex_state = 52, .external_lex_state = 9},
  [2299] = {.lex_state = 52, .external_lex_state = 12},
  [2300] = {.lex_state = 52, .external_lex_state = 12},
  [2301] = {.lex_state = 52, .external_lex_state = 13},
  [2302] = {.lex_state = 8, .external_lex_state = 15},
  [2303] = {.lex_state = 52, .external_lex_state = 13},
  [2304] = {.lex_state = 52, .external_lex_state = 13},
  [2305] = {.lex_state = 52, .external_lex_state = 13},
  [2306] = {.lex_state = 52, .external_lex_state = 12},
  [2307] = {.lex_state = 52, .external_lex_state = 13},
  [2308] = {.lex_state = 52, .external_lex_state = 13},
  [2309] = {.lex_state = 52, .external_lex_state = 14},
  [2310] = {.lex_state = 8, .external_lex_state = 15},
  [2311] = {.lex_state = 52, .external_lex_state = 14},
  [2312] = {.lex_state = 52, .external_lex_state = 12},
  [2313] = {.lex_state = 52, .external_lex_state = 13},
  [2314] = {.lex_state = 52, .external_lex_state = 12},
  [2315] = {.lex_state = 52, .external_lex_state = 12},
  [2316] = {.lex_state = 52, .external_lex_state = 13},
  [2317] = {.lex_state = 52, .external_lex_state = 15},
  [2318] = {.lex_state = 52, .external_lex_state = 12},
  [2319] = {.lex_state = 52, .external_lex_state = 15},
  [2320] = {.lex_state = 52, .external_lex_state = 15},
  [2321] = {.lex_state = 52, .external_lex_state = 12},
  [2322] = {.lex_state = 52, .external_lex_state = 13},
  [2323] = {.lex_state = 3, .external_lex_state = 12},
  [2324] = {.lex_state = 52, .external_lex_state = 13},
  [2325] = {.lex_state = 3, .external_lex_state = 12},
  [2326] = {.lex_state = 3, .external_lex_state = 12},
  [2327] = {.lex_state = 3, .external_lex_state = 12},
  [2328] = {.lex_state = 52, .external_lex_state = 19},
  [2329] = {.lex_state = 52, .external_lex_state = 15},
  [2330] = {.lex_state = 3, .external_lex_state = 12},
  [2331] = {.lex_state = 3, .external_lex_state = 12},
  [2332] = {.lex_state = 52, .external_lex_state = 14},
  [2333] = {.lex_state = 9, .external_lex_state = 17},
  [2334] = {.lex_state = 52, .external_lex_state = 9},
  [2335] = {.lex_state = 52, .external_lex_state = 14},
  [2336] = {.lex_state = 52, .external_lex_state = 13},
  [2337] = {.lex_state = 52, .external_lex_state = 15},
  [2338] = {.lex_state = 52, .external_lex_state = 15},
  [2339] = {.lex_state = 52, .external_lex_state = 13},
  [2340] = {.lex_state = 52, .external_lex_state = 13},
  [2341] = {.lex_state = 52, .external_lex_state = 12},
  [2342] = {.lex_state = 52, .external_lex_state = 19},
  [2343] = {.lex_state = 52, .external_lex_state = 19},
  [2344] = {.lex_state = 52, .external_lex_state = 14},
  [2345] = {.lex_state = 52, .external_lex_state = 15},
  [2346] = {.lex_state = 52, .external_lex_state = 15},
  [2347] = {.lex_state = 52, .external_lex_state = 13},
  [2348] = {.lex_state = 52, .external_lex_state = 15},
  [2349] = {.lex_state = 52, .external_lex_state = 15},
  [2350] = {.lex_state = 52, .external_lex_state = 12},
  [2351] = {.lex_state = 52, .external_lex_state = 14},
  [2352] = {.lex_state = 52, .external_lex_state = 14},
  [2353] = {.lex_state = 52, .external_lex_state = 14},
  [2354] = {.lex_state = 52, .external_lex_state = 12},
  [2355] = {.lex_state = 52, .external_lex_state = 9},
  [2356] = {.lex_state = 52, .external_lex_state = 15},
  [2357] = {.lex_state = 52, .external_lex_state = 14},
  [2358] = {.lex_state = 52, .external_lex_state = 14},
  [2359] = {.lex_state = 52, .external_lex_state = 14},
  [2360] = {.lex_state = 52, .external_lex_state = 9},
  [2361] = {.lex_state = 52, .external_lex_state = 13},
  [2362] = {.lex_state = 52, .external_lex_state = 13},
  [2363] = {.lex_state = 52, .external_lex_state = 12},
  [2364] = {.lex_state = 52, .external_lex_state = 14},
  [2365] = {.lex_state = 52, .external_lex_state = 12},
  [2366] = {.lex_state = 52, .external_lex_state = 13},
  [2367] = {.lex_state = 52, .external_lex_state = 14},
  [2368] = {.lex_state = 52, .external_lex_state = 14},
  [2369] = {.lex_state = 52, .external_lex_state = 13},
  [2370] = {.lex_state = 52, .external_lex_state = 13},
  [2371] = {.lex_state = 52, .external_lex_state = 13},
  [2372] = {.lex_state = 52, .external_lex_state = 9},
  [2373] = {.lex_state = 52, .external_lex_state = 14},
  [2374] = {.lex_state = 3, .external_lex_state = 12},
  [2375] = {.lex_state = 52, .external_lex_state = 13},
  [2376] = {.lex_state = 52, .external_lex_state = 13},
  [2377] = {.lex_state = 9, .external_lex_state = 17},
  [2378] = {.lex_state = 52, .external_lex_state = 13},
  [2379] = {.lex_state = 52, .external_lex_state = 13},
  [2380] = {.lex_state = 52, .external_lex_state = 13},
  [2381] = {.lex_state = 52, .external_lex_state = 13},
  [2382] = {.lex_state = 52, .external_lex_state = 13},
  [2383] = {.lex_state = 52, .external_lex_state = 14},
  [2384] = {.lex_state = 52, .external_lex_state = 14},
  [2385] = {.lex_state = 52, .external_lex_state = 14},
  [2386] = {.lex_state = 52, .external_lex_state = 13},
  [2387] = {.lex_state = 52, .external_lex_state = 14},
  [2388] = {.lex_state = 52, .external_lex_state = 14},
  [2389] = {.lex_state = 52, .external_lex_state = 13},
  [2390] = {.lex_state = 52, .external_lex_state = 13},
  [2391] = {.lex_state = 52, .external_lex_state = 14},
  [2392] = {.lex_state = 9, .external_lex_state = 17},
  [2393] = {.lex_state = 52, .external_lex_state = 9},
  [2394] = {.lex_state = 52, .external_lex_state = 13},
  [2395] = {.lex_state = 52, .external_lex_state = 14},
  [2396] = {.lex_state = 52, .external_lex_state = 13},
  [2397] = {.lex_state = 52, .external_lex_state = 13},
  [2398] = {.lex_state = 52, .external_lex_state = 15},
  [2399] = {.lex_state = 52, .external_lex_state = 13},
  [2400] = {.lex_state = 52, .external_lex_state = 12},
  [2401] = {.lex_state = 52, .external_lex_state = 13},
  [2402] = {.lex_state = 52, .external_lex_state = 12},
  [2403] = {.lex_state = 52, .external_lex_state = 13},
  [2404] = {.lex_state = 52, .external_lex_state = 9},
  [2405] = {.lex_state = 52, .external_lex_state = 12},
  [2406] = {.lex_state = 52, .external_lex_state = 13},
  [2407] = {.lex_state = 52, .external_lex_state = 13},
  [2408] = {.lex_state = 52, .external_lex_state = 14},
  [2409] = {.lex_state = 52, .external_lex_state = 15},
  [2410] = {.lex_state = 52, .external_lex_state = 14},
  [2411] = {.lex_state = 52, .external_lex_state = 12},
  [2412] = {.lex_state = 52, .external_lex_state = 12},
  [2413] = {.lex_state = 52, .external_lex_state = 12},
  [2414] = {.lex_state = 52, .external_lex_state = 13},
  [2415] = {.lex_state = 52, .external_lex_state = 9},
  [2416] = {.lex_state = 52, .external_lex_state = 13},
  [2417] = {.lex_state = 52, .external_lex_state = 19},
  [2418] = {.lex_state = 52, .external_lex_state = 13},
  [2419] = {.lex_state = 52, .external_lex_state = 19},
  [2420] = {.lex_state = 52, .external_lex_state = 13},
  [2421] = {.lex_state = 52, .external_lex_state = 15},
  [2422] = {.lex_state = 9, .external_lex_state = 17},
  [2423] = {.lex_state = 52, .external_lex_state = 13},
  [2424] = {.lex_state = 52, .external_lex_state = 14},
  [2425] = {.lex_state = 52, .external_lex_state = 14},
  [2426] = {.lex_state = 52, .external_lex_state = 15},
  [2427] = {.lex_state = 52, .external_lex_state = 13},
  [2428] = {.lex_state = 52, .external_lex_state = 13},
  [2429] = {.lex_state = 52, .external_lex_state = 9},
  [2430] = {.lex_state = 52, .external_lex_state = 9},
  [2431] = {.lex_state = 52, .external_lex_state = 14},
  [2432] = {.lex_state = 52, .external_lex_state = 14},
  [2433] = {.lex_state = 52, .external_lex_state = 13},
  [2434] = {.lex_state = 52, .external_lex_state = 13},
  [2435] = {.lex_state = 52, .external_lex_state = 12},
  [2436] = {.lex_state = 52, .external_lex_state = 13},
  [2437] = {.lex_state = 52, .external_lex_state = 13},
  [2438] = {.lex_state = 52, .external_lex_state = 12},
  [2439] = {.lex_state = 52, .external_lex_state = 12},
  [2440] = {.lex_state = 52, .external_lex_state = 15},
  [2441] = {.lex_state = 52, .external_lex_state = 9},
  [2442] = {.lex_state = 52, .external_lex_state = 14},
  [2443] = {.lex_state = 52, .external_lex_state = 13},
  [2444] = {.lex_state = 52, .external_lex_state = 12},
  [2445] = {.lex_state = 52, .external_lex_state = 9},
  [2446] = {.lex_state = 52, .external_lex_state = 12},
  [2447] = {.lex_state = 52, .external_lex_state = 13},
  [2448] = {.lex_state = 52, .external_lex_state = 14},
  [2449] = {.lex_state = 52, .external_lex_state = 9},
  [2450] = {.lex_state = 52, .external_lex_state = 13},
  [2451] = {.lex_state = 52, .external_lex_state = 14},
  [2452] = {.lex_state = 3, .external_lex_state = 12},
  [2453] = {.lex_state = 52, .external_lex_state = 9},
  [2454] = {.lex_state = 52, .external_lex_state = 12},
  [2455] = {.lex_state = 52, .external_lex_state = 15},
  [2456] = {.lex_state = 52, .external_lex_state = 12},
  [2457] = {.lex_state = 52, .external_lex_state = 12},
  [2458] = {.lex_state = 52, .external_lex_state = 15},
  [2459] = {.lex_state = 52, .external_lex_state = 15},
  [2460] = {.lex_state = 52, .external_lex_state = 13},
  [2461] = {.lex_state = 52, .external_lex_state = 19},
  [2462] = {.lex_state = 52, .external_lex_state = 13},
  [2463] = {.lex_state = 52, .external_lex_state = 13},
  [2464] = {.lex_state = 52, .external_lex_state = 12},
  [2465] = {.lex_state = 52, .external_lex_state = 12},
  [2466] = {.lex_state = 52, .external_lex_state = 14},
  [2467] = {.lex_state = 52, .external_lex_state = 14},
  [2468] = {.lex_state = 52, .external_lex_state = 14},
  [2469] = {.lex_state = 52, .external_lex_state = 13},
  [2470] = {.lex_state = 8, .external_lex_state = 15},
  [2471] = {.lex_state = 52, .external_lex_state = 13},
  [2472] = {.lex_state = 52, .external_lex_state = 14},
  [2473] = {.lex_state = 52, .external_lex_state = 13},
  [2474] = {.lex_state = 52, .external_lex_state = 13},
  [2475] = {.lex_state = 52, .external_lex_state = 14},
  [2476] = {.lex_state = 52, .external_lex_state = 14},
  [2477] = {.lex_state = 52, .external_lex_state = 13},
  [2478] = {.lex_state = 52, .external_lex_state = 12},
  [2479] = {.lex_state = 52, .external_lex_state = 15},
  [2480] = {.lex_state = 52, .external_lex_state = 19},
  [2481] = {.lex_state = 52, .external_lex_state = 14},
  [2482] = {.lex_state = 9, .external_lex_state = 17},
  [2483] = {.lex_state = 8, .external_lex_state = 15},
  [2484] = {.lex_state = 52, .external_lex_state = 14},
  [2485] = {.lex_state = 52, .external_lex_state = 14},
  [2486] = {.lex_state = 8, .external_lex_state = 15},
  [2487] = {.lex_state = 52, .external_lex_state = 19},
  [2488] = {.lex_state = 8, .external_lex_state = 15},
  [2489] = {.lex_state = 52, .external_lex_state = 9},
  [2490] = {.lex_state = 52, .external_lex_state = 13},
  [2491] = {.lex_state = 52, .external_lex_state = 13},
  [2492] = {.lex_state = 52, .external_lex_state = 13},
  [2493] = {.lex_state = 52, .external_lex_state = 12},
  [2494] = {.lex_state = 52, .external_lex_state = 13},
  [2495] = {.lex_state = 52, .external_lex_state = 9},
  [2496] = {.lex_state = 52, .external_lex_state = 13},
  [2497] = {.lex_state = 52, .external_lex_state = 12},
  [2498] = {.lex_state = 52, .external_lex_state = 14},
  [2499] = {.lex_state = 52, .external_lex_state = 9},
  [2500] = {.lex_state = 52, .external_lex_state = 9},
  [2501] = {.lex_state = 52, .external_lex_state = 9},
  [2502] = {.lex_state = 52, .external_lex_state = 14},
  [2503] = {.lex_state = 52, .external_lex_state = 9},
  [2504] = {.lex_state = 52, .external_lex_state = 9},
  [2505] = {.lex_state = 52, .external_lex_state = 9},
  [2506] = {.lex_state = 52, .external_lex_state = 9},
  [2507] = {.lex_state = 52, .external_lex_state = 15},
  [2508] = {.lex_state = 52, .external_lex_state = 13},
  [2509] = {.lex_state = 52, .external_lex_state = 15},
  [2510] = {.lex_state = 52, .external_lex_state = 12},
  [2511] = {.lex_state = 52, .external_lex_state = 13},
  [2512] = {.lex_state = 52, .external_lex_state = 9},
  [2513] = {.lex_state = 52, .external_lex_state = 9},
  [2514] = {.lex_state = 52, .external_lex_state = 9},
  [2515] = {.lex_state = 52, .external_lex_state = 9},
  [2516] = {.lex_state = 52, .external_lex_state = 15},
  [2517] = {.lex_state = 52, .external_lex_state = 12},
  [2518] = {.lex_state = 52, .external_lex_state = 15},
  [2519] = {.lex_state = 52, .external_lex_state = 12},
  [2520] = {.lex_state = 52, .external_lex_state = 15},
  [2521] = {.lex_state = 52, .external_lex_state = 18},
  [2522] = {.lex_state = 52, .external_lex_state = 14},
  [2523] = {.lex_state = 9, .external_lex_state = 15},
  [2524] = {.lex_state = 52, .external_lex_state = 15},
  [2525] = {.lex_state = 52, .external_lex_state = 15},
  [2526] = {.lex_state = 52, .external_lex_state = 15},
  [2527] = {.lex_state = 9, .external_lex_state = 15},
  [2528] = {.lex_state = 52, .external_lex_state = 9},
  [2529] = {.lex_state = 52, .external_lex_state = 14},
  [2530] = {.lex_state = 52, .external_lex_state = 14},
  [2531] = {.lex_state = 52, .external_lex_state = 15},
  [2532] = {.lex_state = 52, .external_lex_state = 14},
  [2533] = {.lex_state = 52, .external_lex_state = 15},
  [2534] = {.lex_state = 52, .external_lex_state = 18},
  [2535] = {.lex_state = 52, .external_lex_state = 14},
  [2536] = {.lex_state = 52, .external_lex_state = 15},
  [2537] = {.lex_state = 52, .external_lex_state = 15},
  [2538] = {.lex_state = 52, .external_lex_state = 15},
  [2539] = {.lex_state = 52, .external_lex_state = 15},
  [2540] = {.lex_state = 52, .external_lex_state = 15},
  [2541] = {.lex_state = 9, .external_lex_state = 15},
  [2542] = {.lex_state = 52, .external_lex_state = 15},
  [2543] = {.lex_state = 9, .external_lex_state = 15},
  [2544] = {.lex_state = 52, .external_lex_state = 18},
  [2545] = {.lex_state = 9, .external_lex_state = 15},
  [2546] = {.lex_state = 52, .external_lex_state = 13},
  [2547] = {.lex_state = 9, .external_lex_state = 15},
  [2548] = {.lex_state = 52, .external_lex_state = 13},
  [2549] = {.lex_state = 52, .external_lex_state = 14},
  [2550] = {.lex_state = 52, .external_lex_state = 18},
  [2551] = {.lex_state = 52, .external_lex_state = 15},
  [2552] = {.lex_state = 9, .external_lex_state = 15},
  [2553] = {.lex_state = 52, .external_lex_state = 14},
  [2554] = {.lex_state = 52, .external_lex_state = 14},
  [2555] = {.lex_state = 52, .external_lex_state = 18},
  [2556] = {.lex_state = 52, .external_lex_state = 9},
  [2557] = {.lex_state = 52, .external_lex_state = 9},
  [2558] = {.lex_state = 52, .external_lex_state = 9},
  [2559] = {.lex_state = 52, .external_lex_state = 13},
  [2560] = {.lex_state = 52, .external_lex_state = 18},
  [2561] = {.lex_state = 52, .external_lex_state = 13},
  [2562] = {.lex_state = 52, .external_lex_state = 13},
  [2563] = {.lex_state = 52, .external_lex_state = 13},
  [2564] = {.lex_state = 52, .external_lex_state = 15},
  [2565] = {.lex_state = 52, .external_lex_state = 12},
  [2566] = {.lex_state = 52, .external_lex_state = 15},
  [2567] = {.lex_state = 52, .external_lex_state = 13},
  [2568] = {.lex_state = 52, .external_lex_state = 15},
  [2569] = {.lex_state = 52, .external_lex_state = 12},
  [2570] = {.lex_state = 52, .external_lex_state = 13},
  [2571] = {.lex_state = 52, .external_lex_state = 9},
  [2572] = {.lex_state = 52, .external_lex_state = 15},
  [2573] = {.lex_state = 52, .external_lex_state = 13},
  [2574] = {.lex_state = 52, .external_lex_state = 18},
  [2575] = {.lex_state = 52, .external_lex_state = 13},
  [2576] = {.lex_state = 52, .external_lex_state = 18},
  [2577] = {.lex_state = 9, .external_lex_state = 15},
  [2578] = {.lex_state = 52, .external_lex_state = 9},
  [2579] = {.lex_state = 52, .external_lex_state = 18},
  [2580] = {.lex_state = 9, .external_lex_state = 15},
  [2581] = {.lex_state = 52, .external_lex_state = 15},
  [2582] = {.lex_state = 52, .external_lex_state = 18},
  [2583] = {.lex_state = 52, .external_lex_state = 18},
  [2584] = {.lex_state = 52, .external_lex_state = 18},
  [2585] = {.lex_state = 52, .external_lex_state = 15},
  [2586] = {.lex_state = 52, .external_lex_state = 18},
  [2587] = {.lex_state = 52, .external_lex_state = 13},
  [2588] = {.lex_state = 52, .external_lex_state = 18},
  [2589] = {.lex_state = 52, .external_lex_state = 15},
  [2590] = {.lex_state = 52, .external_lex_state = 18},
  [2591] = {.lex_state = 52, .external_lex_state = 15},
  [2592] = {.lex_state = 9, .external_lex_state = 15},
  [2593] = {.lex_state = 52, .external_lex_state = 18},
  [2594] = {.lex_state = 52, .external_lex_state = 18},
  [2595] = {.lex_state = 52, .external_lex_state = 18},
  [2596] = {.lex_state = 52, .external_lex_state = 13},
  [2597] = {.lex_state = 52, .external_lex_state = 15},
  [2598] = {.lex_state = 52, .external_lex_state = 13},
  [2599] = {.lex_state = 52, .external_lex_state = 9},
  [2600] = {.lex_state = 52, .external_lex_state = 15},
  [2601] = {.lex_state = 52, .external_lex_state = 15},
  [2602] = {.lex_state = 52, .external_lex_state = 13},
  [2603] = {.lex_state = 52, .external_lex_state = 13},
  [2604] = {.lex_state = 52, .external_lex_state = 15},
  [2605] = {.lex_state = 4, .external_lex_state = 15},
  [2606] = {.lex_state = 52, .external_lex_state = 13},
  [2607] = {.lex_state = 52, .external_lex_state = 15},
  [2608] = {.lex_state = 52, .external_lex_state = 15},
  [2609] = {.lex_state = 52, .external_lex_state = 15},
  [2610] = {.lex_state = 52, .external_lex_state = 15},
  [2611] = {.lex_state = 4, .external_lex_state = 15},
  [2612] = {.lex_state = 52, .external_lex_state = 15},
  [2613] = {.lex_state = 52, .external_lex_state = 15},
  [2614] = {.lex_state = 4, .external_lex_state = 15},
  [2615] = {.lex_state = 52, .external_lex_state = 13},
  [2616] = {.lex_state = 52, .external_lex_state = 14},
  [2617] = {.lex_state = 52, .external_lex_state = 12},
  [2618] = {.lex_state = 52, .external_lex_state = 12},
  [2619] = {.lex_state = 52, .external_lex_state = 15},
  [2620] = {.lex_state = 52, .external_lex_state = 15},
  [2621] = {.lex_state = 52, .external_lex_state = 15},
  [2622] = {.lex_state = 52, .external_lex_state = 13},
  [2623] = {.lex_state = 52, .external_lex_state = 14},
  [2624] = {.lex_state = 52, .external_lex_state = 12},
  [2625] = {.lex_state = 52, .external_lex_state = 12},
  [2626] = {.lex_state = 52, .external_lex_state = 13},
  [2627] = {.lex_state = 52, .external_lex_state = 12},
  [2628] = {.lex_state = 52, .external_lex_state = 12},
  [2629] = {.lex_state = 52, .external_lex_state = 13},
  [2630] = {.lex_state = 52, .external_lex_state = 12},
  [2631] = {.lex_state = 52, .external_lex_state = 15},
  [2632] = {.lex_state = 52, .external_lex_state = 12},
  [2633] = {.lex_state = 52, .external_lex_state = 13},
  [2634] = {.lex_state = 52, .external_lex_state = 14},
  [2635] = {.lex_state = 52, .external_lex_state = 13},
  [2636] = {.lex_state = 52, .external_lex_state = 13},
  [2637] = {.lex_state = 52, .external_lex_state = 14},
  [2638] = {.lex_state = 52, .external_lex_state = 12},
  [2639] = {.lex_state = 52, .external_lex_state = 12},
  [2640] = {.lex_state = 52, .external_lex_state = 14},
  [2641] = {.lex_state = 52, .external_lex_state = 12},
  [2642] = {.lex_state = 52, .external_lex_state = 15},
  [2643] = {.lex_state = 52, .external_lex_state = 14},
  [2644] = {.lex_state = 52, .external_lex_state = 13},
  [2645] = {.lex_state = 52, .external_lex_state = 14},
  [2646] = {.lex_state = 52, .external_lex_state = 15},
  [2647] = {.lex_state = 52, .external_lex_state = 14},
  [2648] = {.lex_state = 52, .external_lex_state = 15},
  [2649] = {.lex_state = 52, .external_lex_state = 13},
  [2650] = {.lex_state = 52, .external_lex_state = 15},
  [2651] = {.lex_state = 52, .external_lex_state = 15},
  [2652] = {.lex_state = 52, .external_lex_state = 12},
  [2653] = {.lex_state = 52, .external_lex_state = 15},
  [2654] = {.lex_state = 52, .external_lex_state = 14},
  [2655] = {.lex_state = 52, .external_lex_state = 12},
  [2656] = {.lex_state = 52, .external_lex_state = 12},
  [2657] = {.lex_state = 52, .external_lex_state = 15},
  [2658] = {.lex_state = 52, .external_lex_state = 12},
  [2659] = {.lex_state = 52, .external_lex_state = 15},
  [2660] = {.lex_state = 52, .external_lex_state = 15},
  [2661] = {.lex_state = 52, .external_lex_state = 12},
  [2662] = {.lex_state = 52, .external_lex_state = 12},
  [2663] = {.lex_state = 52, .external_lex_state = 14},
  [2664] = {.lex_state = 52, .external_lex_state = 15},
  [2665] = {.lex_state = 52, .external_lex_state = 12},
  [2666] = {.lex_state = 52, .external_lex_state = 15},
  [2667] = {.lex_state = 52, .external_lex_state = 12},
  [2668] = {.lex_state = 52, .external_lex_state = 12},
  [2669] = {.lex_state = 52, .external_lex_state = 15},
  [2670] = {.lex_state = 52, .external_lex_state = 14},
  [2671] = {.lex_state = 52, .external_lex_state = 12},
  [2672] = {.lex_state = 52, .external_lex_state = 15},
  [2673] = {.lex_state = 52, .external_lex_state = 15},
  [2674] = {.lex_state = 52, .external_lex_state = 14},
  [2675] = {.lex_state = 52, .external_lex_state = 12},
  [2676] = {.lex_state = 52, .external_lex_state = 15},
  [2677] = {.lex_state = 52, .external_lex_state = 15},
  [2678] = {.lex_state = 52, .external_lex_state = 14},
  [2679] = {.lex_state = 52, .external_lex_state = 15},
  [2680] = {.lex_state = 52, .external_lex_state = 15},
  [2681] = {.lex_state = 52, .external_lex_state = 13},
  [2682] = {.lex_state = 52, .external_lex_state = 13},
  [2683] = {.lex_state = 52, .external_lex_state = 15},
  [2684] = {.lex_state = 52, .external_lex_state = 13},
  [2685] = {.lex_state = 52, .external_lex_state = 15},
  [2686] = {.lex_state = 52, .external_lex_state = 13},
  [2687] = {.lex_state = 52, .external_lex_state = 15},
  [2688] = {.lex_state = 52, .external_lex_state = 15},
  [2689] = {.lex_state = 52, .external_lex_state = 15},
  [2690] = {.lex_state = 4, .external_lex_state = 15},
  [2691] = {.lex_state = 4, .external_lex_state = 15},
  [2692] = {.lex_state = 52, .external_lex_state = 15},
  [2693] = {.lex_state = 52, .external_lex_state = 13},
  [2694] = {.lex_state = 52, .external_lex_state = 15},
  [2695] = {.lex_state = 52, .external_lex_state = 14},
  [2696] = {.lex_state = 52, .external_lex_state = 15},
  [2697] = {.lex_state = 52, .external_lex_state = 13},
  [2698] = {.lex_state = 52, .external_lex_state = 15},
  [2699] = {.lex_state = 52, .external_lex_state = 13},
  [2700] = {.lex_state = 52, .external_lex_state = 12},
  [2701] = {.lex_state = 52, .external_lex_state = 15},
  [2702] = {.lex_state = 52, .external_lex_state = 15},
  [2703] = {.lex_state = 52, .external_lex_state = 12},
  [2704] = {.lex_state = 52, .external_lex_state = 15},
  [2705] = {.lex_state = 52, .external_lex_state = 15},
  [2706] = {.lex_state = 52, .external_lex_state = 12},
  [2707] = {.lex_state = 52, .external_lex_state = 13},
  [2708] = {.lex_state = 52, .external_lex_state = 15},
  [2709] = {.lex_state = 52, .external_lex_state = 12},
  [2710] = {.lex_state = 52, .external_lex_state = 15},
  [2711] = {.lex_state = 4, .external_lex_state = 15},
  [2712] = {.lex_state = 52, .external_lex_state = 15},
  [2713] = {.lex_state = 52, .external_lex_state = 13},
  [2714] = {.lex_state = 52, .external_lex_state = 15},
  [2715] = {.lex_state = 52, .external_lex_state = 15},
  [2716] = {.lex_state = 52, .external_lex_state = 15},
  [2717] = {.lex_state = 52, .external_lex_state = 15},
  [2718] = {.lex_state = 52, .external_lex_state = 15},
  [2719] = {.lex_state = 52, .external_lex_state = 15},
  [2720] = {.lex_state = 52, .external_lex_state = 13},
  [2721] = {.lex_state = 52, .external_lex_state = 15},
  [2722] = {.lex_state = 52, .external_lex_state = 12},
  [2723] = {.lex_state = 52, .external_lex_state = 15},
  [2724] = {.lex_state = 52, .external_lex_state = 15},
  [2725] = {.lex_state = 52, .external_lex_state = 15},
  [2726] = {.lex_state = 52, .external_lex_state = 13},
  [2727] = {.lex_state = 52, .external_lex_state = 15},
  [2728] = {.lex_state = 52, .external_lex_state = 15},
  [2729] = {.lex_state = 52, .external_lex_state = 15},
  [2730] = {.lex_state = 52, .external_lex_state = 13},
  [2731] = {.lex_state = 52, .external_lex_state = 15},
  [2732] = {.lex_state = 52, .external_lex_state = 12},
  [2733] = {.lex_state = 52, .external_lex_state = 15},
  [2734] = {.lex_state = 52, .external_lex_state = 15},
  [2735] = {.lex_state = 52, .external_lex_state = 13},
  [2736] = {.lex_state = 52, .external_lex_state = 15},
  [2737] = {.lex_state = 52, .external_lex_state = 12},
  [2738] = {.lex_state = 52, .external_lex_state = 13},
  [2739] = {.lex_state = 52, .external_lex_state = 12},
  [2740] = {.lex_state = 52, .external_lex_state = 14},
  [2741] = {.lex_state = 52, .external_lex_state = 14},
  [2742] = {.lex_state = 52, .external_lex_state = 12},
  [2743] = {.lex_state = 52, .external_lex_state = 15},
  [2744] = {.lex_state = 52, .external_lex_state = 12},
  [2745] = {.lex_state = 52, .external_lex_state = 12},
  [2746] = {.lex_state = 4, .external_lex_state = 15},
  [2747] = {.lex_state = 52, .external_lex_state = 14},
  [2748] = {.lex_state = 52, .external_lex_state = 15},
  [2749] = {.lex_state = 52, .external_lex_state = 15},
  [2750] = {.lex_state = 52, .external_lex_state = 15},
  [2751] = {.lex_state = 52, .external_lex_state = 13},
  [2752] = {.lex_state = 52, .external_lex_state = 15},
  [2753] = {.lex_state = 52, .external_lex_state = 15},
  [2754] = {.lex_state = 52, .external_lex_state = 13},
  [2755] = {.lex_state = 52, .external_lex_state = 12},
  [2756] = {.lex_state = 52, .external_lex_state = 14},
  [2757] = {.lex_state = 52, .external_lex_state = 13},
  [2758] = {.lex_state = 52, .external_lex_state = 12},
  [2759] = {.lex_state = 52, .external_lex_state = 15},
  [2760] = {.lex_state = 52, .external_lex_state = 15},
  [2761] = {.lex_state = 52, .external_lex_state = 15},
  [2762] = {.lex_state = 52, .external_lex_state = 13},
  [2763] = {.lex_state = 52, .external_lex_state = 14},
  [2764] = {.lex_state = 52, .external_lex_state = 15},
  [2765] = {.lex_state = 52, .external_lex_state = 15},
  [2766] = {.lex_state = 52, .external_lex_state = 15},
  [2767] = {.lex_state = 52, .external_lex_state = 14},
  [2768] = {.lex_state = 52, .external_lex_state = 15},
  [2769] = {.lex_state = 52, .external_lex_state = 12},
  [2770] = {.lex_state = 52, .external_lex_state = 13},
  [2771] = {.lex_state = 52, .external_lex_state = 15},
  [2772] = {.lex_state = 52, .external_lex_state = 12},
  [2773] = {.lex_state = 52, .external_lex_state = 15},
  [2774] = {.lex_state = 52, .external_lex_state = 13},
  [2775] = {.lex_state = 4, .external_lex_state = 15},
  [2776] = {.lex_state = 52, .external_lex_state = 12},
  [2777] = {.lex_state = 52, .external_lex_state = 15},
  [2778] = {.lex_state = 52, .external_lex_state = 15},
  [2779] = {.lex_state = 52, .external_lex_state = 15},
  [2780] = {.lex_state = 52, .external_lex_state = 15},
  [2781] = {.lex_state = 52, .external_lex_state = 15},
  [2782] = {.lex_state = 52, .external_lex_state = 15},
  [2783] = {.lex_state = 52, .external_lex_state = 15},
  [2784] = {.lex_state = 52, .external_lex_state = 15},
  [2785] = {.lex_state = 52, .external_lex_state = 15},
  [2786] = {.lex_state = 52, .external_lex_state = 15},
  [2787] = {.lex_state = 52, .external_lex_state = 15},
  [2788] = {.lex_state = 52, .external_lex_state = 15},
  [2789] = {.lex_state = 52, .external_lex_state = 15},
  [2790] = {.lex_state = 52, .external_lex_state = 14},
  [2791] = {.lex_state = 52, .external_lex_state = 15},
  [2792] = {.lex_state = 52, .external_lex_state = 15},
  [2793] = {.lex_state = 52, .external_lex_state = 12},
  [2794] = {.lex_state = 52, .external_lex_state = 12},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [anon_sym_except_STAR] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(5),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym_string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym_escape_interpolation] = ACTIONS(1),
    [sym_string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(2777),
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1782),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1782),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(49),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(81),
  },
  [2] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(850),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [3] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(755),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [4] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(824),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [5] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(2576),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [6] = {
    [sym__statement] = STATE(72),
    [sym__simple_statements] = STATE(72),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(72),
    [sym_match_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_with_statement] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(72),
    [sym_decorated_definition] = STATE(72),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(689),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(72),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [7] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(797),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [8] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(759),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [9] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(708),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [10] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(723),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [11] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(722),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [12] = {
    [sym__statement] = STATE(72),
    [sym__simple_statements] = STATE(72),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(72),
    [sym_match_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_with_statement] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(72),
    [sym_decorated_definition] = STATE(72),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(678),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(72),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [13] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(768),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [14] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(815),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [15] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(763),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [16] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(804),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [17] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(837),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [18] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(839),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [19] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(828),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [20] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(812),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [21] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(614),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [22] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(714),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [23] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(843),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [24] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(772),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [25] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(729),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [26] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(704),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [27] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(706),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [28] = {
    [sym__statement] = STATE(63),
    [sym__simple_statements] = STATE(63),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(63),
    [sym_match_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_with_statement] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(63),
    [sym_decorated_definition] = STATE(63),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(1785),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(63),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [29] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(682),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [30] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(2582),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [31] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(626),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [32] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(728),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [33] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(653),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [34] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(713),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [35] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(2584),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [36] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(718),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [37] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(767),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [38] = {
    [sym__statement] = STATE(63),
    [sym__simple_statements] = STATE(63),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(63),
    [sym_match_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_with_statement] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(63),
    [sym_decorated_definition] = STATE(63),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(1802),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(63),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [39] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(770),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [40] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(782),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [41] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(826),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [42] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(686),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [43] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(691),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym_string_start] = ACTIONS(81),
  },
  [44] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(785),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [45] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(761),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [46] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(819),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [47] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(705),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [48] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(667),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym_string_start] = ACTIONS(81),
  },
  [49] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(685),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym_string_start] = ACTIONS(81),
  },
  [50] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(666),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(115),
    [sym_string_start] = ACTIONS(81),
  },
  [51] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(794),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [52] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(820),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [53] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(2595),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [54] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(2593),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [55] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(737),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [56] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(827),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [57] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(735),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [58] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(752),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [59] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(2588),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [60] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(715),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [61] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1826),
    [sym_block] = STATE(687),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(115),
    [sym_string_start] = ACTIONS(81),
  },
  [62] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1782),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1782),
    [ts_builtin_sym_end] = ACTIONS(117),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(49),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(81),
  },
  [63] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1826),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(119),
    [sym_string_start] = ACTIONS(81),
  },
  [64] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1826),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(121),
    [anon_sym_import] = ACTIONS(124),
    [anon_sym_from] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(130),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_print] = ACTIONS(136),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(142),
    [anon_sym_del] = ACTIONS(145),
    [anon_sym_raise] = ACTIONS(148),
    [anon_sym_pass] = ACTIONS(151),
    [anon_sym_break] = ACTIONS(154),
    [anon_sym_continue] = ACTIONS(157),
    [anon_sym_if] = ACTIONS(160),
    [anon_sym_match] = ACTIONS(163),
    [anon_sym_async] = ACTIONS(166),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_while] = ACTIONS(172),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_with] = ACTIONS(178),
    [anon_sym_def] = ACTIONS(181),
    [anon_sym_global] = ACTIONS(184),
    [anon_sym_nonlocal] = ACTIONS(187),
    [anon_sym_exec] = ACTIONS(190),
    [anon_sym_type] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(196),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AT] = ACTIONS(202),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_not] = ACTIONS(211),
    [anon_sym_TILDE] = ACTIONS(205),
    [anon_sym_lambda] = ACTIONS(214),
    [anon_sym_yield] = ACTIONS(217),
    [sym_ellipsis] = ACTIONS(220),
    [sym_integer] = ACTIONS(223),
    [sym_float] = ACTIONS(220),
    [anon_sym_await] = ACTIONS(226),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_none] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(229),
    [sym_string_start] = ACTIONS(231),
  },
  [65] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1826),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(234),
    [sym_string_start] = ACTIONS(81),
  },
  [66] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1826),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(236),
    [sym_string_start] = ACTIONS(81),
  },
  [67] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1782),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1782),
    [ts_builtin_sym_end] = ACTIONS(229),
    [sym_identifier] = ACTIONS(121),
    [anon_sym_import] = ACTIONS(124),
    [anon_sym_from] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(130),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_print] = ACTIONS(136),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(142),
    [anon_sym_del] = ACTIONS(145),
    [anon_sym_raise] = ACTIONS(148),
    [anon_sym_pass] = ACTIONS(151),
    [anon_sym_break] = ACTIONS(154),
    [anon_sym_continue] = ACTIONS(157),
    [anon_sym_if] = ACTIONS(238),
    [anon_sym_match] = ACTIONS(241),
    [anon_sym_async] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(247),
    [anon_sym_while] = ACTIONS(250),
    [anon_sym_try] = ACTIONS(253),
    [anon_sym_with] = ACTIONS(256),
    [anon_sym_def] = ACTIONS(259),
    [anon_sym_global] = ACTIONS(184),
    [anon_sym_nonlocal] = ACTIONS(187),
    [anon_sym_exec] = ACTIONS(190),
    [anon_sym_type] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AT] = ACTIONS(202),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_not] = ACTIONS(211),
    [anon_sym_TILDE] = ACTIONS(205),
    [anon_sym_lambda] = ACTIONS(214),
    [anon_sym_yield] = ACTIONS(217),
    [sym_ellipsis] = ACTIONS(220),
    [sym_integer] = ACTIONS(223),
    [sym_float] = ACTIONS(220),
    [anon_sym_await] = ACTIONS(226),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_none] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(231),
  },
  [68] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1826),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(265),
    [sym_string_start] = ACTIONS(81),
  },
  [69] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1826),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(267),
    [sym_string_start] = ACTIONS(81),
  },
  [70] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1826),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(269),
    [sym_string_start] = ACTIONS(81),
  },
  [71] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1826),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(271),
    [sym_string_start] = ACTIONS(81),
  },
  [72] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1826),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(273),
    [sym_string_start] = ACTIONS(81),
  },
  [73] = {
    [sym_named_expression] = STATE(1720),
    [sym__named_expression_lhs] = STATE(2711),
    [sym_list_splat_pattern] = STATE(1269),
    [sym_as_pattern] = STATE(1720),
    [sym_expression] = STATE(1752),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1720),
    [sym_boolean_operator] = STATE(1720),
    [sym_binary_operator] = STATE(1339),
    [sym_unary_operator] = STATE(1339),
    [sym_comparison_operator] = STATE(1720),
    [sym_lambda] = STATE(1720),
    [sym_attribute] = STATE(1339),
    [sym_subscript] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_type] = STATE(2120),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_tuple] = STATE(1339),
    [sym_dictionary] = STATE(1339),
    [sym_list_comprehension] = STATE(1339),
    [sym_dictionary_comprehension] = STATE(1339),
    [sym_set_comprehension] = STATE(1339),
    [sym_generator_expression] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_conditional_expression] = STATE(1720),
    [sym_concatenated_string] = STATE(1339),
    [sym_string] = STATE(1033),
    [sym_await] = STATE(1339),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(281),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_print] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(294),
    [anon_sym_match] = ACTIONS(296),
    [anon_sym_async] = ACTIONS(290),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(298),
    [anon_sym_exec] = ACTIONS(290),
    [anon_sym_type] = ACTIONS(296),
    [anon_sym_EQ] = ACTIONS(294),
    [anon_sym_LBRACK] = ACTIONS(301),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(304),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_PLUS] = ACTIONS(304),
    [anon_sym_not] = ACTIONS(309),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(314),
    [anon_sym_PLUS_EQ] = ACTIONS(316),
    [anon_sym_DASH_EQ] = ACTIONS(316),
    [anon_sym_STAR_EQ] = ACTIONS(316),
    [anon_sym_SLASH_EQ] = ACTIONS(316),
    [anon_sym_AT_EQ] = ACTIONS(316),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(316),
    [anon_sym_PERCENT_EQ] = ACTIONS(316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(316),
    [anon_sym_GT_GT_EQ] = ACTIONS(316),
    [anon_sym_LT_LT_EQ] = ACTIONS(316),
    [anon_sym_AMP_EQ] = ACTIONS(316),
    [anon_sym_CARET_EQ] = ACTIONS(316),
    [anon_sym_PIPE_EQ] = ACTIONS(316),
    [sym_ellipsis] = ACTIONS(318),
    [sym_integer] = ACTIONS(320),
    [sym_float] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(322),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_none] = ACTIONS(320),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(324),
  },
  [74] = {
    [sym_named_expression] = STATE(1720),
    [sym__named_expression_lhs] = STATE(2711),
    [sym_list_splat_pattern] = STATE(1269),
    [sym_as_pattern] = STATE(1720),
    [sym_expression] = STATE(1752),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1720),
    [sym_boolean_operator] = STATE(1720),
    [sym_binary_operator] = STATE(1339),
    [sym_unary_operator] = STATE(1339),
    [sym_comparison_operator] = STATE(1720),
    [sym_lambda] = STATE(1720),
    [sym_attribute] = STATE(1339),
    [sym_subscript] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_type] = STATE(2120),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_tuple] = STATE(1339),
    [sym_dictionary] = STATE(1339),
    [sym_list_comprehension] = STATE(1339),
    [sym_dictionary_comprehension] = STATE(1339),
    [sym_set_comprehension] = STATE(1339),
    [sym_generator_expression] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_conditional_expression] = STATE(1720),
    [sym_concatenated_string] = STATE(1339),
    [sym_string] = STATE(1033),
    [sym_await] = STATE(1339),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(281),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_print] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(326),
    [anon_sym_match] = ACTIONS(296),
    [anon_sym_async] = ACTIONS(290),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(298),
    [anon_sym_exec] = ACTIONS(290),
    [anon_sym_type] = ACTIONS(296),
    [anon_sym_EQ] = ACTIONS(294),
    [anon_sym_LBRACK] = ACTIONS(301),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(304),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_PLUS] = ACTIONS(304),
    [anon_sym_not] = ACTIONS(309),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(314),
    [anon_sym_PLUS_EQ] = ACTIONS(316),
    [anon_sym_DASH_EQ] = ACTIONS(316),
    [anon_sym_STAR_EQ] = ACTIONS(316),
    [anon_sym_SLASH_EQ] = ACTIONS(316),
    [anon_sym_AT_EQ] = ACTIONS(316),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(316),
    [anon_sym_PERCENT_EQ] = ACTIONS(316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(316),
    [anon_sym_GT_GT_EQ] = ACTIONS(316),
    [anon_sym_LT_LT_EQ] = ACTIONS(316),
    [anon_sym_AMP_EQ] = ACTIONS(316),
    [anon_sym_CARET_EQ] = ACTIONS(316),
    [anon_sym_PIPE_EQ] = ACTIONS(316),
    [sym_ellipsis] = ACTIONS(318),
    [sym_integer] = ACTIONS(320),
    [sym_float] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(322),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_none] = ACTIONS(320),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(324),
  },
  [75] = {
    [sym__simple_statements] = STATE(784),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(636),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1698),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(635),
    [sym_subscript] = STATE(635),
    [sym_call] = STATE(1130),
    [sym_type] = STATE(2072),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(339),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(349),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(351),
    [sym__indent] = ACTIONS(353),
    [sym_string_start] = ACTIONS(81),
  },
  [76] = {
    [sym__simple_statements] = STATE(840),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(636),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1698),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(635),
    [sym_subscript] = STATE(635),
    [sym_call] = STATE(1130),
    [sym_type] = STATE(2072),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(339),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(349),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(355),
    [sym__indent] = ACTIONS(357),
    [sym_string_start] = ACTIONS(81),
  },
  [77] = {
    [sym__simple_statements] = STATE(762),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(636),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1698),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(635),
    [sym_subscript] = STATE(635),
    [sym_call] = STATE(1130),
    [sym_type] = STATE(2072),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(339),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(349),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__indent] = ACTIONS(361),
    [sym_string_start] = ACTIONS(81),
  },
  [78] = {
    [sym__simple_statements] = STATE(771),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(636),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1698),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(635),
    [sym_subscript] = STATE(635),
    [sym_call] = STATE(1130),
    [sym_type] = STATE(2072),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(339),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(349),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__indent] = ACTIONS(365),
    [sym_string_start] = ACTIONS(81),
  },
  [79] = {
    [sym__simple_statements] = STATE(753),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(636),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1698),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(635),
    [sym_subscript] = STATE(635),
    [sym_call] = STATE(1130),
    [sym_type] = STATE(2072),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(339),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(349),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(367),
    [sym__indent] = ACTIONS(369),
    [sym_string_start] = ACTIONS(81),
  },
  [80] = {
    [sym__simple_statements] = STATE(778),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(636),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1698),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(635),
    [sym_subscript] = STATE(635),
    [sym_call] = STATE(1130),
    [sym_type] = STATE(2072),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(339),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(349),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__indent] = ACTIONS(373),
    [sym_string_start] = ACTIONS(81),
  },
  [81] = {
    [sym__simple_statements] = STATE(790),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(636),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1698),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(635),
    [sym_subscript] = STATE(635),
    [sym_call] = STATE(1130),
    [sym_type] = STATE(2072),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(339),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(349),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(375),
    [sym__indent] = ACTIONS(377),
    [sym_string_start] = ACTIONS(81),
  },
  [82] = {
    [sym__simple_statements] = STATE(798),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(636),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1698),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(635),
    [sym_subscript] = STATE(635),
    [sym_call] = STATE(1130),
    [sym_type] = STATE(2072),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(339),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(349),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__indent] = ACTIONS(381),
    [sym_string_start] = ACTIONS(81),
  },
  [83] = {
    [sym_chevron] = STATE(2116),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_list_splat_pattern] = STATE(1118),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1813),
    [sym_primary_expression] = STATE(860),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_attribute] = STATE(1130),
    [sym_subscript] = STATE(1130),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(385),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(388),
    [anon_sym_print] = ACTIONS(391),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(326),
    [anon_sym_match] = ACTIONS(395),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(391),
    [anon_sym_type] = ACTIONS(395),
    [anon_sym_EQ] = ACTIONS(294),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_not] = ACTIONS(403),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_PLUS_EQ] = ACTIONS(316),
    [anon_sym_DASH_EQ] = ACTIONS(316),
    [anon_sym_STAR_EQ] = ACTIONS(316),
    [anon_sym_SLASH_EQ] = ACTIONS(316),
    [anon_sym_AT_EQ] = ACTIONS(316),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(316),
    [anon_sym_PERCENT_EQ] = ACTIONS(316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(316),
    [anon_sym_GT_GT_EQ] = ACTIONS(316),
    [anon_sym_LT_LT_EQ] = ACTIONS(316),
    [anon_sym_AMP_EQ] = ACTIONS(316),
    [anon_sym_CARET_EQ] = ACTIONS(316),
    [anon_sym_PIPE_EQ] = ACTIONS(316),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(406),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [84] = {
    [sym_chevron] = STATE(2116),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_list_splat_pattern] = STATE(1118),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1813),
    [sym_primary_expression] = STATE(860),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_attribute] = STATE(1130),
    [sym_subscript] = STATE(1130),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(385),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(388),
    [anon_sym_print] = ACTIONS(391),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(294),
    [anon_sym_match] = ACTIONS(395),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(391),
    [anon_sym_type] = ACTIONS(395),
    [anon_sym_EQ] = ACTIONS(294),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_not] = ACTIONS(403),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_PLUS_EQ] = ACTIONS(316),
    [anon_sym_DASH_EQ] = ACTIONS(316),
    [anon_sym_STAR_EQ] = ACTIONS(316),
    [anon_sym_SLASH_EQ] = ACTIONS(316),
    [anon_sym_AT_EQ] = ACTIONS(316),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(316),
    [anon_sym_PERCENT_EQ] = ACTIONS(316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(316),
    [anon_sym_GT_GT_EQ] = ACTIONS(316),
    [anon_sym_LT_LT_EQ] = ACTIONS(316),
    [anon_sym_AMP_EQ] = ACTIONS(316),
    [anon_sym_CARET_EQ] = ACTIONS(316),
    [anon_sym_PIPE_EQ] = ACTIONS(316),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(406),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [85] = {
    [sym_named_expression] = STATE(1720),
    [sym__named_expression_lhs] = STATE(2711),
    [sym_list_splat_pattern] = STATE(1269),
    [sym_as_pattern] = STATE(1720),
    [sym_expression] = STATE(1881),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1720),
    [sym_boolean_operator] = STATE(1720),
    [sym_binary_operator] = STATE(1339),
    [sym_unary_operator] = STATE(1339),
    [sym_comparison_operator] = STATE(1720),
    [sym_lambda] = STATE(1720),
    [sym_attribute] = STATE(1339),
    [sym_subscript] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_list] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_tuple] = STATE(1339),
    [sym_dictionary] = STATE(1339),
    [sym_list_comprehension] = STATE(1339),
    [sym_dictionary_comprehension] = STATE(1339),
    [sym_set_comprehension] = STATE(1339),
    [sym_generator_expression] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_conditional_expression] = STATE(1720),
    [sym_concatenated_string] = STATE(1339),
    [sym_string] = STATE(1033),
    [sym_await] = STATE(1339),
    [sym_identifier] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(281),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(294),
    [anon_sym_match] = ACTIONS(296),
    [anon_sym_async] = ACTIONS(290),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(290),
    [anon_sym_type] = ACTIONS(296),
    [anon_sym_EQ] = ACTIONS(294),
    [anon_sym_LBRACK] = ACTIONS(301),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(304),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_PLUS] = ACTIONS(304),
    [anon_sym_not] = ACTIONS(309),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(314),
    [anon_sym_PLUS_EQ] = ACTIONS(316),
    [anon_sym_DASH_EQ] = ACTIONS(316),
    [anon_sym_STAR_EQ] = ACTIONS(316),
    [anon_sym_SLASH_EQ] = ACTIONS(316),
    [anon_sym_AT_EQ] = ACTIONS(316),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(316),
    [anon_sym_PERCENT_EQ] = ACTIONS(316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(316),
    [anon_sym_GT_GT_EQ] = ACTIONS(316),
    [anon_sym_LT_LT_EQ] = ACTIONS(316),
    [anon_sym_AMP_EQ] = ACTIONS(316),
    [anon_sym_CARET_EQ] = ACTIONS(316),
    [anon_sym_PIPE_EQ] = ACTIONS(316),
    [sym_ellipsis] = ACTIONS(318),
    [sym_integer] = ACTIONS(320),
    [sym_float] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(322),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_none] = ACTIONS(320),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(324),
  },
  [86] = {
    [sym_named_expression] = STATE(1720),
    [sym__named_expression_lhs] = STATE(2711),
    [sym_list_splat_pattern] = STATE(1269),
    [sym_as_pattern] = STATE(1720),
    [sym_expression] = STATE(1863),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1720),
    [sym_boolean_operator] = STATE(1720),
    [sym_binary_operator] = STATE(1339),
    [sym_unary_operator] = STATE(1339),
    [sym_comparison_operator] = STATE(1720),
    [sym_lambda] = STATE(1720),
    [sym_attribute] = STATE(1339),
    [sym_subscript] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_list] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_tuple] = STATE(1339),
    [sym_dictionary] = STATE(1339),
    [sym_list_comprehension] = STATE(1339),
    [sym_dictionary_comprehension] = STATE(1339),
    [sym_set_comprehension] = STATE(1339),
    [sym_generator_expression] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_conditional_expression] = STATE(1720),
    [sym_concatenated_string] = STATE(1339),
    [sym_string] = STATE(1033),
    [sym_await] = STATE(1339),
    [sym_identifier] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(281),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(294),
    [anon_sym_match] = ACTIONS(296),
    [anon_sym_async] = ACTIONS(290),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(290),
    [anon_sym_type] = ACTIONS(296),
    [anon_sym_EQ] = ACTIONS(294),
    [anon_sym_LBRACK] = ACTIONS(301),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(304),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_PLUS] = ACTIONS(304),
    [anon_sym_not] = ACTIONS(309),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(314),
    [anon_sym_PLUS_EQ] = ACTIONS(316),
    [anon_sym_DASH_EQ] = ACTIONS(316),
    [anon_sym_STAR_EQ] = ACTIONS(316),
    [anon_sym_SLASH_EQ] = ACTIONS(316),
    [anon_sym_AT_EQ] = ACTIONS(316),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(316),
    [anon_sym_PERCENT_EQ] = ACTIONS(316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(316),
    [anon_sym_GT_GT_EQ] = ACTIONS(316),
    [anon_sym_LT_LT_EQ] = ACTIONS(316),
    [anon_sym_AMP_EQ] = ACTIONS(316),
    [anon_sym_CARET_EQ] = ACTIONS(316),
    [anon_sym_PIPE_EQ] = ACTIONS(316),
    [sym_ellipsis] = ACTIONS(318),
    [sym_integer] = ACTIONS(320),
    [sym_float] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(322),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_none] = ACTIONS(320),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(324),
  },
  [87] = {
    [sym__simple_statements] = STATE(1807),
    [sym_import_statement] = STATE(2445),
    [sym_future_import_statement] = STATE(2445),
    [sym_import_from_statement] = STATE(2445),
    [sym_print_statement] = STATE(2445),
    [sym_assert_statement] = STATE(2445),
    [sym_expression_statement] = STATE(2445),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2445),
    [sym_delete_statement] = STATE(2445),
    [sym_raise_statement] = STATE(2445),
    [sym_pass_statement] = STATE(2445),
    [sym_break_statement] = STATE(2445),
    [sym_continue_statement] = STATE(2445),
    [sym_global_statement] = STATE(2445),
    [sym_nonlocal_statement] = STATE(2445),
    [sym_exec_statement] = STATE(2445),
    [sym_type_alias_statement] = STATE(2445),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(417),
    [sym__indent] = ACTIONS(419),
    [sym_string_start] = ACTIONS(81),
  },
  [88] = {
    [sym__simple_statements] = STATE(654),
    [sym_import_statement] = STATE(2453),
    [sym_future_import_statement] = STATE(2453),
    [sym_import_from_statement] = STATE(2453),
    [sym_print_statement] = STATE(2453),
    [sym_assert_statement] = STATE(2453),
    [sym_expression_statement] = STATE(2453),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2453),
    [sym_delete_statement] = STATE(2453),
    [sym_raise_statement] = STATE(2453),
    [sym_pass_statement] = STATE(2453),
    [sym_break_statement] = STATE(2453),
    [sym_continue_statement] = STATE(2453),
    [sym_global_statement] = STATE(2453),
    [sym_nonlocal_statement] = STATE(2453),
    [sym_exec_statement] = STATE(2453),
    [sym_type_alias_statement] = STATE(2453),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(421),
    [sym__indent] = ACTIONS(423),
    [sym_string_start] = ACTIONS(81),
  },
  [89] = {
    [sym__simple_statements] = STATE(719),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(425),
    [sym__indent] = ACTIONS(427),
    [sym_string_start] = ACTIONS(81),
  },
  [90] = {
    [sym__simple_statements] = STATE(1833),
    [sym_import_statement] = STATE(2445),
    [sym_future_import_statement] = STATE(2445),
    [sym_import_from_statement] = STATE(2445),
    [sym_print_statement] = STATE(2445),
    [sym_assert_statement] = STATE(2445),
    [sym_expression_statement] = STATE(2445),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2445),
    [sym_delete_statement] = STATE(2445),
    [sym_raise_statement] = STATE(2445),
    [sym_pass_statement] = STATE(2445),
    [sym_break_statement] = STATE(2445),
    [sym_continue_statement] = STATE(2445),
    [sym_global_statement] = STATE(2445),
    [sym_nonlocal_statement] = STATE(2445),
    [sym_exec_statement] = STATE(2445),
    [sym_type_alias_statement] = STATE(2445),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(429),
    [sym__indent] = ACTIONS(431),
    [sym_string_start] = ACTIONS(81),
  },
  [91] = {
    [sym__simple_statements] = STATE(816),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(433),
    [sym__indent] = ACTIONS(435),
    [sym_string_start] = ACTIONS(81),
  },
  [92] = {
    [sym__simple_statements] = STATE(2574),
    [sym_import_statement] = STATE(2489),
    [sym_future_import_statement] = STATE(2489),
    [sym_import_from_statement] = STATE(2489),
    [sym_print_statement] = STATE(2489),
    [sym_assert_statement] = STATE(2489),
    [sym_expression_statement] = STATE(2489),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2489),
    [sym_delete_statement] = STATE(2489),
    [sym_raise_statement] = STATE(2489),
    [sym_pass_statement] = STATE(2489),
    [sym_break_statement] = STATE(2489),
    [sym_continue_statement] = STATE(2489),
    [sym_global_statement] = STATE(2489),
    [sym_nonlocal_statement] = STATE(2489),
    [sym_exec_statement] = STATE(2489),
    [sym_type_alias_statement] = STATE(2489),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(437),
    [sym__indent] = ACTIONS(439),
    [sym_string_start] = ACTIONS(81),
  },
  [93] = {
    [sym__simple_statements] = STATE(733),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(441),
    [sym__indent] = ACTIONS(443),
    [sym_string_start] = ACTIONS(81),
  },
  [94] = {
    [sym__simple_statements] = STATE(701),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(445),
    [sym__indent] = ACTIONS(447),
    [sym_string_start] = ACTIONS(81),
  },
  [95] = {
    [sym__simple_statements] = STATE(777),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(449),
    [sym__indent] = ACTIONS(451),
    [sym_string_start] = ACTIONS(81),
  },
  [96] = {
    [sym__simple_statements] = STATE(764),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(453),
    [sym__indent] = ACTIONS(455),
    [sym_string_start] = ACTIONS(81),
  },
  [97] = {
    [sym__simple_statements] = STATE(817),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__indent] = ACTIONS(459),
    [sym_string_start] = ACTIONS(81),
  },
  [98] = {
    [sym__simple_statements] = STATE(2579),
    [sym_import_statement] = STATE(2489),
    [sym_future_import_statement] = STATE(2489),
    [sym_import_from_statement] = STATE(2489),
    [sym_print_statement] = STATE(2489),
    [sym_assert_statement] = STATE(2489),
    [sym_expression_statement] = STATE(2489),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2489),
    [sym_delete_statement] = STATE(2489),
    [sym_raise_statement] = STATE(2489),
    [sym_pass_statement] = STATE(2489),
    [sym_break_statement] = STATE(2489),
    [sym_continue_statement] = STATE(2489),
    [sym_global_statement] = STATE(2489),
    [sym_nonlocal_statement] = STATE(2489),
    [sym_exec_statement] = STATE(2489),
    [sym_type_alias_statement] = STATE(2489),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(461),
    [sym__indent] = ACTIONS(463),
    [sym_string_start] = ACTIONS(81),
  },
  [99] = {
    [sym__simple_statements] = STATE(702),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(465),
    [sym__indent] = ACTIONS(467),
    [sym_string_start] = ACTIONS(81),
  },
  [100] = {
    [sym__simple_statements] = STATE(725),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__indent] = ACTIONS(471),
    [sym_string_start] = ACTIONS(81),
  },
  [101] = {
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(473),
    [sym__indent] = ACTIONS(475),
    [sym_string_start] = ACTIONS(81),
  },
  [102] = {
    [sym__simple_statements] = STATE(814),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(477),
    [sym__indent] = ACTIONS(479),
    [sym_string_start] = ACTIONS(81),
  },
  [103] = {
    [sym__simple_statements] = STATE(720),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(481),
    [sym__indent] = ACTIONS(483),
    [sym_string_start] = ACTIONS(81),
  },
  [104] = {
    [sym__simple_statements] = STATE(617),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(485),
    [sym__indent] = ACTIONS(487),
    [sym_string_start] = ACTIONS(81),
  },
  [105] = {
    [sym__simple_statements] = STATE(818),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(489),
    [sym__indent] = ACTIONS(491),
    [sym_string_start] = ACTIONS(81),
  },
  [106] = {
    [sym__simple_statements] = STATE(694),
    [sym_import_statement] = STATE(2334),
    [sym_future_import_statement] = STATE(2334),
    [sym_import_from_statement] = STATE(2334),
    [sym_print_statement] = STATE(2334),
    [sym_assert_statement] = STATE(2334),
    [sym_expression_statement] = STATE(2334),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2334),
    [sym_delete_statement] = STATE(2334),
    [sym_raise_statement] = STATE(2334),
    [sym_pass_statement] = STATE(2334),
    [sym_break_statement] = STATE(2334),
    [sym_continue_statement] = STATE(2334),
    [sym_global_statement] = STATE(2334),
    [sym_nonlocal_statement] = STATE(2334),
    [sym_exec_statement] = STATE(2334),
    [sym_type_alias_statement] = STATE(2334),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(493),
    [sym__indent] = ACTIONS(495),
    [sym_string_start] = ACTIONS(81),
  },
  [107] = {
    [sym__simple_statements] = STATE(676),
    [sym_import_statement] = STATE(2334),
    [sym_future_import_statement] = STATE(2334),
    [sym_import_from_statement] = STATE(2334),
    [sym_print_statement] = STATE(2334),
    [sym_assert_statement] = STATE(2334),
    [sym_expression_statement] = STATE(2334),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2334),
    [sym_delete_statement] = STATE(2334),
    [sym_raise_statement] = STATE(2334),
    [sym_pass_statement] = STATE(2334),
    [sym_break_statement] = STATE(2334),
    [sym_continue_statement] = STATE(2334),
    [sym_global_statement] = STATE(2334),
    [sym_nonlocal_statement] = STATE(2334),
    [sym_exec_statement] = STATE(2334),
    [sym_type_alias_statement] = STATE(2334),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(497),
    [sym__indent] = ACTIONS(499),
    [sym_string_start] = ACTIONS(81),
  },
  [108] = {
    [sym__simple_statements] = STATE(813),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(501),
    [sym__indent] = ACTIONS(503),
    [sym_string_start] = ACTIONS(81),
  },
  [109] = {
    [sym__simple_statements] = STATE(649),
    [sym_import_statement] = STATE(2334),
    [sym_future_import_statement] = STATE(2334),
    [sym_import_from_statement] = STATE(2334),
    [sym_print_statement] = STATE(2334),
    [sym_assert_statement] = STATE(2334),
    [sym_expression_statement] = STATE(2334),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2334),
    [sym_delete_statement] = STATE(2334),
    [sym_raise_statement] = STATE(2334),
    [sym_pass_statement] = STATE(2334),
    [sym_break_statement] = STATE(2334),
    [sym_continue_statement] = STATE(2334),
    [sym_global_statement] = STATE(2334),
    [sym_nonlocal_statement] = STATE(2334),
    [sym_exec_statement] = STATE(2334),
    [sym_type_alias_statement] = STATE(2334),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(505),
    [sym__indent] = ACTIONS(507),
    [sym_string_start] = ACTIONS(81),
  },
  [110] = {
    [sym__simple_statements] = STATE(724),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(509),
    [sym__indent] = ACTIONS(511),
    [sym_string_start] = ACTIONS(81),
  },
  [111] = {
    [sym__simple_statements] = STATE(829),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(513),
    [sym__indent] = ACTIONS(515),
    [sym_string_start] = ACTIONS(81),
  },
  [112] = {
    [sym__simple_statements] = STATE(793),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(517),
    [sym__indent] = ACTIONS(519),
    [sym_string_start] = ACTIONS(81),
  },
  [113] = {
    [sym__simple_statements] = STATE(849),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(521),
    [sym__indent] = ACTIONS(523),
    [sym_string_start] = ACTIONS(81),
  },
  [114] = {
    [sym__simple_statements] = STATE(712),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(525),
    [sym__indent] = ACTIONS(527),
    [sym_string_start] = ACTIONS(81),
  },
  [115] = {
    [sym__simple_statements] = STATE(806),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(529),
    [sym__indent] = ACTIONS(531),
    [sym_string_start] = ACTIONS(81),
  },
  [116] = {
    [sym__simple_statements] = STATE(2583),
    [sym_import_statement] = STATE(2489),
    [sym_future_import_statement] = STATE(2489),
    [sym_import_from_statement] = STATE(2489),
    [sym_print_statement] = STATE(2489),
    [sym_assert_statement] = STATE(2489),
    [sym_expression_statement] = STATE(2489),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2489),
    [sym_delete_statement] = STATE(2489),
    [sym_raise_statement] = STATE(2489),
    [sym_pass_statement] = STATE(2489),
    [sym_break_statement] = STATE(2489),
    [sym_continue_statement] = STATE(2489),
    [sym_global_statement] = STATE(2489),
    [sym_nonlocal_statement] = STATE(2489),
    [sym_exec_statement] = STATE(2489),
    [sym_type_alias_statement] = STATE(2489),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(533),
    [sym__indent] = ACTIONS(535),
    [sym_string_start] = ACTIONS(81),
  },
  [117] = {
    [sym__simple_statements] = STATE(655),
    [sym_import_statement] = STATE(2415),
    [sym_future_import_statement] = STATE(2415),
    [sym_import_from_statement] = STATE(2415),
    [sym_print_statement] = STATE(2415),
    [sym_assert_statement] = STATE(2415),
    [sym_expression_statement] = STATE(2415),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2415),
    [sym_delete_statement] = STATE(2415),
    [sym_raise_statement] = STATE(2415),
    [sym_pass_statement] = STATE(2415),
    [sym_break_statement] = STATE(2415),
    [sym_continue_statement] = STATE(2415),
    [sym_global_statement] = STATE(2415),
    [sym_nonlocal_statement] = STATE(2415),
    [sym_exec_statement] = STATE(2415),
    [sym_type_alias_statement] = STATE(2415),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(537),
    [sym__indent] = ACTIONS(539),
    [sym_string_start] = ACTIONS(81),
  },
  [118] = {
    [sym__simple_statements] = STATE(707),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(541),
    [sym__indent] = ACTIONS(543),
    [sym_string_start] = ACTIONS(81),
  },
  [119] = {
    [sym__simple_statements] = STATE(810),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(545),
    [sym__indent] = ACTIONS(547),
    [sym_string_start] = ACTIONS(81),
  },
  [120] = {
    [sym__simple_statements] = STATE(2550),
    [sym_import_statement] = STATE(2489),
    [sym_future_import_statement] = STATE(2489),
    [sym_import_from_statement] = STATE(2489),
    [sym_print_statement] = STATE(2489),
    [sym_assert_statement] = STATE(2489),
    [sym_expression_statement] = STATE(2489),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2489),
    [sym_delete_statement] = STATE(2489),
    [sym_raise_statement] = STATE(2489),
    [sym_pass_statement] = STATE(2489),
    [sym_break_statement] = STATE(2489),
    [sym_continue_statement] = STATE(2489),
    [sym_global_statement] = STATE(2489),
    [sym_nonlocal_statement] = STATE(2489),
    [sym_exec_statement] = STATE(2489),
    [sym_type_alias_statement] = STATE(2489),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(549),
    [sym__indent] = ACTIONS(551),
    [sym_string_start] = ACTIONS(81),
  },
  [121] = {
    [sym__simple_statements] = STATE(697),
    [sym_import_statement] = STATE(2430),
    [sym_future_import_statement] = STATE(2430),
    [sym_import_from_statement] = STATE(2430),
    [sym_print_statement] = STATE(2430),
    [sym_assert_statement] = STATE(2430),
    [sym_expression_statement] = STATE(2430),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2430),
    [sym_delete_statement] = STATE(2430),
    [sym_raise_statement] = STATE(2430),
    [sym_pass_statement] = STATE(2430),
    [sym_break_statement] = STATE(2430),
    [sym_continue_statement] = STATE(2430),
    [sym_global_statement] = STATE(2430),
    [sym_nonlocal_statement] = STATE(2430),
    [sym_exec_statement] = STATE(2430),
    [sym_type_alias_statement] = STATE(2430),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(553),
    [sym__indent] = ACTIONS(555),
    [sym_string_start] = ACTIONS(81),
  },
  [122] = {
    [sym__simple_statements] = STATE(692),
    [sym_import_statement] = STATE(2453),
    [sym_future_import_statement] = STATE(2453),
    [sym_import_from_statement] = STATE(2453),
    [sym_print_statement] = STATE(2453),
    [sym_assert_statement] = STATE(2453),
    [sym_expression_statement] = STATE(2453),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2453),
    [sym_delete_statement] = STATE(2453),
    [sym_raise_statement] = STATE(2453),
    [sym_pass_statement] = STATE(2453),
    [sym_break_statement] = STATE(2453),
    [sym_continue_statement] = STATE(2453),
    [sym_global_statement] = STATE(2453),
    [sym_nonlocal_statement] = STATE(2453),
    [sym_exec_statement] = STATE(2453),
    [sym_type_alias_statement] = STATE(2453),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(557),
    [sym__indent] = ACTIONS(559),
    [sym_string_start] = ACTIONS(81),
  },
  [123] = {
    [sym__simple_statements] = STATE(740),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(561),
    [sym__indent] = ACTIONS(563),
    [sym_string_start] = ACTIONS(81),
  },
  [124] = {
    [sym__simple_statements] = STATE(738),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(565),
    [sym__indent] = ACTIONS(567),
    [sym_string_start] = ACTIONS(81),
  },
  [125] = {
    [sym__simple_statements] = STATE(2586),
    [sym_import_statement] = STATE(2489),
    [sym_future_import_statement] = STATE(2489),
    [sym_import_from_statement] = STATE(2489),
    [sym_print_statement] = STATE(2489),
    [sym_assert_statement] = STATE(2489),
    [sym_expression_statement] = STATE(2489),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2489),
    [sym_delete_statement] = STATE(2489),
    [sym_raise_statement] = STATE(2489),
    [sym_pass_statement] = STATE(2489),
    [sym_break_statement] = STATE(2489),
    [sym_continue_statement] = STATE(2489),
    [sym_global_statement] = STATE(2489),
    [sym_nonlocal_statement] = STATE(2489),
    [sym_exec_statement] = STATE(2489),
    [sym_type_alias_statement] = STATE(2489),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(569),
    [sym__indent] = ACTIONS(571),
    [sym_string_start] = ACTIONS(81),
  },
  [126] = {
    [sym__simple_statements] = STATE(709),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(573),
    [sym__indent] = ACTIONS(575),
    [sym_string_start] = ACTIONS(81),
  },
  [127] = {
    [sym__simple_statements] = STATE(673),
    [sym_import_statement] = STATE(2453),
    [sym_future_import_statement] = STATE(2453),
    [sym_import_from_statement] = STATE(2453),
    [sym_print_statement] = STATE(2453),
    [sym_assert_statement] = STATE(2453),
    [sym_expression_statement] = STATE(2453),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2453),
    [sym_delete_statement] = STATE(2453),
    [sym_raise_statement] = STATE(2453),
    [sym_pass_statement] = STATE(2453),
    [sym_break_statement] = STATE(2453),
    [sym_continue_statement] = STATE(2453),
    [sym_global_statement] = STATE(2453),
    [sym_nonlocal_statement] = STATE(2453),
    [sym_exec_statement] = STATE(2453),
    [sym_type_alias_statement] = STATE(2453),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(577),
    [sym__indent] = ACTIONS(579),
    [sym_string_start] = ACTIONS(81),
  },
  [128] = {
    [sym__simple_statements] = STATE(823),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(581),
    [sym__indent] = ACTIONS(583),
    [sym_string_start] = ACTIONS(81),
  },
  [129] = {
    [sym__simple_statements] = STATE(2594),
    [sym_import_statement] = STATE(2489),
    [sym_future_import_statement] = STATE(2489),
    [sym_import_from_statement] = STATE(2489),
    [sym_print_statement] = STATE(2489),
    [sym_assert_statement] = STATE(2489),
    [sym_expression_statement] = STATE(2489),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2489),
    [sym_delete_statement] = STATE(2489),
    [sym_raise_statement] = STATE(2489),
    [sym_pass_statement] = STATE(2489),
    [sym_break_statement] = STATE(2489),
    [sym_continue_statement] = STATE(2489),
    [sym_global_statement] = STATE(2489),
    [sym_nonlocal_statement] = STATE(2489),
    [sym_exec_statement] = STATE(2489),
    [sym_type_alias_statement] = STATE(2489),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(585),
    [sym__indent] = ACTIONS(587),
    [sym_string_start] = ACTIONS(81),
  },
  [130] = {
    [sym__simple_statements] = STATE(789),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(589),
    [sym__indent] = ACTIONS(591),
    [sym_string_start] = ACTIONS(81),
  },
  [131] = {
    [sym__simple_statements] = STATE(791),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(593),
    [sym__indent] = ACTIONS(595),
    [sym_string_start] = ACTIONS(81),
  },
  [132] = {
    [sym__simple_statements] = STATE(711),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(597),
    [sym__indent] = ACTIONS(599),
    [sym_string_start] = ACTIONS(81),
  },
  [133] = {
    [sym__simple_statements] = STATE(736),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(601),
    [sym__indent] = ACTIONS(603),
    [sym_string_start] = ACTIONS(81),
  },
  [134] = {
    [sym__simple_statements] = STATE(835),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(605),
    [sym__indent] = ACTIONS(607),
    [sym_string_start] = ACTIONS(81),
  },
  [135] = {
    [sym__simple_statements] = STATE(795),
    [sym_import_statement] = STATE(2286),
    [sym_future_import_statement] = STATE(2286),
    [sym_import_from_statement] = STATE(2286),
    [sym_print_statement] = STATE(2286),
    [sym_assert_statement] = STATE(2286),
    [sym_expression_statement] = STATE(2286),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2286),
    [sym_delete_statement] = STATE(2286),
    [sym_raise_statement] = STATE(2286),
    [sym_pass_statement] = STATE(2286),
    [sym_break_statement] = STATE(2286),
    [sym_continue_statement] = STATE(2286),
    [sym_global_statement] = STATE(2286),
    [sym_nonlocal_statement] = STATE(2286),
    [sym_exec_statement] = STATE(2286),
    [sym_type_alias_statement] = STATE(2286),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(609),
    [sym__indent] = ACTIONS(611),
    [sym_string_start] = ACTIONS(81),
  },
  [136] = {
    [sym__simple_statements] = STATE(618),
    [sym_import_statement] = STATE(2243),
    [sym_future_import_statement] = STATE(2243),
    [sym_import_from_statement] = STATE(2243),
    [sym_print_statement] = STATE(2243),
    [sym_assert_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2243),
    [sym_delete_statement] = STATE(2243),
    [sym_raise_statement] = STATE(2243),
    [sym_pass_statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_global_statement] = STATE(2243),
    [sym_nonlocal_statement] = STATE(2243),
    [sym_exec_statement] = STATE(2243),
    [sym_type_alias_statement] = STATE(2243),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(613),
    [sym__indent] = ACTIONS(615),
    [sym_string_start] = ACTIONS(81),
  },
  [137] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(617),
    [sym_string_start] = ACTIONS(81),
  },
  [138] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(619),
    [sym_string_start] = ACTIONS(81),
  },
  [139] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(621),
    [sym_string_start] = ACTIONS(81),
  },
  [140] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(623),
    [sym_string_start] = ACTIONS(81),
  },
  [141] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(625),
    [sym_string_start] = ACTIONS(81),
  },
  [142] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(627),
    [sym_string_start] = ACTIONS(81),
  },
  [143] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(629),
    [sym_string_start] = ACTIONS(81),
  },
  [144] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(631),
    [sym_string_start] = ACTIONS(81),
  },
  [145] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(633),
    [sym_string_start] = ACTIONS(81),
  },
  [146] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(635),
    [sym_string_start] = ACTIONS(81),
  },
  [147] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(637),
    [sym_string_start] = ACTIONS(81),
  },
  [148] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(639),
    [sym_string_start] = ACTIONS(81),
  },
  [149] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(641),
    [sym_string_start] = ACTIONS(81),
  },
  [150] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(643),
    [sym_string_start] = ACTIONS(81),
  },
  [151] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(645),
    [sym_string_start] = ACTIONS(81),
  },
  [152] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(647),
    [sym_string_start] = ACTIONS(81),
  },
  [153] = {
    [sym_import_statement] = STATE(2556),
    [sym_future_import_statement] = STATE(2556),
    [sym_import_from_statement] = STATE(2556),
    [sym_print_statement] = STATE(2556),
    [sym_assert_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym_named_expression] = STATE(1659),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_return_statement] = STATE(2556),
    [sym_delete_statement] = STATE(2556),
    [sym_raise_statement] = STATE(2556),
    [sym_pass_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_global_statement] = STATE(2556),
    [sym_nonlocal_statement] = STATE(2556),
    [sym_exec_statement] = STATE(2556),
    [sym_type_alias_statement] = STATE(2556),
    [sym_pattern] = STATE(1639),
    [sym_tuple_pattern] = STATE(1644),
    [sym_list_pattern] = STATE(1644),
    [sym_list_splat_pattern] = STATE(632),
    [sym_as_pattern] = STATE(1659),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1659),
    [sym_boolean_operator] = STATE(1659),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_comparison_operator] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_assignment] = STATE(2504),
    [sym_augmented_assignment] = STATE(2504),
    [sym_pattern_list] = STATE(1651),
    [sym_yield] = STATE(2504),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(81),
  },
  [154] = {
    [sym_list_splat_pattern] = STATE(1118),
    [sym_primary_expression] = STATE(987),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_attribute] = STATE(1130),
    [sym_subscript] = STATE(1130),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(651),
    [anon_sym_print] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(294),
    [anon_sym_match] = ACTIONS(655),
    [anon_sym_async] = ACTIONS(653),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(653),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_EQ] = ACTIONS(294),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_PLUS_EQ] = ACTIONS(316),
    [anon_sym_DASH_EQ] = ACTIONS(316),
    [anon_sym_STAR_EQ] = ACTIONS(316),
    [anon_sym_SLASH_EQ] = ACTIONS(316),
    [anon_sym_AT_EQ] = ACTIONS(316),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(316),
    [anon_sym_PERCENT_EQ] = ACTIONS(316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(316),
    [anon_sym_GT_GT_EQ] = ACTIONS(316),
    [anon_sym_LT_LT_EQ] = ACTIONS(316),
    [anon_sym_AMP_EQ] = ACTIONS(316),
    [anon_sym_CARET_EQ] = ACTIONS(316),
    [anon_sym_PIPE_EQ] = ACTIONS(316),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(661),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [155] = {
    [sym_list_splat_pattern] = STATE(1118),
    [sym_primary_expression] = STATE(987),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_attribute] = STATE(1130),
    [sym_subscript] = STATE(1130),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(651),
    [anon_sym_print] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(326),
    [anon_sym_match] = ACTIONS(655),
    [anon_sym_async] = ACTIONS(653),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(653),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_EQ] = ACTIONS(294),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_PLUS_EQ] = ACTIONS(316),
    [anon_sym_DASH_EQ] = ACTIONS(316),
    [anon_sym_STAR_EQ] = ACTIONS(316),
    [anon_sym_SLASH_EQ] = ACTIONS(316),
    [anon_sym_AT_EQ] = ACTIONS(316),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(316),
    [anon_sym_PERCENT_EQ] = ACTIONS(316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(316),
    [anon_sym_GT_GT_EQ] = ACTIONS(316),
    [anon_sym_LT_LT_EQ] = ACTIONS(316),
    [anon_sym_AMP_EQ] = ACTIONS(316),
    [anon_sym_CARET_EQ] = ACTIONS(316),
    [anon_sym_PIPE_EQ] = ACTIONS(316),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(661),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [156] = {
    [sym_list_splat_pattern] = STATE(1269),
    [sym_primary_expression] = STATE(1107),
    [sym_binary_operator] = STATE(1339),
    [sym_unary_operator] = STATE(1339),
    [sym_attribute] = STATE(1339),
    [sym_subscript] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_list] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_tuple] = STATE(1339),
    [sym_dictionary] = STATE(1339),
    [sym_list_comprehension] = STATE(1339),
    [sym_dictionary_comprehension] = STATE(1339),
    [sym_set_comprehension] = STATE(1339),
    [sym_generator_expression] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_concatenated_string] = STATE(1339),
    [sym_string] = STATE(1033),
    [sym_await] = STATE(1339),
    [sym_identifier] = ACTIONS(320),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_as] = ACTIONS(670),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_if] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(665),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_PIPE] = ACTIONS(665),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_not] = ACTIONS(670),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(670),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_SLASH_SLASH] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(665),
    [anon_sym_CARET] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_is] = ACTIONS(670),
    [anon_sym_LT] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_LT_GT] = ACTIONS(663),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_AT_EQ] = ACTIONS(663),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [sym_ellipsis] = ACTIONS(318),
    [sym_integer] = ACTIONS(320),
    [sym_float] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_none] = ACTIONS(320),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(663),
    [sym_string_start] = ACTIONS(324),
  },
  [157] = {
    [sym_list_splat_pattern] = STATE(1118),
    [sym_primary_expression] = STATE(987),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_attribute] = STATE(1130),
    [sym_subscript] = STATE(1130),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_from] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(651),
    [anon_sym_print] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(655),
    [anon_sym_async] = ACTIONS(653),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(653),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(661),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [158] = {
    [sym_list_splat_pattern] = STATE(1118),
    [sym_primary_expression] = STATE(987),
    [sym_binary_operator] = STATE(1130),
    [sym_unary_operator] = STATE(1130),
    [sym_attribute] = STATE(1130),
    [sym_subscript] = STATE(1130),
    [sym_call] = STATE(1130),
    [sym_list] = STATE(1130),
    [sym_set] = STATE(1130),
    [sym_tuple] = STATE(1130),
    [sym_dictionary] = STATE(1130),
    [sym_list_comprehension] = STATE(1130),
    [sym_dictionary_comprehension] = STATE(1130),
    [sym_set_comprehension] = STATE(1130),
    [sym_generator_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_concatenated_string] = STATE(1130),
    [sym_string] = STATE(967),
    [sym_await] = STATE(1130),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_from] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(651),
    [anon_sym_print] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(655),
    [anon_sym_async] = ACTIONS(653),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(653),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(661),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [159] = {
    [sym_list_splat_pattern] = STATE(1183),
    [sym_primary_expression] = STATE(989),
    [sym_binary_operator] = STATE(1208),
    [sym_unary_operator] = STATE(1208),
    [sym_attribute] = STATE(1208),
    [sym_subscript] = STATE(1208),
    [sym_call] = STATE(1208),
    [sym_list] = STATE(1208),
    [sym_set] = STATE(1208),
    [sym_tuple] = STATE(1208),
    [sym_dictionary] = STATE(1208),
    [sym_list_comprehension] = STATE(1208),
    [sym_dictionary_comprehension] = STATE(1208),
    [sym_set_comprehension] = STATE(1208),
    [sym_generator_expression] = STATE(1208),
    [sym_parenthesized_expression] = STATE(1208),
    [sym_concatenated_string] = STATE(1208),
    [sym_string] = STATE(981),
    [sym_await] = STATE(1208),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(686),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(688),
    [anon_sym_print] = ACTIONS(690),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(692),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(690),
    [anon_sym_type] = ACTIONS(692),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(698),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(700),
    [sym_type_conversion] = ACTIONS(277),
    [sym_integer] = ACTIONS(684),
    [sym_float] = ACTIONS(700),
    [anon_sym_await] = ACTIONS(702),
    [sym_true] = ACTIONS(684),
    [sym_false] = ACTIONS(684),
    [sym_none] = ACTIONS(684),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(704),
  },
  [160] = {
    [sym_list_splat_pattern] = STATE(1183),
    [sym_primary_expression] = STATE(989),
    [sym_binary_operator] = STATE(1208),
    [sym_unary_operator] = STATE(1208),
    [sym_attribute] = STATE(1208),
    [sym_subscript] = STATE(1208),
    [sym_call] = STATE(1208),
    [sym_list] = STATE(1208),
    [sym_set] = STATE(1208),
    [sym_tuple] = STATE(1208),
    [sym_dictionary] = STATE(1208),
    [sym_list_comprehension] = STATE(1208),
    [sym_dictionary_comprehension] = STATE(1208),
    [sym_set_comprehension] = STATE(1208),
    [sym_generator_expression] = STATE(1208),
    [sym_parenthesized_expression] = STATE(1208),
    [sym_concatenated_string] = STATE(1208),
    [sym_string] = STATE(981),
    [sym_await] = STATE(1208),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(686),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(688),
    [anon_sym_print] = ACTIONS(690),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(692),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(690),
    [anon_sym_type] = ACTIONS(692),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(698),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(700),
    [sym_type_conversion] = ACTIONS(277),
    [sym_integer] = ACTIONS(684),
    [sym_float] = ACTIONS(700),
    [anon_sym_await] = ACTIONS(702),
    [sym_true] = ACTIONS(684),
    [sym_false] = ACTIONS(684),
    [sym_none] = ACTIONS(684),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(704),
  },
  [161] = {
    [sym_list_splat_pattern] = STATE(1269),
    [sym_primary_expression] = STATE(1107),
    [sym_binary_operator] = STATE(1339),
    [sym_unary_operator] = STATE(1339),
    [sym_attribute] = STATE(1339),
    [sym_subscript] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_list] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_tuple] = STATE(1339),
    [sym_dictionary] = STATE(1339),
    [sym_list_comprehension] = STATE(1339),
    [sym_dictionary_comprehension] = STATE(1339),
    [sym_set_comprehension] = STATE(1339),
    [sym_generator_expression] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_concatenated_string] = STATE(1339),
    [sym_string] = STATE(1033),
    [sym_await] = STATE(1339),
    [sym_identifier] = ACTIONS(320),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_from] = ACTIONS(670),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_as] = ACTIONS(670),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_if] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(312),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_PLUS] = ACTIONS(312),
    [anon_sym_not] = ACTIONS(670),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(670),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_is] = ACTIONS(670),
    [anon_sym_LT] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_LT_GT] = ACTIONS(663),
    [sym_ellipsis] = ACTIONS(318),
    [sym_integer] = ACTIONS(320),
    [sym_float] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_none] = ACTIONS(320),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(663),
    [sym_string_start] = ACTIONS(324),
  },
  [162] = {
    [sym_list_splat_pattern] = STATE(1269),
    [sym_primary_expression] = STATE(1107),
    [sym_binary_operator] = STATE(1339),
    [sym_unary_operator] = STATE(1339),
    [sym_attribute] = STATE(1339),
    [sym_subscript] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_list] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_tuple] = STATE(1339),
    [sym_dictionary] = STATE(1339),
    [sym_list_comprehension] = STATE(1339),
    [sym_dictionary_comprehension] = STATE(1339),
    [sym_set_comprehension] = STATE(1339),
    [sym_generator_expression] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_concatenated_string] = STATE(1339),
    [sym_string] = STATE(1033),
    [sym_await] = STATE(1339),
    [sym_identifier] = ACTIONS(320),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_as] = ACTIONS(670),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_if] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_for] = ACTIONS(670),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(312),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_RBRACE] = ACTIONS(663),
    [anon_sym_PLUS] = ACTIONS(312),
    [anon_sym_not] = ACTIONS(670),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(670),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_is] = ACTIONS(670),
    [anon_sym_LT] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_LT_GT] = ACTIONS(663),
    [sym_ellipsis] = ACTIONS(318),
    [sym_type_conversion] = ACTIONS(663),
    [sym_integer] = ACTIONS(320),
    [sym_float] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_none] = ACTIONS(320),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(324),
  },
  [163] = {
    [sym_list_splat_pattern] = STATE(1269),
    [sym_primary_expression] = STATE(1107),
    [sym_binary_operator] = STATE(1339),
    [sym_unary_operator] = STATE(1339),
    [sym_attribute] = STATE(1339),
    [sym_subscript] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_list] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_tuple] = STATE(1339),
    [sym_dictionary] = STATE(1339),
    [sym_list_comprehension] = STATE(1339),
    [sym_dictionary_comprehension] = STATE(1339),
    [sym_set_comprehension] = STATE(1339),
    [sym_generator_expression] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_concatenated_string] = STATE(1339),
    [sym_string] = STATE(1033),
    [sym_await] = STATE(1339),
    [sym_identifier] = ACTIONS(320),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_else] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(312),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_PLUS] = ACTIONS(312),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(318),
    [sym_integer] = ACTIONS(320),
    [sym_float] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_none] = ACTIONS(320),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(324),
  },
  [164] = {
    [sym_list_splat_pattern] = STATE(1183),
    [sym_primary_expression] = STATE(989),
    [sym_binary_operator] = STATE(1208),
    [sym_unary_operator] = STATE(1208),
    [sym_attribute] = STATE(1208),
    [sym_subscript] = STATE(1208),
    [sym_call] = STATE(1208),
    [sym_list] = STATE(1208),
    [sym_set] = STATE(1208),
    [sym_tuple] = STATE(1208),
    [sym_dictionary] = STATE(1208),
    [sym_list_comprehension] = STATE(1208),
    [sym_dictionary_comprehension] = STATE(1208),
    [sym_set_comprehension] = STATE(1208),
    [sym_generator_expression] = STATE(1208),
    [sym_parenthesized_expression] = STATE(1208),
    [sym_concatenated_string] = STATE(1208),
    [sym_string] = STATE(981),
    [sym_await] = STATE(1208),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(686),
    [anon_sym_COMMA] = ACTIONS(706),
    [anon_sym_as] = ACTIONS(665),
    [anon_sym_STAR] = ACTIONS(688),
    [anon_sym_print] = ACTIONS(690),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(665),
    [anon_sym_COLON] = ACTIONS(670),
    [anon_sym_match] = ACTIONS(692),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_for] = ACTIONS(670),
    [anon_sym_in] = ACTIONS(665),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_exec] = ACTIONS(690),
    [anon_sym_type] = ACTIONS(692),
    [anon_sym_LBRACK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(698),
    [anon_sym_RBRACE] = ACTIONS(706),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_not] = ACTIONS(665),
    [anon_sym_and] = ACTIONS(665),
    [anon_sym_or] = ACTIONS(665),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_is] = ACTIONS(665),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_LT_EQ] = ACTIONS(706),
    [anon_sym_EQ_EQ] = ACTIONS(706),
    [anon_sym_BANG_EQ] = ACTIONS(706),
    [anon_sym_GT_EQ] = ACTIONS(706),
    [anon_sym_GT] = ACTIONS(665),
    [anon_sym_LT_GT] = ACTIONS(706),
    [sym_ellipsis] = ACTIONS(700),
    [sym_integer] = ACTIONS(684),
    [sym_float] = ACTIONS(700),
    [anon_sym_await] = ACTIONS(702),
    [sym_true] = ACTIONS(684),
    [sym_false] = ACTIONS(684),
    [sym_none] = ACTIONS(684),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(704),
  },
  [165] = {
    [sym_list_splat_pattern] = STATE(1212),
    [sym_primary_expression] = STATE(1030),
    [sym_binary_operator] = STATE(1171),
    [sym_unary_operator] = STATE(1171),
    [sym_attribute] = STATE(1171),
    [sym_subscript] = STATE(1171),
    [sym_call] = STATE(1171),
    [sym_list] = STATE(1171),
    [sym_set] = STATE(1171),
    [sym_tuple] = STATE(1171),
    [sym_dictionary] = STATE(1171),
    [sym_list_comprehension] = STATE(1171),
    [sym_dictionary_comprehension] = STATE(1171),
    [sym_set_comprehension] = STATE(1171),
    [sym_generator_expression] = STATE(1171),
    [sym_parenthesized_expression] = STATE(1171),
    [sym_concatenated_string] = STATE(1171),
    [sym_string] = STATE(982),
    [sym_await] = STATE(1171),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(713),
    [anon_sym_print] = ACTIONS(715),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(717),
    [anon_sym_async] = ACTIONS(715),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(715),
    [anon_sym_type] = ACTIONS(717),
    [anon_sym_LBRACK] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(723),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(725),
    [sym_integer] = ACTIONS(709),
    [sym_float] = ACTIONS(725),
    [anon_sym_await] = ACTIONS(727),
    [sym_true] = ACTIONS(709),
    [sym_false] = ACTIONS(709),
    [sym_none] = ACTIONS(709),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(729),
  },
  [166] = {
    [sym_list_splat_pattern] = STATE(1264),
    [sym_primary_expression] = STATE(1036),
    [sym_binary_operator] = STATE(1381),
    [sym_unary_operator] = STATE(1381),
    [sym_attribute] = STATE(1381),
    [sym_subscript] = STATE(1381),
    [sym_call] = STATE(1381),
    [sym_list] = STATE(1381),
    [sym_set] = STATE(1381),
    [sym_tuple] = STATE(1381),
    [sym_dictionary] = STATE(1381),
    [sym_list_comprehension] = STATE(1381),
    [sym_dictionary_comprehension] = STATE(1381),
    [sym_set_comprehension] = STATE(1381),
    [sym_generator_expression] = STATE(1381),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_concatenated_string] = STATE(1381),
    [sym_string] = STATE(1003),
    [sym_await] = STATE(1381),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(735),
    [anon_sym_print] = ACTIONS(737),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(739),
    [anon_sym_async] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(737),
    [anon_sym_type] = ACTIONS(739),
    [anon_sym_EQ] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(745),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(749),
    [sym_integer] = ACTIONS(731),
    [sym_float] = ACTIONS(749),
    [anon_sym_await] = ACTIONS(751),
    [sym_true] = ACTIONS(731),
    [sym_false] = ACTIONS(731),
    [sym_none] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(753),
  },
  [167] = {
    [sym_list_splat_pattern] = STATE(1183),
    [sym_primary_expression] = STATE(989),
    [sym_binary_operator] = STATE(1208),
    [sym_unary_operator] = STATE(1208),
    [sym_attribute] = STATE(1208),
    [sym_subscript] = STATE(1208),
    [sym_call] = STATE(1208),
    [sym_list] = STATE(1208),
    [sym_set] = STATE(1208),
    [sym_tuple] = STATE(1208),
    [sym_dictionary] = STATE(1208),
    [sym_list_comprehension] = STATE(1208),
    [sym_dictionary_comprehension] = STATE(1208),
    [sym_set_comprehension] = STATE(1208),
    [sym_generator_expression] = STATE(1208),
    [sym_parenthesized_expression] = STATE(1208),
    [sym_concatenated_string] = STATE(1208),
    [sym_string] = STATE(981),
    [sym_await] = STATE(1208),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(686),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(688),
    [anon_sym_print] = ACTIONS(690),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(692),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(690),
    [anon_sym_type] = ACTIONS(692),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(698),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(700),
    [sym_type_conversion] = ACTIONS(277),
    [sym_integer] = ACTIONS(684),
    [sym_float] = ACTIONS(700),
    [anon_sym_await] = ACTIONS(702),
    [sym_true] = ACTIONS(684),
    [sym_false] = ACTIONS(684),
    [sym_none] = ACTIONS(684),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(704),
  },
  [168] = {
    [sym_list_splat_pattern] = STATE(1413),
    [sym_primary_expression] = STATE(1125),
    [sym_binary_operator] = STATE(1380),
    [sym_unary_operator] = STATE(1380),
    [sym_attribute] = STATE(1380),
    [sym_subscript] = STATE(1380),
    [sym_call] = STATE(1380),
    [sym_list] = STATE(1380),
    [sym_set] = STATE(1380),
    [sym_tuple] = STATE(1380),
    [sym_dictionary] = STATE(1380),
    [sym_list_comprehension] = STATE(1380),
    [sym_dictionary_comprehension] = STATE(1380),
    [sym_set_comprehension] = STATE(1380),
    [sym_generator_expression] = STATE(1380),
    [sym_parenthesized_expression] = STATE(1380),
    [sym_concatenated_string] = STATE(1380),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1380),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(759),
    [anon_sym_print] = ACTIONS(761),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_async] = ACTIONS(761),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(761),
    [anon_sym_type] = ACTIONS(763),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(765),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(771),
    [sym_integer] = ACTIONS(755),
    [sym_float] = ACTIONS(771),
    [anon_sym_await] = ACTIONS(773),
    [sym_true] = ACTIONS(755),
    [sym_false] = ACTIONS(755),
    [sym_none] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(775),
  },
  [169] = {
    [sym_list_splat_pattern] = STATE(1269),
    [sym_primary_expression] = STATE(1107),
    [sym_binary_operator] = STATE(1339),
    [sym_unary_operator] = STATE(1339),
    [sym_attribute] = STATE(1339),
    [sym_subscript] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_list] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_tuple] = STATE(1339),
    [sym_dictionary] = STATE(1339),
    [sym_list_comprehension] = STATE(1339),
    [sym_dictionary_comprehension] = STATE(1339),
    [sym_set_comprehension] = STATE(1339),
    [sym_generator_expression] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_concatenated_string] = STATE(1339),
    [sym_string] = STATE(1033),
    [sym_await] = STATE(1339),
    [sym_identifier] = ACTIONS(320),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_RPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_as] = ACTIONS(670),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_if] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_for] = ACTIONS(670),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(312),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_PLUS] = ACTIONS(312),
    [anon_sym_not] = ACTIONS(670),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(670),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_is] = ACTIONS(670),
    [anon_sym_LT] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_LT_GT] = ACTIONS(663),
    [sym_ellipsis] = ACTIONS(318),
    [sym_integer] = ACTIONS(320),
    [sym_float] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_none] = ACTIONS(320),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(324),
  },
  [170] = {
    [sym_list_splat_pattern] = STATE(1264),
    [sym_primary_expression] = STATE(1036),
    [sym_binary_operator] = STATE(1381),
    [sym_unary_operator] = STATE(1381),
    [sym_attribute] = STATE(1381),
    [sym_subscript] = STATE(1381),
    [sym_call] = STATE(1381),
    [sym_list] = STATE(1381),
    [sym_set] = STATE(1381),
    [sym_tuple] = STATE(1381),
    [sym_dictionary] = STATE(1381),
    [sym_list_comprehension] = STATE(1381),
    [sym_dictionary_comprehension] = STATE(1381),
    [sym_set_comprehension] = STATE(1381),
    [sym_generator_expression] = STATE(1381),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_concatenated_string] = STATE(1381),
    [sym_string] = STATE(1003),
    [sym_await] = STATE(1381),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(284),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(735),
    [anon_sym_print] = ACTIONS(737),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(739),
    [anon_sym_async] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(737),
    [anon_sym_type] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(745),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(749),
    [sym_integer] = ACTIONS(731),
    [sym_float] = ACTIONS(749),
    [anon_sym_await] = ACTIONS(751),
    [sym_true] = ACTIONS(731),
    [sym_false] = ACTIONS(731),
    [sym_none] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(753),
  },
  [171] = {
    [sym_list_splat_pattern] = STATE(1269),
    [sym_primary_expression] = STATE(1107),
    [sym_binary_operator] = STATE(1339),
    [sym_unary_operator] = STATE(1339),
    [sym_attribute] = STATE(1339),
    [sym_subscript] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_list] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_tuple] = STATE(1339),
    [sym_dictionary] = STATE(1339),
    [sym_list_comprehension] = STATE(1339),
    [sym_dictionary_comprehension] = STATE(1339),
    [sym_set_comprehension] = STATE(1339),
    [sym_generator_expression] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_concatenated_string] = STATE(1339),
    [sym_string] = STATE(1033),
    [sym_await] = STATE(1339),
    [sym_identifier] = ACTIONS(320),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_as] = ACTIONS(670),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_if] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_else] = ACTIONS(670),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(312),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_PLUS] = ACTIONS(312),
    [anon_sym_not] = ACTIONS(670),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(670),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_is] = ACTIONS(670),
    [anon_sym_LT] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_LT_GT] = ACTIONS(663),
    [sym_ellipsis] = ACTIONS(318),
    [sym_integer] = ACTIONS(320),
    [sym_float] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_none] = ACTIONS(320),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(324),
  },
  [172] = {
    [sym_list_splat_pattern] = STATE(1269),
    [sym_primary_expression] = STATE(1107),
    [sym_binary_operator] = STATE(1339),
    [sym_unary_operator] = STATE(1339),
    [sym_attribute] = STATE(1339),
    [sym_subscript] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_list] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_tuple] = STATE(1339),
    [sym_dictionary] = STATE(1339),
    [sym_list_comprehension] = STATE(1339),
    [sym_dictionary_comprehension] = STATE(1339),
    [sym_set_comprehension] = STATE(1339),
    [sym_generator_expression] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_concatenated_string] = STATE(1339),
    [sym_string] = STATE(1033),
    [sym_await] = STATE(1339),
    [sym_identifier] = ACTIONS(320),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_as] = ACTIONS(670),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_if] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_for] = ACTIONS(670),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_RBRACK] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(312),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_PLUS] = ACTIONS(312),
    [anon_sym_not] = ACTIONS(670),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(670),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_is] = ACTIONS(670),
    [anon_sym_LT] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_LT_GT] = ACTIONS(663),
    [sym_ellipsis] = ACTIONS(318),
    [sym_integer] = ACTIONS(320),
    [sym_float] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_none] = ACTIONS(320),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(324),
  },
  [173] = {
    [sym_list_splat_pattern] = STATE(1269),
    [sym_primary_expression] = STATE(1107),
    [sym_binary_operator] = STATE(1339),
    [sym_unary_operator] = STATE(1339),
    [sym_attribute] = STATE(1339),
    [sym_subscript] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_list] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_tuple] = STATE(1339),
    [sym_dictionary] = STATE(1339),
    [sym_list_comprehension] = STATE(1339),
    [sym_dictionary_comprehension] = STATE(1339),
    [sym_set_comprehension] = STATE(1339),
    [sym_generator_expression] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_concatenated_string] = STATE(1339),
    [sym_string] = STATE(1033),
    [sym_await] = STATE(1339),
    [sym_identifier] = ACTIONS(320),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_else] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(312),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_PLUS] = ACTIONS(312),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(318),
    [sym_integer] = ACTIONS(320),
    [sym_float] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_none] = ACTIONS(320),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(324),
  },
  [174] = {
    [sym_list_splat_pattern] = STATE(1413),
    [sym_primary_expression] = STATE(1125),
    [sym_binary_operator] = STATE(1380),
    [sym_unary_operator] = STATE(1380),
    [sym_attribute] = STATE(1380),
    [sym_subscript] = STATE(1380),
    [sym_call] = STATE(1380),
    [sym_list] = STATE(1380),
    [sym_set] = STATE(1380),
    [sym_tuple] = STATE(1380),
    [sym_dictionary] = STATE(1380),
    [sym_list_comprehension] = STATE(1380),
    [sym_dictionary_comprehension] = STATE(1380),
    [sym_set_comprehension] = STATE(1380),
    [sym_generator_expression] = STATE(1380),
    [sym_parenthesized_expression] = STATE(1380),
    [sym_concatenated_string] = STATE(1380),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1380),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_RPAREN] = ACTIONS(706),
    [anon_sym_COMMA] = ACTIONS(706),
    [anon_sym_as] = ACTIONS(665),
    [anon_sym_STAR] = ACTIONS(759),
    [anon_sym_print] = ACTIONS(761),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(665),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_async] = ACTIONS(761),
    [anon_sym_for] = ACTIONS(670),
    [anon_sym_in] = ACTIONS(665),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_exec] = ACTIONS(761),
    [anon_sym_type] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(765),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(665),
    [anon_sym_and] = ACTIONS(665),
    [anon_sym_or] = ACTIONS(665),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_is] = ACTIONS(665),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_LT_EQ] = ACTIONS(706),
    [anon_sym_EQ_EQ] = ACTIONS(706),
    [anon_sym_BANG_EQ] = ACTIONS(706),
    [anon_sym_GT_EQ] = ACTIONS(706),
    [anon_sym_GT] = ACTIONS(665),
    [anon_sym_LT_GT] = ACTIONS(706),
    [sym_ellipsis] = ACTIONS(771),
    [sym_integer] = ACTIONS(755),
    [sym_float] = ACTIONS(771),
    [anon_sym_await] = ACTIONS(773),
    [sym_true] = ACTIONS(755),
    [sym_false] = ACTIONS(755),
    [sym_none] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(775),
  },
  [175] = {
    [sym_list_splat_pattern] = STATE(1413),
    [sym_primary_expression] = STATE(1125),
    [sym_binary_operator] = STATE(1380),
    [sym_unary_operator] = STATE(1380),
    [sym_attribute] = STATE(1380),
    [sym_subscript] = STATE(1380),
    [sym_call] = STATE(1380),
    [sym_list] = STATE(1380),
    [sym_set] = STATE(1380),
    [sym_tuple] = STATE(1380),
    [sym_dictionary] = STATE(1380),
    [sym_list_comprehension] = STATE(1380),
    [sym_dictionary_comprehension] = STATE(1380),
    [sym_set_comprehension] = STATE(1380),
    [sym_generator_expression] = STATE(1380),
    [sym_parenthesized_expression] = STATE(1380),
    [sym_concatenated_string] = STATE(1380),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1380),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(759),
    [anon_sym_print] = ACTIONS(761),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_async] = ACTIONS(761),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(761),
    [anon_sym_type] = ACTIONS(763),
    [anon_sym_EQ] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(765),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(771),
    [sym_integer] = ACTIONS(755),
    [sym_float] = ACTIONS(771),
    [anon_sym_await] = ACTIONS(773),
    [sym_true] = ACTIONS(755),
    [sym_false] = ACTIONS(755),
    [sym_none] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(775),
  },
  [176] = {
    [sym_list_splat_pattern] = STATE(1447),
    [sym_primary_expression] = STATE(1195),
    [sym_binary_operator] = STATE(1448),
    [sym_unary_operator] = STATE(1448),
    [sym_attribute] = STATE(1448),
    [sym_subscript] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_list] = STATE(1448),
    [sym_set] = STATE(1448),
    [sym_tuple] = STATE(1448),
    [sym_dictionary] = STATE(1448),
    [sym_list_comprehension] = STATE(1448),
    [sym_dictionary_comprehension] = STATE(1448),
    [sym_set_comprehension] = STATE(1448),
    [sym_generator_expression] = STATE(1448),
    [sym_parenthesized_expression] = STATE(1448),
    [sym_concatenated_string] = STATE(1448),
    [sym_string] = STATE(1069),
    [sym_await] = STATE(1448),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(781),
    [anon_sym_print] = ACTIONS(783),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(783),
    [anon_sym_type] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(787),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(789),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(793),
    [sym_integer] = ACTIONS(777),
    [sym_float] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(795),
    [sym_true] = ACTIONS(777),
    [sym_false] = ACTIONS(777),
    [sym_none] = ACTIONS(777),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(797),
  },
  [177] = {
    [sym_list_splat_pattern] = STATE(1413),
    [sym_primary_expression] = STATE(1125),
    [sym_binary_operator] = STATE(1380),
    [sym_unary_operator] = STATE(1380),
    [sym_attribute] = STATE(1380),
    [sym_subscript] = STATE(1380),
    [sym_call] = STATE(1380),
    [sym_list] = STATE(1380),
    [sym_set] = STATE(1380),
    [sym_tuple] = STATE(1380),
    [sym_dictionary] = STATE(1380),
    [sym_list_comprehension] = STATE(1380),
    [sym_dictionary_comprehension] = STATE(1380),
    [sym_set_comprehension] = STATE(1380),
    [sym_generator_expression] = STATE(1380),
    [sym_parenthesized_expression] = STATE(1380),
    [sym_concatenated_string] = STATE(1380),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1380),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(759),
    [anon_sym_print] = ACTIONS(761),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(763),
    [anon_sym_async] = ACTIONS(761),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(761),
    [anon_sym_type] = ACTIONS(763),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(765),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(771),
    [sym_integer] = ACTIONS(755),
    [sym_float] = ACTIONS(771),
    [anon_sym_await] = ACTIONS(773),
    [sym_true] = ACTIONS(755),
    [sym_false] = ACTIONS(755),
    [sym_none] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(775),
  },
  [178] = {
    [sym_list_splat_pattern] = STATE(1269),
    [sym_primary_expression] = STATE(1107),
    [sym_binary_operator] = STATE(1339),
    [sym_unary_operator] = STATE(1339),
    [sym_attribute] = STATE(1339),
    [sym_subscript] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_list] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_tuple] = STATE(1339),
    [sym_dictionary] = STATE(1339),
    [sym_list_comprehension] = STATE(1339),
    [sym_dictionary_comprehension] = STATE(1339),
    [sym_set_comprehension] = STATE(1339),
    [sym_generator_expression] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_concatenated_string] = STATE(1339),
    [sym_string] = STATE(1033),
    [sym_await] = STATE(1339),
    [sym_identifier] = ACTIONS(320),
    [anon_sym_SEMI] = ACTIONS(316),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(316),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(316),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(316),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_PLUS_EQ] = ACTIONS(316),
    [anon_sym_DASH_EQ] = ACTIONS(316),
    [anon_sym_STAR_EQ] = ACTIONS(316),
    [anon_sym_SLASH_EQ] = ACTIONS(316),
    [anon_sym_AT_EQ] = ACTIONS(316),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(316),
    [anon_sym_PERCENT_EQ] = ACTIONS(316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(316),
    [anon_sym_GT_GT_EQ] = ACTIONS(316),
    [anon_sym_LT_LT_EQ] = ACTIONS(316),
    [anon_sym_AMP_EQ] = ACTIONS(316),
    [anon_sym_CARET_EQ] = ACTIONS(316),
    [anon_sym_PIPE_EQ] = ACTIONS(316),
    [sym_ellipsis] = ACTIONS(318),
    [sym_integer] = ACTIONS(320),
    [sym_float] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_none] = ACTIONS(320),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(316),
    [sym_string_start] = ACTIONS(324),
  },
  [179] = {
    [sym_list_splat_pattern] = STATE(1307),
    [sym_primary_expression] = STATE(1121),
    [sym_binary_operator] = STATE(1404),
    [sym_unary_operator] = STATE(1404),
    [sym_attribute] = STATE(1404),
    [sym_subscript] = STATE(1404),
    [sym_call] = STATE(1404),
    [sym_list] = STATE(1404),
    [sym_set] = STATE(1404),
    [sym_tuple] = STATE(1404),
    [sym_dictionary] = STATE(1404),
    [sym_list_comprehension] = STATE(1404),
    [sym_dictionary_comprehension] = STATE(1404),
    [sym_set_comprehension] = STATE(1404),
    [sym_generator_expression] = STATE(1404),
    [sym_parenthesized_expression] = STATE(1404),
    [sym_concatenated_string] = STATE(1404),
    [sym_string] = STATE(1022),
    [sym_await] = STATE(1404),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(803),
    [anon_sym_print] = ACTIONS(805),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(805),
    [anon_sym_type] = ACTIONS(807),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(811),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(815),
    [sym_integer] = ACTIONS(799),
    [sym_float] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(817),
    [sym_true] = ACTIONS(799),
    [sym_false] = ACTIONS(799),
    [sym_none] = ACTIONS(799),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(819),
  },
  [180] = {
    [sym_list_splat_pattern] = STATE(1212),
    [sym_primary_expression] = STATE(1030),
    [sym_binary_operator] = STATE(1171),
    [sym_unary_operator] = STATE(1171),
    [sym_attribute] = STATE(1171),
    [sym_subscript] = STATE(1171),
    [sym_call] = STATE(1171),
    [sym_list] = STATE(1171),
    [sym_set] = STATE(1171),
    [sym_tuple] = STATE(1171),
    [sym_dictionary] = STATE(1171),
    [sym_list_comprehension] = STATE(1171),
    [sym_dictionary_comprehension] = STATE(1171),
    [sym_set_comprehension] = STATE(1171),
    [sym_generator_expression] = STATE(1171),
    [sym_parenthesized_expression] = STATE(1171),
    [sym_concatenated_string] = STATE(1171),
    [sym_string] = STATE(982),
    [sym_await] = STATE(1171),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(713),
    [anon_sym_print] = ACTIONS(715),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(717),
    [anon_sym_async] = ACTIONS(715),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(715),
    [anon_sym_type] = ACTIONS(717),
    [anon_sym_LBRACK] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(723),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(725),
    [sym_integer] = ACTIONS(709),
    [sym_float] = ACTIONS(725),
    [anon_sym_await] = ACTIONS(727),
    [sym_true] = ACTIONS(709),
    [sym_false] = ACTIONS(709),
    [sym_none] = ACTIONS(709),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(729),
  },
  [181] = {
    [sym_list_splat_pattern] = STATE(1264),
    [sym_primary_expression] = STATE(1036),
    [sym_binary_operator] = STATE(1381),
    [sym_unary_operator] = STATE(1381),
    [sym_attribute] = STATE(1381),
    [sym_subscript] = STATE(1381),
    [sym_call] = STATE(1381),
    [sym_list] = STATE(1381),
    [sym_set] = STATE(1381),
    [sym_tuple] = STATE(1381),
    [sym_dictionary] = STATE(1381),
    [sym_list_comprehension] = STATE(1381),
    [sym_dictionary_comprehension] = STATE(1381),
    [sym_set_comprehension] = STATE(1381),
    [sym_generator_expression] = STATE(1381),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_concatenated_string] = STATE(1381),
    [sym_string] = STATE(1003),
    [sym_await] = STATE(1381),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(735),
    [anon_sym_print] = ACTIONS(737),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(739),
    [anon_sym_async] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(737),
    [anon_sym_type] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(745),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(749),
    [sym_integer] = ACTIONS(731),
    [sym_float] = ACTIONS(749),
    [anon_sym_await] = ACTIONS(751),
    [sym_true] = ACTIONS(731),
    [sym_false] = ACTIONS(731),
    [sym_none] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(753),
  },
  [182] = {
    [sym_list_splat_pattern] = STATE(1447),
    [sym_primary_expression] = STATE(1195),
    [sym_binary_operator] = STATE(1448),
    [sym_unary_operator] = STATE(1448),
    [sym_attribute] = STATE(1448),
    [sym_subscript] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_list] = STATE(1448),
    [sym_set] = STATE(1448),
    [sym_tuple] = STATE(1448),
    [sym_dictionary] = STATE(1448),
    [sym_list_comprehension] = STATE(1448),
    [sym_dictionary_comprehension] = STATE(1448),
    [sym_set_comprehension] = STATE(1448),
    [sym_generator_expression] = STATE(1448),
    [sym_parenthesized_expression] = STATE(1448),
    [sym_concatenated_string] = STATE(1448),
    [sym_string] = STATE(1069),
    [sym_await] = STATE(1448),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_COMMA] = ACTIONS(706),
    [anon_sym_as] = ACTIONS(665),
    [anon_sym_STAR] = ACTIONS(781),
    [anon_sym_print] = ACTIONS(783),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(665),
    [anon_sym_match] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(670),
    [anon_sym_in] = ACTIONS(665),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_exec] = ACTIONS(783),
    [anon_sym_type] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(787),
    [anon_sym_RBRACK] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_not] = ACTIONS(665),
    [anon_sym_and] = ACTIONS(665),
    [anon_sym_or] = ACTIONS(665),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(789),
    [anon_sym_is] = ACTIONS(665),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_LT_EQ] = ACTIONS(706),
    [anon_sym_EQ_EQ] = ACTIONS(706),
    [anon_sym_BANG_EQ] = ACTIONS(706),
    [anon_sym_GT_EQ] = ACTIONS(706),
    [anon_sym_GT] = ACTIONS(665),
    [anon_sym_LT_GT] = ACTIONS(706),
    [sym_ellipsis] = ACTIONS(793),
    [sym_integer] = ACTIONS(777),
    [sym_float] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(795),
    [sym_true] = ACTIONS(777),
    [sym_false] = ACTIONS(777),
    [sym_none] = ACTIONS(777),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(797),
  },
  [183] = {
    [sym_list_splat_pattern] = STATE(1307),
    [sym_primary_expression] = STATE(1121),
    [sym_binary_operator] = STATE(1404),
    [sym_unary_operator] = STATE(1404),
    [sym_attribute] = STATE(1404),
    [sym_subscript] = STATE(1404),
    [sym_call] = STATE(1404),
    [sym_list] = STATE(1404),
    [sym_set] = STATE(1404),
    [sym_tuple] = STATE(1404),
    [sym_dictionary] = STATE(1404),
    [sym_list_comprehension] = STATE(1404),
    [sym_dictionary_comprehension] = STATE(1404),
    [sym_set_comprehension] = STATE(1404),
    [sym_generator_expression] = STATE(1404),
    [sym_parenthesized_expression] = STATE(1404),
    [sym_concatenated_string] = STATE(1404),
    [sym_string] = STATE(1022),
    [sym_await] = STATE(1404),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(803),
    [anon_sym_print] = ACTIONS(805),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(805),
    [anon_sym_type] = ACTIONS(807),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_RBRACK] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(811),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(815),
    [sym_integer] = ACTIONS(799),
    [sym_float] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(817),
    [sym_true] = ACTIONS(799),
    [sym_false] = ACTIONS(799),
    [sym_none] = ACTIONS(799),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(819),
  },
  [184] = {
    [sym_list_splat_pattern] = STATE(1264),
    [sym_primary_expression] = STATE(1036),
    [sym_binary_operator] = STATE(1381),
    [sym_unary_operator] = STATE(1381),
    [sym_attribute] = STATE(1381),
    [sym_subscript] = STATE(1381),
    [sym_call] = STATE(1381),
    [sym_list] = STATE(1381),
    [sym_set] = STATE(1381),
    [sym_tuple] = STATE(1381),
    [sym_dictionary] = STATE(1381),
    [sym_list_comprehension] = STATE(1381),
    [sym_dictionary_comprehension] = STATE(1381),
    [sym_set_comprehension] = STATE(1381),
    [sym_generator_expression] = STATE(1381),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_concatenated_string] = STATE(1381),
    [sym_string] = STATE(1003),
    [sym_await] = STATE(1381),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(735),
    [anon_sym_print] = ACTIONS(737),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(739),
    [anon_sym_async] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(737),
    [anon_sym_type] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(745),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(749),
    [sym_integer] = ACTIONS(731),
    [sym_float] = ACTIONS(749),
    [anon_sym_await] = ACTIONS(751),
    [sym_true] = ACTIONS(731),
    [sym_false] = ACTIONS(731),
    [sym_none] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(753),
  },
  [185] = {
    [sym_list_splat_pattern] = STATE(1307),
    [sym_primary_expression] = STATE(1121),
    [sym_binary_operator] = STATE(1404),
    [sym_unary_operator] = STATE(1404),
    [sym_attribute] = STATE(1404),
    [sym_subscript] = STATE(1404),
    [sym_call] = STATE(1404),
    [sym_list] = STATE(1404),
    [sym_set] = STATE(1404),
    [sym_tuple] = STATE(1404),
    [sym_dictionary] = STATE(1404),
    [sym_list_comprehension] = STATE(1404),
    [sym_dictionary_comprehension] = STATE(1404),
    [sym_set_comprehension] = STATE(1404),
    [sym_generator_expression] = STATE(1404),
    [sym_parenthesized_expression] = STATE(1404),
    [sym_concatenated_string] = STATE(1404),
    [sym_string] = STATE(1022),
    [sym_await] = STATE(1404),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(803),
    [anon_sym_print] = ACTIONS(805),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(805),
    [anon_sym_type] = ACTIONS(807),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(811),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(815),
    [sym_integer] = ACTIONS(799),
    [sym_float] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(817),
    [sym_true] = ACTIONS(799),
    [sym_false] = ACTIONS(799),
    [sym_none] = ACTIONS(799),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(819),
  },
  [186] = {
    [sym_list_splat_pattern] = STATE(1447),
    [sym_primary_expression] = STATE(1195),
    [sym_binary_operator] = STATE(1448),
    [sym_unary_operator] = STATE(1448),
    [sym_attribute] = STATE(1448),
    [sym_subscript] = STATE(1448),
    [sym_call] = STATE(1448),
    [sym_list] = STATE(1448),
    [sym_set] = STATE(1448),
    [sym_tuple] = STATE(1448),
    [sym_dictionary] = STATE(1448),
    [sym_list_comprehension] = STATE(1448),
    [sym_dictionary_comprehension] = STATE(1448),
    [sym_set_comprehension] = STATE(1448),
    [sym_generator_expression] = STATE(1448),
    [sym_parenthesized_expression] = STATE(1448),
    [sym_concatenated_string] = STATE(1448),
    [sym_string] = STATE(1069),
    [sym_await] = STATE(1448),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(781),
    [anon_sym_print] = ACTIONS(783),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(783),
    [anon_sym_type] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(787),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(789),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(793),
    [sym_integer] = ACTIONS(777),
    [sym_float] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(795),
    [sym_true] = ACTIONS(777),
    [sym_false] = ACTIONS(777),
    [sym_none] = ACTIONS(777),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(797),
  },
  [187] = {
    [sym_list_splat_pattern] = STATE(1269),
    [sym_primary_expression] = STATE(1107),
    [sym_binary_operator] = STATE(1339),
    [sym_unary_operator] = STATE(1339),
    [sym_attribute] = STATE(1339),
    [sym_subscript] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_list] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_tuple] = STATE(1339),
    [sym_dictionary] = STATE(1339),
    [sym_list_comprehension] = STATE(1339),
    [sym_dictionary_comprehension] = STATE(1339),
    [sym_set_comprehension] = STATE(1339),
    [sym_generator_expression] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_concatenated_string] = STATE(1339),
    [sym_string] = STATE(1033),
    [sym_await] = STATE(1339),
    [sym_identifier] = ACTIONS(320),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_STAR_STAR] = ACTIONS(665),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_PIPE] = ACTIONS(665),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_SLASH_SLASH] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(665),
    [anon_sym_CARET] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_AT_EQ] = ACTIONS(663),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [sym_ellipsis] = ACTIONS(318),
    [sym_integer] = ACTIONS(320),
    [sym_float] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_none] = ACTIONS(320),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(324),
  },
  [188] = {
    [sym_list_splat_pattern] = STATE(1269),
    [sym_primary_expression] = STATE(1107),
    [sym_binary_operator] = STATE(1339),
    [sym_unary_operator] = STATE(1339),
    [sym_attribute] = STATE(1339),
    [sym_subscript] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_list] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_tuple] = STATE(1339),
    [sym_dictionary] = STATE(1339),
    [sym_list_comprehension] = STATE(1339),
    [sym_dictionary_comprehension] = STATE(1339),
    [sym_set_comprehension] = STATE(1339),
    [sym_generator_expression] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_concatenated_string] = STATE(1339),
    [sym_string] = STATE(1033),
    [sym_await] = STATE(1339),
    [sym_identifier] = ACTIONS(320),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(316),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(316),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(316),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_PLUS_EQ] = ACTIONS(316),
    [anon_sym_DASH_EQ] = ACTIONS(316),
    [anon_sym_STAR_EQ] = ACTIONS(316),
    [anon_sym_SLASH_EQ] = ACTIONS(316),
    [anon_sym_AT_EQ] = ACTIONS(316),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(316),
    [anon_sym_PERCENT_EQ] = ACTIONS(316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(316),
    [anon_sym_GT_GT_EQ] = ACTIONS(316),
    [anon_sym_LT_LT_EQ] = ACTIONS(316),
    [anon_sym_AMP_EQ] = ACTIONS(316),
    [anon_sym_CARET_EQ] = ACTIONS(316),
    [anon_sym_PIPE_EQ] = ACTIONS(316),
    [sym_ellipsis] = ACTIONS(318),
    [sym_integer] = ACTIONS(320),
    [sym_float] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_none] = ACTIONS(320),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(324),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 30,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(831), 1,
      anon_sym_LBRACK,
    ACTIONS(833), 1,
      anon_sym_RBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1409), 1,
      sym_list_splat_pattern,
    STATE(1716), 1,
      sym_expression,
    STATE(2410), 1,
      sym_pattern,
    STATE(2690), 1,
      sym__named_expression_lhs,
    STATE(2741), 1,
      sym__patterns,
    STATE(2790), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(829), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1411), 2,
      sym_attribute,
      sym_subscript,
    STATE(2532), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(827), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [124] = 30,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(847), 1,
      anon_sym_COMMA,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(857), 1,
      anon_sym_RBRACE,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(865), 1,
      anon_sym_await,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1657), 1,
      sym_expression,
    STATE(1867), 1,
      sym_pair,
    STATE(2444), 1,
      sym_dictionary_splat,
    STATE(2605), 1,
      sym__named_expression_lhs,
    STATE(2662), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2275), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [248] = 30,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(867), 1,
      anon_sym_COMMA,
    ACTIONS(869), 1,
      anon_sym_RBRACE,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1661), 1,
      sym_expression,
    STATE(1837), 1,
      sym_pair,
    STATE(2244), 1,
      sym_dictionary_splat,
    STATE(2605), 1,
      sym__named_expression_lhs,
    STATE(2769), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2275), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [372] = 30,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(831), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(871), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1409), 1,
      sym_list_splat_pattern,
    STATE(1697), 1,
      sym_expression,
    STATE(2410), 1,
      sym_pattern,
    STATE(2654), 1,
      sym__patterns,
    STATE(2674), 1,
      sym__collection_elements,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(829), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1411), 2,
      sym_attribute,
      sym_subscript,
    STATE(2532), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(827), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [496] = 31,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(877), 1,
      anon_sym_RPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1685), 1,
      sym_expression,
    STATE(2250), 1,
      sym_pattern,
    STATE(2282), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2684), 1,
      sym__patterns,
    STATE(2720), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1377), 2,
      sym_attribute,
      sym_subscript,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [622] = 31,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1685), 1,
      sym_expression,
    STATE(2250), 1,
      sym_pattern,
    STATE(2282), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2720), 1,
      sym__collection_elements,
    STATE(2762), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1377), 2,
      sym_attribute,
      sym_subscript,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [748] = 30,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(831), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(897), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1409), 1,
      sym_list_splat_pattern,
    STATE(1691), 1,
      sym_expression,
    STATE(2410), 1,
      sym_pattern,
    STATE(2647), 1,
      sym__collection_elements,
    STATE(2690), 1,
      sym__named_expression_lhs,
    STATE(2741), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(829), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1411), 2,
      sym_attribute,
      sym_subscript,
    STATE(2532), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(827), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [872] = 30,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(899), 1,
      anon_sym_COMMA,
    ACTIONS(901), 1,
      anon_sym_RBRACE,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1671), 1,
      sym_expression,
    STATE(1835), 1,
      sym_pair,
    STATE(2262), 1,
      sym_dictionary_splat,
    STATE(2605), 1,
      sym__named_expression_lhs,
    STATE(2737), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2275), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [996] = 30,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(903), 1,
      anon_sym_COMMA,
    ACTIONS(905), 1,
      anon_sym_RBRACE,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1664), 1,
      sym_expression,
    STATE(1836), 1,
      sym_pair,
    STATE(2446), 1,
      sym_dictionary_splat,
    STATE(2605), 1,
      sym__named_expression_lhs,
    STATE(2652), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2275), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1120] = 32,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(907), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1700), 1,
      sym_expression,
    STATE(2250), 1,
      sym_pattern,
    STATE(2291), 1,
      sym_list_splat,
    STATE(2304), 1,
      sym_parenthesized_list_splat,
    STATE(2460), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2629), 1,
      sym__patterns,
    STATE(2686), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1377), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1248] = 30,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(831), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(909), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1409), 1,
      sym_list_splat_pattern,
    STATE(1716), 1,
      sym_expression,
    STATE(2410), 1,
      sym_pattern,
    STATE(2690), 1,
      sym__named_expression_lhs,
    STATE(2741), 1,
      sym__patterns,
    STATE(2790), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(829), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1411), 2,
      sym_attribute,
      sym_subscript,
    STATE(2532), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(827), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1372] = 28,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_yield,
    ACTIONS(79), 1,
      anon_sym_await,
    ACTIONS(81), 1,
      sym_string_start,
    STATE(632), 1,
      sym_list_splat_pattern,
    STATE(967), 1,
      sym_string,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1635), 1,
      sym_pattern,
    STATE(1637), 1,
      sym_pattern_list,
    STATE(1827), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(413), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(641), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(415), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2557), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1492] = 28,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_yield,
    ACTIONS(79), 1,
      anon_sym_await,
    ACTIONS(81), 1,
      sym_string_start,
    STATE(632), 1,
      sym_list_splat_pattern,
    STATE(967), 1,
      sym_string,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1635), 1,
      sym_pattern,
    STATE(1637), 1,
      sym_pattern_list,
    STATE(1827), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(413), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(641), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(415), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2515), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1612] = 31,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(911), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1685), 1,
      sym_expression,
    STATE(2250), 1,
      sym_pattern,
    STATE(2282), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2629), 1,
      sym__patterns,
    STATE(2720), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1377), 2,
      sym_attribute,
      sym_subscript,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1738] = 30,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(913), 1,
      anon_sym_COMMA,
    ACTIONS(915), 1,
      anon_sym_RBRACE,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1658), 1,
      sym_expression,
    STATE(1858), 1,
      sym_pair,
    STATE(2497), 1,
      sym_dictionary_splat,
    STATE(2605), 1,
      sym__named_expression_lhs,
    STATE(2793), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2275), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1862] = 30,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(831), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(917), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1409), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2410), 1,
      sym_pattern,
    STATE(2690), 1,
      sym__named_expression_lhs,
    STATE(2740), 1,
      sym__collection_elements,
    STATE(2741), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(829), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1411), 2,
      sym_attribute,
      sym_subscript,
    STATE(2532), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(827), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1986] = 30,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(831), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(919), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1409), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2410), 1,
      sym_pattern,
    STATE(2690), 1,
      sym__named_expression_lhs,
    STATE(2740), 1,
      sym__collection_elements,
    STATE(2741), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(829), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1411), 2,
      sym_attribute,
      sym_subscript,
    STATE(2532), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(827), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2110] = 30,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(831), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(921), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1409), 1,
      sym_list_splat_pattern,
    STATE(1716), 1,
      sym_expression,
    STATE(2410), 1,
      sym_pattern,
    STATE(2678), 1,
      sym__patterns,
    STATE(2690), 1,
      sym__named_expression_lhs,
    STATE(2790), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(829), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1411), 2,
      sym_attribute,
      sym_subscript,
    STATE(2532), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(827), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2234] = 31,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(923), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1685), 1,
      sym_expression,
    STATE(2250), 1,
      sym_pattern,
    STATE(2282), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2720), 1,
      sym__collection_elements,
    STATE(2762), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1377), 2,
      sym_attribute,
      sym_subscript,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2360] = 30,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(831), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(925), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1409), 1,
      sym_list_splat_pattern,
    STATE(1715), 1,
      sym_expression,
    STATE(2410), 1,
      sym_pattern,
    STATE(2640), 1,
      sym__collection_elements,
    STATE(2690), 1,
      sym__named_expression_lhs,
    STATE(2763), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(829), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1411), 2,
      sym_attribute,
      sym_subscript,
    STATE(2532), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(827), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2484] = 30,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(831), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(927), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1409), 1,
      sym_list_splat_pattern,
    STATE(1716), 1,
      sym_expression,
    STATE(2410), 1,
      sym_pattern,
    STATE(2690), 1,
      sym__named_expression_lhs,
    STATE(2763), 1,
      sym__patterns,
    STATE(2790), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(829), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1411), 2,
      sym_attribute,
      sym_subscript,
    STATE(2532), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(827), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2608] = 31,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(929), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1692), 1,
      sym_expression,
    STATE(2250), 1,
      sym_pattern,
    STATE(2494), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2762), 1,
      sym__patterns,
    STATE(2774), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1377), 2,
      sym_attribute,
      sym_subscript,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2734] = 30,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      anon_sym_COMMA,
    ACTIONS(933), 1,
      anon_sym_RBRACE,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1663), 1,
      sym_expression,
    STATE(1883), 1,
      sym_pair,
    STATE(2284), 1,
      sym_dictionary_splat,
    STATE(2605), 1,
      sym__named_expression_lhs,
    STATE(2732), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2275), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2858] = 32,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(935), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1703), 1,
      sym_expression,
    STATE(2250), 1,
      sym_pattern,
    STATE(2340), 1,
      sym_yield,
    STATE(2418), 1,
      sym_list_splat,
    STATE(2492), 1,
      sym_parenthesized_list_splat,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2682), 1,
      sym__collection_elements,
    STATE(2713), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1377), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2986] = 30,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(831), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(937), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1409), 1,
      sym_list_splat_pattern,
    STATE(1716), 1,
      sym_expression,
    STATE(2410), 1,
      sym_pattern,
    STATE(2637), 1,
      sym__patterns,
    STATE(2690), 1,
      sym__named_expression_lhs,
    STATE(2790), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(829), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1411), 2,
      sym_attribute,
      sym_subscript,
    STATE(2532), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(827), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3110] = 31,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(939), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1685), 1,
      sym_expression,
    STATE(2250), 1,
      sym_pattern,
    STATE(2282), 1,
      sym_yield,
    STATE(2603), 1,
      sym__patterns,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2720), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1377), 2,
      sym_attribute,
      sym_subscript,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3236] = 30,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(941), 1,
      anon_sym_COMMA,
    ACTIONS(943), 1,
      anon_sym_RBRACE,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1656), 1,
      sym_expression,
    STATE(1870), 1,
      sym_pair,
    STATE(2350), 1,
      sym_dictionary_splat,
    STATE(2605), 1,
      sym__named_expression_lhs,
    STATE(2661), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2275), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3360] = 30,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(945), 1,
      anon_sym_COMMA,
    ACTIONS(947), 1,
      anon_sym_RBRACE,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1666), 1,
      sym_expression,
    STATE(1854), 1,
      sym_pair,
    STATE(2405), 1,
      sym_dictionary_splat,
    STATE(2605), 1,
      sym__named_expression_lhs,
    STATE(2618), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2275), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3484] = 31,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(949), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1685), 1,
      sym_expression,
    STATE(2250), 1,
      sym_pattern,
    STATE(2282), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2713), 1,
      sym__patterns,
    STATE(2720), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1377), 2,
      sym_attribute,
      sym_subscript,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3610] = 30,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(831), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(951), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1409), 1,
      sym_list_splat_pattern,
    STATE(1716), 1,
      sym_expression,
    STATE(2410), 1,
      sym_pattern,
    STATE(2654), 1,
      sym__patterns,
    STATE(2690), 1,
      sym__named_expression_lhs,
    STATE(2790), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(829), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1411), 2,
      sym_attribute,
      sym_subscript,
    STATE(2532), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(827), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3734] = 31,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(953), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1704), 1,
      sym_expression,
    STATE(2250), 1,
      sym_pattern,
    STATE(2251), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2757), 1,
      sym__collection_elements,
    STATE(2762), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1377), 2,
      sym_attribute,
      sym_subscript,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3860] = 31,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(955), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1704), 1,
      sym_expression,
    STATE(2250), 1,
      sym_pattern,
    STATE(2251), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2757), 1,
      sym__collection_elements,
    STATE(2762), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1377), 2,
      sym_attribute,
      sym_subscript,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3986] = 28,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_yield,
    ACTIONS(79), 1,
      anon_sym_await,
    ACTIONS(81), 1,
      sym_string_start,
    STATE(632), 1,
      sym_list_splat_pattern,
    STATE(967), 1,
      sym_string,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1635), 1,
      sym_pattern,
    STATE(1637), 1,
      sym_pattern_list,
    STATE(1827), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(413), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(641), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(415), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2558), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4106] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(312), 1,
      anon_sym_TILDE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(957), 1,
      sym_identifier,
    ACTIONS(961), 1,
      anon_sym_LPAREN,
    ACTIONS(963), 1,
      anon_sym_STAR,
    ACTIONS(969), 1,
      anon_sym_LBRACK,
    ACTIONS(971), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1306), 1,
      sym_list_splat_pattern,
    STATE(1618), 1,
      sym_pattern,
    STATE(1621), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(967), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1305), 2,
      sym_attribute,
      sym_subscript,
    STATE(1602), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(965), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(959), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4213] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(312), 1,
      anon_sym_TILDE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(957), 1,
      sym_identifier,
    ACTIONS(961), 1,
      anon_sym_LPAREN,
    ACTIONS(963), 1,
      anon_sym_STAR,
    ACTIONS(969), 1,
      anon_sym_LBRACK,
    ACTIONS(971), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1306), 1,
      sym_list_splat_pattern,
    STATE(1618), 1,
      sym_pattern,
    STATE(1621), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(967), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1305), 2,
      sym_attribute,
      sym_subscript,
    STATE(1602), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(965), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(973), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4320] = 26,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(985), 1,
      anon_sym_RBRACK,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(2092), 1,
      sym_type,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2011), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4434] = 26,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(993), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(2092), 1,
      sym_type,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2011), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4548] = 26,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(995), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(2092), 1,
      sym_type,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2011), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4662] = 26,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(2092), 1,
      sym_type,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2011), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4776] = 27,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(999), 1,
      sym_identifier,
    ACTIONS(1001), 1,
      anon_sym_LPAREN,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_LBRACK,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1015), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1173), 1,
      sym_list_splat_pattern,
    STATE(1731), 1,
      sym_expression,
    STATE(2533), 1,
      sym_pattern,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1007), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1179), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1005), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2061), 4,
      sym_expression_list,
      sym_pattern_list,
      sym_yield,
      sym__f_expression,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4892] = 26,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1017), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(2092), 1,
      sym_type,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2011), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5006] = 26,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1019), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(2092), 1,
      sym_type,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2011), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5120] = 26,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1021), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(2092), 1,
      sym_type,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2011), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5234] = 26,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1023), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(2092), 1,
      sym_type,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2011), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5348] = 27,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(999), 1,
      sym_identifier,
    ACTIONS(1001), 1,
      anon_sym_LPAREN,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_LBRACK,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1015), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1173), 1,
      sym_list_splat_pattern,
    STATE(1731), 1,
      sym_expression,
    STATE(2533), 1,
      sym_pattern,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1007), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1179), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1005), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2066), 4,
      sym_expression_list,
      sym_pattern_list,
      sym_yield,
      sym__f_expression,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5464] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_STAR,
    ACTIONS(1033), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1737), 1,
      sym_expression,
    STATE(1955), 1,
      sym_type,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1954), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5575] = 27,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1041), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1045), 1,
      anon_sym_RPAREN,
    ACTIONS(1047), 1,
      anon_sym_COMMA,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1057), 1,
      anon_sym_await,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1699), 1,
      sym_expression,
    STATE(2397), 1,
      sym_parenthesized_list_splat,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1053), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1051), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2394), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5690] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(1946), 1,
      sym_type,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2011), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5801] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(1999), 1,
      sym_type,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2011), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5912] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1063), 1,
      anon_sym_STAR_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1726), 1,
      sym_expression,
    STATE(1897), 1,
      sym_type,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1899), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6023] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_expression,
    STATE(2294), 1,
      sym_type,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6134] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(1997), 1,
      sym_type,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2011), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6245] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_STAR,
    ACTIONS(1033), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1737), 1,
      sym_expression,
    STATE(1986), 1,
      sym_type,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1954), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6356] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_expression,
    STATE(2302), 1,
      sym_type,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6467] = 27,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1041), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1057), 1,
      anon_sym_await,
    ACTIONS(1069), 1,
      anon_sym_RPAREN,
    ACTIONS(1071), 1,
      anon_sym_COMMA,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1672), 1,
      sym_expression,
    STATE(2434), 1,
      sym_parenthesized_list_splat,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1053), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1051), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2437), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6582] = 27,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1041), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1057), 1,
      anon_sym_await,
    ACTIONS(1073), 1,
      anon_sym_RPAREN,
    ACTIONS(1075), 1,
      anon_sym_COMMA,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1681), 1,
      sym_expression,
    STATE(2370), 1,
      sym_parenthesized_list_splat,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1053), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1051), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2369), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6697] = 27,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1041), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1057), 1,
      anon_sym_await,
    ACTIONS(1077), 1,
      anon_sym_RPAREN,
    ACTIONS(1079), 1,
      anon_sym_COMMA,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1686), 1,
      sym_expression,
    STATE(2266), 1,
      sym_parenthesized_list_splat,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1053), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1051), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2265), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6812] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_expression,
    STATE(2470), 1,
      sym_type,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6923] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1063), 1,
      anon_sym_STAR_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1726), 1,
      sym_expression,
    STATE(2067), 1,
      sym_type,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1899), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7034] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(312), 1,
      anon_sym_TILDE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1081), 1,
      sym_identifier,
    ACTIONS(1083), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_STAR,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1467), 1,
      sym_list_splat_pattern,
    STATE(1594), 1,
      sym_primary_expression,
    STATE(1643), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1089), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1468), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1087), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(973), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [7139] = 27,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1041), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1057), 1,
      anon_sym_await,
    ACTIONS(1095), 1,
      anon_sym_RPAREN,
    ACTIONS(1097), 1,
      anon_sym_COMMA,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1714), 1,
      sym_expression,
    STATE(2239), 1,
      sym_parenthesized_list_splat,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1053), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1051), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2399), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7254] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_expression,
    STATE(2310), 1,
      sym_type,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7365] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(2092), 1,
      sym_type,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2011), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7476] = 27,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1041), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1057), 1,
      anon_sym_await,
    ACTIONS(1099), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 1,
      anon_sym_COMMA,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1690), 1,
      sym_expression,
    STATE(2463), 1,
      sym_parenthesized_list_splat,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1053), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1051), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2462), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7591] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1063), 1,
      anon_sym_STAR_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1726), 1,
      sym_expression,
    STATE(1896), 1,
      sym_type,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1899), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7702] = 27,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1041), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1057), 1,
      anon_sym_await,
    ACTIONS(1103), 1,
      anon_sym_RPAREN,
    ACTIONS(1105), 1,
      anon_sym_COMMA,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1676), 1,
      sym_expression,
    STATE(2362), 1,
      sym_parenthesized_list_splat,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1053), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1051), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2361), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7817] = 25,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1109), 1,
      anon_sym_from,
    ACTIONS(1117), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1728), 1,
      sym_expression,
    STATE(2085), 1,
      sym_expression_list,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1111), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7928] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(1923), 1,
      sym_type,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2011), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8039] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_expression,
    STATE(2065), 1,
      sym_type,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8150] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1077), 1,
      anon_sym_RPAREN,
    ACTIONS(1079), 1,
      anon_sym_COMMA,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1876), 1,
      sym_expression,
    STATE(2266), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2265), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8265] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_expression,
    STATE(2486), 1,
      sym_type,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8376] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(1940), 1,
      sym_type,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2011), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8487] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_expression,
    STATE(2488), 1,
      sym_type,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8598] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_STAR,
    ACTIONS(1033), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1737), 1,
      sym_expression,
    STATE(2063), 1,
      sym_type,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1954), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8709] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_STAR,
    ACTIONS(1063), 1,
      anon_sym_STAR_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1726), 1,
      sym_expression,
    STATE(1926), 1,
      sym_type,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1899), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8820] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_expression,
    STATE(2292), 1,
      sym_type,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8931] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(312), 1,
      anon_sym_TILDE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1081), 1,
      sym_identifier,
    ACTIONS(1083), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_STAR,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1467), 1,
      sym_list_splat_pattern,
    STATE(1594), 1,
      sym_primary_expression,
    STATE(1643), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1089), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1468), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1087), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(959), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [9036] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(1968), 1,
      sym_type,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2011), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9147] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_STAR,
    ACTIONS(1033), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1737), 1,
      sym_expression,
    STATE(1903), 1,
      sym_type,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1954), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9258] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_expression,
    STATE(2483), 1,
      sym_type,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9369] = 28,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1133), 1,
      anon_sym_RPAREN,
    ACTIONS(1139), 1,
      anon_sym_await,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1710), 1,
      sym_expression,
    STATE(2282), 1,
      sym_yield,
    STATE(2347), 1,
      sym_with_item,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2720), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9486] = 27,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1041), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1049), 1,
      anon_sym_STAR,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1057), 1,
      anon_sym_await,
    ACTIONS(1141), 1,
      anon_sym_RPAREN,
    ACTIONS(1143), 1,
      anon_sym_COMMA,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1688), 1,
      sym_expression,
    STATE(2490), 1,
      sym_parenthesized_list_splat,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1053), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1051), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2491), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9601] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_expression,
    STATE(2072), 1,
      sym_type,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9712] = 27,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1145), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1695), 1,
      sym_expression,
    STATE(2414), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2615), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9826] = 26,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1149), 1,
      anon_sym_LPAREN,
    ACTIONS(1155), 1,
      anon_sym_RBRACK,
    ACTIONS(1157), 1,
      anon_sym_await,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1689), 1,
      sym_expression,
    STATE(2670), 1,
      sym__collection_elements,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9938] = 27,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1159), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1700), 1,
      sym_expression,
    STATE(2460), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2686), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10052] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1161), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10164] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1163), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10276] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1165), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10388] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1167), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10500] = 28,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1169), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1692), 1,
      sym_expression,
    STATE(2253), 1,
      sym_list_splat,
    STATE(2254), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2774), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10616] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10728] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1173), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10840] = 26,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1149), 1,
      anon_sym_LPAREN,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1175), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1697), 1,
      sym_expression,
    STATE(2674), 1,
      sym__collection_elements,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10952] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1177), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11064] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1179), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11176] = 28,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1181), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1713), 1,
      sym_expression,
    STATE(2253), 1,
      sym_list_splat,
    STATE(2254), 1,
      sym_parenthesized_list_splat,
    STATE(2436), 1,
      sym_yield,
    STATE(2602), 1,
      sym__collection_elements,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11292] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1183), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11404] = 26,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1149), 1,
      anon_sym_LPAREN,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1185), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1715), 1,
      sym_expression,
    STATE(2640), 1,
      sym__collection_elements,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11516] = 27,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1703), 1,
      sym_expression,
    STATE(2340), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2682), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11630] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1189), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11742] = 27,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1191), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1704), 1,
      sym_expression,
    STATE(2251), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2757), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11856] = 26,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1149), 1,
      anon_sym_LPAREN,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1193), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    STATE(2740), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11968] = 28,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1159), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1700), 1,
      sym_expression,
    STATE(2291), 1,
      sym_list_splat,
    STATE(2304), 1,
      sym_parenthesized_list_splat,
    STATE(2460), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2686), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12084] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1195), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12196] = 28,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1145), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1695), 1,
      sym_expression,
    STATE(2414), 1,
      sym_yield,
    STATE(2418), 1,
      sym_list_splat,
    STATE(2492), 1,
      sym_parenthesized_list_splat,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2615), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12312] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1197), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12424] = 26,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1149), 1,
      anon_sym_LPAREN,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1199), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1691), 1,
      sym_expression,
    STATE(2647), 1,
      sym__collection_elements,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12536] = 26,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1149), 1,
      anon_sym_LPAREN,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1201), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1716), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    STATE(2790), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12648] = 27,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1133), 1,
      anon_sym_RPAREN,
    ACTIONS(1139), 1,
      anon_sym_await,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1685), 1,
      sym_expression,
    STATE(2282), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2720), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12762] = 27,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1169), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1692), 1,
      sym_expression,
    STATE(2494), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2774), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12876] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1203), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12988] = 26,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1149), 1,
      anon_sym_LPAREN,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1205), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1711), 1,
      sym_expression,
    STATE(2616), 1,
      sym__collection_elements,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13100] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1207), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13212] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1209), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13324] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1211), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13436] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1213), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13548] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1215), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13660] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1217), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13772] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1219), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13884] = 27,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1221), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2450), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2681), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13998] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1223), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14110] = 26,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(825), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1149), 1,
      anon_sym_LPAREN,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1225), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1694), 1,
      sym_expression,
    STATE(2645), 1,
      sym__collection_elements,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2391), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14222] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1227), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14334] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1229), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14446] = 28,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1703), 1,
      sym_expression,
    STATE(2340), 1,
      sym_yield,
    STATE(2418), 1,
      sym_list_splat,
    STATE(2492), 1,
      sym_parenthesized_list_splat,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2682), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14562] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1231), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14674] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1233), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14786] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1235), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14898] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1237), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15010] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1239), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15122] = 28,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1221), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2291), 1,
      sym_list_splat,
    STATE(2304), 1,
      sym_parenthesized_list_splat,
    STATE(2450), 1,
      sym_yield,
    STATE(2614), 1,
      sym__named_expression_lhs,
    STATE(2681), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15238] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1241), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15350] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15462] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1245), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15574] = 27,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1043), 1,
      anon_sym_LPAREN,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1181), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1713), 1,
      sym_expression,
    STATE(2436), 1,
      sym_yield,
    STATE(2602), 1,
      sym__collection_elements,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2247), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15688] = 26,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    ACTIONS(1247), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15800] = 25,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    ACTIONS(1253), 1,
      anon_sym_RBRACE,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(851), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2032), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1251), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15909] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      anon_sym_RBRACK,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    ACTIONS(1259), 1,
      anon_sym_lambda,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1804), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1151), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2074), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1251), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16018] = 23,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1754), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1261), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16123] = 25,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_LPAREN,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    ACTIONS(1269), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1911), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2549), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16232] = 19,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1107), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16329] = 25,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_RBRACE,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1991), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2510), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16438] = 25,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    ACTIONS(1279), 1,
      anon_sym_RBRACE,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(851), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2032), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1277), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16547] = 25,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_LPAREN,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1911), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2549), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16656] = 25,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    ACTIONS(1269), 1,
      anon_sym_RBRACE,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1991), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2510), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16765] = 25,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      anon_sym_RPAREN,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    ACTIONS(1287), 1,
      anon_sym_lambda,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1823), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1135), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2018), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1285), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16874] = 25,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1275), 1,
      anon_sym_RPAREN,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1291), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2587), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16983] = 25,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1279), 1,
      anon_sym_RPAREN,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    ACTIONS(1287), 1,
      anon_sym_lambda,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1823), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1135), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2018), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1277), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17092] = 25,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    ACTIONS(1281), 1,
      anon_sym_RBRACE,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(851), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2032), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1285), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17201] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    ACTIONS(1259), 1,
      anon_sym_lambda,
    ACTIONS(1295), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1804), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1151), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2074), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1293), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17310] = 25,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      anon_sym_RPAREN,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    ACTIONS(1287), 1,
      anon_sym_lambda,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1823), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1135), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2018), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1251), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17419] = 25,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    ACTIONS(1295), 1,
      anon_sym_RBRACE,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(851), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2032), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1293), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17528] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    ACTIONS(1259), 1,
      anon_sym_lambda,
    ACTIONS(1281), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1804), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1151), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2074), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1285), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17637] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    ACTIONS(1259), 1,
      anon_sym_lambda,
    ACTIONS(1279), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1804), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1151), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2074), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1277), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17746] = 23,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1754), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1297), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17851] = 25,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1119), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1123), 1,
      anon_sym_STAR,
    ACTIONS(1129), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2508), 1,
      sym_parenthesized_list_splat,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1127), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1125), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2511), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17960] = 25,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    ACTIONS(1287), 1,
      anon_sym_lambda,
    ACTIONS(1295), 1,
      anon_sym_RPAREN,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1823), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1135), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2018), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1293), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18069] = 25,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1269), 1,
      anon_sym_RPAREN,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1291), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2587), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18178] = 24,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1121), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1291), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2587), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18284] = 25,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1299), 1,
      anon_sym_from,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1875), 1,
      sym_expression,
    STATE(2567), 1,
      sym_expression_list,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1111), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18392] = 25,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1303), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18500] = 25,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1305), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18608] = 25,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18716] = 25,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1309), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18824] = 25,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1311), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18932] = 25,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1313), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19040] = 24,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_LPAREN,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1911), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2549), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19146] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1315), 1,
      anon_sym_from,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1784), 1,
      sym_expression,
    STATE(2528), 1,
      sym_expression_list,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1111), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19254] = 25,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1319), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19362] = 25,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1321), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19470] = 25,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1323), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19578] = 25,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1325), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19686] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    ACTIONS(1329), 1,
      anon_sym_from,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2252), 1,
      sym_expression_list,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1327), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19794] = 25,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1331), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19902] = 24,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1991), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2510), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20008] = 25,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1333), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20116] = 25,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1335), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20224] = 25,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1337), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20332] = 25,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1339), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20440] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1341), 1,
      anon_sym_from,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1847), 1,
      sym_expression,
    STATE(2530), 1,
      sym_expression_list,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1111), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20548] = 25,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1345), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20656] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1349), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20763] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1351), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20870] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1353), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20977] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1355), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21084] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1357), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21191] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1359), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21298] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1361), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21405] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_from,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1261), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21510] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1365), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21617] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1367), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21724] = 24,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1371), 1,
      anon_sym_COLON,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1840), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1369), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21829] = 24,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1067), 1,
      anon_sym_not,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    STATE(2569), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21934] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    ACTIONS(1373), 1,
      anon_sym_from,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1297), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22039] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1375), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22146] = 19,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1107), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(663), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22241] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1377), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22348] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1379), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22455] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1381), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22562] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1383), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22669] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1385), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22776] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1387), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22883] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1832), 1,
      sym_expression,
    STATE(2513), 1,
      sym_expression_list,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1389), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22988] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1391), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23095] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1393), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23202] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1395), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23309] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1397), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23416] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1399), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23523] = 24,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1403), 1,
      anon_sym_COLON,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1401), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23628] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1405), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23735] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1407), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23842] = 19,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1107), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1409), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23937] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1411), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24044] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1413), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24151] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1415), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24258] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1417), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24365] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1419), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24472] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1421), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24579] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1423), 1,
      anon_sym_RBRACK,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24686] = 24,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1812), 1,
      sym_expression,
    STATE(2353), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24790] = 24,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1793), 1,
      sym_expression,
    STATE(2466), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24894] = 24,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1425), 1,
      anon_sym_LPAREN,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1909), 1,
      sym_expression,
    STATE(2256), 1,
      sym_with_item,
    STATE(2673), 1,
      sym_with_clause,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24998] = 23,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    ACTIONS(1287), 1,
      anon_sym_lambda,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1792), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2042), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25100] = 24,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    ACTIONS(1429), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1894), 1,
      sym_expression,
    STATE(2548), 1,
      sym_with_item,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25204] = 24,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1779), 1,
      sym_expression,
    STATE(2359), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25308] = 23,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    ACTIONS(1287), 1,
      anon_sym_lambda,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1803), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2034), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25410] = 24,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1425), 1,
      anon_sym_LPAREN,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1909), 1,
      sym_expression,
    STATE(2256), 1,
      sym_with_item,
    STATE(2680), 1,
      sym_with_clause,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25514] = 24,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1431), 1,
      anon_sym_COLON,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1909), 1,
      sym_expression,
    STATE(2585), 1,
      sym_with_item,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25618] = 23,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    ACTIONS(1259), 1,
      anon_sym_lambda,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1804), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2074), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25720] = 24,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1425), 1,
      anon_sym_LPAREN,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1909), 1,
      sym_expression,
    STATE(2256), 1,
      sym_with_item,
    STATE(2676), 1,
      sym_with_clause,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25824] = 23,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1941), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1297), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25926] = 24,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1814), 1,
      sym_expression,
    STATE(2395), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26030] = 23,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    ACTIONS(1287), 1,
      anon_sym_lambda,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1823), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1916), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26132] = 23,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    ACTIONS(1287), 1,
      anon_sym_lambda,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1823), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1990), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26234] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1433), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26336] = 19,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1107), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1409), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26430] = 24,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2502), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26534] = 23,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    ACTIONS(1259), 1,
      anon_sym_lambda,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1804), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1943), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26636] = 19,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1107), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26730] = 19,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1107), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(316), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26824] = 23,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    ACTIONS(1287), 1,
      anon_sym_lambda,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1823), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2018), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26926] = 20,
    ACTIONS(294), 1,
      anon_sym_in,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_COMMA,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1107), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27022] = 23,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    ACTIONS(1259), 1,
      anon_sym_lambda,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1801), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2064), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27124] = 23,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    ACTIONS(1259), 1,
      anon_sym_lambda,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1804), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1964), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27226] = 24,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1806), 1,
      sym_expression,
    STATE(2431), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27330] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1989), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27432] = 24,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1797), 1,
      sym_expression,
    STATE(2481), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27536] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1437), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27638] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1895), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1439), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27740] = 24,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1834), 1,
      sym_expression,
    STATE(2269), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27844] = 23,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2032), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27946] = 24,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1441), 1,
      anon_sym_COLON,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1909), 1,
      sym_expression,
    STATE(2585), 1,
      sym_with_item,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28050] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1849), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1443), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28152] = 23,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1780), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2057), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28254] = 23,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1941), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1261), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28356] = 23,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    ACTIONS(1259), 1,
      anon_sym_lambda,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1805), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2087), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28458] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1913), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1261), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28560] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1942), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1401), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28662] = 24,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1809), 1,
      sym_expression,
    STATE(2432), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28766] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1849), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1445), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28868] = 24,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1800), 1,
      sym_expression,
    STATE(2364), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28972] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1913), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1297), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29074] = 24,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1824), 1,
      sym_expression,
    STATE(2373), 1,
      sym_slice,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29178] = 23,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1788), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2027), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29280] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1849), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1447), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29382] = 24,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1425), 1,
      anon_sym_LPAREN,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1909), 1,
      sym_expression,
    STATE(2256), 1,
      sym_with_item,
    STATE(2711), 1,
      sym__named_expression_lhs,
    STATE(2749), 1,
      sym_with_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29486] = 24,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    ACTIONS(1449), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1894), 1,
      sym_expression,
    STATE(2548), 1,
      sym_with_item,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29590] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1849), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1451), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29692] = 23,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1962), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29794] = 23,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1978), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29896] = 19,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1107), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(316), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29990] = 10,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1453), 1,
      anon_sym_for,
    ACTIONS(1455), 1,
      anon_sym_with,
    ACTIONS(1457), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(294), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(316), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [30065] = 23,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1909), 1,
      sym_expression,
    STATE(2585), 1,
      sym_with_item,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30166] = 23,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1459), 1,
      anon_sym_COLON,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1931), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30267] = 10,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1461), 1,
      anon_sym_for,
    ACTIONS(1463), 1,
      anon_sym_with,
    ACTIONS(1465), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(294), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(316), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [30342] = 23,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1467), 1,
      anon_sym_COLON,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1931), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30443] = 23,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1469), 1,
      anon_sym_COLON,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1885), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30544] = 11,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(294), 1,
      anon_sym_EQ,
    ACTIONS(326), 1,
      anon_sym_COLON,
    ACTIONS(1471), 1,
      sym_identifier,
    ACTIONS(1473), 1,
      sym_string_start,
    STATE(2261), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(316), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 22,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT,
      anon_sym_GT,
  [30621] = 23,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1851), 1,
      sym_expression,
    STATE(2610), 1,
      sym_expression_list,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30722] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1831), 1,
      sym_expression,
    STATE(2514), 1,
      sym_expression_list,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30823] = 23,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1475), 1,
      anon_sym_COLON,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30924] = 23,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1894), 1,
      sym_expression,
    STATE(2548), 1,
      sym_with_item,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31025] = 10,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1471), 1,
      sym_identifier,
    ACTIONS(1473), 1,
      sym_string_start,
    STATE(2261), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(294), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(277), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(316), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 22,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT,
      anon_sym_GT,
  [31100] = 23,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1477), 1,
      anon_sym_COLON,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1931), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31201] = 23,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1869), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    STATE(2728), 1,
      sym_expression_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31302] = 23,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1857), 1,
      sym_expression,
    STATE(2698), 1,
      sym_expression_list,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31403] = 23,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1297), 1,
      anon_sym_COLON,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1904), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31504] = 23,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1871), 1,
      sym_expression,
    STATE(2689), 1,
      sym_expression_list,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31605] = 23,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1479), 1,
      anon_sym_COLON,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1931), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31706] = 23,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1261), 1,
      anon_sym_COLON,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1904), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31807] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1777), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31905] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1917), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32003] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1747), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32101] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1745), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32199] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1754), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32297] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2021), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32395] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1719), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32493] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1750), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32591] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1979), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32689] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1751), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32787] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1734), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32885] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1849), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32983] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2037), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33081] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1763), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33179] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1753), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33277] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1841), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33375] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1828), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33473] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1904), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33571] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1730), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33669] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1821), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33767] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1819), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33865] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33963] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1755), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34061] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1790), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34159] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1818), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34257] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1931), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34355] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1758), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34453] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1815), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34551] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1829), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34649] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1759), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34747] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1662), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34845] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1665), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34943] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1994), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35041] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1670), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35139] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1970), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35237] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1744), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35335] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1760), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35433] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1791), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35531] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1655), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35629] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1761), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35727] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1718), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35825] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1774), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35923] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1764), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36021] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1717), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36119] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1937), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36217] = 9,
    ACTIONS(1485), 1,
      anon_sym_else,
    ACTIONS(1487), 1,
      anon_sym_except,
    ACTIONS(1489), 1,
      anon_sym_finally,
    STATE(710), 1,
      sym_else_clause,
    STATE(800), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(610), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1481), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1483), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [36289] = 9,
    ACTIONS(1485), 1,
      anon_sym_else,
    ACTIONS(1489), 1,
      anon_sym_finally,
    ACTIONS(1491), 1,
      anon_sym_except_STAR,
    STATE(710), 1,
      sym_else_clause,
    STATE(800), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(616), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1481), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1483), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [36361] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1983), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36459] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1766), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36557] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1668), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36655] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2029), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36753] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36851] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1786), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36949] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2005), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37047] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2025), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37145] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37243] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1738), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37341] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1660), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37439] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1736), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37537] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1732), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37635] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1729), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37733] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2071), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37831] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1727), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37929] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1724), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38027] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1721), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38125] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1778), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38223] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1746), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38321] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1957), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38419] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1743), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38517] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38615] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1988), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38713] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1742), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38811] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1817), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38909] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1741), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39007] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1771), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39105] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2075), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39203] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2055), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39301] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1740), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39399] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39497] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1810), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39595] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1722), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39693] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1855), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39791] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39889] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2047), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39987] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1739), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40085] = 9,
    ACTIONS(1497), 1,
      anon_sym_else,
    ACTIONS(1499), 1,
      anon_sym_except,
    ACTIONS(1501), 1,
      anon_sym_finally,
    STATE(716), 1,
      sym_else_clause,
    STATE(731), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(611), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1495), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1493), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40157] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2048), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40255] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1783), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40353] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1503), 1,
      sym_identifier,
    ACTIONS(1509), 1,
      anon_sym_await,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1947), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1507), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1483), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1505), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40453] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1775), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40551] = 23,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1511), 1,
      sym_identifier,
    ACTIONS(1517), 1,
      anon_sym_await,
    STATE(981), 1,
      sym_string,
    STATE(1023), 1,
      sym_primary_expression,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1958), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1515), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1206), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1513), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40651] = 9,
    ACTIONS(1497), 1,
      anon_sym_else,
    ACTIONS(1501), 1,
      anon_sym_finally,
    ACTIONS(1519), 1,
      anon_sym_except_STAR,
    STATE(716), 1,
      sym_else_clause,
    STATE(731), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(620), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1495), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1493), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40723] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(1509), 1,
      anon_sym_await,
    ACTIONS(1521), 1,
      sym_identifier,
    STATE(1028), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1947), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1525), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1267), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1523), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40823] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2015), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40921] = 23,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    ACTIONS(1527), 1,
      sym_identifier,
    ACTIONS(1533), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1886), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1531), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1482), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1529), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41021] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1820), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41119] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1131), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(1003), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1799), 1,
      sym_expression,
    STATE(2614), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1137), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1135), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1796), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41217] = 23,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1517), 1,
      anon_sym_await,
    ACTIONS(1535), 1,
      sym_identifier,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1958), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1539), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1484), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1537), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41317] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1974), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41415] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1900), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41513] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(904), 1,
      sym_primary_expression,
    STATE(982), 1,
      sym_string,
    STATE(1212), 1,
      sym_list_splat_pattern,
    STATE(1808), 1,
      sym_expression,
    STATE(2605), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41611] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1889), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41709] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1859), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41807] = 9,
    ACTIONS(1497), 1,
      anon_sym_else,
    ACTIONS(1499), 1,
      anon_sym_except,
    ACTIONS(1501), 1,
      anon_sym_finally,
    STATE(721), 1,
      sym_else_clause,
    STATE(809), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(611), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1481), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1483), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41879] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1908), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41977] = 9,
    ACTIONS(1485), 1,
      anon_sym_else,
    ACTIONS(1489), 1,
      anon_sym_finally,
    ACTIONS(1491), 1,
      anon_sym_except_STAR,
    STATE(700), 1,
      sym_else_clause,
    STATE(822), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(616), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1495), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1493), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42049] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2081), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42147] = 9,
    ACTIONS(1485), 1,
      anon_sym_else,
    ACTIONS(1487), 1,
      anon_sym_except,
    ACTIONS(1489), 1,
      anon_sym_finally,
    STATE(700), 1,
      sym_else_clause,
    STATE(822), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(610), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1495), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1493), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42219] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1770), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42317] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1147), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1022), 1,
      sym_string,
    STATE(1307), 1,
      sym_list_splat_pattern,
    STATE(1874), 1,
      sym_expression,
    STATE(2690), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1153), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1151), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1776), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42415] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2010), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42513] = 9,
    ACTIONS(1497), 1,
      anon_sym_else,
    ACTIONS(1501), 1,
      anon_sym_finally,
    ACTIONS(1519), 1,
      anon_sym_except_STAR,
    STATE(721), 1,
      sym_else_clause,
    STATE(809), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(620), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1481), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1483), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42585] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1725), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42683] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2044), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42781] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1936), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42879] = 23,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    ACTIONS(1533), 1,
      anon_sym_await,
    ACTIONS(1541), 1,
      sym_identifier,
    STATE(991), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1886), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1545), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1368), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1543), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42979] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_primary_expression,
    STATE(1069), 1,
      sym_string,
    STATE(1447), 1,
      sym_list_splat_pattern,
    STATE(1913), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43077] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_not,
    ACTIONS(1013), 1,
      anon_sym_lambda,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1117), 1,
      anon_sym_await,
    STATE(946), 1,
      sym_primary_expression,
    STATE(981), 1,
      sym_string,
    STATE(1183), 1,
      sym_list_splat_pattern,
    STATE(1772), 1,
      sym_expression,
    STATE(2746), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1762), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43175] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2043), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43273] = 22,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_not,
    ACTIONS(1037), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_await,
    ACTIONS(1289), 1,
      sym_identifier,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1413), 1,
      sym_list_splat_pattern,
    STATE(1941), 1,
      sym_expression,
    STATE(2691), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1031), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1029), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(755), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43371] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2096), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43469] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2070), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43567] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1914), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43665] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1930), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43763] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2068), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43861] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1669), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43959] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(1667), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44057] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(860), 1,
      sym_primary_expression,
    STATE(967), 1,
      sym_string,
    STATE(1118), 1,
      sym_list_splat_pattern,
    STATE(2069), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1659), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44155] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(314), 1,
      anon_sym_lambda,
    ACTIONS(322), 1,
      anon_sym_await,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(2095), 1,
      sym_expression,
    STATE(2711), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(296), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1720), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44253] = 10,
    ACTIONS(1549), 1,
      anon_sym_COMMA,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1556), 1,
      anon_sym_COLON,
    ACTIONS(1559), 1,
      anon_sym_EQ,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    STATE(2105), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1552), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [44326] = 5,
    ACTIONS(1569), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(610), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1565), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1567), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44388] = 5,
    ACTIONS(1572), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(611), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1565), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1567), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44450] = 8,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(294), 1,
      anon_sym_EQ,
    ACTIONS(326), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(316), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [44518] = 8,
    ACTIONS(1485), 1,
      anon_sym_else,
    ACTIONS(1579), 1,
      anon_sym_elif,
    STATE(628), 1,
      aux_sym_if_statement_repeat1,
    STATE(717), 1,
      sym_elif_clause,
    STATE(749), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1575), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1577), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44586] = 8,
    ACTIONS(1485), 1,
      anon_sym_else,
    ACTIONS(1579), 1,
      anon_sym_elif,
    STATE(625), 1,
      aux_sym_if_statement_repeat1,
    STATE(717), 1,
      sym_elif_clause,
    STATE(748), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1583), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44654] = 8,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(294), 1,
      anon_sym_EQ,
    ACTIONS(326), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(316), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [44722] = 5,
    ACTIONS(1589), 1,
      anon_sym_except_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(616), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1585), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1587), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44784] = 8,
    ACTIONS(1497), 1,
      anon_sym_else,
    ACTIONS(1596), 1,
      anon_sym_elif,
    STATE(622), 1,
      aux_sym_if_statement_repeat1,
    STATE(703), 1,
      sym_elif_clause,
    STATE(781), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1594), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1592), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44852] = 8,
    ACTIONS(1485), 1,
      anon_sym_else,
    ACTIONS(1579), 1,
      anon_sym_elif,
    STATE(613), 1,
      aux_sym_if_statement_repeat1,
    STATE(717), 1,
      sym_elif_clause,
    STATE(741), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1594), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1592), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44920] = 7,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(294), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(316), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [44986] = 5,
    ACTIONS(1598), 1,
      anon_sym_except_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(620), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1585), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1587), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45048] = 7,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(294), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(316), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45114] = 8,
    ACTIONS(1497), 1,
      anon_sym_else,
    ACTIONS(1596), 1,
      anon_sym_elif,
    STATE(637), 1,
      aux_sym_if_statement_repeat1,
    STATE(703), 1,
      sym_elif_clause,
    STATE(746), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1575), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1577), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45182] = 8,
    ACTIONS(1497), 1,
      anon_sym_else,
    ACTIONS(1596), 1,
      anon_sym_elif,
    STATE(637), 1,
      aux_sym_if_statement_repeat1,
    STATE(703), 1,
      sym_elif_clause,
    STATE(832), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1603), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1601), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45250] = 7,
    ACTIONS(1549), 1,
      anon_sym_COMMA,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1559), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(1563), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1552), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45316] = 8,
    ACTIONS(1485), 1,
      anon_sym_else,
    ACTIONS(1579), 1,
      anon_sym_elif,
    STATE(628), 1,
      aux_sym_if_statement_repeat1,
    STATE(717), 1,
      sym_elif_clause,
    STATE(834), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1603), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1601), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45384] = 8,
    ACTIONS(1497), 1,
      anon_sym_else,
    ACTIONS(1596), 1,
      anon_sym_elif,
    STATE(623), 1,
      aux_sym_if_statement_repeat1,
    STATE(703), 1,
      sym_elif_clause,
    STATE(747), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1583), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45452] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45509] = 6,
    ACTIONS(1613), 1,
      anon_sym_elif,
    STATE(628), 1,
      aux_sym_if_statement_repeat1,
    STATE(717), 1,
      sym_elif_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1609), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1611), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45572] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1618), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1624), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1616), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45633] = 6,
    ACTIONS(1628), 1,
      anon_sym_COMMA,
    ACTIONS(1635), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1633), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1631), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45696] = 7,
    ACTIONS(1639), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1618), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1637), 2,
      anon_sym_DOT,
      anon_sym_COLON,
    ACTIONS(1624), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1621), 12,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1616), 28,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45761] = 6,
    ACTIONS(1559), 1,
      anon_sym_EQ,
    ACTIONS(1643), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1646), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45824] = 6,
    ACTIONS(1655), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1650), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1657), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1653), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1648), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45887] = 6,
    ACTIONS(1635), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1633), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1631), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45950] = 6,
    ACTIONS(1559), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1549), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1563), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1552), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46013] = 6,
    ACTIONS(1559), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1563), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1646), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46076] = 6,
    ACTIONS(1659), 1,
      anon_sym_elif,
    STATE(637), 1,
      aux_sym_if_statement_repeat1,
    STATE(703), 1,
      sym_elif_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1609), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1611), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46139] = 6,
    ACTIONS(1650), 1,
      anon_sym_COMMA,
    ACTIONS(1655), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1653), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1648), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46202] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46316] = 6,
    ACTIONS(1549), 1,
      anon_sym_COMMA,
    ACTIONS(1559), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1552), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46379] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(665), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46440] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46497] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46554] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(665), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46615] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46672] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46729] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1678), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1680), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46785] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1684), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46841] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1678), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1680), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46897] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1686), 1,
      sym_identifier,
    ACTIONS(1688), 1,
      anon_sym_LPAREN,
    ACTIONS(1690), 1,
      anon_sym_STAR,
    ACTIONS(1696), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1577), 1,
      sym_list_splat_pattern,
    STATE(1626), 1,
      sym_primary_expression,
    STATE(1992), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1694), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1574), 2,
      sym_attribute,
      sym_subscript,
    STATE(2076), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1692), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(973), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [46989] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1702), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1700), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47045] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1706), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1704), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47101] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1710), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1708), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47157] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1714), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1712), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47213] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1678), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1680), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47269] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1718), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47325] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1722), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47381] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1722), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47437] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1724), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1726), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47493] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1686), 1,
      sym_identifier,
    ACTIONS(1688), 1,
      anon_sym_LPAREN,
    ACTIONS(1690), 1,
      anon_sym_STAR,
    ACTIONS(1696), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1577), 1,
      sym_list_splat_pattern,
    STATE(1626), 1,
      sym_primary_expression,
    STATE(1992), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1694), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1574), 2,
      sym_attribute,
      sym_subscript,
    STATE(2076), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1692), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(959), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [47585] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1722), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47641] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1724), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1726), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47697] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1702), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1700), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1718), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47809] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1728), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1730), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47865] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1732), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1734), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1724), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1726), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47977] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1678), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1680), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48033] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1724), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1726), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48089] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1724), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1726), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48145] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1718), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48201] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1684), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48257] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1736), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1738), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1702), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1700), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1740), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1742), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48425] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1702), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1700), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48481] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1728), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1730), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48537] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1718), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48593] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1702), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1700), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1678), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1680), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48705] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1732), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1734), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48761] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1702), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1700), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48817] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1722), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48873] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1744), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1746), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48929] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1744), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1746), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48985] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1748), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1750), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49041] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1718), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49097] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1748), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1750), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1736), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1738), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49209] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1706), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1704), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49265] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1740), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1742), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49321] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1722), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49377] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1710), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1708), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49433] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1724), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1726), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49489] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1718), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1714), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1712), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1678), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1680), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49657] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1722), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49713] = 5,
    ACTIONS(1489), 1,
      anon_sym_finally,
    STATE(799), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1752), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1754), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49772] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1758), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1756), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49827] = 5,
    ACTIONS(1485), 1,
      anon_sym_else,
    STATE(787), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1760), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1762), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49886] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1766), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1764), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49941] = 5,
    ACTIONS(1485), 1,
      anon_sym_else,
    STATE(783), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1770), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50000] = 5,
    ACTIONS(1485), 1,
      anon_sym_else,
    STATE(757), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1772), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1774), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50059] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1776), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1778), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50114] = 5,
    ACTIONS(1485), 1,
      anon_sym_else,
    STATE(830), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1780), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1782), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50173] = 5,
    ACTIONS(1497), 1,
      anon_sym_else,
    STATE(773), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1786), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1784), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50232] = 5,
    ACTIONS(1485), 1,
      anon_sym_else,
    STATE(751), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1788), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1790), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50291] = 5,
    ACTIONS(1489), 1,
      anon_sym_finally,
    STATE(780), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1792), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1794), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50350] = 5,
    ACTIONS(1497), 1,
      anon_sym_else,
    STATE(848), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1760), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1762), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50409] = 5,
    ACTIONS(1497), 1,
      anon_sym_else,
    STATE(792), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1788), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1790), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50468] = 5,
    ACTIONS(1485), 1,
      anon_sym_else,
    STATE(796), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1786), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1784), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50527] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1776), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1778), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50582] = 5,
    ACTIONS(1497), 1,
      anon_sym_else,
    STATE(803), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1770), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50641] = 5,
    ACTIONS(1501), 1,
      anon_sym_finally,
    STATE(807), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1752), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1754), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1766), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1764), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50755] = 5,
    ACTIONS(1497), 1,
      anon_sym_else,
    STATE(788), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1772), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1774), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50814] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1758), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1756), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50869] = 5,
    ACTIONS(1497), 1,
      anon_sym_else,
    STATE(730), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1780), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1782), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50928] = 5,
    ACTIONS(1501), 1,
      anon_sym_finally,
    STATE(842), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1792), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1794), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1798), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1796), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51041] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1798), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1796), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51095] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1802), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1800), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51149] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1802), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1800), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51203] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_RPAREN,
    ACTIONS(1810), 1,
      anon_sym_STAR,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1818), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1606), 1,
      sym_primary_expression,
    STATE(1614), 1,
      sym_list_splat_pattern,
    STATE(2250), 1,
      sym_pattern,
    STATE(2762), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1814), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1612), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1812), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51295] = 22,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1810), 1,
      anon_sym_STAR,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1818), 1,
      anon_sym_await,
    ACTIONS(1820), 1,
      anon_sym_RPAREN,
    STATE(1033), 1,
      sym_string,
    STATE(1606), 1,
      sym_primary_expression,
    STATE(1614), 1,
      sym_list_splat_pattern,
    STATE(2250), 1,
      sym_pattern,
    STATE(2629), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1814), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1612), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1812), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1822), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1824), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51440] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1828), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1826), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51493] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1832), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1830), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51546] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1752), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1754), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51599] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1481), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1483), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51652] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1834), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1836), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51705] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1495), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1493), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51758] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1840), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1838), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51811] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1844), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1842), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51864] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1848), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1846), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51917] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1852), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1850), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51970] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1854), 1,
      sym_identifier,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1858), 1,
      anon_sym_STAR,
    ACTIONS(1864), 1,
      anon_sym_LBRACK,
    ACTIONS(1866), 1,
      anon_sym_RBRACK,
    ACTIONS(1868), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1590), 1,
      sym_list_splat_pattern,
    STATE(1625), 1,
      sym_primary_expression,
    STATE(2535), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1862), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1589), 2,
      sym_attribute,
      sym_subscript,
    STATE(2532), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1860), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52059] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1872), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1870), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1874), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1876), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52165] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1878), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1880), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52218] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1884), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1882), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52271] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1886), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1888), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52324] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1890), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1892), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52377] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1896), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1894), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52430] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1900), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1898), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52483] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1900), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1898), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52536] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1896), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1894), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52589] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1902), 1,
      sym_identifier,
    ACTIONS(1904), 1,
      anon_sym_LPAREN,
    ACTIONS(1910), 1,
      anon_sym_in,
    ACTIONS(1912), 1,
      anon_sym_LBRACK,
    ACTIONS(1914), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1595), 1,
      sym_primary_expression,
    STATE(1609), 1,
      sym_list_splat_pattern,
    STATE(1643), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1906), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52678] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1916), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1918), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52731] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1920), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1922), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52784] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1924), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1926), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52837] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1890), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1892), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52890] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1828), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1826), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52943] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1928), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1930), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1932), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1934), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1886), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1888), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53102] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1936), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1938), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53155] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1940), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1942), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53208] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1944), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1946), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53261] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1948), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1950), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53314] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1954), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1952), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53367] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1956), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1958), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53420] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1810), 1,
      anon_sym_STAR,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1818), 1,
      anon_sym_await,
    ACTIONS(1866), 1,
      anon_sym_RPAREN,
    STATE(1033), 1,
      sym_string,
    STATE(1606), 1,
      sym_primary_expression,
    STATE(1614), 1,
      sym_list_splat_pattern,
    STATE(2562), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1814), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1612), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1812), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53509] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1810), 1,
      anon_sym_STAR,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1818), 1,
      anon_sym_await,
    ACTIONS(1960), 1,
      anon_sym_RPAREN,
    STATE(1033), 1,
      sym_string,
    STATE(1606), 1,
      sym_primary_expression,
    STATE(1614), 1,
      sym_list_splat_pattern,
    STATE(2562), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1814), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1612), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1812), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53598] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1964), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1962), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53651] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1966), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1968), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53704] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1902), 1,
      sym_identifier,
    ACTIONS(1904), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_LBRACK,
    ACTIONS(1914), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1595), 1,
      sym_primary_expression,
    STATE(1609), 1,
      sym_list_splat_pattern,
    STATE(2346), 1,
      sym_pattern,
    STATE(2677), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1906), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53793] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1970), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1972), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53846] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1976), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1974), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53899] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1980), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1978), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53952] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1984), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1982), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54005] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1928), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1930), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54058] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1902), 1,
      sym_identifier,
    ACTIONS(1904), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_LBRACK,
    ACTIONS(1914), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1595), 1,
      sym_primary_expression,
    STATE(1609), 1,
      sym_list_splat_pattern,
    STATE(2458), 1,
      sym_pattern,
    STATE(2710), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1906), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54147] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1940), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1942), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54200] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1986), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1988), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54253] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1990), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1992), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54306] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1878), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1880), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54359] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1994), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1996), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1874), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1876), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54465] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1970), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1972), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54518] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1998), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2000), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1948), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1950), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54624] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1944), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1946), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54677] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1902), 1,
      sym_identifier,
    ACTIONS(1904), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_LBRACK,
    ACTIONS(1914), 1,
      anon_sym_await,
    ACTIONS(2002), 1,
      anon_sym_in,
    STATE(1033), 1,
      sym_string,
    STATE(1595), 1,
      sym_primary_expression,
    STATE(1609), 1,
      sym_list_splat_pattern,
    STATE(1643), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1906), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54766] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2004), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2006), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54819] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1932), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1934), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54872] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1956), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1958), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1924), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1926), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54978] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2008), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2010), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55031] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1916), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1918), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55084] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2012), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2014), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55137] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2016), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2018), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55190] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1986), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1988), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55243] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1984), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1982), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1980), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1978), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55349] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1976), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1974), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2020), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2022), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55455] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1792), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1794), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55508] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1902), 1,
      sym_identifier,
    ACTIONS(1904), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_LBRACK,
    ACTIONS(1914), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1595), 1,
      sym_primary_expression,
    STATE(1609), 1,
      sym_list_splat_pattern,
    STATE(2337), 1,
      sym_pattern,
    STATE(2687), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1906), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55597] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1902), 1,
      sym_identifier,
    ACTIONS(1904), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_LBRACK,
    ACTIONS(1914), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1595), 1,
      sym_primary_expression,
    STATE(1609), 1,
      sym_list_splat_pattern,
    STATE(2317), 1,
      sym_pattern,
    STATE(2696), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1906), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1998), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2000), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55739] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1964), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1962), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2026), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2024), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55845] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2012), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2014), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55898] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2020), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2022), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55951] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1884), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1882), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56004] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1792), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1794), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56057] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2026), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2024), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56110] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1902), 1,
      sym_identifier,
    ACTIONS(1904), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_LBRACK,
    ACTIONS(1914), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1595), 1,
      sym_primary_expression,
    STATE(1609), 1,
      sym_list_splat_pattern,
    STATE(2409), 1,
      sym_pattern,
    STATE(2613), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1906), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [56199] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2030), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2028), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56252] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2034), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2032), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56305] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1834), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1836), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56358] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2038), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2036), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56411] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2042), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2040), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1872), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1870), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56517] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1852), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1850), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56570] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1954), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1952), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56623] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2030), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2028), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56676] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1495), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1493), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56729] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1752), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1754), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56782] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2034), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2032), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56835] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1920), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1922), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56888] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2046), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2044), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56941] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1848), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1846), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56994] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2038), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2036), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57047] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1840), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1838), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1844), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1842), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1832), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1830), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57206] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2048), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2050), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2054), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2052), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57312] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2048), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2050), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57365] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2054), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2052), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57418] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2042), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2040), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57471] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2046), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2044), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57524] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1936), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1938), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1481), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1483), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1966), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1968), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57683] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1990), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1992), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57736] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1902), 1,
      sym_identifier,
    ACTIONS(1904), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_LBRACK,
    ACTIONS(1914), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1595), 1,
      sym_primary_expression,
    STATE(1609), 1,
      sym_list_splat_pattern,
    STATE(2279), 1,
      sym_pattern,
    STATE(2721), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1906), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [57825] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1994), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1996), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57878] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1822), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1824), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57931] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1902), 1,
      sym_identifier,
    ACTIONS(1904), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_LBRACK,
    ACTIONS(1914), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1595), 1,
      sym_primary_expression,
    STATE(1609), 1,
      sym_list_splat_pattern,
    STATE(2255), 1,
      sym_pattern,
    STATE(2750), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1906), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58020] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1902), 1,
      sym_identifier,
    ACTIONS(1904), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_LBRACK,
    ACTIONS(1914), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1595), 1,
      sym_primary_expression,
    STATE(1609), 1,
      sym_list_splat_pattern,
    STATE(2277), 1,
      sym_pattern,
    STATE(2723), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1906), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58109] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1902), 1,
      sym_identifier,
    ACTIONS(1904), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_LBRACK,
    ACTIONS(1914), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1595), 1,
      sym_primary_expression,
    STATE(1609), 1,
      sym_list_splat_pattern,
    STATE(2242), 1,
      sym_pattern,
    STATE(2787), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1906), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58198] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1854), 1,
      sym_identifier,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1858), 1,
      anon_sym_STAR,
    ACTIONS(1864), 1,
      anon_sym_LBRACK,
    ACTIONS(1868), 1,
      anon_sym_await,
    ACTIONS(1960), 1,
      anon_sym_RBRACK,
    STATE(1033), 1,
      sym_string,
    STATE(1590), 1,
      sym_list_splat_pattern,
    STATE(1625), 1,
      sym_primary_expression,
    STATE(2535), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1862), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1589), 2,
      sym_attribute,
      sym_subscript,
    STATE(2532), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1860), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58287] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2004), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2006), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58340] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2008), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2010), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58393] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2016), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2018), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58446] = 21,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1902), 1,
      sym_identifier,
    ACTIONS(1904), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_LBRACK,
    ACTIONS(1914), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1595), 1,
      sym_primary_expression,
    STATE(1609), 1,
      sym_list_splat_pattern,
    STATE(2241), 1,
      sym_pattern,
    STATE(2791), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1906), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58535] = 20,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1854), 1,
      sym_identifier,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1858), 1,
      anon_sym_STAR,
    ACTIONS(1864), 1,
      anon_sym_LBRACK,
    ACTIONS(1868), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1590), 1,
      sym_list_splat_pattern,
    STATE(1625), 1,
      sym_primary_expression,
    STATE(2535), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1862), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1589), 2,
      sym_attribute,
      sym_subscript,
    STATE(2532), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1860), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58621] = 20,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1810), 1,
      anon_sym_STAR,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1818), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1606), 1,
      sym_primary_expression,
    STATE(1614), 1,
      sym_list_splat_pattern,
    STATE(2562), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1814), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1612), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1812), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58707] = 20,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(1902), 1,
      sym_identifier,
    ACTIONS(1904), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_LBRACK,
    ACTIONS(1914), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1595), 1,
      sym_primary_expression,
    STATE(1609), 1,
      sym_list_splat_pattern,
    STATE(1643), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1906), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58793] = 20,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(957), 1,
      sym_identifier,
    ACTIONS(961), 1,
      anon_sym_LPAREN,
    ACTIONS(969), 1,
      anon_sym_LBRACK,
    ACTIONS(971), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1306), 1,
      sym_list_splat_pattern,
    STATE(1618), 1,
      sym_pattern,
    STATE(1621), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(967), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1305), 2,
      sym_attribute,
      sym_subscript,
    STATE(1602), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(965), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58879] = 20,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1081), 1,
      sym_identifier,
    ACTIONS(1083), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_await,
    ACTIONS(2056), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_string,
    STATE(1467), 1,
      sym_list_splat_pattern,
    STATE(1594), 1,
      sym_primary_expression,
    STATE(1643), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1089), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1468), 2,
      sym_attribute,
      sym_subscript,
    STATE(1644), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1087), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58965] = 20,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(1686), 1,
      sym_identifier,
    ACTIONS(1688), 1,
      anon_sym_LPAREN,
    ACTIONS(1690), 1,
      anon_sym_STAR,
    ACTIONS(1696), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1577), 1,
      sym_list_splat_pattern,
    STATE(1626), 1,
      sym_primary_expression,
    STATE(1992), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1694), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1574), 2,
      sym_attribute,
      sym_subscript,
    STATE(2076), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1692), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59051] = 19,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2058), 1,
      sym_identifier,
    ACTIONS(2066), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1595), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2060), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2064), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1596), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2062), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59134] = 19,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2068), 1,
      sym_identifier,
    ACTIONS(2074), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1606), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2060), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2072), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1584), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2070), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59217] = 21,
    ACTIONS(2078), 1,
      anon_sym_DOT,
    ACTIONS(2080), 1,
      anon_sym_LPAREN,
    ACTIONS(2088), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2090), 1,
      anon_sym_EQ,
    ACTIONS(2092), 1,
      anon_sym_LBRACK,
    ACTIONS(2098), 1,
      anon_sym_PIPE,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2102), 1,
      anon_sym_AMP,
    ACTIONS(2104), 1,
      anon_sym_CARET,
    ACTIONS(2106), 1,
      anon_sym_is,
    STATE(1553), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2082), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2084), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2096), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2108), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(948), 2,
      sym__not_in,
      sym__is_not,
    STATE(1129), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2094), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2086), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2076), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [59303] = 17,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    ACTIONS(2110), 1,
      anon_sym_not,
    STATE(1022), 1,
      sym_string,
    STATE(1115), 1,
      sym_primary_expression,
    STATE(1307), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59381] = 17,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2110), 1,
      anon_sym_not,
    STATE(1033), 1,
      sym_string,
    STATE(1084), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59459] = 17,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    ACTIONS(2110), 1,
      anon_sym_not,
    STATE(982), 1,
      sym_string,
    STATE(1029), 1,
      sym_primary_expression,
    STATE(1212), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59537] = 17,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    ACTIONS(2110), 1,
      anon_sym_not,
    STATE(967), 1,
      sym_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1118), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59615] = 17,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    ACTIONS(2110), 1,
      anon_sym_not,
    STATE(1069), 1,
      sym_string,
    STATE(1231), 1,
      sym_primary_expression,
    STATE(1447), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59693] = 17,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    ACTIONS(2110), 1,
      anon_sym_not,
    STATE(981), 1,
      sym_string,
    STATE(1018), 1,
      sym_primary_expression,
    STATE(1183), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59771] = 17,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    ACTIONS(2110), 1,
      anon_sym_not,
    STATE(1025), 1,
      sym_string,
    STATE(1099), 1,
      sym_primary_expression,
    STATE(1413), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59849] = 17,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    ACTIONS(2110), 1,
      anon_sym_not,
    STATE(1003), 1,
      sym_string,
    STATE(1091), 1,
      sym_primary_expression,
    STATE(1264), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59927] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2112), 1,
      sym_identifier,
    ACTIONS(2118), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1619), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2116), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1420), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2114), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60006] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_string,
    STATE(977), 1,
      sym_primary_expression,
    STATE(1118), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60081] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    STATE(981), 1,
      sym_string,
    STATE(1032), 1,
      sym_primary_expression,
    STATE(1183), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60156] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2112), 1,
      sym_identifier,
    ACTIONS(2118), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1625), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2116), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1420), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2114), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60235] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(1022), 1,
      sym_string,
    STATE(1116), 1,
      sym_primary_expression,
    STATE(1307), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60310] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2120), 1,
      sym_identifier,
    ACTIONS(2126), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1617), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2124), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1317), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2122), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60389] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1103), 1,
      sym_primary_expression,
    STATE(1413), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60464] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1102), 1,
      sym_primary_expression,
    STATE(1413), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60539] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1099), 1,
      sym_primary_expression,
    STATE(1413), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60614] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1089), 1,
      sym_primary_expression,
    STATE(1413), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60689] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1087), 1,
      sym_primary_expression,
    STATE(1413), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60764] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1086), 1,
      sym_primary_expression,
    STATE(1413), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60839] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1080), 1,
      sym_primary_expression,
    STATE(1413), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60914] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1079), 1,
      sym_primary_expression,
    STATE(1413), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60989] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(1022), 1,
      sym_string,
    STATE(1117), 1,
      sym_primary_expression,
    STATE(1307), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61064] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(982), 1,
      sym_string,
    STATE(1034), 1,
      sym_primary_expression,
    STATE(1212), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61139] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2128), 1,
      sym_identifier,
    ACTIONS(2134), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1621), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2132), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(629), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2130), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61218] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2142), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1594), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2140), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1481), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2138), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61297] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2144), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1611), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2148), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1106), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2146), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61376] = 16,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_string,
    STATE(1096), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61451] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2118), 1,
      anon_sym_await,
    ACTIONS(2152), 1,
      sym_identifier,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1625), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2156), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1283), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2154), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61530] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2158), 1,
      sym_identifier,
    ACTIONS(2164), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1626), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2162), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1243), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2160), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61609] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2118), 1,
      anon_sym_await,
    ACTIONS(2166), 1,
      sym_identifier,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1619), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2116), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1420), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2114), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61688] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2120), 1,
      sym_identifier,
    ACTIONS(2126), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1606), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2124), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1317), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2122), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61767] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(1069), 1,
      sym_string,
    STATE(1229), 1,
      sym_primary_expression,
    STATE(1447), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61842] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(1069), 1,
      sym_string,
    STATE(1230), 1,
      sym_primary_expression,
    STATE(1447), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61917] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2164), 1,
      anon_sym_await,
    ACTIONS(2168), 1,
      sym_identifier,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1626), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2172), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1182), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2170), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61996] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(1003), 1,
      sym_string,
    STATE(1088), 1,
      sym_primary_expression,
    STATE(1264), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62071] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(1003), 1,
      sym_string,
    STATE(1090), 1,
      sym_primary_expression,
    STATE(1264), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62146] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(1003), 1,
      sym_string,
    STATE(1091), 1,
      sym_primary_expression,
    STATE(1264), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62221] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(1003), 1,
      sym_string,
    STATE(1092), 1,
      sym_primary_expression,
    STATE(1264), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62296] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(1003), 1,
      sym_string,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1264), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62371] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(1003), 1,
      sym_string,
    STATE(1094), 1,
      sym_primary_expression,
    STATE(1264), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62446] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(1003), 1,
      sym_string,
    STATE(1098), 1,
      sym_primary_expression,
    STATE(1264), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62521] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(1003), 1,
      sym_string,
    STATE(1124), 1,
      sym_primary_expression,
    STATE(1264), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62596] = 21,
    ACTIONS(2090), 1,
      anon_sym_as,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2174), 1,
      anon_sym_DOT,
    ACTIONS(2176), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2186), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2194), 1,
      anon_sym_AMP,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_is,
    STATE(1565), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2178), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2180), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2190), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2200), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(940), 2,
      sym__not_in,
      sym__is_not,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2188), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2182), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2076), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [62681] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(1069), 1,
      sym_string,
    STATE(1231), 1,
      sym_primary_expression,
    STATE(1447), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62756] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(1069), 1,
      sym_string,
    STATE(1232), 1,
      sym_primary_expression,
    STATE(1447), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62831] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(1069), 1,
      sym_string,
    STATE(1234), 1,
      sym_primary_expression,
    STATE(1447), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62906] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(1069), 1,
      sym_string,
    STATE(1190), 1,
      sym_primary_expression,
    STATE(1447), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62981] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    STATE(981), 1,
      sym_string,
    STATE(1013), 1,
      sym_primary_expression,
    STATE(1183), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63056] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(1069), 1,
      sym_string,
    STATE(1235), 1,
      sym_primary_expression,
    STATE(1447), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63131] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(1069), 1,
      sym_string,
    STATE(1236), 1,
      sym_primary_expression,
    STATE(1447), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63206] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1343), 1,
      anon_sym_STAR,
    STATE(1069), 1,
      sym_string,
    STATE(1237), 1,
      sym_primary_expression,
    STATE(1447), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1448), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63281] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_string,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1118), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63356] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(1022), 1,
      sym_string,
    STATE(1113), 1,
      sym_primary_expression,
    STATE(1307), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63431] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    STATE(981), 1,
      sym_string,
    STATE(1014), 1,
      sym_primary_expression,
    STATE(1183), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63506] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    STATE(981), 1,
      sym_string,
    STATE(1015), 1,
      sym_primary_expression,
    STATE(1183), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63581] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    STATE(981), 1,
      sym_string,
    STATE(1016), 1,
      sym_primary_expression,
    STATE(1183), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63656] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    STATE(981), 1,
      sym_string,
    STATE(1017), 1,
      sym_primary_expression,
    STATE(1183), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63731] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(1022), 1,
      sym_string,
    STATE(1114), 1,
      sym_primary_expression,
    STATE(1307), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63806] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2126), 1,
      anon_sym_await,
    ACTIONS(2202), 1,
      sym_identifier,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1606), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2206), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1301), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2204), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63885] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    STATE(981), 1,
      sym_string,
    STATE(1018), 1,
      sym_primary_expression,
    STATE(1183), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63960] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    STATE(981), 1,
      sym_string,
    STATE(1019), 1,
      sym_primary_expression,
    STATE(1183), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64035] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1003), 1,
      anon_sym_STAR,
    STATE(981), 1,
      sym_string,
    STATE(1020), 1,
      sym_primary_expression,
    STATE(1183), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1208), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64110] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1118), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64185] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2126), 1,
      anon_sym_await,
    ACTIONS(2208), 1,
      sym_identifier,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1617), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2124), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1317), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2122), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64264] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(1022), 1,
      sym_string,
    STATE(1112), 1,
      sym_primary_expression,
    STATE(1307), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64339] = 16,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1301), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1126), 1,
      sym_primary_expression,
    STATE(1413), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(763), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(761), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(755), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1380), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64414] = 16,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_string,
    STATE(1044), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64489] = 16,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_string,
    STATE(1043), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64564] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_string,
    STATE(984), 1,
      sym_primary_expression,
    STATE(1118), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64639] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(1022), 1,
      sym_string,
    STATE(1109), 1,
      sym_primary_expression,
    STATE(1307), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64714] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(982), 1,
      sym_string,
    STATE(1001), 1,
      sym_primary_expression,
    STATE(1212), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64789] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_string,
    STATE(974), 1,
      sym_primary_expression,
    STATE(1118), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64864] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(982), 1,
      sym_string,
    STATE(1000), 1,
      sym_primary_expression,
    STATE(1212), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64939] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(982), 1,
      sym_string,
    STATE(998), 1,
      sym_primary_expression,
    STATE(1212), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65014] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_string,
    STATE(975), 1,
      sym_primary_expression,
    STATE(1118), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65089] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1118), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65164] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(982), 1,
      sym_string,
    STATE(997), 1,
      sym_primary_expression,
    STATE(1212), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65239] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(982), 1,
      sym_string,
    STATE(996), 1,
      sym_primary_expression,
    STATE(1212), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65314] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(982), 1,
      sym_string,
    STATE(1029), 1,
      sym_primary_expression,
    STATE(1212), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65389] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(982), 1,
      sym_string,
    STATE(990), 1,
      sym_primary_expression,
    STATE(1212), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65464] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_string,
    STATE(985), 1,
      sym_primary_expression,
    STATE(1118), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65539] = 16,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_string,
    STATE(1075), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65614] = 16,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_string,
    STATE(1072), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65689] = 16,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_string,
    STATE(1039), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65764] = 21,
    ACTIONS(2090), 1,
      anon_sym_EQ,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2234), 1,
      anon_sym_is,
    STATE(1568), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2236), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(921), 2,
      sym__not_in,
      sym__is_not,
    STATE(1172), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2224), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2218), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2076), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [65849] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2244), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1595), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2242), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1304), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2240), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65928] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_string,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1118), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1130), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66003] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2244), 1,
      anon_sym_await,
    ACTIONS(2246), 1,
      sym_identifier,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1595), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2242), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1304), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2240), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66082] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_LBRACK,
    ACTIONS(747), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_await,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(1283), 1,
      anon_sym_STAR,
    STATE(1003), 1,
      sym_string,
    STATE(1095), 1,
      sym_primary_expression,
    STATE(1264), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(749), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(745), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1381), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66157] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2150), 1,
      anon_sym_await,
    ACTIONS(2248), 1,
      sym_identifier,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1611), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2148), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1106), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2146), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66236] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2250), 1,
      sym_identifier,
    ACTIONS(2256), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1606), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2254), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2252), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66315] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2164), 1,
      anon_sym_await,
    ACTIONS(2168), 1,
      sym_identifier,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1604), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2172), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1182), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2170), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66394] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2258), 1,
      sym_identifier,
    ACTIONS(2264), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1595), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2262), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1599), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66473] = 16,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_string,
    STATE(1084), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66548] = 16,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_string,
    STATE(1037), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66623] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(1022), 1,
      sym_string,
    STATE(1111), 1,
      sym_primary_expression,
    STATE(1307), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66698] = 18,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    ACTIONS(2134), 1,
      anon_sym_await,
    ACTIONS(2266), 1,
      sym_identifier,
    STATE(1033), 1,
      sym_string,
    STATE(1269), 1,
      sym_list_splat_pattern,
    STATE(1621), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2132), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(629), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2130), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66777] = 16,
    ACTIONS(307), 1,
      anon_sym_LBRACE,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1427), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_string,
    STATE(1038), 1,
      sym_primary_expression,
    STATE(1269), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(318), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(312), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1339), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66852] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1249), 1,
      anon_sym_STAR,
    STATE(982), 1,
      sym_string,
    STATE(993), 1,
      sym_primary_expression,
    STATE(1212), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1171), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66927] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(1022), 1,
      sym_string,
    STATE(1115), 1,
      sym_primary_expression,
    STATE(1307), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67002] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1257), 1,
      anon_sym_STAR,
    STATE(1022), 1,
      sym_string,
    STATE(1108), 1,
      sym_primary_expression,
    STATE(1307), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1404), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67077] = 21,
    ACTIONS(2090), 1,
      anon_sym_EQ,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_AMP,
    ACTIONS(2290), 1,
      anon_sym_CARET,
    ACTIONS(2292), 1,
      anon_sym_is,
    STATE(1559), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2284), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2294), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(877), 2,
      sym__not_in,
      sym__is_not,
    STATE(1407), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2282), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2276), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2076), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [67161] = 21,
    ACTIONS(2090), 1,
      anon_sym_as,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2296), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2306), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2308), 1,
      anon_sym_LBRACK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2316), 1,
      anon_sym_AMP,
    ACTIONS(2318), 1,
      anon_sym_CARET,
    ACTIONS(2320), 1,
      anon_sym_is,
    STATE(1579), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2302), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2322), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(961), 2,
      sym__not_in,
      sym__is_not,
    STATE(1379), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2310), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2304), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2076), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [67245] = 21,
    ACTIONS(2090), 1,
      anon_sym_as,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_LPAREN,
    ACTIONS(2334), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_LBRACK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2344), 1,
      anon_sym_AMP,
    ACTIONS(2346), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_is,
    STATE(1580), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2328), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2330), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2350), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(898), 2,
      sym__not_in,
      sym__is_not,
    STATE(1355), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2338), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2332), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2076), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [67329] = 5,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(969), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2354), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2352), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67381] = 5,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(966), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67433] = 21,
    ACTIONS(2090), 1,
      anon_sym_EQ,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2356), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2368), 1,
      anon_sym_LBRACK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_AMP,
    ACTIONS(2378), 1,
      anon_sym_CARET,
    ACTIONS(2380), 1,
      anon_sym_is,
    STATE(1561), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2362), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2372), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2382), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(955), 2,
      sym__not_in,
      sym__is_not,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2364), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2076), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [67517] = 5,
    ACTIONS(2388), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(969), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2386), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67569] = 20,
    ACTIONS(2080), 1,
      anon_sym_LPAREN,
    ACTIONS(2088), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2098), 1,
      anon_sym_PIPE,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2102), 1,
      anon_sym_AMP,
    ACTIONS(2104), 1,
      anon_sym_CARET,
    ACTIONS(2106), 1,
      anon_sym_is,
    ACTIONS(2391), 1,
      anon_sym_DOT,
    ACTIONS(2393), 1,
      anon_sym_LBRACK,
    STATE(1553), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2082), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2084), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2096), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2108), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(948), 2,
      sym__not_in,
      sym__is_not,
    STATE(1129), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2094), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2086), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2076), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [67651] = 8,
    ACTIONS(2078), 1,
      anon_sym_DOT,
    ACTIONS(2080), 1,
      anon_sym_LPAREN,
    ACTIONS(2088), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2092), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1129), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2397), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2395), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67708] = 15,
    ACTIONS(2078), 1,
      anon_sym_DOT,
    ACTIONS(2080), 1,
      anon_sym_LPAREN,
    ACTIONS(2088), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2092), 1,
      anon_sym_LBRACK,
    ACTIONS(2098), 1,
      anon_sym_PIPE,
    ACTIONS(2102), 1,
      anon_sym_AMP,
    ACTIONS(2104), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2082), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2084), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2096), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1129), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2094), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2401), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2399), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67779] = 5,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(980), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2354), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2352), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67830] = 10,
    ACTIONS(2078), 1,
      anon_sym_DOT,
    ACTIONS(2080), 1,
      anon_sym_LPAREN,
    ACTIONS(2088), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2092), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2082), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1129), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2094), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 24,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67891] = 14,
    ACTIONS(2078), 1,
      anon_sym_DOT,
    ACTIONS(2080), 1,
      anon_sym_LPAREN,
    ACTIONS(2088), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2092), 1,
      anon_sym_LBRACK,
    ACTIONS(2102), 1,
      anon_sym_AMP,
    ACTIONS(2104), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2082), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2084), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2096), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1129), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2094), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67960] = 13,
    ACTIONS(2078), 1,
      anon_sym_DOT,
    ACTIONS(2080), 1,
      anon_sym_LPAREN,
    ACTIONS(2088), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2092), 1,
      anon_sym_LBRACK,
    ACTIONS(2104), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2082), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2084), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2096), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1129), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2094), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 19,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68027] = 11,
    ACTIONS(2078), 1,
      anon_sym_DOT,
    ACTIONS(2080), 1,
      anon_sym_LPAREN,
    ACTIONS(2088), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2092), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2082), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2096), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1129), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2094), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 22,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68090] = 8,
    ACTIONS(2078), 1,
      anon_sym_DOT,
    ACTIONS(2080), 1,
      anon_sym_LPAREN,
    ACTIONS(2088), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2092), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1129), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2405), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68147] = 20,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(2425), 1,
      anon_sym_PIPE,
    ACTIONS(2427), 1,
      anon_sym_AMP,
    ACTIONS(2429), 1,
      anon_sym_CARET,
    ACTIONS(2431), 1,
      anon_sym_is,
    STATE(1566), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2433), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(905), 2,
      sym__not_in,
      sym__is_not,
    STATE(1438), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2421), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2076), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [68228] = 5,
    ACTIONS(2435), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(980), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2386), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68279] = 5,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(983), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [68330] = 5,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(973), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68381] = 5,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(986), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2354), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2352), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [68432] = 8,
    ACTIONS(2078), 1,
      anon_sym_DOT,
    ACTIONS(2080), 1,
      anon_sym_LPAREN,
    ACTIONS(2088), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2092), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1129), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2405), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68489] = 12,
    ACTIONS(2078), 1,
      anon_sym_DOT,
    ACTIONS(2080), 1,
      anon_sym_LPAREN,
    ACTIONS(2088), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2092), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2082), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2084), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2096), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1129), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2094), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 20,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68554] = 5,
    ACTIONS(2438), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(986), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2386), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [68605] = 8,
    ACTIONS(2078), 1,
      anon_sym_DOT,
    ACTIONS(2080), 1,
      anon_sym_LPAREN,
    ACTIONS(2088), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2092), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1129), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2443), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68662] = 5,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1024), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2354), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2352), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68712] = 8,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1172), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2443), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [68768] = 11,
    ACTIONS(2174), 1,
      anon_sym_DOT,
    ACTIONS(2176), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2186), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2178), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2188), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 21,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68830] = 20,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_AMP,
    ACTIONS(2290), 1,
      anon_sym_CARET,
    ACTIONS(2292), 1,
      anon_sym_is,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_LBRACK,
    STATE(1559), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2284), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2294), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(877), 2,
      sym__not_in,
      sym__is_not,
    STATE(1407), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2282), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2076), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2276), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [68956] = 8,
    ACTIONS(2174), 1,
      anon_sym_DOT,
    ACTIONS(2176), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2186), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2405), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69012] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [69058] = 5,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1031), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2354), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2352), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69108] = 8,
    ACTIONS(2174), 1,
      anon_sym_DOT,
    ACTIONS(2176), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2186), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2405), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69164] = 10,
    ACTIONS(2174), 1,
      anon_sym_DOT,
    ACTIONS(2176), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2186), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2178), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2188), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 23,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69224] = 14,
    ACTIONS(2174), 1,
      anon_sym_DOT,
    ACTIONS(2176), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2186), 1,
      anon_sym_LBRACK,
    ACTIONS(2194), 1,
      anon_sym_AMP,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2178), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2180), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2190), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2188), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69292] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [69338] = 13,
    ACTIONS(2174), 1,
      anon_sym_DOT,
    ACTIONS(2176), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2186), 1,
      anon_sym_LBRACK,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2178), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2180), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2190), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2188), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69404] = 12,
    ACTIONS(2174), 1,
      anon_sym_DOT,
    ACTIONS(2176), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2186), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2178), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2180), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2190), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2188), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69468] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [69514] = 5,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1026), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69564] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2447), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 32,
      sym__newline,
      sym_string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69610] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [69656] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69704] = 5,
    ACTIONS(2449), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1007), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2386), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69754] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69802] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69850] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [69896] = 5,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1012), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2354), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2352), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69946] = 5,
    ACTIONS(2452), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1012), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2386), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69996] = 12,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1172), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2224), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 19,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70060] = 13,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1172), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2224), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70126] = 14,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(2230), 1,
      anon_sym_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1172), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2224), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70194] = 10,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1172), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2224), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 23,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70254] = 8,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1172), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2405), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70310] = 15,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1172), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2224), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2401), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2399), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70380] = 11,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1172), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2224), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 21,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70442] = 8,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1172), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2405), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70498] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70544] = 5,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1011), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70594] = 20,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2174), 1,
      anon_sym_DOT,
    ACTIONS(2186), 1,
      anon_sym_LBRACK,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2234), 1,
      anon_sym_is,
    STATE(1568), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2236), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(921), 2,
      sym__not_in,
      sym__is_not,
    STATE(1172), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2224), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2076), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2218), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70674] = 5,
    ACTIONS(2455), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1024), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2386), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70724] = 5,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(988), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70774] = 5,
    ACTIONS(753), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1007), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2354), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2352), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70824] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2460), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2458), 32,
      sym__newline,
      sym_string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70870] = 20,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2296), 1,
      anon_sym_DOT,
    ACTIONS(2308), 1,
      anon_sym_LBRACK,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2425), 1,
      anon_sym_PIPE,
    ACTIONS(2427), 1,
      anon_sym_AMP,
    ACTIONS(2429), 1,
      anon_sym_CARET,
    ACTIONS(2431), 1,
      anon_sym_is,
    STATE(1566), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2433), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(905), 2,
      sym__not_in,
      sym__is_not,
    STATE(1438), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2421), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2076), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2415), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70950] = 15,
    ACTIONS(2174), 1,
      anon_sym_DOT,
    ACTIONS(2176), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2186), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2194), 1,
      anon_sym_AMP,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2178), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2180), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2190), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2188), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2401), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2399), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71020] = 8,
    ACTIONS(2174), 1,
      anon_sym_DOT,
    ACTIONS(2176), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2186), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2443), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71076] = 5,
    ACTIONS(2462), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1031), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2386), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71126] = 8,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1172), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2397), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2395), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [71182] = 5,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(995), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71232] = 8,
    ACTIONS(2174), 1,
      anon_sym_DOT,
    ACTIONS(2176), 1,
      anon_sym_LPAREN,
    ACTIONS(2184), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2186), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1233), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2397), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2395), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71333] = 8,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_LPAREN,
    ACTIONS(2334), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1355), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2443), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71388] = 8,
    ACTIONS(2356), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2368), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2405), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71443] = 10,
    ACTIONS(2356), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2368), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71502] = 14,
    ACTIONS(2356), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2368), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      anon_sym_AMP,
    ACTIONS(2378), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2362), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2372), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71569] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71616] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71663] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71710] = 13,
    ACTIONS(2356), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2368), 1,
      anon_sym_LBRACK,
    ACTIONS(2378), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2362), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2372), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71775] = 12,
    ACTIONS(2356), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2368), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2362), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2372), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71838] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71887] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71932] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71977] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72026] = 5,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [72075] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2447), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72120] = 5,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [72169] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(741), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72218] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2473), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72263] = 5,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1119), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2354), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2352), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72312] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72357] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72447] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72492] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1653), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1648), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72537] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1631), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72582] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72627] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72672] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2477), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72717] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [72764] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72809] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72854] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [72901] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [72948] = 5,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1054), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1552), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72997] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73042] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73087] = 11,
    ACTIONS(2356), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2368), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73148] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73193] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73238] = 8,
    ACTIONS(2356), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2368), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2405), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73293] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2460), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2458), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73338] = 5,
    ACTIONS(1549), 1,
      anon_sym_COMMA,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [73387] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(741), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73436] = 12,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2284), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1407), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2282), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73499] = 13,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(2290), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2284), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1407), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2282), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73564] = 6,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1624), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1616), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1621), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73615] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2499), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2497), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73660] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2503), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2501), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73705] = 15,
    ACTIONS(2356), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2368), 1,
      anon_sym_LBRACK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_AMP,
    ACTIONS(2378), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2362), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2372), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2401), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2399), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73774] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2507), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2505), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73819] = 14,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(2288), 1,
      anon_sym_AMP,
    ACTIONS(2290), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2284), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1407), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2282), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73886] = 10,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1407), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2282), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73945] = 8,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_LPAREN,
    ACTIONS(2334), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1355), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2405), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74000] = 8,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1407), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2405), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74055] = 11,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_LPAREN,
    ACTIONS(2334), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2328), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1355), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2338), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74116] = 15,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_LPAREN,
    ACTIONS(2334), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_LBRACK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2344), 1,
      anon_sym_AMP,
    ACTIONS(2346), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2328), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2330), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1355), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2338), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2401), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2399), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74185] = 8,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_LPAREN,
    ACTIONS(2334), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1355), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2405), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74240] = 10,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_LPAREN,
    ACTIONS(2334), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2328), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1355), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2338), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74299] = 14,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_LPAREN,
    ACTIONS(2334), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_LBRACK,
    ACTIONS(2344), 1,
      anon_sym_AMP,
    ACTIONS(2346), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2328), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2330), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1355), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2338), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74366] = 8,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_LPAREN,
    ACTIONS(2334), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1355), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2397), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2395), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74421] = 8,
    ACTIONS(2356), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2368), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2397), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2395), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74476] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2511), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2509), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74521] = 13,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_LPAREN,
    ACTIONS(2334), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_LBRACK,
    ACTIONS(2346), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2328), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2330), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1355), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2338), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74586] = 15,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_AMP,
    ACTIONS(2290), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2284), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1407), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2282), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2401), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2399), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74655] = 6,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    STATE(1967), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74706] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74751] = 11,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2284), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1407), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2282), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74812] = 8,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1407), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2405), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74867] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74912] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2460), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2458), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [74957] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1616), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75006] = 8,
    ACTIONS(2356), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2368), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2443), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75061] = 12,
    ACTIONS(2296), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2306), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2308), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2302), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1379), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2310), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75124] = 13,
    ACTIONS(2296), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2306), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2308), 1,
      anon_sym_LBRACK,
    ACTIONS(2318), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2302), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1379), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2310), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75189] = 6,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2523), 1,
      anon_sym_LBRACK,
    STATE(1892), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75240] = 8,
    ACTIONS(2296), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2306), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2308), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1379), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2397), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2395), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75295] = 14,
    ACTIONS(2296), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2306), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2308), 1,
      anon_sym_LBRACK,
    ACTIONS(2316), 1,
      anon_sym_AMP,
    ACTIONS(2318), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2302), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1379), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2310), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75362] = 10,
    ACTIONS(2296), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2306), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2308), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1379), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2310), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 22,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75421] = 8,
    ACTIONS(2296), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2306), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2308), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1379), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2405), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75476] = 15,
    ACTIONS(2296), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2306), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2308), 1,
      anon_sym_LBRACK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2316), 1,
      anon_sym_AMP,
    ACTIONS(2318), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2302), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1379), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2310), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2401), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2399), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75545] = 11,
    ACTIONS(2296), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2306), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2308), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1379), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2310), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 20,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75606] = 8,
    ACTIONS(2296), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2306), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2308), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1379), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2405), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75661] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75706] = 5,
    ACTIONS(2525), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1119), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2386), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75755] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2530), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2528), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75800] = 8,
    ACTIONS(2296), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    ACTIONS(2306), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2308), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1379), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2443), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75855] = 6,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(670), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(663), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(665), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75906] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2534), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75951] = 12,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_LPAREN,
    ACTIONS(2334), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2328), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2330), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1355), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2338), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2405), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76014] = 8,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1407), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2443), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76069] = 8,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1407), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2397), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2395), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76124] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2447), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76169] = 5,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2536), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76218] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76263] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76308] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76398] = 6,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(670), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(663), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(665), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76449] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76582] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76626] = 5,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1549), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76674] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2530), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2528), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76718] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2447), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76762] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2511), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2509), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76806] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76850] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2534), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76894] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76942] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76990] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77034] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2473), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77078] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77166] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77212] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77258] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77304] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77350] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77396] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77442] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77486] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77530] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77574] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77618] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77662] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77706] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2473), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77750] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77794] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2499), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2497), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77838] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2507), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2505), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77882] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77926] = 5,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1616), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1621), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77974] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(663), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(665), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78022] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(663), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(665), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78070] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2503), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2501), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78114] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78158] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78202] = 4,
    ACTIONS(1643), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78248] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78292] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78336] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78424] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78468] = 4,
    ACTIONS(1549), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78514] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78558] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2447), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78602] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1616), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78650] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78694] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(663), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(665), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78742] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78786] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78830] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78874] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2447), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78918] = 4,
    ACTIONS(1628), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1631), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78964] = 8,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1438), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2397), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2395), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79018] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(663), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(665), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79066] = 5,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1616), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1621), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79114] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79162] = 5,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1549), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79210] = 8,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1438), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2443), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79264] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2477), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79308] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79356] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79446] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79492] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2447), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79582] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79628] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79674] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79720] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1616), 3,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1621), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79766] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2460), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2458), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79810] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79854] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79898] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2511), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2509), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79942] = 4,
    ACTIONS(1650), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1653), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1648), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79988] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80032] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80076] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80120] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2530), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2528), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80164] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80208] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2534), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80252] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2477), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80340] = 6,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2554), 1,
      anon_sym_LBRACK,
    STATE(2031), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80390] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80434] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80522] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80566] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80610] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1631), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80654] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80698] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1653), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1648), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80742] = 8,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1438), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2405), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80796] = 11,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2405), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2411), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1438), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2421), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2403), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80856] = 15,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(2425), 1,
      anon_sym_PIPE,
    ACTIONS(2427), 1,
      anon_sym_AMP,
    ACTIONS(2429), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2411), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1438), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2421), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2399), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80924] = 8,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1438), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2405), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2403), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80978] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81022] = 10,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2405), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2411), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1438), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2421), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2403), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81080] = 14,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(2427), 1,
      anon_sym_AMP,
    ACTIONS(2429), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2405), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2411), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1438), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2421), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2403), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81146] = 13,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(2429), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2405), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2411), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1438), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2421), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2403), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81210] = 12,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2405), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2411), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1438), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2421), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2403), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81272] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2460), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2458), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81316] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2503), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2501), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81360] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81408] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81456] = 6,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    STATE(2105), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81506] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1616), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81554] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81598] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81642] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2507), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2505), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81686] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81734] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81782] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2499), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2497), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81826] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81870] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1631), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2460), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2458), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82002] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1653), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1648), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2460), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2458), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82133] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82176] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2477), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82219] = 7,
    ACTIONS(1639), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1616), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1618), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [82270] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1653), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1648), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82356] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82399] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1631), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82442] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82485] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82528] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82571] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1616), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1621), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82616] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2534), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82702] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82745] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2503), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2501), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82788] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2530), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2528), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82831] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82874] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82917] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82960] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83003] = 5,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2536), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83050] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(741), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83097] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(741), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83144] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2507), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2505), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83187] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2499), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2497), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83273] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1616), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83320] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2473), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83363] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83406] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2511), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2509), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83449] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83492] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83535] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83578] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83621] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83664] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83707] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83750] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2473), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83793] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2511), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2509), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83879] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83922] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1648), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1653), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1657), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [83967] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84014] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1631), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84057] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1616), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84104] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1626), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1631), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1633), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [84149] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84196] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1616), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84243] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1552), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1563), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [84288] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1641), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1646), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1563), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [84333] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84419] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84462] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84505] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84548] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2530), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2528), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84591] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84634] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2534), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84677] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2460), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2458), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84720] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84763] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1616), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84810] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84857] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84904] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84947] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84990] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85033] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85076] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2447), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85162] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(279), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(316), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [85207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85250] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85293] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85336] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85379] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85422] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85465] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85508] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2534), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85551] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85594] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2530), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2528), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85637] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85680] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85723] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85766] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85809] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1653), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1648), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85852] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(279), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(316), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [85897] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85940] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85983] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86026] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86069] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2499), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2497), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86155] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2507), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2505), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86198] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2511), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2509), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86241] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86284] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86327] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2503), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2501), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86370] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86413] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86456] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2473), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86499] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1631), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86585] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1653), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1648), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86628] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86671] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2477), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86714] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86800] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1650), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1653), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1648), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86845] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86888] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2499), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2497), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86931] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2507), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2505), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86974] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1616), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1621), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87019] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87066] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87113] = 7,
    ACTIONS(1639), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 5,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1616), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1618), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [87164] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1631), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87209] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1653), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1648), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87252] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1631), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87295] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87338] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2503), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2501), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87381] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1549), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87426] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1646), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87471] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87514] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87600] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87647] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87690] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87737] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87780] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2511), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2509), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87823] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87868] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87911] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2530), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2528), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87954] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2534), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87997] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88040] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88085] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88171] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88214] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88302] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88345] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88388] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2477), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88431] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88474] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88517] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1650), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1653), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1648), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88562] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88605] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2477), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88648] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88691] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88734] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88777] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1646), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88822] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2503), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2501), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88865] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1549), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2473), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89039] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1631), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89084] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2507), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2505), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89127] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89170] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2499), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2497), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89213] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89255] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1616), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89301] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1631), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89343] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89387] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89431] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89475] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89519] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    ACTIONS(1616), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1618), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [89567] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89611] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89655] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89697] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2499), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2497), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89739] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89781] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2507), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2505), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89823] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89865] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2503), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2501), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89907] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2473), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89949] = 7,
    ACTIONS(1639), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1616), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1618), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [89999] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90041] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90083] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90125] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90167] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1653), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1648), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90209] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2534), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2532), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90251] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90293] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90335] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90377] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90419] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90461] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90587] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90629] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90671] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2477), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90713] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90755] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90797] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90843] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90885] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90931] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2511), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2509), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90973] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91015] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91057] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2530), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2528), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91099] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91143] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91187] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91231] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1670), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91272] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1641), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1646), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1563), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91315] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1552), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1563), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91358] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1626), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1631), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1633), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91401] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(279), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(316), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91444] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(279), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(316), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91487] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1648), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1653), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1657), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91530] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1674), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1662), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91612] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1666), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91653] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1605), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91694] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1605), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91735] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1670), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91776] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(706), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(665), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91819] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(706), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(665), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91862] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1618), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1621), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1616), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91905] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1621), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1618), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [92028] = 20,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2560), 1,
      anon_sym_STAR,
    ACTIONS(2562), 1,
      anon_sym_if,
    ACTIONS(2564), 1,
      anon_sym_COLON,
    ACTIONS(2566), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2152), 1,
      sym_case_pattern,
    STATE(2704), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2146), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2572), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1971), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92102] = 20,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2560), 1,
      anon_sym_STAR,
    ACTIONS(2562), 1,
      anon_sym_if,
    ACTIONS(2566), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2580), 1,
      anon_sym_COLON,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2152), 1,
      sym_case_pattern,
    STATE(2607), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2146), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2572), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1971), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92176] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_RPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92244] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2604), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92312] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2606), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92380] = 18,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(2608), 1,
      sym_identifier,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_RBRACK,
    ACTIONS(2620), 1,
      anon_sym_DASH,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    ACTIONS(2626), 1,
      sym_integer,
    ACTIONS(2628), 1,
      sym_float,
    STATE(1846), 1,
      sym_string,
    STATE(2006), 1,
      sym_dotted_name,
    STATE(2198), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2245), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2622), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2008), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92448] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2630), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92516] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2632), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2157), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92584] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2634), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92652] = 18,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(2608), 1,
      sym_identifier,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_DASH,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    ACTIONS(2626), 1,
      sym_integer,
    ACTIONS(2628), 1,
      sym_float,
    ACTIONS(2636), 1,
      anon_sym_RBRACK,
    STATE(1846), 1,
      sym_string,
    STATE(2006), 1,
      sym_dotted_name,
    STATE(2159), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2245), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2622), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2008), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92720] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2638), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2160), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92788] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2640), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2200), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92856] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2642), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92924] = 18,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(2608), 1,
      sym_identifier,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_DASH,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    ACTIONS(2626), 1,
      sym_integer,
    ACTIONS(2628), 1,
      sym_float,
    ACTIONS(2644), 1,
      anon_sym_RBRACK,
    STATE(1846), 1,
      sym_string,
    STATE(2006), 1,
      sym_dotted_name,
    STATE(2287), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2245), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2622), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2008), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92992] = 18,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(2608), 1,
      sym_identifier,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_DASH,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    ACTIONS(2626), 1,
      sym_integer,
    ACTIONS(2628), 1,
      sym_float,
    ACTIONS(2646), 1,
      anon_sym_RBRACK,
    STATE(1846), 1,
      sym_string,
    STATE(2006), 1,
      sym_dotted_name,
    STATE(2287), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2245), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2622), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2008), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93060] = 18,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(2608), 1,
      sym_identifier,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_DASH,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    ACTIONS(2626), 1,
      sym_integer,
    ACTIONS(2628), 1,
      sym_float,
    ACTIONS(2648), 1,
      anon_sym_RBRACK,
    STATE(1846), 1,
      sym_string,
    STATE(2006), 1,
      sym_dotted_name,
    STATE(2287), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2245), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2622), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2008), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93128] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2650), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93196] = 18,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(2608), 1,
      sym_identifier,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_DASH,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    ACTIONS(2626), 1,
      sym_integer,
    ACTIONS(2628), 1,
      sym_float,
    ACTIONS(2652), 1,
      anon_sym_RBRACK,
    STATE(1846), 1,
      sym_string,
    STATE(2006), 1,
      sym_dotted_name,
    STATE(2287), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2245), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2622), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2008), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93264] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2654), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2182), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93332] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2656), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93400] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2658), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93468] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2660), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93536] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2662), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2176), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93604] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2664), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93672] = 18,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(2608), 1,
      sym_identifier,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_DASH,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    ACTIONS(2626), 1,
      sym_integer,
    ACTIONS(2628), 1,
      sym_float,
    ACTIONS(2666), 1,
      anon_sym_RBRACK,
    STATE(1846), 1,
      sym_string,
    STATE(2006), 1,
      sym_dotted_name,
    STATE(2177), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2245), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2622), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2008), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93740] = 18,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(2608), 1,
      sym_identifier,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_DASH,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    ACTIONS(2626), 1,
      sym_integer,
    ACTIONS(2628), 1,
      sym_float,
    ACTIONS(2668), 1,
      anon_sym_RBRACK,
    STATE(1846), 1,
      sym_string,
    STATE(2006), 1,
      sym_dotted_name,
    STATE(2287), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2245), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2622), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2008), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93808] = 18,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(2608), 1,
      sym_identifier,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_DASH,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    ACTIONS(2626), 1,
      sym_integer,
    ACTIONS(2628), 1,
      sym_float,
    ACTIONS(2670), 1,
      anon_sym_RBRACK,
    STATE(1846), 1,
      sym_string,
    STATE(2006), 1,
      sym_dotted_name,
    STATE(2287), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2245), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2622), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2008), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93876] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2672), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93944] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2674), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2201), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94012] = 18,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(2608), 1,
      sym_identifier,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_DASH,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    ACTIONS(2626), 1,
      sym_integer,
    ACTIONS(2628), 1,
      sym_float,
    ACTIONS(2676), 1,
      anon_sym_RBRACK,
    STATE(1846), 1,
      sym_string,
    STATE(2006), 1,
      sym_dotted_name,
    STATE(2287), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2245), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2622), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2008), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94080] = 18,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(2608), 1,
      sym_identifier,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_DASH,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    ACTIONS(2626), 1,
      sym_integer,
    ACTIONS(2628), 1,
      sym_float,
    ACTIONS(2678), 1,
      anon_sym_RBRACK,
    STATE(1846), 1,
      sym_string,
    STATE(2006), 1,
      sym_dotted_name,
    STATE(2287), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2245), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2622), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2008), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94148] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2680), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94216] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2682), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94284] = 18,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(2608), 1,
      sym_identifier,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_DASH,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    ACTIONS(2626), 1,
      sym_integer,
    ACTIONS(2628), 1,
      sym_float,
    ACTIONS(2684), 1,
      anon_sym_RBRACK,
    STATE(1846), 1,
      sym_string,
    STATE(2006), 1,
      sym_dotted_name,
    STATE(2150), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2245), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2622), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2008), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94352] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2686), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2148), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94420] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2151), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94488] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2690), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94556] = 18,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2692), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94624] = 17,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2324), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94689] = 17,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(2694), 1,
      sym_identifier,
    ACTIONS(2696), 1,
      anon_sym_LPAREN,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2702), 1,
      anon_sym_LBRACK,
    ACTIONS(2704), 1,
      anon_sym_DASH,
    ACTIONS(2708), 1,
      anon_sym_LBRACE,
    ACTIONS(2710), 1,
      sym_integer,
    ACTIONS(2712), 1,
      sym_float,
    STATE(1880), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2412), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2321), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2706), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1996), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94754] = 17,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(2608), 1,
      sym_identifier,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_DASH,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    ACTIONS(2626), 1,
      sym_integer,
    ACTIONS(2628), 1,
      sym_float,
    STATE(1846), 1,
      sym_string,
    STATE(2006), 1,
      sym_dotted_name,
    STATE(2287), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2245), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2622), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2008), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94819] = 17,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2560), 1,
      anon_sym_STAR,
    ACTIONS(2566), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2152), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2146), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2572), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1971), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94884] = 17,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2560), 1,
      anon_sym_STAR,
    ACTIONS(2566), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(1973), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2146), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2572), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1971), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94949] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2718), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95015] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2720), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95081] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2722), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95147] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2724), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2097), 1,
      sym_splat_pattern,
    STATE(2478), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95213] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2726), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2088), 1,
      sym_splat_pattern,
    STATE(2318), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95279] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2728), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95345] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2730), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95411] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2732), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95477] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2734), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2093), 1,
      sym_splat_pattern,
    STATE(2300), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95543] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2736), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95609] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95675] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2740), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2038), 1,
      sym_splat_pattern,
    STATE(2400), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95741] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2742), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95807] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2744), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95873] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2746), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95939] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2748), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96005] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2750), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96071] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2752), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96137] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2754), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96203] = 18,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2756), 1,
      anon_sym_RBRACE,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96269] = 17,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    STATE(2155), 1,
      sym_splat_pattern,
    STATE(2565), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2479), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96332] = 15,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2758), 1,
      sym_identifier,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2760), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2083), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96390] = 15,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2588), 1,
      anon_sym_STAR,
    ACTIONS(2590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2758), 1,
      sym_identifier,
    STATE(1877), 1,
      sym_string,
    STATE(2098), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2762), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2104), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96448] = 15,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(2696), 1,
      anon_sym_LPAREN,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2702), 1,
      anon_sym_LBRACK,
    ACTIONS(2704), 1,
      anon_sym_DASH,
    ACTIONS(2708), 1,
      anon_sym_LBRACE,
    ACTIONS(2710), 1,
      sym_integer,
    ACTIONS(2712), 1,
      sym_float,
    ACTIONS(2764), 1,
      sym_identifier,
    STATE(1880), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2766), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2022), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96506] = 15,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(2696), 1,
      anon_sym_LPAREN,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2702), 1,
      anon_sym_LBRACK,
    ACTIONS(2704), 1,
      anon_sym_DASH,
    ACTIONS(2708), 1,
      anon_sym_LBRACE,
    ACTIONS(2710), 1,
      sym_integer,
    ACTIONS(2712), 1,
      sym_float,
    ACTIONS(2764), 1,
      sym_identifier,
    STATE(1880), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2768), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2026), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96564] = 9,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2106), 1,
      anon_sym_is,
    ACTIONS(2772), 1,
      anon_sym_EQ,
    STATE(1554), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2108), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(948), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2086), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2770), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [96610] = 9,
    ACTIONS(2779), 1,
      anon_sym_EQ,
    ACTIONS(2781), 1,
      anon_sym_not,
    ACTIONS(2784), 1,
      anon_sym_is,
    STATE(1554), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2787), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(948), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2776), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2774), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [96656] = 15,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2560), 1,
      anon_sym_STAR,
    ACTIONS(2566), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2714), 1,
      sym_identifier,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2790), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1933), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96714] = 15,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_DASH,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    ACTIONS(2626), 1,
      sym_integer,
    ACTIONS(2628), 1,
      sym_float,
    ACTIONS(2792), 1,
      sym_identifier,
    STATE(1846), 1,
      sym_string,
    STATE(2006), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2794), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2051), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96772] = 15,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2560), 1,
      anon_sym_STAR,
    ACTIONS(2566), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2714), 1,
      sym_identifier,
    STATE(1830), 1,
      sym_string,
    STATE(1960), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2796), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1920), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96830] = 15,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_DASH,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    ACTIONS(2626), 1,
      sym_integer,
    ACTIONS(2628), 1,
      sym_float,
    ACTIONS(2792), 1,
      sym_identifier,
    STATE(1846), 1,
      sym_string,
    STATE(2006), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2798), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2039), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96888] = 9,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2292), 1,
      anon_sym_is,
    ACTIONS(2772), 1,
      anon_sym_EQ,
    STATE(1562), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2294), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(877), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2276), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2770), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [96932] = 9,
    ACTIONS(2779), 1,
      anon_sym_EQ,
    ACTIONS(2781), 1,
      anon_sym_not,
    ACTIONS(2803), 1,
      anon_sym_is,
    STATE(1560), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2806), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(955), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2800), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2774), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [96976] = 9,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2380), 1,
      anon_sym_is,
    ACTIONS(2772), 1,
      anon_sym_EQ,
    STATE(1560), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2382), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(955), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2364), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2770), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97020] = 9,
    ACTIONS(2779), 1,
      anon_sym_EQ,
    ACTIONS(2781), 1,
      anon_sym_not,
    ACTIONS(2812), 1,
      anon_sym_is,
    STATE(1562), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2815), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(877), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2809), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2774), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97064] = 9,
    ACTIONS(2779), 1,
      anon_sym_as,
    ACTIONS(2781), 1,
      anon_sym_not,
    ACTIONS(2821), 1,
      anon_sym_is,
    STATE(1563), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2824), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(940), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2818), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2774), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [97107] = 8,
    ACTIONS(2781), 1,
      anon_sym_not,
    ACTIONS(2830), 1,
      anon_sym_is,
    STATE(1564), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2833), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(905), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2827), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2774), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97148] = 9,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2198), 1,
      anon_sym_is,
    ACTIONS(2772), 1,
      anon_sym_as,
    STATE(1563), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2200), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(940), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2182), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2770), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [97191] = 8,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2431), 1,
      anon_sym_is,
    STATE(1564), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2433), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(905), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2415), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2770), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97232] = 9,
    ACTIONS(2779), 1,
      anon_sym_EQ,
    ACTIONS(2781), 1,
      anon_sym_not,
    ACTIONS(2839), 1,
      anon_sym_is,
    STATE(1567), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2842), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(921), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2836), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2774), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [97275] = 9,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2234), 1,
      anon_sym_is,
    ACTIONS(2772), 1,
      anon_sym_EQ,
    STATE(1567), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2236), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(921), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2218), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2770), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [97318] = 9,
    ACTIONS(2779), 1,
      anon_sym_as,
    ACTIONS(2781), 1,
      anon_sym_not,
    ACTIONS(2848), 1,
      anon_sym_is,
    STATE(1569), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2851), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(898), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2845), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2774), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [97360] = 9,
    ACTIONS(2779), 1,
      anon_sym_as,
    ACTIONS(2781), 1,
      anon_sym_not,
    ACTIONS(2857), 1,
      anon_sym_is,
    STATE(1570), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2860), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(961), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2854), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2774), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [97402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2865), 10,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2863), 11,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_type,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [97432] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1653), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1657), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1648), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97464] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1631), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1626), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97496] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1563), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1547), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97528] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(316), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97560] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(316), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97592] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1563), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1641), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97624] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2869), 10,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2867), 11,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_type,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [97654] = 9,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2320), 1,
      anon_sym_is,
    ACTIONS(2772), 1,
      anon_sym_as,
    STATE(1570), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2322), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(961), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2304), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2770), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [97696] = 9,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2348), 1,
      anon_sym_is,
    ACTIONS(2772), 1,
      anon_sym_as,
    STATE(1569), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2350), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(898), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2332), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2770), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [97738] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(663), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97768] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(663), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97798] = 4,
    ACTIONS(2873), 1,
      anon_sym_COMMA,
    STATE(1583), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2871), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [97828] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1547), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97858] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2876), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1547), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97888] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1409), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97918] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1409), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97948] = 4,
    ACTIONS(2878), 1,
      anon_sym_COMMA,
    STATE(1583), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(959), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [97978] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1563), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1547), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98007] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1646), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1641), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98036] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(316), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98065] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(663), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98094] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(663), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98123] = 13,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_AMP,
    ACTIONS(2378), 1,
      anon_sym_CARET,
    ACTIONS(2880), 1,
      anon_sym_DOT,
    ACTIONS(2882), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2362), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2372), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98170] = 13,
    ACTIONS(2356), 1,
      anon_sym_DOT,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2368), 1,
      anon_sym_LBRACK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_AMP,
    ACTIONS(2378), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2362), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2372), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98217] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1547), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98246] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1409), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98275] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1409), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98304] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2876), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1547), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98333] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(316), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98362] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(316), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98391] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [98416] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1631), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1626), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98445] = 13,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_AMP,
    ACTIONS(2378), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2362), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2372), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98492] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1653), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1657), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1648), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98521] = 13,
    ACTIONS(2324), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_AMP,
    ACTIONS(2378), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2362), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2372), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98568] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(316), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98597] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1653), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1657), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1648), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98626] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1646), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1641), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98655] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1631), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1626), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98684] = 13,
    ACTIONS(2078), 1,
      anon_sym_DOT,
    ACTIONS(2092), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_AMP,
    ACTIONS(2378), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2362), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2372), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98731] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1563), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1547), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98760] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1563), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1547), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98789] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1646), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1641), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98818] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1631), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1626), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98847] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1653), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1657), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1648), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98876] = 13,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_AMP,
    ACTIONS(2378), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2362), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2372), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98923] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2871), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [98948] = 13,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_AMP,
    ACTIONS(2378), 1,
      anon_sym_CARET,
    ACTIONS(2407), 1,
      anon_sym_DOT,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2362), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2372), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98995] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99020] = 13,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_AMP,
    ACTIONS(2378), 1,
      anon_sym_CARET,
    ACTIONS(2391), 1,
      anon_sym_DOT,
    ACTIONS(2393), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2362), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2372), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99067] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(316), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99096] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(316), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99125] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2886), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99150] = 13,
    ACTIONS(2296), 1,
      anon_sym_DOT,
    ACTIONS(2308), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_AMP,
    ACTIONS(2378), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2362), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2372), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99197] = 13,
    ACTIONS(2174), 1,
      anon_sym_DOT,
    ACTIONS(2186), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2366), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_AMP,
    ACTIONS(2378), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2362), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2372), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1265), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2370), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99244] = 4,
    ACTIONS(2888), 1,
      anon_sym_COMMA,
    STATE(1636), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(959), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99272] = 13,
    ACTIONS(2890), 1,
      sym_identifier,
    ACTIONS(2892), 1,
      anon_sym_LPAREN,
    ACTIONS(2894), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      anon_sym_COLON,
    ACTIONS(2898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    STATE(2268), 1,
      sym_parameter,
    STATE(2270), 1,
      sym_tuple_pattern,
    STATE(2733), 1,
      sym__parameters,
    STATE(2766), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2525), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2524), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99318] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99342] = 13,
    ACTIONS(2890), 1,
      sym_identifier,
    ACTIONS(2892), 1,
      anon_sym_LPAREN,
    ACTIONS(2894), 1,
      anon_sym_STAR,
    ACTIONS(2898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2902), 1,
      anon_sym_COLON,
    STATE(2268), 1,
      sym_parameter,
    STATE(2270), 1,
      sym_tuple_pattern,
    STATE(2733), 1,
      sym__parameters,
    STATE(2734), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2525), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2524), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99388] = 13,
    ACTIONS(2890), 1,
      sym_identifier,
    ACTIONS(2892), 1,
      anon_sym_LPAREN,
    ACTIONS(2894), 1,
      anon_sym_STAR,
    ACTIONS(2898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2904), 1,
      anon_sym_COLON,
    STATE(2268), 1,
      sym_parameter,
    STATE(2270), 1,
      sym_tuple_pattern,
    STATE(2650), 1,
      sym_lambda_parameters,
    STATE(2733), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2525), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2524), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99434] = 13,
    ACTIONS(2890), 1,
      sym_identifier,
    ACTIONS(2892), 1,
      anon_sym_LPAREN,
    ACTIONS(2894), 1,
      anon_sym_STAR,
    ACTIONS(2898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2906), 1,
      anon_sym_COLON,
    STATE(2268), 1,
      sym_parameter,
    STATE(2270), 1,
      sym_tuple_pattern,
    STATE(2659), 1,
      sym_lambda_parameters,
    STATE(2733), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2525), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2524), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99480] = 13,
    ACTIONS(2890), 1,
      sym_identifier,
    ACTIONS(2892), 1,
      anon_sym_LPAREN,
    ACTIONS(2894), 1,
      anon_sym_STAR,
    ACTIONS(2898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2908), 1,
      anon_sym_COLON,
    STATE(2268), 1,
      sym_parameter,
    STATE(2270), 1,
      sym_tuple_pattern,
    STATE(2725), 1,
      sym_lambda_parameters,
    STATE(2733), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2525), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2524), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99526] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2886), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99550] = 6,
    ACTIONS(2910), 1,
      anon_sym_COMMA,
    ACTIONS(2912), 1,
      anon_sym_COLON,
    ACTIONS(2914), 1,
      anon_sym_EQ,
    STATE(1588), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2916), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99582] = 4,
    ACTIONS(2918), 1,
      anon_sym_COMMA,
    STATE(1636), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2871), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99610] = 5,
    ACTIONS(2912), 1,
      anon_sym_COLON,
    ACTIONS(2914), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2921), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(2916), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99640] = 13,
    ACTIONS(2890), 1,
      sym_identifier,
    ACTIONS(2892), 1,
      anon_sym_LPAREN,
    ACTIONS(2894), 1,
      anon_sym_STAR,
    ACTIONS(2898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2923), 1,
      anon_sym_COLON,
    STATE(2268), 1,
      sym_parameter,
    STATE(2270), 1,
      sym_tuple_pattern,
    STATE(2708), 1,
      sym_lambda_parameters,
    STATE(2733), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2525), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2524), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99686] = 6,
    ACTIONS(2912), 1,
      anon_sym_COLON,
    ACTIONS(2914), 1,
      anon_sym_EQ,
    ACTIONS(2925), 1,
      anon_sym_COMMA,
    STATE(1627), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2916), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99718] = 13,
    ACTIONS(2890), 1,
      sym_identifier,
    ACTIONS(2892), 1,
      anon_sym_LPAREN,
    ACTIONS(2894), 1,
      anon_sym_STAR,
    ACTIONS(2898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2927), 1,
      anon_sym_COLON,
    STATE(2268), 1,
      sym_parameter,
    STATE(2270), 1,
      sym_tuple_pattern,
    STATE(2646), 1,
      sym_lambda_parameters,
    STATE(2733), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2525), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2524), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99764] = 13,
    ACTIONS(2890), 1,
      sym_identifier,
    ACTIONS(2892), 1,
      anon_sym_LPAREN,
    ACTIONS(2894), 1,
      anon_sym_STAR,
    ACTIONS(2898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2929), 1,
      anon_sym_COLON,
    STATE(2268), 1,
      sym_parameter,
    STATE(2270), 1,
      sym_tuple_pattern,
    STATE(2733), 1,
      sym__parameters,
    STATE(2783), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2525), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2524), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99810] = 13,
    ACTIONS(2890), 1,
      sym_identifier,
    ACTIONS(2892), 1,
      anon_sym_LPAREN,
    ACTIONS(2894), 1,
      anon_sym_STAR,
    ACTIONS(2898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2931), 1,
      anon_sym_COLON,
    STATE(2268), 1,
      sym_parameter,
    STATE(2270), 1,
      sym_tuple_pattern,
    STATE(2733), 1,
      sym__parameters,
    STATE(2764), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2525), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2524), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99856] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2871), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99880] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99904] = 13,
    ACTIONS(2890), 1,
      sym_identifier,
    ACTIONS(2892), 1,
      anon_sym_LPAREN,
    ACTIONS(2894), 1,
      anon_sym_STAR,
    ACTIONS(2898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2933), 1,
      anon_sym_COLON,
    STATE(2268), 1,
      sym_parameter,
    STATE(2270), 1,
      sym_tuple_pattern,
    STATE(2672), 1,
      sym_lambda_parameters,
    STATE(2733), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2525), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2524), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99950] = 13,
    ACTIONS(2890), 1,
      sym_identifier,
    ACTIONS(2892), 1,
      anon_sym_LPAREN,
    ACTIONS(2894), 1,
      anon_sym_STAR,
    ACTIONS(2898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2935), 1,
      anon_sym_COLON,
    STATE(2268), 1,
      sym_parameter,
    STATE(2270), 1,
      sym_tuple_pattern,
    STATE(2619), 1,
      sym_lambda_parameters,
    STATE(2733), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2525), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2524), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99996] = 12,
    ACTIONS(2937), 1,
      sym_identifier,
    ACTIONS(2939), 1,
      anon_sym_LPAREN,
    ACTIONS(2941), 1,
      anon_sym_RPAREN,
    ACTIONS(2943), 1,
      anon_sym_STAR,
    ACTIONS(2945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2947), 1,
      anon_sym_SLASH,
    STATE(2401), 1,
      sym_tuple_pattern,
    STATE(2403), 1,
      sym_parameter,
    STATE(2606), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2396), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2575), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100039] = 11,
    ACTIONS(2937), 1,
      sym_identifier,
    ACTIONS(2939), 1,
      anon_sym_LPAREN,
    ACTIONS(2943), 1,
      anon_sym_STAR,
    ACTIONS(2945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2947), 1,
      anon_sym_SLASH,
    ACTIONS(2949), 1,
      anon_sym_RPAREN,
    STATE(2401), 1,
      sym_tuple_pattern,
    STATE(2546), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2396), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2575), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100079] = 11,
    ACTIONS(2937), 1,
      sym_identifier,
    ACTIONS(2939), 1,
      anon_sym_LPAREN,
    ACTIONS(2943), 1,
      anon_sym_STAR,
    ACTIONS(2945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2947), 1,
      anon_sym_SLASH,
    ACTIONS(2951), 1,
      anon_sym_RPAREN,
    STATE(2401), 1,
      sym_tuple_pattern,
    STATE(2546), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2396), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2575), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100119] = 11,
    ACTIONS(2890), 1,
      sym_identifier,
    ACTIONS(2892), 1,
      anon_sym_LPAREN,
    ACTIONS(2894), 1,
      anon_sym_STAR,
    ACTIONS(2898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2951), 1,
      anon_sym_COLON,
    STATE(2270), 1,
      sym_tuple_pattern,
    STATE(2564), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2525), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2524), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100159] = 4,
    ACTIONS(2912), 1,
      anon_sym_COLON,
    ACTIONS(2914), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2916), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100185] = 11,
    ACTIONS(2890), 1,
      sym_identifier,
    ACTIONS(2892), 1,
      anon_sym_LPAREN,
    ACTIONS(2894), 1,
      anon_sym_STAR,
    ACTIONS(2898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2949), 1,
      anon_sym_COLON,
    STATE(2270), 1,
      sym_tuple_pattern,
    STATE(2564), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2525), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2524), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100225] = 10,
    ACTIONS(2890), 1,
      sym_identifier,
    ACTIONS(2892), 1,
      anon_sym_LPAREN,
    ACTIONS(2894), 1,
      anon_sym_STAR,
    ACTIONS(2898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    STATE(2270), 1,
      sym_tuple_pattern,
    STATE(2564), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2525), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2524), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100262] = 10,
    ACTIONS(2937), 1,
      sym_identifier,
    ACTIONS(2939), 1,
      anon_sym_LPAREN,
    ACTIONS(2943), 1,
      anon_sym_STAR,
    ACTIONS(2945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2947), 1,
      anon_sym_SLASH,
    STATE(2401), 1,
      sym_tuple_pattern,
    STATE(2546), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2396), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2575), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100299] = 5,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2953), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [100324] = 13,
    ACTIONS(2962), 1,
      anon_sym_COMMA,
    ACTIONS(2964), 1,
      anon_sym_as,
    ACTIONS(2966), 1,
      anon_sym_if,
    ACTIONS(2968), 1,
      anon_sym_COLON,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(2974), 1,
      anon_sym_RBRACE,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2273), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2641), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100365] = 13,
    ACTIONS(2962), 1,
      anon_sym_COMMA,
    ACTIONS(2964), 1,
      anon_sym_as,
    ACTIONS(2966), 1,
      anon_sym_if,
    ACTIONS(2968), 1,
      anon_sym_COLON,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(2974), 1,
      anon_sym_RBRACE,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2273), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2706), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100406] = 13,
    ACTIONS(2962), 1,
      anon_sym_COMMA,
    ACTIONS(2964), 1,
      anon_sym_as,
    ACTIONS(2966), 1,
      anon_sym_if,
    ACTIONS(2968), 1,
      anon_sym_COLON,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(2974), 1,
      anon_sym_RBRACE,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2273), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2758), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100447] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2076), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [100466] = 6,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2980), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [100493] = 13,
    ACTIONS(2962), 1,
      anon_sym_COMMA,
    ACTIONS(2964), 1,
      anon_sym_as,
    ACTIONS(2966), 1,
      anon_sym_if,
    ACTIONS(2968), 1,
      anon_sym_COLON,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(2974), 1,
      anon_sym_RBRACE,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2273), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2745), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100534] = 3,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2986), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [100555] = 13,
    ACTIONS(2962), 1,
      anon_sym_COMMA,
    ACTIONS(2964), 1,
      anon_sym_as,
    ACTIONS(2966), 1,
      anon_sym_if,
    ACTIONS(2968), 1,
      anon_sym_COLON,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(2974), 1,
      anon_sym_RBRACE,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2273), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2742), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100596] = 13,
    ACTIONS(2962), 1,
      anon_sym_COMMA,
    ACTIONS(2964), 1,
      anon_sym_as,
    ACTIONS(2966), 1,
      anon_sym_if,
    ACTIONS(2968), 1,
      anon_sym_COLON,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(2974), 1,
      anon_sym_RBRACE,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2273), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2632), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100637] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2986), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [100656] = 13,
    ACTIONS(2962), 1,
      anon_sym_COMMA,
    ACTIONS(2964), 1,
      anon_sym_as,
    ACTIONS(2966), 1,
      anon_sym_if,
    ACTIONS(2968), 1,
      anon_sym_COLON,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(2974), 1,
      anon_sym_RBRACE,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2273), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2624), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100697] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2988), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [100716] = 6,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2990), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [100743] = 6,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2992), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [100770] = 4,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2994), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [100793] = 13,
    ACTIONS(2962), 1,
      anon_sym_COMMA,
    ACTIONS(2964), 1,
      anon_sym_as,
    ACTIONS(2966), 1,
      anon_sym_if,
    ACTIONS(2968), 1,
      anon_sym_COLON,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(2974), 1,
      anon_sym_RBRACE,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2273), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2656), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100834] = 12,
    ACTIONS(2996), 1,
      anon_sym_RPAREN,
    ACTIONS(2998), 1,
      anon_sym_COMMA,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2428), 1,
      aux_sym_argument_list_repeat1,
    STATE(2635), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100872] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3018), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1687), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [100902] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3020), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1684), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [100932] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3022), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1679), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [100962] = 12,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3024), 1,
      anon_sym_RPAREN,
    ACTIONS(3026), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2443), 1,
      aux_sym_argument_list_repeat1,
    STATE(2699), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101000] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3028), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1673), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101030] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3030), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1687), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101060] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3032), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1687), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101090] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3034), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1701), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101120] = 12,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3036), 1,
      anon_sym_RPAREN,
    ACTIONS(3038), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2380), 1,
      aux_sym_argument_list_repeat1,
    STATE(2649), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101158] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3040), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1687), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101188] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3042), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1708), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101218] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3044), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1687), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101248] = 12,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3046), 1,
      anon_sym_RPAREN,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2751), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101286] = 12,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3050), 1,
      anon_sym_RPAREN,
    ACTIONS(3052), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2276), 1,
      aux_sym_argument_list_repeat1,
    STATE(2751), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101324] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3054), 1,
      anon_sym_LBRACE,
    ACTIONS(3060), 1,
      anon_sym_BSLASH,
    ACTIONS(3063), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3057), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1687), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101354] = 12,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3065), 1,
      anon_sym_RPAREN,
    ACTIONS(3067), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2477), 1,
      aux_sym_argument_list_repeat1,
    STATE(2770), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101392] = 12,
    ACTIONS(2974), 1,
      anon_sym_RBRACK,
    ACTIONS(3069), 1,
      anon_sym_COMMA,
    ACTIONS(3071), 1,
      anon_sym_as,
    ACTIONS(3073), 1,
      anon_sym_if,
    ACTIONS(3075), 1,
      anon_sym_async,
    ACTIONS(3077), 1,
      anon_sym_for,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    STATE(1853), 1,
      sym_for_in_clause,
    STATE(2388), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2634), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101430] = 12,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3083), 1,
      anon_sym_RPAREN,
    ACTIONS(3085), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2471), 1,
      aux_sym_argument_list_repeat1,
    STATE(2693), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101468] = 12,
    ACTIONS(2974), 1,
      anon_sym_RBRACK,
    ACTIONS(3069), 1,
      anon_sym_COMMA,
    ACTIONS(3071), 1,
      anon_sym_as,
    ACTIONS(3073), 1,
      anon_sym_if,
    ACTIONS(3075), 1,
      anon_sym_async,
    ACTIONS(3077), 1,
      anon_sym_for,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    STATE(1853), 1,
      sym_for_in_clause,
    STATE(2388), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2767), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101506] = 12,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(3087), 1,
      anon_sym_RPAREN,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2770), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101544] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3089), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1687), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101574] = 12,
    ACTIONS(2974), 1,
      anon_sym_RBRACK,
    ACTIONS(3069), 1,
      anon_sym_COMMA,
    ACTIONS(3071), 1,
      anon_sym_as,
    ACTIONS(3073), 1,
      anon_sym_if,
    ACTIONS(3075), 1,
      anon_sym_async,
    ACTIONS(3077), 1,
      anon_sym_for,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    STATE(1853), 1,
      sym_for_in_clause,
    STATE(2388), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2695), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101612] = 12,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(3091), 1,
      anon_sym_RPAREN,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2622), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101650] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3093), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1702), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101680] = 12,
    ACTIONS(2974), 1,
      anon_sym_RBRACK,
    ACTIONS(3069), 1,
      anon_sym_COMMA,
    ACTIONS(3071), 1,
      anon_sym_as,
    ACTIONS(3073), 1,
      anon_sym_if,
    ACTIONS(3075), 1,
      anon_sym_async,
    ACTIONS(3077), 1,
      anon_sym_for,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    STATE(1853), 1,
      sym_for_in_clause,
    STATE(2388), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2643), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101718] = 9,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3099), 1,
      anon_sym_COMMA,
    STATE(2122), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3095), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3097), 3,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
  [101750] = 12,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
    ACTIONS(3103), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2274), 1,
      aux_sym_argument_list_repeat1,
    STATE(2738), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101788] = 12,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(3105), 1,
      anon_sym_RPAREN,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2738), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101826] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3107), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1687), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101856] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3109), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1687), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101886] = 12,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(3111), 1,
      anon_sym_RPAREN,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2649), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101924] = 12,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(3113), 1,
      anon_sym_RPAREN,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2699), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101962] = 12,
    ACTIONS(2974), 1,
      anon_sym_RBRACK,
    ACTIONS(3069), 1,
      anon_sym_COMMA,
    ACTIONS(3071), 1,
      anon_sym_as,
    ACTIONS(3073), 1,
      anon_sym_if,
    ACTIONS(3075), 1,
      anon_sym_async,
    ACTIONS(3077), 1,
      anon_sym_for,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    STATE(1853), 1,
      sym_for_in_clause,
    STATE(2388), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2663), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102000] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3115), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1678), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102030] = 12,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2635), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3119), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1687), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102098] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3121), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1693), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102128] = 12,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3046), 1,
      anon_sym_RPAREN,
    ACTIONS(3123), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2751), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102166] = 12,
    ACTIONS(2974), 1,
      anon_sym_RBRACK,
    ACTIONS(3069), 1,
      anon_sym_COMMA,
    ACTIONS(3071), 1,
      anon_sym_as,
    ACTIONS(3073), 1,
      anon_sym_if,
    ACTIONS(3075), 1,
      anon_sym_async,
    ACTIONS(3077), 1,
      anon_sym_for,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    STATE(1853), 1,
      sym_for_in_clause,
    STATE(2388), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2623), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102204] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3016), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      sym_string_end,
    STATE(1816), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3014), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1682), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102234] = 12,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(3128), 1,
      anon_sym_RPAREN,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2693), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102272] = 12,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3130), 1,
      anon_sym_RPAREN,
    ACTIONS(3132), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      sym_for_in_clause,
    STATE(2381), 1,
      aux_sym_argument_list_repeat1,
    STATE(2622), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102310] = 12,
    ACTIONS(2974), 1,
      anon_sym_RBRACK,
    ACTIONS(3069), 1,
      anon_sym_COMMA,
    ACTIONS(3071), 1,
      anon_sym_as,
    ACTIONS(3073), 1,
      anon_sym_if,
    ACTIONS(3075), 1,
      anon_sym_async,
    ACTIONS(3077), 1,
      anon_sym_for,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    STATE(1853), 1,
      sym_for_in_clause,
    STATE(2388), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2756), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102348] = 12,
    ACTIONS(2974), 1,
      anon_sym_RBRACK,
    ACTIONS(3069), 1,
      anon_sym_COMMA,
    ACTIONS(3071), 1,
      anon_sym_as,
    ACTIONS(3073), 1,
      anon_sym_if,
    ACTIONS(3075), 1,
      anon_sym_async,
    ACTIONS(3077), 1,
      anon_sym_for,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    STATE(1853), 1,
      sym_for_in_clause,
    STATE(2388), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2747), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102386] = 4,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2994), 8,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102407] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2990), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102432] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2992), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102457] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2076), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102474] = 6,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2990), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102499] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2980), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102524] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2076), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102541] = 6,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2992), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102566] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2988), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102583] = 6,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3097), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102608] = 3,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2986), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [102627] = 8,
    ACTIONS(3150), 1,
      anon_sym_COMMA,
    ACTIONS(3152), 1,
      anon_sym_as,
    ACTIONS(3154), 1,
      anon_sym_if,
    ACTIONS(3158), 1,
      anon_sym_and,
    ACTIONS(3160), 1,
      anon_sym_or,
    STATE(1961), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3156), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102656] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2986), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102673] = 3,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2986), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [102692] = 8,
    ACTIONS(3150), 1,
      anon_sym_COMMA,
    ACTIONS(3152), 1,
      anon_sym_as,
    ACTIONS(3154), 1,
      anon_sym_if,
    ACTIONS(3158), 1,
      anon_sym_and,
    ACTIONS(3160), 1,
      anon_sym_or,
    STATE(1961), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3162), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102721] = 4,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2994), 8,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102742] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2986), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102759] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2988), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102776] = 5,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3164), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2953), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102799] = 5,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2953), 7,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102822] = 6,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3097), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102847] = 6,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2980), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102872] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2988), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102888] = 6,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2990), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [102912] = 3,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2986), 8,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_or,
  [102930] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2986), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102946] = 4,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2994), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [102966] = 5,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3178), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2953), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [102988] = 4,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(3181), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2986), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_or,
  [103008] = 6,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2980), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103032] = 3,
    ACTIONS(3181), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2986), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [103050] = 4,
    ACTIONS(3185), 1,
      anon_sym_DOT,
    STATE(1748), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3183), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [103070] = 9,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3190), 1,
      anon_sym_from,
    ACTIONS(3192), 1,
      anon_sym_COMMA,
    STATE(2041), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3188), 2,
      sym__newline,
      anon_sym_SEMI,
  [103100] = 5,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    ACTIONS(3194), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2994), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103122] = 6,
    ACTIONS(2964), 1,
      anon_sym_as,
    ACTIONS(2966), 1,
      anon_sym_if,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2992), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103146] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3097), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103170] = 6,
    ACTIONS(2964), 1,
      anon_sym_as,
    ACTIONS(2966), 1,
      anon_sym_if,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2990), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103194] = 6,
    ACTIONS(3152), 1,
      anon_sym_as,
    ACTIONS(3154), 1,
      anon_sym_if,
    ACTIONS(3158), 1,
      anon_sym_and,
    ACTIONS(3160), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3196), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103218] = 6,
    ACTIONS(3152), 1,
      anon_sym_as,
    ACTIONS(3154), 1,
      anon_sym_if,
    ACTIONS(3158), 1,
      anon_sym_and,
    ACTIONS(3160), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2980), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103242] = 3,
    ACTIONS(3198), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2988), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [103260] = 6,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3097), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103284] = 5,
    ACTIONS(3158), 1,
      anon_sym_and,
    ACTIONS(3160), 1,
      anon_sym_or,
    ACTIONS(3200), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2953), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103306] = 4,
    ACTIONS(3158), 1,
      anon_sym_and,
    ACTIONS(3160), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2994), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103326] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2986), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [103342] = 3,
    ACTIONS(3158), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2986), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_or,
      sym_type_conversion,
  [103360] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2076), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [103376] = 6,
    ACTIONS(2964), 1,
      anon_sym_as,
    ACTIONS(2966), 1,
      anon_sym_if,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2980), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103400] = 5,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    ACTIONS(3203), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2953), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103422] = 4,
    ACTIONS(3208), 1,
      anon_sym_DOT,
    STATE(1773), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3206), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [103442] = 6,
    ACTIONS(3152), 1,
      anon_sym_as,
    ACTIONS(3154), 1,
      anon_sym_if,
    ACTIONS(3158), 1,
      anon_sym_and,
    ACTIONS(3160), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2990), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103466] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2076), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103482] = 3,
    ACTIONS(2090), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2076), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [103500] = 5,
    ACTIONS(3208), 1,
      anon_sym_DOT,
    ACTIONS(3210), 1,
      anon_sym_EQ,
    STATE(1773), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3206), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [103522] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2988), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [103538] = 6,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2992), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103562] = 6,
    ACTIONS(3152), 1,
      anon_sym_as,
    ACTIONS(3154), 1,
      anon_sym_if,
    ACTIONS(3158), 1,
      anon_sym_and,
    ACTIONS(3160), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3212), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103586] = 4,
    ACTIONS(3208), 1,
      anon_sym_DOT,
    STATE(1748), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3214), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [103606] = 6,
    ACTIONS(3152), 1,
      anon_sym_as,
    ACTIONS(3154), 1,
      anon_sym_if,
    ACTIONS(3158), 1,
      anon_sym_and,
    ACTIONS(3160), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2992), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103630] = 8,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3218), 1,
      anon_sym_COMMA,
    STATE(2145), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3216), 2,
      sym__newline,
      anon_sym_SEMI,
  [103657] = 3,
    ACTIONS(2090), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2076), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [103674] = 3,
    ACTIONS(3198), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2988), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [103691] = 5,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    ACTIONS(3220), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2953), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [103712] = 9,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3223), 1,
      anon_sym_COMMA,
    ACTIONS(3225), 1,
      anon_sym_COLON,
    ACTIONS(3227), 1,
      anon_sym_RBRACK,
    STATE(2358), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103741] = 5,
    ACTIONS(2964), 1,
      anon_sym_as,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3229), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103762] = 6,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3196), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
  [103785] = 7,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(3231), 1,
      anon_sym_async,
    ACTIONS(3233), 1,
      anon_sym_def,
    ACTIONS(3235), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(808), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1893), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [103810] = 6,
    ACTIONS(3071), 1,
      anon_sym_as,
    ACTIONS(3073), 1,
      anon_sym_if,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2980), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [103833] = 8,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3192), 1,
      anon_sym_COMMA,
    STATE(2041), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3156), 2,
      sym__newline,
      anon_sym_SEMI,
  [103860] = 7,
    ACTIONS(1499), 1,
      anon_sym_except,
    ACTIONS(1519), 1,
      anon_sym_except_STAR,
    ACTIONS(3237), 1,
      anon_sym_finally,
    STATE(732), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(583), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(591), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [103885] = 6,
    ACTIONS(3071), 1,
      anon_sym_as,
    ACTIONS(3073), 1,
      anon_sym_if,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2992), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [103908] = 5,
    ACTIONS(3239), 1,
      anon_sym_DOT,
    ACTIONS(3241), 1,
      anon_sym_EQ,
    STATE(1882), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3206), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103929] = 5,
    ACTIONS(2964), 1,
      anon_sym_as,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3229), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103950] = 5,
    ACTIONS(2964), 1,
      anon_sym_as,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3229), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103971] = 6,
    ACTIONS(3071), 1,
      anon_sym_as,
    ACTIONS(3073), 1,
      anon_sym_if,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2990), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [103994] = 6,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2980), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [104017] = 5,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3229), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104038] = 9,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3225), 1,
      anon_sym_COLON,
    ACTIONS(3243), 1,
      anon_sym_COMMA,
    ACTIONS(3245), 1,
      anon_sym_RBRACK,
    STATE(2475), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104067] = 5,
    ACTIONS(3247), 1,
      anon_sym_DOT,
    ACTIONS(3249), 1,
      anon_sym_EQ,
    STATE(1884), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3206), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [104088] = 5,
    ACTIONS(3251), 1,
      anon_sym_DOT,
    ACTIONS(3253), 1,
      anon_sym_EQ,
    STATE(1848), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3206), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [104109] = 3,
    ACTIONS(2090), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2076), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [104126] = 9,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3225), 1,
      anon_sym_COLON,
    ACTIONS(3255), 1,
      anon_sym_COMMA,
    ACTIONS(3257), 1,
      anon_sym_RBRACK,
    STATE(2472), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104155] = 8,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3099), 1,
      anon_sym_COMMA,
    STATE(2122), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3095), 2,
      sym__newline,
      anon_sym_SEMI,
  [104182] = 6,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2990), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [104205] = 9,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3225), 1,
      anon_sym_COLON,
    ACTIONS(3259), 1,
      anon_sym_COMMA,
    ACTIONS(3261), 1,
      anon_sym_RBRACK,
    STATE(2448), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104234] = 5,
    ACTIONS(3071), 1,
      anon_sym_as,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3229), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [104255] = 7,
    ACTIONS(1487), 1,
      anon_sym_except,
    ACTIONS(1491), 1,
      anon_sym_except_STAR,
    ACTIONS(3263), 1,
      anon_sym_finally,
    STATE(838), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(525), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(526), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [104280] = 5,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3229), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104301] = 5,
    ACTIONS(3071), 1,
      anon_sym_as,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3229), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [104322] = 5,
    ACTIONS(3071), 1,
      anon_sym_as,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3229), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [104343] = 9,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3225), 1,
      anon_sym_COLON,
    ACTIONS(3265), 1,
      anon_sym_COMMA,
    ACTIONS(3267), 1,
      anon_sym_RBRACK,
    STATE(2425), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104372] = 7,
    ACTIONS(1487), 1,
      anon_sym_except,
    ACTIONS(1491), 1,
      anon_sym_except_STAR,
    ACTIONS(3263), 1,
      anon_sym_finally,
    STATE(734), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(585), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    STATE(587), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [104397] = 6,
    ACTIONS(2964), 1,
      anon_sym_as,
    ACTIONS(2966), 1,
      anon_sym_if,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3269), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104420] = 9,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3225), 1,
      anon_sym_COLON,
    ACTIONS(3271), 1,
      anon_sym_COMMA,
    ACTIONS(3273), 1,
      anon_sym_RBRACK,
    STATE(2332), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104449] = 5,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    ACTIONS(3194), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2994), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [104470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3280), 1,
      anon_sym_BSLASH,
    ACTIONS(3275), 2,
      sym_string_end,
      anon_sym_LBRACE,
    STATE(1811), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3277), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
  [104493] = 9,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3225), 1,
      anon_sym_COLON,
    ACTIONS(3283), 1,
      anon_sym_COMMA,
    ACTIONS(3285), 1,
      anon_sym_RBRACK,
    STATE(2352), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104522] = 8,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3289), 1,
      anon_sym_COMMA,
    STATE(2127), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3287), 2,
      sym__newline,
      anon_sym_SEMI,
  [104549] = 9,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3225), 1,
      anon_sym_COLON,
    ACTIONS(3291), 1,
      anon_sym_COMMA,
    ACTIONS(3293), 1,
      anon_sym_RBRACK,
    STATE(2368), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104578] = 5,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3295), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2953), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104599] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3302), 1,
      anon_sym_BSLASH,
    ACTIONS(3298), 2,
      sym_string_end,
      anon_sym_LBRACE,
    STATE(1811), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3300), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
  [104622] = 3,
    ACTIONS(3181), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2986), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [104639] = 5,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3194), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2994), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104660] = 3,
    ACTIONS(3181), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2986), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [104677] = 3,
    ACTIONS(3198), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2988), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [104694] = 4,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3181), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2986), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
  [104713] = 4,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3181), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2986), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_or,
  [104732] = 5,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3229), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104753] = 9,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3225), 1,
      anon_sym_COLON,
    ACTIONS(3304), 1,
      anon_sym_COMMA,
    ACTIONS(3306), 1,
      anon_sym_RBRACK,
    STATE(2384), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104782] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3183), 8,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [104797] = 7,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(3308), 1,
      anon_sym_async,
    ACTIONS(3310), 1,
      anon_sym_def,
    ACTIONS(3312), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(743), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1893), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [104822] = 8,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3192), 1,
      anon_sym_COMMA,
    STATE(2041), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2921), 2,
      sym__newline,
      anon_sym_SEMI,
  [104849] = 8,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3218), 1,
      anon_sym_COMMA,
    STATE(2128), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3314), 2,
      sym__newline,
      anon_sym_SEMI,
  [104876] = 6,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3002), 1,
      anon_sym_if,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2992), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [104899] = 4,
    ACTIONS(324), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(995), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3316), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [104918] = 8,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3192), 1,
      anon_sym_COMMA,
    STATE(2041), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3318), 2,
      sym__newline,
      anon_sym_SEMI,
  [104945] = 8,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3192), 1,
      anon_sym_COMMA,
    STATE(2041), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3320), 2,
      sym__newline,
      anon_sym_SEMI,
  [104972] = 7,
    ACTIONS(1499), 1,
      anon_sym_except,
    ACTIONS(1519), 1,
      anon_sym_except_STAR,
    ACTIONS(3237), 1,
      anon_sym_finally,
    STATE(821), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(565), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(571), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [104997] = 9,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3225), 1,
      anon_sym_COLON,
    ACTIONS(3322), 1,
      anon_sym_COMMA,
    ACTIONS(3324), 1,
      anon_sym_RBRACK,
    STATE(2280), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105026] = 8,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(3326), 1,
      anon_sym_COMMA,
    ACTIONS(3328), 1,
      anon_sym_RBRACE,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2354), 1,
      aux_sym_dictionary_repeat1,
    STATE(2655), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105052] = 8,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(3332), 1,
      anon_sym_RBRACE,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2439), 1,
      aux_sym_dictionary_repeat1,
    STATE(2630), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105078] = 8,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(3334), 1,
      anon_sym_COMMA,
    ACTIONS(3336), 1,
      anon_sym_RBRACE,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2259), 1,
      aux_sym_dictionary_repeat1,
    STATE(2744), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105104] = 7,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(3338), 1,
      anon_sym_DOT,
    ACTIONS(3340), 1,
      anon_sym___future__,
    STATE(2113), 1,
      aux_sym_import_prefix_repeat1,
    STATE(2246), 1,
      sym_import_prefix,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2768), 2,
      sym_relative_import,
      sym_dotted_name,
  [105128] = 6,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(3342), 1,
      anon_sym_if,
    ACTIONS(3344), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1842), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105150] = 7,
    ACTIONS(1403), 1,
      anon_sym_COLON,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1401), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [105174] = 5,
    ACTIONS(2964), 1,
      anon_sym_as,
    ACTIONS(2976), 1,
      anon_sym_and,
    ACTIONS(2978), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3346), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [105194] = 6,
    ACTIONS(3348), 1,
      anon_sym_if,
    ACTIONS(3351), 1,
      anon_sym_async,
    ACTIONS(3354), 1,
      anon_sym_for,
    ACTIONS(3357), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1842), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105216] = 4,
    ACTIONS(3359), 1,
      anon_sym_DOT,
    STATE(1843), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3183), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [105234] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3364), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3362), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [105250] = 8,
    ACTIONS(3366), 1,
      sym_identifier,
    ACTIONS(3368), 1,
      anon_sym_LPAREN,
    ACTIONS(3370), 1,
      anon_sym_STAR,
    STATE(2082), 1,
      sym_dotted_name,
    STATE(2112), 1,
      sym_aliased_import,
    STATE(2499), 1,
      sym__import_list,
    STATE(2578), 1,
      sym_wildcard_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105276] = 4,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1054), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3316), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [105294] = 8,
    ACTIONS(3156), 1,
      anon_sym_RBRACK,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3372), 1,
      anon_sym_COMMA,
    STATE(2295), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105320] = 4,
    ACTIONS(3251), 1,
      anon_sym_DOT,
    STATE(1843), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3214), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [105338] = 6,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3374), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [105360] = 6,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3376), 1,
      anon_sym_RPAREN,
    ACTIONS(3378), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1868), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105382] = 8,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3380), 1,
      anon_sym_COMMA,
    ACTIONS(3382), 1,
      anon_sym_COLON,
    STATE(2319), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105408] = 4,
    ACTIONS(3247), 1,
      anon_sym_DOT,
    STATE(1884), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3206), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [105426] = 6,
    ACTIONS(3075), 1,
      anon_sym_async,
    ACTIONS(3077), 1,
      anon_sym_for,
    ACTIONS(3376), 1,
      anon_sym_RBRACK,
    ACTIONS(3384), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1879), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105448] = 8,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(3386), 1,
      anon_sym_COMMA,
    ACTIONS(3388), 1,
      anon_sym_RBRACE,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2402), 1,
      aux_sym_dictionary_repeat1,
    STATE(2625), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105474] = 5,
    ACTIONS(3000), 1,
      anon_sym_as,
    ACTIONS(3008), 1,
      anon_sym_and,
    ACTIONS(3010), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3346), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105494] = 6,
    ACTIONS(3357), 1,
      anon_sym_RPAREN,
    ACTIONS(3390), 1,
      anon_sym_if,
    ACTIONS(3393), 1,
      anon_sym_async,
    ACTIONS(3396), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1856), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105516] = 8,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3380), 1,
      anon_sym_COMMA,
    ACTIONS(3399), 1,
      anon_sym_COLON,
    STATE(2319), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105542] = 8,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(3401), 1,
      anon_sym_COMMA,
    ACTIONS(3403), 1,
      anon_sym_RBRACE,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2493), 1,
      aux_sym_dictionary_repeat1,
    STATE(2755), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105568] = 6,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3405), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [105590] = 7,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3225), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3407), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [105614] = 7,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3409), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [105638] = 4,
    ACTIONS(3411), 1,
      anon_sym_DOT,
    STATE(1862), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3183), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [105656] = 8,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3414), 1,
      anon_sym_COMMA,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    STATE(2398), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105682] = 4,
    ACTIONS(3239), 1,
      anon_sym_DOT,
    STATE(1882), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3206), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [105700] = 4,
    ACTIONS(3418), 1,
      anon_sym_DOT,
    STATE(1865), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3183), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [105718] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3316), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [105734] = 8,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(3423), 1,
      anon_sym_COMMA,
    ACTIONS(3425), 1,
      anon_sym_RBRACE,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2456), 1,
      aux_sym_dictionary_repeat1,
    STATE(2709), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105760] = 6,
    ACTIONS(3004), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3344), 1,
      anon_sym_RPAREN,
    ACTIONS(3378), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1856), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105782] = 8,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3380), 1,
      anon_sym_COMMA,
    ACTIONS(3427), 1,
      anon_sym_COLON,
    STATE(2319), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105808] = 8,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(3429), 1,
      anon_sym_COMMA,
    ACTIONS(3431), 1,
      anon_sym_RBRACE,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2363), 1,
      aux_sym_dictionary_repeat1,
    STATE(2639), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105834] = 8,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3380), 1,
      anon_sym_COMMA,
    ACTIONS(3433), 1,
      anon_sym_COLON,
    STATE(2319), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105860] = 6,
    ACTIONS(3357), 1,
      anon_sym_RBRACK,
    ACTIONS(3435), 1,
      anon_sym_if,
    ACTIONS(3438), 1,
      anon_sym_async,
    ACTIONS(3441), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1872), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105882] = 4,
    ACTIONS(3251), 1,
      anon_sym_DOT,
    STATE(1848), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3206), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [105900] = 5,
    ACTIONS(3071), 1,
      anon_sym_as,
    ACTIONS(3079), 1,
      anon_sym_and,
    ACTIONS(3081), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3346), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [105920] = 8,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3156), 1,
      anon_sym_RPAREN,
    ACTIONS(3444), 1,
      anon_sym_COMMA,
    STATE(2271), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105946] = 8,
    ACTIONS(3050), 1,
      anon_sym_RPAREN,
    ACTIONS(3052), 1,
      anon_sym_COMMA,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    STATE(2276), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105972] = 4,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(988), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3316), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [105990] = 6,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(3342), 1,
      anon_sym_if,
    ACTIONS(3376), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1839), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [106012] = 6,
    ACTIONS(3075), 1,
      anon_sym_async,
    ACTIONS(3077), 1,
      anon_sym_for,
    ACTIONS(3344), 1,
      anon_sym_RBRACK,
    ACTIONS(3384), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1872), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [106034] = 4,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(983), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3316), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [106052] = 8,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3446), 1,
      anon_sym_COMMA,
    ACTIONS(3448), 1,
      anon_sym_COLON,
    STATE(2345), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106078] = 4,
    ACTIONS(3239), 1,
      anon_sym_DOT,
    STATE(1862), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3214), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [106096] = 8,
    ACTIONS(2970), 1,
      anon_sym_async,
    ACTIONS(2972), 1,
      anon_sym_for,
    ACTIONS(3450), 1,
      anon_sym_COMMA,
    ACTIONS(3452), 1,
      anon_sym_RBRACE,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2258), 1,
      aux_sym_dictionary_repeat1,
    STATE(2739), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106122] = 4,
    ACTIONS(3247), 1,
      anon_sym_DOT,
    STATE(1865), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3214), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [106140] = 7,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3454), 1,
      anon_sym_COMMA,
    ACTIONS(3456), 1,
      anon_sym_as,
    ACTIONS(3458), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106163] = 6,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3460), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3464), 1,
      anon_sym_BSLASH,
    ACTIONS(3462), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [106201] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1637), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106214] = 6,
    ACTIONS(3152), 1,
      anon_sym_as,
    ACTIONS(3154), 1,
      anon_sym_if,
    ACTIONS(3158), 1,
      anon_sym_and,
    ACTIONS(3160), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3269), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [106235] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3466), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3470), 1,
      anon_sym_BSLASH,
    ACTIONS(3468), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [106265] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3472), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106278] = 4,
    ACTIONS(3476), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1893), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
    ACTIONS(3474), 3,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
  [106295] = 6,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3479), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106316] = 6,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3481), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106337] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3483), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106350] = 5,
    ACTIONS(3487), 1,
      anon_sym_DOT,
    ACTIONS(3489), 1,
      anon_sym_COLON,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3485), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_EQ,
  [106369] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3493), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106382] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3097), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106395] = 6,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3495), 2,
      sym__newline,
      anon_sym_SEMI,
  [106416] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3497), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106429] = 6,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3499), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106450] = 6,
    ACTIONS(3501), 1,
      anon_sym_DOT,
    ACTIONS(3505), 1,
      anon_sym_COLON,
    ACTIONS(3507), 1,
      anon_sym_EQ,
    ACTIONS(3509), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3503), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106471] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3196), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [106492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3513), 1,
      anon_sym_BSLASH,
    ACTIONS(3511), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [106509] = 4,
    ACTIONS(3517), 1,
      anon_sym_COMMA,
    STATE(1906), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3515), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [106526] = 4,
    ACTIONS(3520), 1,
      anon_sym_COMMA,
    STATE(1921), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3522), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106543] = 6,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3524), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106564] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3479), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [106585] = 4,
    ACTIONS(3526), 1,
      anon_sym_COMMA,
    STATE(1910), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2871), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [106602] = 6,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3499), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106623] = 7,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3456), 1,
      anon_sym_as,
    ACTIONS(3529), 1,
      anon_sym_COMMA,
    ACTIONS(3531), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106646] = 6,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3196), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106667] = 4,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2994), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [106684] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3497), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106697] = 4,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(1984), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3533), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [106714] = 6,
    ACTIONS(3152), 1,
      anon_sym_as,
    ACTIONS(3154), 1,
      anon_sym_if,
    ACTIONS(3158), 1,
      anon_sym_and,
    ACTIONS(3160), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3537), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [106735] = 4,
    ACTIONS(3539), 1,
      anon_sym_COMMA,
    STATE(1906), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3522), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [106752] = 4,
    ACTIONS(3543), 1,
      anon_sym_PIPE,
    STATE(1919), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3541), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [106769] = 3,
    STATE(1934), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3541), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [106784] = 4,
    ACTIONS(3546), 1,
      anon_sym_COMMA,
    STATE(1921), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3515), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106801] = 4,
    ACTIONS(3549), 1,
      anon_sym_COMMA,
    STATE(1910), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(959), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [106818] = 7,
    ACTIONS(3551), 1,
      anon_sym_DOT,
    ACTIONS(3553), 1,
      anon_sym_COMMA,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3557), 1,
      anon_sym_RBRACK,
    ACTIONS(3559), 1,
      anon_sym_PIPE,
    STATE(2285), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106841] = 4,
    ACTIONS(3561), 1,
      anon_sym_DOT,
    STATE(1985), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3214), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [106858] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3563), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3362), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [106873] = 6,
    ACTIONS(3487), 1,
      anon_sym_DOT,
    ACTIONS(3489), 1,
      anon_sym_COLON,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3567), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3565), 2,
      sym__newline,
      anon_sym_SEMI,
  [106894] = 4,
    ACTIONS(3569), 1,
      anon_sym_COMMA,
    STATE(1921), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3571), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106911] = 4,
    ACTIONS(3573), 1,
      anon_sym_COMMA,
    STATE(1928), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3515), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [106928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3578), 1,
      anon_sym_BSLASH,
    ACTIONS(3576), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [106945] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3524), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [106966] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3580), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [106987] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3183), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [107000] = 4,
    ACTIONS(3584), 1,
      anon_sym_PIPE,
    STATE(1934), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3582), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [107017] = 4,
    ACTIONS(3584), 1,
      anon_sym_PIPE,
    STATE(1919), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3586), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [107034] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3183), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [107047] = 6,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3212), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107068] = 6,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3212), 2,
      sym__newline,
      anon_sym_SEMI,
  [107089] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3466), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107102] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3588), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107115] = 7,
    ACTIONS(3551), 1,
      anon_sym_DOT,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      anon_sym_PIPE,
    ACTIONS(3590), 1,
      anon_sym_COMMA,
    ACTIONS(3592), 1,
      anon_sym_RBRACK,
    STATE(2485), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107138] = 6,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3196), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107159] = 6,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107180] = 4,
    ACTIONS(3594), 1,
      anon_sym_COMMA,
    STATE(1907), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3596), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [107197] = 4,
    ACTIONS(3598), 1,
      anon_sym_COMMA,
    STATE(1928), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3522), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [107214] = 6,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3600), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107235] = 7,
    ACTIONS(3551), 1,
      anon_sym_DOT,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      anon_sym_PIPE,
    ACTIONS(3602), 1,
      anon_sym_COMMA,
    ACTIONS(3604), 1,
      anon_sym_RBRACK,
    STATE(2442), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107258] = 6,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3460), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107279] = 4,
    ACTIONS(3561), 1,
      anon_sym_DOT,
    STATE(1924), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3206), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [107296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3608), 1,
      anon_sym_BSLASH,
    ACTIONS(3606), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3610), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3362), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [107328] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3493), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107341] = 4,
    ACTIONS(3612), 1,
      anon_sym_COMMA,
    STATE(1952), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3196), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [107358] = 6,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3615), 2,
      sym__newline,
      anon_sym_SEMI,
  [107379] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3097), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107392] = 5,
    ACTIONS(3501), 1,
      anon_sym_DOT,
    ACTIONS(3505), 1,
      anon_sym_COLON,
    ACTIONS(3509), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3485), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [107411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3619), 1,
      anon_sym_BSLASH,
    ACTIONS(3617), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107428] = 6,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3621), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107449] = 6,
    ACTIONS(3152), 1,
      anon_sym_as,
    ACTIONS(3154), 1,
      anon_sym_if,
    ACTIONS(3158), 1,
      anon_sym_and,
    ACTIONS(3160), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3460), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [107470] = 4,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(1928), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3571), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [107487] = 3,
    ACTIONS(3625), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3316), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [107502] = 4,
    ACTIONS(3627), 1,
      anon_sym_COMMA,
    STATE(1952), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1261), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [107519] = 4,
    ACTIONS(3629), 1,
      anon_sym_COMMA,
    STATE(1944), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3596), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [107536] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1637), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107549] = 4,
    ACTIONS(3631), 1,
      anon_sym_COMMA,
    STATE(1927), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3533), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [107566] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3466), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107579] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3633), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3316), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [107594] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3472), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107607] = 7,
    ACTIONS(3551), 1,
      anon_sym_DOT,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      anon_sym_PIPE,
    ACTIONS(3635), 1,
      anon_sym_COMMA,
    ACTIONS(3637), 1,
      anon_sym_RBRACK,
    STATE(2387), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3641), 1,
      anon_sym_BSLASH,
    ACTIONS(3639), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107647] = 6,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3212), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107668] = 4,
    ACTIONS(3584), 1,
      anon_sym_PIPE,
    STATE(1934), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3643), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [107685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3647), 1,
      anon_sym_BSLASH,
    ACTIONS(3645), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107702] = 7,
    ACTIONS(3649), 1,
      anon_sym_COMMA,
    ACTIONS(3651), 1,
      anon_sym_as,
    ACTIONS(3653), 1,
      anon_sym_if,
    ACTIONS(3655), 1,
      anon_sym_COLON,
    STATE(2079), 1,
      aux_sym_case_clause_repeat1,
    STATE(2727), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107725] = 6,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3537), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107746] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3183), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [107759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3657), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3316), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [107774] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3497), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107787] = 4,
    ACTIONS(3659), 1,
      anon_sym_COMMA,
    STATE(1959), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3533), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [107804] = 6,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3661), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107825] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3362), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [107840] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3588), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3316), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [107868] = 6,
    ACTIONS(3142), 1,
      anon_sym_as,
    ACTIONS(3144), 1,
      anon_sym_if,
    ACTIONS(3146), 1,
      anon_sym_and,
    ACTIONS(3148), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3667), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107889] = 4,
    ACTIONS(3669), 1,
      anon_sym_COMMA,
    STATE(1906), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3571), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [107906] = 4,
    ACTIONS(3671), 1,
      anon_sym_DOT,
    STATE(1985), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3183), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [107923] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3483), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107936] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3588), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107949] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3621), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [107970] = 6,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3172), 1,
      anon_sym_if,
    ACTIONS(3174), 1,
      anon_sym_and,
    ACTIONS(3176), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1439), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107991] = 4,
    ACTIONS(3674), 1,
      anon_sym_COMMA,
    STATE(1918), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3596), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [108008] = 6,
    ACTIONS(3152), 1,
      anon_sym_as,
    ACTIONS(3154), 1,
      anon_sym_if,
    ACTIONS(3158), 1,
      anon_sym_and,
    ACTIONS(3160), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3499), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [108029] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2871), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [108041] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3493), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108053] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3676), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108073] = 3,
    ACTIONS(3678), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3316), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [108087] = 4,
    ACTIONS(3680), 1,
      anon_sym_PIPE,
    STATE(2012), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3643), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [108103] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3483), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108115] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3682), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [108127] = 5,
    ACTIONS(3551), 1,
      anon_sym_DOT,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3485), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [108145] = 4,
    ACTIONS(3684), 1,
      anon_sym_COMMA,
    STATE(2000), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3196), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [108161] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3497), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108173] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3588), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108185] = 5,
    ACTIONS(3366), 1,
      sym_identifier,
    STATE(2133), 1,
      sym_dotted_name,
    STATE(2372), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3687), 2,
      sym__newline,
      anon_sym_SEMI,
  [108203] = 5,
    ACTIONS(3366), 1,
      sym_identifier,
    STATE(2133), 1,
      sym_dotted_name,
    STATE(2372), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3687), 2,
      sym__newline,
      anon_sym_SEMI,
  [108221] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3346), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108241] = 3,
    ACTIONS(3689), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3316), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108255] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3183), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
  [108267] = 4,
    ACTIONS(3691), 1,
      anon_sym_PIPE,
    STATE(2020), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3643), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [108283] = 6,
    ACTIONS(3693), 1,
      anon_sym_LBRACE,
    ACTIONS(3695), 1,
      anon_sym_RBRACE,
    ACTIONS(3697), 1,
      aux_sym_format_specifier_token1,
    STATE(2086), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2452), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [108303] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3699), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108323] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3097), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108335] = 4,
    ACTIONS(3680), 1,
      anon_sym_PIPE,
    STATE(2030), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3586), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [108351] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3701), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108363] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3703), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108375] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3705), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108395] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3097), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108407] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3707), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108419] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3515), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [108431] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3709), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108443] = 4,
    ACTIONS(3691), 1,
      anon_sym_PIPE,
    STATE(2052), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3586), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [108459] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3711), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108479] = 4,
    ACTIONS(3680), 1,
      anon_sym_PIPE,
    STATE(2012), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3582), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [108495] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3466), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108507] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3713), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108519] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3715), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108539] = 3,
    STATE(2012), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3541), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [108553] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3717), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [108565] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3719), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108577] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3721), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108597] = 4,
    ACTIONS(3723), 1,
      anon_sym_PIPE,
    STATE(2030), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3541), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [108613] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3472), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108625] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3515), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [108637] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3726), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108649] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3717), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [108661] = 6,
    ACTIONS(3503), 1,
      anon_sym_COMMA,
    ACTIONS(3728), 1,
      anon_sym_DOT,
    ACTIONS(3730), 1,
      anon_sym_COLON,
    ACTIONS(3732), 1,
      anon_sym_EQ,
    ACTIONS(3734), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108681] = 6,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(3736), 1,
      anon_sym_LPAREN,
    ACTIONS(3738), 1,
      anon_sym_COLON,
    STATE(2349), 1,
      sym_type_parameter,
    STATE(2664), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108701] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3740), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108721] = 5,
    ACTIONS(3742), 1,
      anon_sym_COMMA,
    ACTIONS(3744), 1,
      anon_sym_RBRACE,
    STATE(2413), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3316), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108739] = 4,
    ACTIONS(3691), 1,
      anon_sym_PIPE,
    STATE(2020), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3582), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [108755] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1637), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108767] = 4,
    ACTIONS(3746), 1,
      anon_sym_COMMA,
    STATE(2000), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1261), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [108783] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3748), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [108795] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3750), 1,
      anon_sym_as,
    ACTIONS(3752), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108815] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3750), 1,
      anon_sym_as,
    ACTIONS(3754), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108835] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3756), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108847] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3758), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108867] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3760), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108887] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3762), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108907] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3764), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108919] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3766), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108931] = 3,
    STATE(2020), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3541), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108945] = 4,
    ACTIONS(3768), 1,
      anon_sym_PIPE,
    STATE(2052), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3541), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [108961] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3771), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108973] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [108985] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3773), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109005] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3775), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109017] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3748), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [109029] = 6,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(3736), 1,
      anon_sym_LPAREN,
    ACTIONS(3777), 1,
      anon_sym_COLON,
    STATE(2338), 1,
      sym_type_parameter,
    STATE(2685), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109049] = 5,
    ACTIONS(3366), 1,
      sym_identifier,
    STATE(2133), 1,
      sym_dotted_name,
    STATE(2372), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3779), 2,
      sym__newline,
      anon_sym_SEMI,
  [109067] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2886), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [109079] = 6,
    ACTIONS(3781), 1,
      anon_sym_COLON,
    ACTIONS(3783), 1,
      anon_sym_EQ,
    ACTIONS(3785), 1,
      anon_sym_RBRACE,
    ACTIONS(3787), 1,
      sym_type_conversion,
    STATE(2627), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109099] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3789), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109111] = 5,
    ACTIONS(3501), 1,
      anon_sym_DOT,
    ACTIONS(3505), 1,
      anon_sym_COLON,
    ACTIONS(3509), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3503), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109129] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3717), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [109141] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3483), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109153] = 6,
    ACTIONS(3781), 1,
      anon_sym_COLON,
    ACTIONS(3791), 1,
      anon_sym_EQ,
    ACTIONS(3793), 1,
      anon_sym_RBRACE,
    ACTIONS(3795), 1,
      sym_type_conversion,
    STATE(2638), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109173] = 5,
    ACTIONS(3487), 1,
      anon_sym_DOT,
    ACTIONS(3489), 1,
      anon_sym_COLON,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3797), 2,
      sym__newline,
      anon_sym_SEMI,
  [109191] = 4,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2994), 3,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [109207] = 6,
    ACTIONS(2958), 1,
      anon_sym_and,
    ACTIONS(2960), 1,
      anon_sym_or,
    ACTIONS(2982), 1,
      anon_sym_as,
    ACTIONS(2984), 1,
      anon_sym_if,
    ACTIONS(3799), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109227] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3801), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109247] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3803), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109267] = 5,
    ACTIONS(3728), 1,
      anon_sym_DOT,
    ACTIONS(3730), 1,
      anon_sym_COLON,
    ACTIONS(3734), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3485), 2,
      anon_sym_COMMA,
      anon_sym_EQ,
  [109285] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3805), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109297] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3515), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [109309] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3807), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109329] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [109341] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3809), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109353] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3811), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109365] = 6,
    ACTIONS(2564), 1,
      anon_sym_COLON,
    ACTIONS(3653), 1,
      anon_sym_if,
    ACTIONS(3813), 1,
      anon_sym_COMMA,
    STATE(2154), 1,
      aux_sym_case_clause_repeat1,
    STATE(2704), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109385] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3493), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109397] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3815), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109417] = 5,
    ACTIONS(3819), 1,
      anon_sym_COMMA,
    ACTIONS(3821), 1,
      anon_sym_as,
    STATE(2124), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3817), 2,
      sym__newline,
      anon_sym_SEMI,
  [109435] = 4,
    ACTIONS(3823), 1,
      anon_sym_PIPE,
    STATE(2094), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3582), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [109451] = 6,
    ACTIONS(3825), 1,
      anon_sym_LBRACE,
    ACTIONS(3828), 1,
      anon_sym_RBRACE,
    ACTIONS(3830), 1,
      aux_sym_format_specifier_token1,
    STATE(2084), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2452), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [109471] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3156), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [109483] = 6,
    ACTIONS(3693), 1,
      anon_sym_LBRACE,
    ACTIONS(3833), 1,
      anon_sym_RBRACE,
    ACTIONS(3835), 1,
      aux_sym_format_specifier_token1,
    STATE(2084), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2452), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [109503] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3748), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [109515] = 5,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3839), 1,
      anon_sym_RBRACE,
    STATE(2299), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3316), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109533] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3841), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109545] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1637), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109557] = 6,
    ACTIONS(3366), 1,
      sym_identifier,
    ACTIONS(3843), 1,
      anon_sym_LPAREN,
    STATE(2082), 1,
      sym_dotted_name,
    STATE(2112), 1,
      sym_aliased_import,
    STATE(2599), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109577] = 5,
    ACTIONS(3551), 1,
      anon_sym_DOT,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3845), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [109595] = 5,
    ACTIONS(3847), 1,
      anon_sym_COMMA,
    ACTIONS(3849), 1,
      anon_sym_RBRACE,
    STATE(2314), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3316), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109613] = 4,
    ACTIONS(3823), 1,
      anon_sym_PIPE,
    STATE(2100), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3586), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [109629] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3851), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109649] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3853), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109669] = 5,
    ACTIONS(3855), 1,
      anon_sym_COMMA,
    ACTIONS(3857), 1,
      anon_sym_RBRACE,
    STATE(2464), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3316), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109687] = 3,
    ACTIONS(3859), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3316), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [109701] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3861), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109713] = 4,
    ACTIONS(3863), 1,
      anon_sym_PIPE,
    STATE(2100), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3541), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [109729] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3866), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109741] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3682), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109753] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3868), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109765] = 3,
    STATE(2094), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3541), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [109779] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3472), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109791] = 4,
    ACTIONS(3823), 1,
      anon_sym_PIPE,
    STATE(2094), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3643), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [109807] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3870), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109819] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3872), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109831] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3874), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109843] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3811), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109854] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3868), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109865] = 4,
    ACTIONS(3819), 1,
      anon_sym_COMMA,
    STATE(2123), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3817), 2,
      sym__newline,
      anon_sym_SEMI,
  [109880] = 4,
    ACTIONS(3878), 1,
      anon_sym_DOT,
    STATE(2125), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3876), 2,
      anon_sym_import,
      sym_identifier,
  [109895] = 5,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    STATE(2507), 1,
      sym_type_parameter,
    STATE(2545), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109912] = 5,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    STATE(2509), 1,
      sym_type_parameter,
    STATE(2547), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109929] = 4,
    ACTIONS(3884), 1,
      anon_sym_COMMA,
    STATE(2126), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3882), 2,
      sym__newline,
      anon_sym_SEMI,
  [109944] = 5,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    STATE(2551), 1,
      sym_type_parameter,
    STATE(2552), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109961] = 4,
    ACTIONS(3888), 1,
      anon_sym_COMMA,
    STATE(2130), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3886), 2,
      sym__newline,
      anon_sym_SEMI,
  [109976] = 4,
    ACTIONS(3888), 1,
      anon_sym_COMMA,
    STATE(2139), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3890), 2,
      sym__newline,
      anon_sym_SEMI,
  [109991] = 5,
    ACTIONS(3728), 1,
      anon_sym_DOT,
    ACTIONS(3730), 1,
      anon_sym_COLON,
    ACTIONS(3734), 1,
      anon_sym_PIPE,
    ACTIONS(3892), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110008] = 5,
    ACTIONS(3366), 1,
      sym_identifier,
    STATE(2082), 1,
      sym_dotted_name,
    STATE(2112), 1,
      sym_aliased_import,
    STATE(2506), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110025] = 4,
    ACTIONS(3894), 1,
      anon_sym_COMMA,
    STATE(2000), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1437), 2,
      sym__newline,
      anon_sym_SEMI,
  [110040] = 4,
    ACTIONS(3898), 1,
      anon_sym_COMMA,
    STATE(2135), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3896), 2,
      sym__newline,
      anon_sym_SEMI,
  [110055] = 4,
    ACTIONS(3900), 1,
      anon_sym_COMMA,
    STATE(2135), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3896), 2,
      sym__newline,
      anon_sym_SEMI,
  [110070] = 4,
    ACTIONS(3904), 1,
      anon_sym_DOT,
    STATE(2125), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3902), 2,
      anon_sym_import,
      sym_identifier,
  [110085] = 4,
    ACTIONS(3909), 1,
      anon_sym_COMMA,
    STATE(2138), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3907), 2,
      sym__newline,
      anon_sym_SEMI,
  [110100] = 4,
    ACTIONS(3913), 1,
      anon_sym_COMMA,
    STATE(2138), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3911), 2,
      sym__newline,
      anon_sym_SEMI,
  [110115] = 4,
    ACTIONS(3218), 1,
      anon_sym_COMMA,
    STATE(2000), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3915), 2,
      sym__newline,
      anon_sym_SEMI,
  [110130] = 5,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    STATE(2591), 1,
      sym_type_parameter,
    STATE(2592), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110147] = 4,
    ACTIONS(3888), 1,
      anon_sym_COMMA,
    STATE(2140), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3917), 2,
      sym__newline,
      anon_sym_SEMI,
  [110162] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3919), 4,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
      anon_sym_AT,
  [110173] = 5,
    ACTIONS(3781), 1,
      anon_sym_COLON,
    ACTIONS(3921), 1,
      anon_sym_RBRACE,
    ACTIONS(3923), 1,
      sym_type_conversion,
    STATE(2700), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110190] = 3,
    ACTIONS(3821), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3925), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [110203] = 5,
    ACTIONS(3927), 1,
      anon_sym_case,
    ACTIONS(3929), 1,
      sym__dedent,
    STATE(2147), 1,
      aux_sym__match_block_repeat1,
    STATE(2534), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110220] = 4,
    ACTIONS(3933), 1,
      anon_sym_COMMA,
    STATE(2135), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3931), 2,
      sym__newline,
      anon_sym_SEMI,
  [110235] = 5,
    ACTIONS(3936), 1,
      sym_identifier,
    STATE(2156), 1,
      sym_dotted_name,
    STATE(2416), 1,
      sym_aliased_import,
    STATE(2730), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110252] = 5,
    ACTIONS(3936), 1,
      sym_identifier,
    STATE(2156), 1,
      sym_dotted_name,
    STATE(2416), 1,
      sym_aliased_import,
    STATE(2707), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110269] = 4,
    ACTIONS(3940), 1,
      anon_sym_COMMA,
    STATE(2138), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3938), 2,
      sym__newline,
      anon_sym_SEMI,
  [110284] = 4,
    ACTIONS(3888), 1,
      anon_sym_COMMA,
    STATE(2140), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3943), 2,
      sym__newline,
      anon_sym_SEMI,
  [110299] = 4,
    ACTIONS(3947), 1,
      anon_sym_COMMA,
    STATE(2140), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3945), 2,
      sym__newline,
      anon_sym_SEMI,
  [110314] = 5,
    ACTIONS(3503), 1,
      anon_sym_COMMA,
    ACTIONS(3728), 1,
      anon_sym_DOT,
    ACTIONS(3730), 1,
      anon_sym_COLON,
    ACTIONS(3734), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110331] = 5,
    ACTIONS(3927), 1,
      anon_sym_case,
    ACTIONS(3950), 1,
      sym__dedent,
    STATE(2144), 1,
      aux_sym__match_block_repeat1,
    STATE(2534), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110348] = 5,
    ACTIONS(3781), 1,
      anon_sym_COLON,
    ACTIONS(3952), 1,
      anon_sym_RBRACE,
    ACTIONS(3954), 1,
      sym_type_conversion,
    STATE(2675), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110365] = 5,
    ACTIONS(3927), 1,
      anon_sym_case,
    ACTIONS(3956), 1,
      sym__dedent,
    STATE(2147), 1,
      aux_sym__match_block_repeat1,
    STATE(2534), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110382] = 4,
    ACTIONS(3218), 1,
      anon_sym_COMMA,
    STATE(2000), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3958), 2,
      sym__newline,
      anon_sym_SEMI,
  [110397] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3643), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [110408] = 5,
    ACTIONS(3960), 1,
      anon_sym_case,
    ACTIONS(3963), 1,
      sym__dedent,
    STATE(2147), 1,
      aux_sym__match_block_repeat1,
    STATE(2534), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110425] = 5,
    ACTIONS(3965), 1,
      anon_sym_RPAREN,
    ACTIONS(3967), 1,
      anon_sym_COMMA,
    ACTIONS(3969), 1,
      anon_sym_as,
    STATE(2469), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110442] = 5,
    ACTIONS(3927), 1,
      anon_sym_case,
    ACTIONS(3971), 1,
      sym__dedent,
    STATE(2134), 1,
      aux_sym__match_block_repeat1,
    STATE(2534), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110459] = 5,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    ACTIONS(3975), 1,
      anon_sym_as,
    ACTIONS(3977), 1,
      anon_sym_RBRACK,
    STATE(2468), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110476] = 5,
    ACTIONS(3969), 1,
      anon_sym_as,
    ACTIONS(3979), 1,
      anon_sym_RPAREN,
    ACTIONS(3981), 1,
      anon_sym_COMMA,
    STATE(2433), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110493] = 3,
    ACTIONS(3651), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3983), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
  [110506] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3985), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [110517] = 4,
    ACTIONS(3987), 1,
      anon_sym_COMMA,
    STATE(2154), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3983), 2,
      anon_sym_if,
      anon_sym_COLON,
  [110532] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3316), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(3990), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [110545] = 5,
    ACTIONS(3817), 1,
      anon_sym_RPAREN,
    ACTIONS(3992), 1,
      anon_sym_COMMA,
    ACTIONS(3994), 1,
      anon_sym_as,
    STATE(2389), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110562] = 5,
    ACTIONS(3969), 1,
      anon_sym_as,
    ACTIONS(3996), 1,
      anon_sym_RPAREN,
    ACTIONS(3998), 1,
      anon_sym_COMMA,
    STATE(2420), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110579] = 4,
    ACTIONS(4002), 1,
      anon_sym_COLON,
    ACTIONS(4004), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4000), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [110594] = 5,
    ACTIONS(3975), 1,
      anon_sym_as,
    ACTIONS(4006), 1,
      anon_sym_COMMA,
    ACTIONS(4008), 1,
      anon_sym_RBRACK,
    STATE(2408), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110611] = 5,
    ACTIONS(3969), 1,
      anon_sym_as,
    ACTIONS(4010), 1,
      anon_sym_RPAREN,
    ACTIONS(4012), 1,
      anon_sym_COMMA,
    STATE(2406), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110628] = 5,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    ACTIONS(3936), 1,
      sym_identifier,
    STATE(2371), 1,
      sym_dotted_name,
    STATE(2561), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110645] = 5,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    ACTIONS(3936), 1,
      sym_identifier,
    STATE(2371), 1,
      sym_dotted_name,
    STATE(2561), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110662] = 5,
    ACTIONS(3779), 1,
      anon_sym_RPAREN,
    ACTIONS(3936), 1,
      sym_identifier,
    STATE(2371), 1,
      sym_dotted_name,
    STATE(2561), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110679] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3868), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110690] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3682), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110701] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3866), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110712] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3861), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110723] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3841), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110734] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3764), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110745] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3703), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110756] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3874), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110767] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3872), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110778] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3870), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110789] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3811), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110800] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3809), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110811] = 5,
    ACTIONS(3969), 1,
      anon_sym_as,
    ACTIONS(4014), 1,
      anon_sym_RPAREN,
    ACTIONS(4016), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110828] = 5,
    ACTIONS(3975), 1,
      anon_sym_as,
    ACTIONS(4018), 1,
      anon_sym_COMMA,
    ACTIONS(4020), 1,
      anon_sym_RBRACK,
    STATE(2311), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110845] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3701), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110856] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3805), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110867] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3707), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110878] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3789), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110889] = 5,
    ACTIONS(3969), 1,
      anon_sym_as,
    ACTIONS(4022), 1,
      anon_sym_RPAREN,
    ACTIONS(4024), 1,
      anon_sym_COMMA,
    STATE(2322), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110906] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3775), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110917] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3771), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110928] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3766), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110939] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3756), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110950] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3709), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110961] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3726), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110972] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3719), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110983] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3713), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110994] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3709), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111005] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3707), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111016] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3713), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111027] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3701), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111038] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3719), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111049] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3726), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111060] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3861), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111071] = 5,
    ACTIONS(3975), 1,
      anon_sym_as,
    ACTIONS(4026), 1,
      anon_sym_COMMA,
    ACTIONS(4028), 1,
      anon_sym_RBRACK,
    STATE(2309), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111088] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3866), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111099] = 5,
    ACTIONS(3969), 1,
      anon_sym_as,
    ACTIONS(4030), 1,
      anon_sym_RPAREN,
    ACTIONS(4032), 1,
      anon_sym_COMMA,
    STATE(2307), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111116] = 5,
    ACTIONS(3969), 1,
      anon_sym_as,
    ACTIONS(4034), 1,
      anon_sym_RPAREN,
    ACTIONS(4036), 1,
      anon_sym_COMMA,
    STATE(2290), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111133] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3868), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111144] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3766), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111155] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3771), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111166] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3775), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111177] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3789), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111188] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3805), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111199] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3841), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111210] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3764), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111221] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3703), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111232] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3874), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111243] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3809), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111254] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3872), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111265] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3870), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111276] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3809), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111287] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3805), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111298] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3789), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111309] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3775), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111320] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3771), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111331] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3766), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111342] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3756), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111353] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3811), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111364] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3870), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111375] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3872), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111386] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3726), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111397] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3719), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111408] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3713), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111419] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3874), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111430] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3756), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111441] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3709), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111452] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3707), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111463] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3764), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111474] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3701), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111485] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3841), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111496] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3703), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111507] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3861), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111518] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3866), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111529] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3682), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111540] = 4,
    ACTIONS(4038), 1,
      anon_sym_RPAREN,
    ACTIONS(4040), 1,
      anon_sym_COMMA,
    STATE(2376), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111554] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1633), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
  [111564] = 4,
    ACTIONS(4042), 1,
      anon_sym_COMMA,
    ACTIONS(4044), 1,
      anon_sym_in,
    STATE(2260), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111578] = 4,
    ACTIONS(4042), 1,
      anon_sym_COMMA,
    ACTIONS(4046), 1,
      anon_sym_in,
    STATE(2260), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111592] = 4,
    ACTIONS(4048), 1,
      anon_sym_SEMI,
    ACTIONS(4050), 1,
      sym__newline,
    STATE(2272), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111606] = 4,
    ACTIONS(3334), 1,
      anon_sym_COMMA,
    ACTIONS(3336), 1,
      anon_sym_RBRACE,
    STATE(2259), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111620] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3643), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [111630] = 4,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(4052), 1,
      anon_sym_import,
    STATE(2712), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111644] = 4,
    ACTIONS(2974), 1,
      anon_sym_RPAREN,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111658] = 4,
    ACTIONS(3499), 1,
      anon_sym_RBRACE,
    ACTIONS(4054), 1,
      anon_sym_COMMA,
    STATE(2248), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111672] = 4,
    ACTIONS(617), 1,
      sym__newline,
    ACTIONS(4057), 1,
      anon_sym_SEMI,
    STATE(2360), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111686] = 4,
    ACTIONS(4059), 1,
      anon_sym_RPAREN,
    ACTIONS(4061), 1,
      anon_sym_COMMA,
    STATE(2316), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111700] = 4,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(3113), 1,
      anon_sym_RPAREN,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111714] = 3,
    ACTIONS(3190), 1,
      anon_sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3188), 2,
      sym__newline,
      anon_sym_SEMI,
  [111726] = 4,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(4063), 1,
      anon_sym_RPAREN,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111740] = 4,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(4065), 1,
      anon_sym_RPAREN,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111754] = 4,
    ACTIONS(4042), 1,
      anon_sym_COMMA,
    ACTIONS(4067), 1,
      anon_sym_in,
    STATE(2260), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111768] = 4,
    ACTIONS(4069), 1,
      anon_sym_COMMA,
    ACTIONS(4071), 1,
      anon_sym_COLON,
    STATE(2348), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111782] = 4,
    ACTIONS(643), 1,
      sym__newline,
    ACTIONS(4073), 1,
      anon_sym_SEMI,
    STATE(2360), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111796] = 4,
    ACTIONS(1331), 1,
      anon_sym_RBRACE,
    ACTIONS(4075), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111810] = 4,
    ACTIONS(1311), 1,
      anon_sym_RBRACE,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111824] = 4,
    ACTIONS(959), 1,
      anon_sym_in,
    ACTIONS(4079), 1,
      anon_sym_COMMA,
    STATE(2459), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111838] = 3,
    ACTIONS(4083), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4081), 2,
      sym__newline,
      anon_sym_SEMI,
  [111850] = 4,
    ACTIONS(3326), 1,
      anon_sym_COMMA,
    ACTIONS(3328), 1,
      anon_sym_RBRACE,
    STATE(2354), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111864] = 4,
    ACTIONS(3196), 1,
      anon_sym_RPAREN,
    ACTIONS(4085), 1,
      anon_sym_COMMA,
    STATE(2263), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111878] = 3,
    ACTIONS(4088), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4000), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [111890] = 4,
    ACTIONS(3050), 1,
      anon_sym_RPAREN,
    ACTIONS(3052), 1,
      anon_sym_COMMA,
    STATE(2276), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111904] = 4,
    ACTIONS(4090), 1,
      anon_sym_RPAREN,
    ACTIONS(4092), 1,
      anon_sym_COMMA,
    STATE(2278), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111918] = 4,
    ACTIONS(2871), 1,
      anon_sym_RBRACK,
    ACTIONS(4094), 1,
      anon_sym_COMMA,
    STATE(2267), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111932] = 4,
    ACTIONS(4097), 1,
      anon_sym_COMMA,
    ACTIONS(4099), 1,
      anon_sym_COLON,
    STATE(2356), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111946] = 4,
    ACTIONS(3322), 1,
      anon_sym_COMMA,
    ACTIONS(3324), 1,
      anon_sym_RBRACK,
    STATE(2281), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111960] = 3,
    ACTIONS(4088), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4000), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [111972] = 4,
    ACTIONS(1261), 1,
      anon_sym_RPAREN,
    ACTIONS(4101), 1,
      anon_sym_COMMA,
    STATE(2263), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111986] = 4,
    ACTIONS(645), 1,
      sym__newline,
    ACTIONS(4103), 1,
      anon_sym_SEMI,
    STATE(2360), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112000] = 4,
    ACTIONS(1269), 1,
      anon_sym_RBRACE,
    ACTIONS(4105), 1,
      anon_sym_COMMA,
    STATE(2248), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112014] = 4,
    ACTIONS(1239), 1,
      anon_sym_RPAREN,
    ACTIONS(4107), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112028] = 4,
    ACTIONS(2962), 1,
      anon_sym_COMMA,
    ACTIONS(2974), 1,
      anon_sym_RBRACE,
    STATE(2273), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112042] = 4,
    ACTIONS(1233), 1,
      anon_sym_RPAREN,
    ACTIONS(4109), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112056] = 4,
    ACTIONS(4042), 1,
      anon_sym_COMMA,
    ACTIONS(4111), 1,
      anon_sym_in,
    STATE(2260), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112070] = 4,
    ACTIONS(1235), 1,
      anon_sym_RPAREN,
    ACTIONS(4113), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112084] = 4,
    ACTIONS(4042), 1,
      anon_sym_COMMA,
    ACTIONS(4115), 1,
      anon_sym_in,
    STATE(2260), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112098] = 4,
    ACTIONS(4117), 1,
      anon_sym_COMMA,
    ACTIONS(4119), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112112] = 4,
    ACTIONS(4121), 1,
      anon_sym_COMMA,
    ACTIONS(4123), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112126] = 4,
    ACTIONS(3046), 1,
      anon_sym_RPAREN,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112140] = 4,
    ACTIONS(1245), 1,
      anon_sym_RPAREN,
    ACTIONS(4125), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112154] = 4,
    ACTIONS(3450), 1,
      anon_sym_COMMA,
    ACTIONS(3452), 1,
      anon_sym_RBRACE,
    STATE(2258), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112168] = 4,
    ACTIONS(993), 1,
      anon_sym_RBRACK,
    ACTIONS(4127), 1,
      anon_sym_COMMA,
    STATE(2484), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112182] = 4,
    ACTIONS(4129), 1,
      anon_sym_SEMI,
    ACTIONS(4131), 1,
      sym__newline,
    STATE(2249), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112196] = 3,
    ACTIONS(3975), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3983), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [112208] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3985), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [112218] = 4,
    ACTIONS(3983), 1,
      anon_sym_RBRACK,
    ACTIONS(4133), 1,
      anon_sym_COMMA,
    STATE(2289), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112232] = 4,
    ACTIONS(2656), 1,
      anon_sym_RPAREN,
    ACTIONS(4136), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112246] = 4,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(4138), 1,
      anon_sym_RPAREN,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112260] = 4,
    ACTIONS(3728), 1,
      anon_sym_DOT,
    ACTIONS(3734), 1,
      anon_sym_PIPE,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112274] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2458), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [112284] = 4,
    ACTIONS(3728), 1,
      anon_sym_DOT,
    ACTIONS(3734), 1,
      anon_sym_PIPE,
    ACTIONS(4142), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112298] = 4,
    ACTIONS(1261), 1,
      anon_sym_RBRACK,
    ACTIONS(4144), 1,
      anon_sym_COMMA,
    STATE(2296), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112312] = 4,
    ACTIONS(3196), 1,
      anon_sym_RBRACK,
    ACTIONS(4146), 1,
      anon_sym_COMMA,
    STATE(2296), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112326] = 3,
    ACTIONS(3639), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3641), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [112338] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2445), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [112348] = 4,
    ACTIONS(4149), 1,
      anon_sym_COMMA,
    ACTIONS(4151), 1,
      anon_sym_RBRACE,
    STATE(2435), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112362] = 4,
    ACTIONS(4153), 1,
      anon_sym_COMMA,
    ACTIONS(4155), 1,
      anon_sym_RBRACE,
    STATE(2312), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112376] = 4,
    ACTIONS(3983), 1,
      anon_sym_RPAREN,
    ACTIONS(4157), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112390] = 4,
    ACTIONS(3728), 1,
      anon_sym_DOT,
    ACTIONS(3734), 1,
      anon_sym_PIPE,
    ACTIONS(4160), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112404] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3985), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [112414] = 4,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(4162), 1,
      anon_sym_RPAREN,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112428] = 3,
    ACTIONS(3969), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3983), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [112440] = 4,
    ACTIONS(4164), 1,
      anon_sym_COMMA,
    ACTIONS(4166), 1,
      anon_sym_RBRACE,
    STATE(2435), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112454] = 4,
    ACTIONS(2660), 1,
      anon_sym_RPAREN,
    ACTIONS(4168), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112468] = 4,
    ACTIONS(1269), 1,
      anon_sym_RPAREN,
    ACTIONS(4170), 1,
      anon_sym_COMMA,
    STATE(2407), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112482] = 4,
    ACTIONS(2670), 1,
      anon_sym_RBRACK,
    ACTIONS(4172), 1,
      anon_sym_COMMA,
    STATE(2289), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112496] = 4,
    ACTIONS(3728), 1,
      anon_sym_DOT,
    ACTIONS(3734), 1,
      anon_sym_PIPE,
    ACTIONS(4174), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112510] = 4,
    ACTIONS(2646), 1,
      anon_sym_RBRACK,
    ACTIONS(4176), 1,
      anon_sym_COMMA,
    STATE(2289), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112524] = 4,
    ACTIONS(4178), 1,
      anon_sym_COMMA,
    ACTIONS(4180), 1,
      anon_sym_RBRACE,
    STATE(2435), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112538] = 4,
    ACTIONS(2634), 1,
      anon_sym_RPAREN,
    ACTIONS(4182), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112552] = 4,
    ACTIONS(4184), 1,
      anon_sym_COMMA,
    ACTIONS(4186), 1,
      anon_sym_RBRACE,
    STATE(2435), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112566] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3985), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [112576] = 4,
    ACTIONS(1866), 1,
      anon_sym_RPAREN,
    ACTIONS(4188), 1,
      anon_sym_COMMA,
    STATE(2375), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112590] = 4,
    ACTIONS(4042), 1,
      anon_sym_COMMA,
    ACTIONS(4190), 1,
      anon_sym_in,
    STATE(2260), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112604] = 4,
    ACTIONS(4192), 1,
      anon_sym_COMMA,
    ACTIONS(4194), 1,
      anon_sym_RBRACE,
    STATE(2306), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112618] = 4,
    ACTIONS(1261), 1,
      anon_sym_COLON,
    ACTIONS(4196), 1,
      anon_sym_COMMA,
    STATE(2320), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112632] = 4,
    ACTIONS(3196), 1,
      anon_sym_COLON,
    ACTIONS(4198), 1,
      anon_sym_COMMA,
    STATE(2320), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112646] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3643), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [112656] = 4,
    ACTIONS(2690), 1,
      anon_sym_RPAREN,
    ACTIONS(4201), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112670] = 3,
    ACTIONS(3645), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3647), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [112682] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3643), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [112692] = 3,
    ACTIONS(3511), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3513), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [112704] = 3,
    ACTIONS(3468), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3470), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [112716] = 3,
    ACTIONS(3462), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3464), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [112728] = 4,
    ACTIONS(4203), 1,
      sym__newline,
    ACTIONS(4205), 1,
      sym__indent,
    STATE(776), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112742] = 4,
    ACTIONS(3936), 1,
      sym_identifier,
    STATE(2371), 1,
      sym_dotted_name,
    STATE(2561), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112756] = 3,
    ACTIONS(3606), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3608), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [112768] = 3,
    ACTIONS(3617), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3619), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [112780] = 4,
    ACTIONS(4207), 1,
      anon_sym_COMMA,
    ACTIONS(4209), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112794] = 3,
    ACTIONS(1718), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [112806] = 4,
    ACTIONS(4211), 1,
      anon_sym_SEMI,
    ACTIONS(4213), 1,
      sym__newline,
    STATE(2355), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112820] = 4,
    ACTIONS(4215), 1,
      anon_sym_COMMA,
    ACTIONS(4217), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112834] = 4,
    ACTIONS(4219), 1,
      anon_sym_RPAREN,
    ACTIONS(4221), 1,
      anon_sym_COMMA,
    STATE(2336), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112848] = 4,
    ACTIONS(4042), 1,
      anon_sym_COMMA,
    ACTIONS(4224), 1,
      anon_sym_in,
    STATE(2260), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112862] = 4,
    ACTIONS(3736), 1,
      anon_sym_LPAREN,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    STATE(2694), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112876] = 4,
    ACTIONS(4228), 1,
      anon_sym_RPAREN,
    ACTIONS(4230), 1,
      anon_sym_COMMA,
    STATE(2339), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112890] = 4,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(3111), 1,
      anon_sym_RPAREN,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112904] = 4,
    ACTIONS(3781), 1,
      anon_sym_COLON,
    ACTIONS(4233), 1,
      anon_sym_RBRACE,
    STATE(2722), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112918] = 4,
    ACTIONS(4235), 1,
      sym__newline,
    ACTIONS(4237), 1,
      sym__indent,
    STATE(836), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112932] = 4,
    ACTIONS(4203), 1,
      sym__newline,
    ACTIONS(4205), 1,
      sym__indent,
    STATE(754), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112946] = 4,
    ACTIONS(3499), 1,
      anon_sym_RBRACK,
    ACTIONS(4239), 1,
      anon_sym_COMMA,
    STATE(2344), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112960] = 4,
    ACTIONS(4242), 1,
      anon_sym_COMMA,
    ACTIONS(4244), 1,
      anon_sym_COLON,
    STATE(2421), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112974] = 4,
    ACTIONS(4042), 1,
      anon_sym_COMMA,
    ACTIONS(4246), 1,
      anon_sym_in,
    STATE(2260), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112988] = 4,
    ACTIONS(4248), 1,
      anon_sym_RPAREN,
    ACTIONS(4250), 1,
      anon_sym_COMMA,
    STATE(2423), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113002] = 4,
    ACTIONS(1441), 1,
      anon_sym_COLON,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    STATE(2426), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113016] = 4,
    ACTIONS(3736), 1,
      anon_sym_LPAREN,
    ACTIONS(4254), 1,
      anon_sym_COLON,
    STATE(2604), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113030] = 4,
    ACTIONS(3429), 1,
      anon_sym_COMMA,
    ACTIONS(3431), 1,
      anon_sym_RBRACE,
    STATE(2363), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113044] = 4,
    ACTIONS(4256), 1,
      anon_sym_COMMA,
    ACTIONS(4258), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113058] = 4,
    ACTIONS(4260), 1,
      anon_sym_COMMA,
    ACTIONS(4262), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113072] = 4,
    ACTIONS(3283), 1,
      anon_sym_COMMA,
    ACTIONS(3285), 1,
      anon_sym_RBRACK,
    STATE(2351), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113086] = 4,
    ACTIONS(1307), 1,
      anon_sym_RBRACE,
    ACTIONS(4264), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113100] = 4,
    ACTIONS(627), 1,
      sym__newline,
    ACTIONS(4266), 1,
      anon_sym_SEMI,
    STATE(2360), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113114] = 4,
    ACTIONS(2951), 1,
      anon_sym_COLON,
    ACTIONS(4268), 1,
      anon_sym_COMMA,
    STATE(2440), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113128] = 4,
    ACTIONS(4270), 1,
      anon_sym_COMMA,
    ACTIONS(4272), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113142] = 4,
    ACTIONS(4274), 1,
      anon_sym_COMMA,
    ACTIONS(4276), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113156] = 4,
    ACTIONS(3223), 1,
      anon_sym_COMMA,
    ACTIONS(3227), 1,
      anon_sym_RBRACK,
    STATE(2357), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113170] = 4,
    ACTIONS(4278), 1,
      anon_sym_SEMI,
    ACTIONS(4281), 1,
      sym__newline,
    STATE(2360), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113184] = 4,
    ACTIONS(3024), 1,
      anon_sym_RPAREN,
    ACTIONS(3026), 1,
      anon_sym_COMMA,
    STATE(2443), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113198] = 4,
    ACTIONS(4283), 1,
      anon_sym_RPAREN,
    ACTIONS(4285), 1,
      anon_sym_COMMA,
    STATE(2447), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113212] = 4,
    ACTIONS(1325), 1,
      anon_sym_RBRACE,
    ACTIONS(4287), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113226] = 4,
    ACTIONS(3259), 1,
      anon_sym_COMMA,
    ACTIONS(3261), 1,
      anon_sym_RBRACK,
    STATE(2451), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113240] = 4,
    ACTIONS(3781), 1,
      anon_sym_COLON,
    ACTIONS(4289), 1,
      anon_sym_RBRACE,
    STATE(2703), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113254] = 4,
    ACTIONS(3931), 1,
      anon_sym_RPAREN,
    ACTIONS(4291), 1,
      anon_sym_COMMA,
    STATE(2366), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113268] = 4,
    ACTIONS(4294), 1,
      anon_sym_COMMA,
    ACTIONS(4296), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113282] = 4,
    ACTIONS(4298), 1,
      anon_sym_COMMA,
    ACTIONS(4300), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113296] = 4,
    ACTIONS(3036), 1,
      anon_sym_RPAREN,
    ACTIONS(3038), 1,
      anon_sym_COMMA,
    STATE(2380), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113310] = 4,
    ACTIONS(4302), 1,
      anon_sym_RPAREN,
    ACTIONS(4304), 1,
      anon_sym_COMMA,
    STATE(2382), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113324] = 3,
    ACTIONS(3994), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3925), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [113336] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3925), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [113346] = 4,
    ACTIONS(3304), 1,
      anon_sym_COMMA,
    ACTIONS(3306), 1,
      anon_sym_RBRACK,
    STATE(2385), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113360] = 3,
    ACTIONS(3576), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3578), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [113372] = 4,
    ACTIONS(2871), 1,
      anon_sym_RPAREN,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    STATE(2375), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113386] = 4,
    ACTIONS(1241), 1,
      anon_sym_RPAREN,
    ACTIONS(4309), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113400] = 3,
    ACTIONS(1722), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [113412] = 4,
    ACTIONS(2951), 1,
      anon_sym_RPAREN,
    ACTIONS(4311), 1,
      anon_sym_COMMA,
    STATE(2336), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113426] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1633), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [113436] = 4,
    ACTIONS(1219), 1,
      anon_sym_RPAREN,
    ACTIONS(4313), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113450] = 4,
    ACTIONS(1243), 1,
      anon_sym_RPAREN,
    ACTIONS(4315), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113464] = 4,
    ACTIONS(1247), 1,
      anon_sym_RPAREN,
    ACTIONS(4317), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113478] = 4,
    ACTIONS(1866), 1,
      anon_sym_RBRACK,
    ACTIONS(4319), 1,
      anon_sym_COMMA,
    STATE(2267), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113492] = 4,
    ACTIONS(4321), 1,
      anon_sym_COMMA,
    ACTIONS(4323), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113506] = 4,
    ACTIONS(4325), 1,
      anon_sym_COMMA,
    ACTIONS(4327), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113520] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2886), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [113530] = 4,
    ACTIONS(985), 1,
      anon_sym_RBRACK,
    ACTIONS(4329), 1,
      anon_sym_COMMA,
    STATE(2484), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113544] = 4,
    ACTIONS(1269), 1,
      anon_sym_RBRACK,
    ACTIONS(4331), 1,
      anon_sym_COMMA,
    STATE(2344), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113558] = 4,
    ACTIONS(3896), 1,
      anon_sym_RPAREN,
    ACTIONS(4333), 1,
      anon_sym_COMMA,
    STATE(2366), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113572] = 4,
    ACTIONS(3896), 1,
      anon_sym_RPAREN,
    ACTIONS(4335), 1,
      anon_sym_COMMA,
    STATE(2366), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113586] = 4,
    ACTIONS(2974), 1,
      anon_sym_RBRACK,
    ACTIONS(3069), 1,
      anon_sym_COMMA,
    STATE(2388), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113600] = 3,
    ACTIONS(1700), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1702), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [113612] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4337), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [113622] = 4,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
    ACTIONS(3103), 1,
      anon_sym_COMMA,
    STATE(2274), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113636] = 4,
    ACTIONS(3291), 1,
      anon_sym_COMMA,
    ACTIONS(3293), 1,
      anon_sym_RBRACK,
    STATE(2367), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113650] = 3,
    ACTIONS(4339), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4000), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [113662] = 4,
    ACTIONS(4341), 1,
      anon_sym_RPAREN,
    ACTIONS(4343), 1,
      anon_sym_COMMA,
    STATE(2283), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113676] = 4,
    ACTIONS(4345), 1,
      anon_sym_COMMA,
    ACTIONS(4347), 1,
      anon_sym_COLON,
    STATE(2421), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113690] = 4,
    ACTIONS(3130), 1,
      anon_sym_RPAREN,
    ACTIONS(3132), 1,
      anon_sym_COMMA,
    STATE(2381), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113704] = 4,
    ACTIONS(4349), 1,
      anon_sym_COMMA,
    ACTIONS(4351), 1,
      anon_sym_RBRACE,
    STATE(2411), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113718] = 3,
    ACTIONS(4004), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4000), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [113730] = 4,
    ACTIONS(1339), 1,
      anon_sym_RBRACE,
    ACTIONS(4353), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113744] = 4,
    ACTIONS(4099), 1,
      anon_sym_RPAREN,
    ACTIONS(4355), 1,
      anon_sym_COMMA,
    STATE(2378), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113758] = 4,
    ACTIONS(641), 1,
      sym__newline,
    ACTIONS(4357), 1,
      anon_sym_SEMI,
    STATE(2360), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113772] = 4,
    ACTIONS(3386), 1,
      anon_sym_COMMA,
    ACTIONS(3388), 1,
      anon_sym_RBRACE,
    STATE(2402), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113786] = 4,
    ACTIONS(2630), 1,
      anon_sym_RPAREN,
    ACTIONS(4359), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113800] = 4,
    ACTIONS(3499), 1,
      anon_sym_RPAREN,
    ACTIONS(4361), 1,
      anon_sym_COMMA,
    STATE(2407), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113814] = 4,
    ACTIONS(2676), 1,
      anon_sym_RBRACK,
    ACTIONS(4364), 1,
      anon_sym_COMMA,
    STATE(2289), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113828] = 4,
    ACTIONS(4042), 1,
      anon_sym_COMMA,
    ACTIONS(4366), 1,
      anon_sym_in,
    STATE(2260), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113842] = 4,
    ACTIONS(4059), 1,
      anon_sym_RBRACK,
    ACTIONS(4368), 1,
      anon_sym_COMMA,
    STATE(2383), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113856] = 4,
    ACTIONS(4370), 1,
      anon_sym_COMMA,
    ACTIONS(4372), 1,
      anon_sym_RBRACE,
    STATE(2435), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113870] = 3,
    ACTIONS(4376), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4374), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [113882] = 4,
    ACTIONS(4378), 1,
      anon_sym_COMMA,
    ACTIONS(4380), 1,
      anon_sym_RBRACE,
    STATE(2435), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113896] = 4,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(3091), 1,
      anon_sym_RPAREN,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113910] = 4,
    ACTIONS(4382), 1,
      anon_sym_SEMI,
    ACTIONS(4384), 1,
      sym__newline,
    STATE(2404), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113924] = 4,
    ACTIONS(3817), 1,
      anon_sym_RPAREN,
    ACTIONS(3992), 1,
      anon_sym_COMMA,
    STATE(2390), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113938] = 4,
    ACTIONS(4235), 1,
      sym__newline,
    ACTIONS(4237), 1,
      sym__indent,
    STATE(742), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113952] = 4,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(4386), 1,
      anon_sym_RPAREN,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113966] = 4,
    ACTIONS(4235), 1,
      sym__newline,
    ACTIONS(4237), 1,
      sym__indent,
    STATE(745), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113980] = 4,
    ACTIONS(2606), 1,
      anon_sym_RPAREN,
    ACTIONS(4388), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113994] = 4,
    ACTIONS(4390), 1,
      anon_sym_COMMA,
    ACTIONS(4393), 1,
      anon_sym_COLON,
    STATE(2421), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114008] = 3,
    ACTIONS(1726), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1724), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [114020] = 4,
    ACTIONS(1429), 1,
      anon_sym_RPAREN,
    ACTIONS(4395), 1,
      anon_sym_COMMA,
    STATE(2339), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114034] = 4,
    ACTIONS(4397), 1,
      anon_sym_COMMA,
    ACTIONS(4399), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114048] = 4,
    ACTIONS(4401), 1,
      anon_sym_COMMA,
    ACTIONS(4403), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114062] = 4,
    ACTIONS(4228), 1,
      anon_sym_COLON,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    STATE(2426), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114076] = 4,
    ACTIONS(1173), 1,
      anon_sym_RPAREN,
    ACTIONS(4408), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114090] = 4,
    ACTIONS(1171), 1,
      anon_sym_RPAREN,
    ACTIONS(4410), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114104] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3945), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [114114] = 4,
    ACTIONS(4412), 1,
      anon_sym_SEMI,
    ACTIONS(4414), 1,
      sym__newline,
    STATE(2449), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114128] = 4,
    ACTIONS(3265), 1,
      anon_sym_COMMA,
    ACTIONS(3267), 1,
      anon_sym_RBRACK,
    STATE(2424), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114142] = 4,
    ACTIONS(3271), 1,
      anon_sym_COMMA,
    ACTIONS(3273), 1,
      anon_sym_RBRACK,
    STATE(2335), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114156] = 4,
    ACTIONS(2658), 1,
      anon_sym_RPAREN,
    ACTIONS(4416), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114170] = 4,
    ACTIONS(4418), 1,
      anon_sym_RPAREN,
    ACTIONS(4420), 1,
      anon_sym_COMMA,
    STATE(2427), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114184] = 4,
    ACTIONS(4422), 1,
      anon_sym_COMMA,
    ACTIONS(4425), 1,
      anon_sym_RBRACE,
    STATE(2435), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114198] = 4,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(3128), 1,
      anon_sym_RPAREN,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114212] = 4,
    ACTIONS(2996), 1,
      anon_sym_RPAREN,
    ACTIONS(2998), 1,
      anon_sym_COMMA,
    STATE(2428), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114226] = 4,
    ACTIONS(4427), 1,
      anon_sym_COMMA,
    ACTIONS(4430), 1,
      anon_sym_RBRACE,
    STATE(2438), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114240] = 4,
    ACTIONS(1323), 1,
      anon_sym_RBRACE,
    ACTIONS(4432), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114254] = 4,
    ACTIONS(4219), 1,
      anon_sym_COLON,
    ACTIONS(4434), 1,
      anon_sym_COMMA,
    STATE(2440), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114268] = 4,
    ACTIONS(629), 1,
      sym__newline,
    ACTIONS(4437), 1,
      anon_sym_SEMI,
    STATE(2360), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114282] = 4,
    ACTIONS(1019), 1,
      anon_sym_RBRACK,
    ACTIONS(4439), 1,
      anon_sym_COMMA,
    STATE(2484), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114296] = 4,
    ACTIONS(1213), 1,
      anon_sym_RPAREN,
    ACTIONS(4441), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114310] = 4,
    ACTIONS(3423), 1,
      anon_sym_COMMA,
    ACTIONS(3425), 1,
      anon_sym_RBRACE,
    STATE(2456), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114324] = 4,
    ACTIONS(4443), 1,
      anon_sym_SEMI,
    ACTIONS(4445), 1,
      sym__newline,
    STATE(2257), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114338] = 4,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(3332), 1,
      anon_sym_RBRACE,
    STATE(2439), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114352] = 4,
    ACTIONS(1203), 1,
      anon_sym_RPAREN,
    ACTIONS(4447), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114366] = 4,
    ACTIONS(4449), 1,
      anon_sym_COMMA,
    ACTIONS(4451), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114380] = 4,
    ACTIONS(639), 1,
      sym__newline,
    ACTIONS(4453), 1,
      anon_sym_SEMI,
    STATE(2360), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114394] = 4,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114408] = 4,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
    ACTIONS(4457), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114422] = 3,
    ACTIONS(4461), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4459), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [114434] = 4,
    ACTIONS(4463), 1,
      anon_sym_SEMI,
    ACTIONS(4465), 1,
      sym__newline,
    STATE(2441), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114448] = 4,
    ACTIONS(3781), 1,
      anon_sym_COLON,
    ACTIONS(4467), 1,
      anon_sym_RBRACE,
    STATE(2794), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114462] = 4,
    ACTIONS(3366), 1,
      sym_identifier,
    STATE(2133), 1,
      sym_dotted_name,
    STATE(2372), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114476] = 4,
    ACTIONS(1303), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114490] = 4,
    ACTIONS(3781), 1,
      anon_sym_COLON,
    ACTIONS(4471), 1,
      anon_sym_RBRACE,
    STATE(2668), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114504] = 4,
    ACTIONS(4042), 1,
      anon_sym_COMMA,
    ACTIONS(4473), 1,
      anon_sym_in,
    STATE(2260), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114518] = 4,
    ACTIONS(2871), 1,
      anon_sym_in,
    ACTIONS(4475), 1,
      anon_sym_COMMA,
    STATE(2459), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114532] = 4,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(3105), 1,
      anon_sym_RPAREN,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114546] = 4,
    ACTIONS(4235), 1,
      sym__newline,
    ACTIONS(4237), 1,
      sym__indent,
    STATE(760), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114560] = 4,
    ACTIONS(3083), 1,
      anon_sym_RPAREN,
    ACTIONS(3085), 1,
      anon_sym_COMMA,
    STATE(2471), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114574] = 4,
    ACTIONS(4478), 1,
      anon_sym_RPAREN,
    ACTIONS(4480), 1,
      anon_sym_COMMA,
    STATE(2473), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114588] = 4,
    ACTIONS(4482), 1,
      anon_sym_COMMA,
    ACTIONS(4484), 1,
      anon_sym_RBRACE,
    STATE(2435), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114602] = 4,
    ACTIONS(4486), 1,
      anon_sym_COMMA,
    ACTIONS(4488), 1,
      anon_sym_RBRACE,
    STATE(2435), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114616] = 4,
    ACTIONS(3243), 1,
      anon_sym_COMMA,
    ACTIONS(3245), 1,
      anon_sym_RBRACK,
    STATE(2476), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114630] = 4,
    ACTIONS(4490), 1,
      anon_sym_COMMA,
    ACTIONS(4492), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114644] = 4,
    ACTIONS(2644), 1,
      anon_sym_RBRACK,
    ACTIONS(4494), 1,
      anon_sym_COMMA,
    STATE(2289), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114658] = 4,
    ACTIONS(2672), 1,
      anon_sym_RPAREN,
    ACTIONS(4496), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114672] = 4,
    ACTIONS(3728), 1,
      anon_sym_DOT,
    ACTIONS(3734), 1,
      anon_sym_PIPE,
    ACTIONS(4498), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114686] = 4,
    ACTIONS(1227), 1,
      anon_sym_RPAREN,
    ACTIONS(4500), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114700] = 4,
    ACTIONS(4502), 1,
      anon_sym_COMMA,
    ACTIONS(4504), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114714] = 4,
    ACTIONS(1217), 1,
      anon_sym_RPAREN,
    ACTIONS(4506), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114728] = 4,
    ACTIONS(1223), 1,
      anon_sym_RPAREN,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114742] = 4,
    ACTIONS(4510), 1,
      anon_sym_COMMA,
    ACTIONS(4512), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114756] = 4,
    ACTIONS(4514), 1,
      anon_sym_COMMA,
    ACTIONS(4516), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114770] = 4,
    ACTIONS(1161), 1,
      anon_sym_RPAREN,
    ACTIONS(4518), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114784] = 4,
    ACTIONS(4520), 1,
      anon_sym_COMMA,
    ACTIONS(4522), 1,
      anon_sym_RBRACE,
    STATE(2465), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114798] = 4,
    ACTIONS(3584), 1,
      anon_sym_PIPE,
    ACTIONS(4524), 1,
      anon_sym_COLON,
    STATE(1934), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114812] = 4,
    ACTIONS(4203), 1,
      sym__newline,
    ACTIONS(4205), 1,
      sym__indent,
    STATE(825), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114826] = 4,
    ACTIONS(3255), 1,
      anon_sym_COMMA,
    ACTIONS(3257), 1,
      anon_sym_RBRACK,
    STATE(2467), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114840] = 3,
    ACTIONS(1680), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1678), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [114852] = 4,
    ACTIONS(3728), 1,
      anon_sym_DOT,
    ACTIONS(3734), 1,
      anon_sym_PIPE,
    ACTIONS(4526), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114866] = 4,
    ACTIONS(3845), 1,
      anon_sym_RBRACK,
    ACTIONS(4528), 1,
      anon_sym_COMMA,
    STATE(2484), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114880] = 4,
    ACTIONS(997), 1,
      anon_sym_RBRACK,
    ACTIONS(4531), 1,
      anon_sym_COMMA,
    STATE(2484), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114894] = 4,
    ACTIONS(3728), 1,
      anon_sym_DOT,
    ACTIONS(3734), 1,
      anon_sym_PIPE,
    ACTIONS(4533), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114908] = 4,
    ACTIONS(4203), 1,
      sym__newline,
    ACTIONS(4205), 1,
      sym__indent,
    STATE(779), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114922] = 4,
    ACTIONS(3728), 1,
      anon_sym_DOT,
    ACTIONS(3734), 1,
      anon_sym_PIPE,
    ACTIONS(4535), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114936] = 4,
    ACTIONS(4537), 1,
      anon_sym_SEMI,
    ACTIONS(4539), 1,
      sym__newline,
    STATE(2495), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114950] = 4,
    ACTIONS(4541), 1,
      anon_sym_RPAREN,
    ACTIONS(4543), 1,
      anon_sym_COMMA,
    STATE(2474), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114964] = 4,
    ACTIONS(3065), 1,
      anon_sym_RPAREN,
    ACTIONS(3067), 1,
      anon_sym_COMMA,
    STATE(2477), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114978] = 4,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(4545), 1,
      anon_sym_RPAREN,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114992] = 4,
    ACTIONS(1319), 1,
      anon_sym_RBRACE,
    ACTIONS(4547), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115006] = 4,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(3087), 1,
      anon_sym_RPAREN,
    STATE(2308), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115020] = 4,
    ACTIONS(635), 1,
      sym__newline,
    ACTIONS(4549), 1,
      anon_sym_SEMI,
    STATE(2360), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115034] = 4,
    ACTIONS(3600), 1,
      anon_sym_RPAREN,
    ACTIONS(4551), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115048] = 4,
    ACTIONS(3401), 1,
      anon_sym_COMMA,
    ACTIONS(3403), 1,
      anon_sym_RBRACE,
    STATE(2493), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115062] = 4,
    ACTIONS(4554), 1,
      anon_sym_COMMA,
    ACTIONS(4557), 1,
      anon_sym_RBRACK,
    STATE(2498), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115076] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4559), 2,
      sym__newline,
      anon_sym_SEMI,
  [115085] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4561), 2,
      sym__newline,
      anon_sym_SEMI,
  [115094] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4563), 2,
      sym__newline,
      anon_sym_SEMI,
  [115103] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3407), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115112] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4565), 2,
      sym__newline,
      anon_sym_SEMI,
  [115121] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3095), 2,
      sym__newline,
      anon_sym_SEMI,
  [115130] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4567), 2,
      sym__newline,
      anon_sym_SEMI,
  [115139] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4569), 2,
      sym__newline,
      anon_sym_SEMI,
  [115148] = 3,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    STATE(2541), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115159] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4571), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115168] = 3,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    STATE(2543), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115179] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3499), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [115188] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3600), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115197] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4573), 2,
      sym__newline,
      anon_sym_SEMI,
  [115206] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3320), 2,
      sym__newline,
      anon_sym_SEMI,
  [115215] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3318), 2,
      sym__newline,
      anon_sym_SEMI,
  [115224] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4575), 2,
      sym__newline,
      anon_sym_SEMI,
  [115233] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4577), 2,
      anon_sym__,
      sym_identifier,
  [115242] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4579), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [115251] = 3,
    ACTIONS(4581), 1,
      sym_integer,
    ACTIONS(4583), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115262] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4585), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [115271] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4587), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [115280] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1678), 2,
      sym__dedent,
      anon_sym_case,
  [115289] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115298] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4589), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [115307] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4000), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [115316] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4000), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [115325] = 3,
    ACTIONS(4591), 1,
      sym_integer,
    ACTIONS(4593), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115336] = 3,
    ACTIONS(4595), 1,
      anon_sym_COLON,
    ACTIONS(4597), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115347] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3156), 2,
      sym__newline,
      anon_sym_SEMI,
  [115356] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2886), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115365] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3156), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115374] = 3,
    ACTIONS(4599), 1,
      sym_integer,
    ACTIONS(4601), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115385] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115394] = 3,
    ACTIONS(4603), 1,
      anon_sym_COMMA,
    STATE(1922), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115405] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4605), 2,
      sym__dedent,
      anon_sym_case,
  [115414] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2871), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115423] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4607), 2,
      anon_sym__,
      sym_identifier,
  [115432] = 3,
    ACTIONS(4609), 1,
      sym_integer,
    ACTIONS(4611), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115443] = 3,
    ACTIONS(4613), 1,
      sym_integer,
    ACTIONS(4615), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115454] = 3,
    ACTIONS(4617), 1,
      sym_integer,
    ACTIONS(4619), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115465] = 3,
    ACTIONS(4621), 1,
      sym_integer,
    ACTIONS(4623), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115476] = 3,
    ACTIONS(4625), 1,
      anon_sym_COLON,
    ACTIONS(4627), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115487] = 3,
    ACTIONS(4629), 1,
      sym_integer,
    ACTIONS(4631), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115498] = 3,
    ACTIONS(4633), 1,
      anon_sym_COLON,
    ACTIONS(4635), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115509] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 2,
      sym__dedent,
      anon_sym_case,
  [115518] = 3,
    ACTIONS(4637), 1,
      anon_sym_COLON,
    ACTIONS(4639), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115529] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4219), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115538] = 3,
    ACTIONS(4641), 1,
      anon_sym_COLON,
    ACTIONS(4643), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115549] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4228), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115558] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3499), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115567] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4645), 2,
      sym__dedent,
      anon_sym_case,
  [115576] = 3,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    STATE(2577), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115587] = 3,
    ACTIONS(4647), 1,
      anon_sym_COLON,
    ACTIONS(4649), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115598] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4579), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115607] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4585), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115616] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1724), 2,
      sym__dedent,
      anon_sym_case,
  [115625] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4281), 2,
      sym__newline,
      anon_sym_SEMI,
  [115634] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4651), 2,
      sym__newline,
      anon_sym_SEMI,
  [115643] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4653), 2,
      sym__newline,
      anon_sym_SEMI,
  [115652] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4337), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115661] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 2,
      sym__dedent,
      anon_sym_case,
  [115670] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3925), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115679] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2871), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115688] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115697] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4219), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [115706] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4655), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [115715] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4657), 2,
      anon_sym__,
      sym_identifier,
  [115724] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3156), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115733] = 3,
    ACTIONS(4659), 1,
      sym_integer,
    ACTIONS(4661), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115744] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4430), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [115753] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4585), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115762] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4663), 2,
      sym__newline,
      anon_sym_SEMI,
  [115771] = 3,
    ACTIONS(4665), 1,
      sym_integer,
    ACTIONS(4667), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115782] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4587), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115791] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4669), 2,
      sym__dedent,
      anon_sym_case,
  [115800] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4000), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115809] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4671), 2,
      sym__dedent,
      anon_sym_case,
  [115818] = 3,
    ACTIONS(4673), 1,
      anon_sym_COLON,
    ACTIONS(4675), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115829] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4677), 2,
      sym__newline,
      anon_sym_SEMI,
  [115838] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4679), 2,
      sym__dedent,
      anon_sym_case,
  [115847] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4681), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [115856] = 3,
    ACTIONS(4683), 1,
      sym_integer,
    ACTIONS(4685), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115867] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4687), 2,
      sym__dedent,
      anon_sym_case,
  [115876] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4689), 2,
      sym__dedent,
      anon_sym_case,
  [115885] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4691), 2,
      sym__dedent,
      anon_sym_case,
  [115894] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4228), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [115903] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4693), 2,
      sym__dedent,
      anon_sym_case,
  [115912] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3499), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115921] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4695), 2,
      sym__dedent,
      anon_sym_case,
  [115930] = 3,
    ACTIONS(4697), 1,
      sym_integer,
    ACTIONS(4699), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115941] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1702), 2,
      sym__dedent,
      anon_sym_case,
  [115950] = 3,
    ACTIONS(3880), 1,
      anon_sym_LPAREN,
    STATE(2527), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115961] = 3,
    ACTIONS(4701), 1,
      anon_sym_COLON,
    ACTIONS(4703), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115972] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4705), 2,
      sym__dedent,
      anon_sym_case,
  [115981] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4707), 2,
      sym__dedent,
      anon_sym_case,
  [115990] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4709), 2,
      sym__dedent,
      anon_sym_case,
  [115999] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116008] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4711), 2,
      anon_sym__,
      sym_identifier,
  [116017] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4579), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116026] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4713), 2,
      sym__newline,
      anon_sym_SEMI,
  [116035] = 2,
    ACTIONS(4715), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116043] = 2,
    ACTIONS(4717), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116051] = 2,
    ACTIONS(4719), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116059] = 2,
    ACTIONS(4721), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116067] = 2,
    ACTIONS(4723), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116075] = 2,
    ACTIONS(4725), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116083] = 2,
    ACTIONS(4727), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116091] = 2,
    ACTIONS(4729), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116099] = 2,
    ACTIONS(1431), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116107] = 2,
    ACTIONS(4731), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116115] = 2,
    ACTIONS(3382), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116123] = 2,
    ACTIONS(4733), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116131] = 2,
    ACTIONS(4735), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116139] = 2,
    ACTIONS(4366), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116147] = 2,
    ACTIONS(4737), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116155] = 2,
    ACTIONS(4739), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116163] = 2,
    ACTIONS(4741), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116171] = 2,
    ACTIONS(3388), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116179] = 2,
    ACTIONS(4743), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116187] = 2,
    ACTIONS(4745), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116195] = 2,
    ACTIONS(4747), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116203] = 2,
    ACTIONS(4749), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116211] = 2,
    ACTIONS(4751), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116219] = 2,
    ACTIONS(4753), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116227] = 2,
    ACTIONS(4755), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116235] = 2,
    ACTIONS(4757), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116243] = 2,
    ACTIONS(3130), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116251] = 2,
    ACTIONS(4759), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116259] = 2,
    ACTIONS(3332), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116267] = 2,
    ACTIONS(4761), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116275] = 2,
    ACTIONS(4763), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116283] = 2,
    ACTIONS(4765), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116291] = 2,
    ACTIONS(4767), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116299] = 2,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116307] = 2,
    ACTIONS(4769), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116315] = 2,
    ACTIONS(4771), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116323] = 2,
    ACTIONS(3036), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116331] = 2,
    ACTIONS(4773), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116339] = 2,
    ACTIONS(4775), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116347] = 2,
    ACTIONS(4777), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116355] = 2,
    ACTIONS(4779), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116363] = 2,
    ACTIONS(4781), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116371] = 2,
    ACTIONS(4783), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116379] = 2,
    ACTIONS(4785), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116387] = 2,
    ACTIONS(3024), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116395] = 2,
    ACTIONS(4787), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116403] = 2,
    ACTIONS(4789), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116411] = 2,
    ACTIONS(4791), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116419] = 2,
    ACTIONS(4793), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116427] = 2,
    ACTIONS(4795), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116435] = 2,
    ACTIONS(4797), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116443] = 2,
    ACTIONS(4799), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116451] = 2,
    ACTIONS(4801), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116459] = 2,
    ACTIONS(4803), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116467] = 2,
    ACTIONS(4805), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116475] = 2,
    ACTIONS(4807), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116483] = 2,
    ACTIONS(4809), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116491] = 2,
    ACTIONS(4811), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116499] = 2,
    ACTIONS(3425), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116507] = 2,
    ACTIONS(4813), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116515] = 2,
    ACTIONS(4815), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116523] = 2,
    ACTIONS(4817), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116531] = 2,
    ACTIONS(4819), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116539] = 2,
    ACTIONS(4821), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116547] = 2,
    ACTIONS(4823), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116555] = 2,
    ACTIONS(3431), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116563] = 2,
    ACTIONS(4825), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116571] = 2,
    ACTIONS(3403), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116579] = 2,
    ACTIONS(4827), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116587] = 2,
    ACTIONS(4829), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116595] = 2,
    ACTIONS(4831), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116603] = 2,
    ACTIONS(3328), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116611] = 2,
    ACTIONS(4833), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116619] = 2,
    ACTIONS(4835), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116627] = 2,
    ACTIONS(4837), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116635] = 2,
    ACTIONS(4839), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116643] = 2,
    ACTIONS(4841), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116651] = 2,
    ACTIONS(4246), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116659] = 2,
    ACTIONS(4843), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116667] = 2,
    ACTIONS(4845), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116675] = 2,
    ACTIONS(4847), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116683] = 2,
    ACTIONS(4849), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116691] = 2,
    ACTIONS(4851), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116699] = 2,
    ACTIONS(4853), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116707] = 2,
    ACTIONS(4855), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116715] = 2,
    ACTIONS(4857), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116723] = 2,
    ACTIONS(4859), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116731] = 2,
    ACTIONS(4224), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116739] = 2,
    ACTIONS(4861), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116747] = 2,
    ACTIONS(3433), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116755] = 2,
    ACTIONS(4863), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116763] = 2,
    ACTIONS(4865), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116771] = 2,
    ACTIONS(4867), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116779] = 2,
    ACTIONS(4869), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116787] = 2,
    ACTIONS(4871), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116795] = 2,
    ACTIONS(4873), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116803] = 2,
    ACTIONS(4190), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116811] = 2,
    ACTIONS(2996), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116819] = 2,
    ACTIONS(3399), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116827] = 2,
    ACTIONS(4875), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116835] = 2,
    ACTIONS(4877), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116843] = 2,
    ACTIONS(4879), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116851] = 2,
    ACTIONS(4881), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116859] = 2,
    ACTIONS(4883), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116867] = 2,
    ACTIONS(4885), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116875] = 2,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116883] = 2,
    ACTIONS(4889), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116891] = 2,
    ACTIONS(4891), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116899] = 2,
    ACTIONS(4893), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116907] = 2,
    ACTIONS(4895), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116915] = 2,
    ACTIONS(4473), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116923] = 2,
    ACTIONS(4897), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116931] = 2,
    ACTIONS(4899), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116939] = 2,
    ACTIONS(4901), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116947] = 2,
    ACTIONS(4903), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116955] = 2,
    ACTIONS(4905), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116963] = 2,
    ACTIONS(4907), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116971] = 2,
    ACTIONS(4909), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116979] = 2,
    ACTIONS(1457), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116987] = 2,
    ACTIONS(4911), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116995] = 2,
    ACTIONS(4913), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117003] = 2,
    ACTIONS(4115), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117011] = 2,
    ACTIONS(4915), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117019] = 2,
    ACTIONS(4111), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117027] = 2,
    ACTIONS(4917), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117035] = 2,
    ACTIONS(4919), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117043] = 2,
    ACTIONS(3083), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117051] = 2,
    ACTIONS(4921), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117059] = 2,
    ACTIONS(3427), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117067] = 2,
    ACTIONS(4923), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117075] = 2,
    ACTIONS(4925), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117083] = 2,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117091] = 2,
    ACTIONS(4929), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117099] = 2,
    ACTIONS(4931), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117107] = 2,
    ACTIONS(4933), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117115] = 2,
    ACTIONS(3050), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117123] = 2,
    ACTIONS(4935), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117131] = 2,
    ACTIONS(4937), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117139] = 2,
    ACTIONS(4939), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117147] = 2,
    ACTIONS(4941), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117155] = 2,
    ACTIONS(4943), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117163] = 2,
    ACTIONS(4945), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117171] = 2,
    ACTIONS(4947), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117179] = 2,
    ACTIONS(4949), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117187] = 2,
    ACTIONS(4951), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117195] = 2,
    ACTIONS(4953), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117203] = 2,
    ACTIONS(4955), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117211] = 2,
    ACTIONS(4957), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117219] = 2,
    ACTIONS(4959), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117227] = 2,
    ACTIONS(4961), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117235] = 2,
    ACTIONS(4067), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117243] = 2,
    ACTIONS(4963), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117251] = 2,
    ACTIONS(4965), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117259] = 2,
    ACTIONS(4967), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117267] = 2,
    ACTIONS(3065), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117275] = 2,
    ACTIONS(4969), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117283] = 2,
    ACTIONS(4971), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117291] = 2,
    ACTIONS(4973), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117299] = 2,
    ACTIONS(4975), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117307] = 2,
    ACTIONS(4977), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117315] = 2,
    ACTIONS(4979), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117323] = 2,
    ACTIONS(4981), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117331] = 2,
    ACTIONS(4983), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117339] = 2,
    ACTIONS(4985), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117347] = 2,
    ACTIONS(4987), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117355] = 2,
    ACTIONS(4989), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117363] = 2,
    ACTIONS(4991), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117371] = 2,
    ACTIONS(4993), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117379] = 2,
    ACTIONS(4995), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117387] = 2,
    ACTIONS(4997), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117395] = 2,
    ACTIONS(4999), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117403] = 2,
    ACTIONS(5001), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117411] = 2,
    ACTIONS(3452), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117419] = 2,
    ACTIONS(5003), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117427] = 2,
    ACTIONS(5005), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117435] = 2,
    ACTIONS(5007), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117443] = 2,
    ACTIONS(3336), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117451] = 2,
    ACTIONS(5009), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117459] = 2,
    ACTIONS(5011), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117467] = 2,
    ACTIONS(5013), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117475] = 2,
    ACTIONS(5015), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117483] = 2,
    ACTIONS(5017), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117491] = 2,
    ACTIONS(5019), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117499] = 2,
    ACTIONS(5021), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117507] = 2,
    ACTIONS(5023), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117515] = 2,
    ACTIONS(5025), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117523] = 2,
    ACTIONS(5027), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117531] = 2,
    ACTIONS(4046), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117539] = 2,
    ACTIONS(1465), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117547] = 2,
    ACTIONS(5029), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117555] = 2,
    ACTIONS(5031), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117563] = 2,
    ACTIONS(4044), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117571] = 2,
    ACTIONS(5033), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117579] = 2,
    ACTIONS(5035), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117587] = 2,
    ACTIONS(5037), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(189)] = 0,
  [SMALL_STATE(190)] = 124,
  [SMALL_STATE(191)] = 248,
  [SMALL_STATE(192)] = 372,
  [SMALL_STATE(193)] = 496,
  [SMALL_STATE(194)] = 622,
  [SMALL_STATE(195)] = 748,
  [SMALL_STATE(196)] = 872,
  [SMALL_STATE(197)] = 996,
  [SMALL_STATE(198)] = 1120,
  [SMALL_STATE(199)] = 1248,
  [SMALL_STATE(200)] = 1372,
  [SMALL_STATE(201)] = 1492,
  [SMALL_STATE(202)] = 1612,
  [SMALL_STATE(203)] = 1738,
  [SMALL_STATE(204)] = 1862,
  [SMALL_STATE(205)] = 1986,
  [SMALL_STATE(206)] = 2110,
  [SMALL_STATE(207)] = 2234,
  [SMALL_STATE(208)] = 2360,
  [SMALL_STATE(209)] = 2484,
  [SMALL_STATE(210)] = 2608,
  [SMALL_STATE(211)] = 2734,
  [SMALL_STATE(212)] = 2858,
  [SMALL_STATE(213)] = 2986,
  [SMALL_STATE(214)] = 3110,
  [SMALL_STATE(215)] = 3236,
  [SMALL_STATE(216)] = 3360,
  [SMALL_STATE(217)] = 3484,
  [SMALL_STATE(218)] = 3610,
  [SMALL_STATE(219)] = 3734,
  [SMALL_STATE(220)] = 3860,
  [SMALL_STATE(221)] = 3986,
  [SMALL_STATE(222)] = 4106,
  [SMALL_STATE(223)] = 4213,
  [SMALL_STATE(224)] = 4320,
  [SMALL_STATE(225)] = 4434,
  [SMALL_STATE(226)] = 4548,
  [SMALL_STATE(227)] = 4662,
  [SMALL_STATE(228)] = 4776,
  [SMALL_STATE(229)] = 4892,
  [SMALL_STATE(230)] = 5006,
  [SMALL_STATE(231)] = 5120,
  [SMALL_STATE(232)] = 5234,
  [SMALL_STATE(233)] = 5348,
  [SMALL_STATE(234)] = 5464,
  [SMALL_STATE(235)] = 5575,
  [SMALL_STATE(236)] = 5690,
  [SMALL_STATE(237)] = 5801,
  [SMALL_STATE(238)] = 5912,
  [SMALL_STATE(239)] = 6023,
  [SMALL_STATE(240)] = 6134,
  [SMALL_STATE(241)] = 6245,
  [SMALL_STATE(242)] = 6356,
  [SMALL_STATE(243)] = 6467,
  [SMALL_STATE(244)] = 6582,
  [SMALL_STATE(245)] = 6697,
  [SMALL_STATE(246)] = 6812,
  [SMALL_STATE(247)] = 6923,
  [SMALL_STATE(248)] = 7034,
  [SMALL_STATE(249)] = 7139,
  [SMALL_STATE(250)] = 7254,
  [SMALL_STATE(251)] = 7365,
  [SMALL_STATE(252)] = 7476,
  [SMALL_STATE(253)] = 7591,
  [SMALL_STATE(254)] = 7702,
  [SMALL_STATE(255)] = 7817,
  [SMALL_STATE(256)] = 7928,
  [SMALL_STATE(257)] = 8039,
  [SMALL_STATE(258)] = 8150,
  [SMALL_STATE(259)] = 8265,
  [SMALL_STATE(260)] = 8376,
  [SMALL_STATE(261)] = 8487,
  [SMALL_STATE(262)] = 8598,
  [SMALL_STATE(263)] = 8709,
  [SMALL_STATE(264)] = 8820,
  [SMALL_STATE(265)] = 8931,
  [SMALL_STATE(266)] = 9036,
  [SMALL_STATE(267)] = 9147,
  [SMALL_STATE(268)] = 9258,
  [SMALL_STATE(269)] = 9369,
  [SMALL_STATE(270)] = 9486,
  [SMALL_STATE(271)] = 9601,
  [SMALL_STATE(272)] = 9712,
  [SMALL_STATE(273)] = 9826,
  [SMALL_STATE(274)] = 9938,
  [SMALL_STATE(275)] = 10052,
  [SMALL_STATE(276)] = 10164,
  [SMALL_STATE(277)] = 10276,
  [SMALL_STATE(278)] = 10388,
  [SMALL_STATE(279)] = 10500,
  [SMALL_STATE(280)] = 10616,
  [SMALL_STATE(281)] = 10728,
  [SMALL_STATE(282)] = 10840,
  [SMALL_STATE(283)] = 10952,
  [SMALL_STATE(284)] = 11064,
  [SMALL_STATE(285)] = 11176,
  [SMALL_STATE(286)] = 11292,
  [SMALL_STATE(287)] = 11404,
  [SMALL_STATE(288)] = 11516,
  [SMALL_STATE(289)] = 11630,
  [SMALL_STATE(290)] = 11742,
  [SMALL_STATE(291)] = 11856,
  [SMALL_STATE(292)] = 11968,
  [SMALL_STATE(293)] = 12084,
  [SMALL_STATE(294)] = 12196,
  [SMALL_STATE(295)] = 12312,
  [SMALL_STATE(296)] = 12424,
  [SMALL_STATE(297)] = 12536,
  [SMALL_STATE(298)] = 12648,
  [SMALL_STATE(299)] = 12762,
  [SMALL_STATE(300)] = 12876,
  [SMALL_STATE(301)] = 12988,
  [SMALL_STATE(302)] = 13100,
  [SMALL_STATE(303)] = 13212,
  [SMALL_STATE(304)] = 13324,
  [SMALL_STATE(305)] = 13436,
  [SMALL_STATE(306)] = 13548,
  [SMALL_STATE(307)] = 13660,
  [SMALL_STATE(308)] = 13772,
  [SMALL_STATE(309)] = 13884,
  [SMALL_STATE(310)] = 13998,
  [SMALL_STATE(311)] = 14110,
  [SMALL_STATE(312)] = 14222,
  [SMALL_STATE(313)] = 14334,
  [SMALL_STATE(314)] = 14446,
  [SMALL_STATE(315)] = 14562,
  [SMALL_STATE(316)] = 14674,
  [SMALL_STATE(317)] = 14786,
  [SMALL_STATE(318)] = 14898,
  [SMALL_STATE(319)] = 15010,
  [SMALL_STATE(320)] = 15122,
  [SMALL_STATE(321)] = 15238,
  [SMALL_STATE(322)] = 15350,
  [SMALL_STATE(323)] = 15462,
  [SMALL_STATE(324)] = 15574,
  [SMALL_STATE(325)] = 15688,
  [SMALL_STATE(326)] = 15800,
  [SMALL_STATE(327)] = 15909,
  [SMALL_STATE(328)] = 16018,
  [SMALL_STATE(329)] = 16123,
  [SMALL_STATE(330)] = 16232,
  [SMALL_STATE(331)] = 16329,
  [SMALL_STATE(332)] = 16438,
  [SMALL_STATE(333)] = 16547,
  [SMALL_STATE(334)] = 16656,
  [SMALL_STATE(335)] = 16765,
  [SMALL_STATE(336)] = 16874,
  [SMALL_STATE(337)] = 16983,
  [SMALL_STATE(338)] = 17092,
  [SMALL_STATE(339)] = 17201,
  [SMALL_STATE(340)] = 17310,
  [SMALL_STATE(341)] = 17419,
  [SMALL_STATE(342)] = 17528,
  [SMALL_STATE(343)] = 17637,
  [SMALL_STATE(344)] = 17746,
  [SMALL_STATE(345)] = 17851,
  [SMALL_STATE(346)] = 17960,
  [SMALL_STATE(347)] = 18069,
  [SMALL_STATE(348)] = 18178,
  [SMALL_STATE(349)] = 18284,
  [SMALL_STATE(350)] = 18392,
  [SMALL_STATE(351)] = 18500,
  [SMALL_STATE(352)] = 18608,
  [SMALL_STATE(353)] = 18716,
  [SMALL_STATE(354)] = 18824,
  [SMALL_STATE(355)] = 18932,
  [SMALL_STATE(356)] = 19040,
  [SMALL_STATE(357)] = 19146,
  [SMALL_STATE(358)] = 19254,
  [SMALL_STATE(359)] = 19362,
  [SMALL_STATE(360)] = 19470,
  [SMALL_STATE(361)] = 19578,
  [SMALL_STATE(362)] = 19686,
  [SMALL_STATE(363)] = 19794,
  [SMALL_STATE(364)] = 19902,
  [SMALL_STATE(365)] = 20008,
  [SMALL_STATE(366)] = 20116,
  [SMALL_STATE(367)] = 20224,
  [SMALL_STATE(368)] = 20332,
  [SMALL_STATE(369)] = 20440,
  [SMALL_STATE(370)] = 20548,
  [SMALL_STATE(371)] = 20656,
  [SMALL_STATE(372)] = 20763,
  [SMALL_STATE(373)] = 20870,
  [SMALL_STATE(374)] = 20977,
  [SMALL_STATE(375)] = 21084,
  [SMALL_STATE(376)] = 21191,
  [SMALL_STATE(377)] = 21298,
  [SMALL_STATE(378)] = 21405,
  [SMALL_STATE(379)] = 21510,
  [SMALL_STATE(380)] = 21617,
  [SMALL_STATE(381)] = 21724,
  [SMALL_STATE(382)] = 21829,
  [SMALL_STATE(383)] = 21934,
  [SMALL_STATE(384)] = 22039,
  [SMALL_STATE(385)] = 22146,
  [SMALL_STATE(386)] = 22241,
  [SMALL_STATE(387)] = 22348,
  [SMALL_STATE(388)] = 22455,
  [SMALL_STATE(389)] = 22562,
  [SMALL_STATE(390)] = 22669,
  [SMALL_STATE(391)] = 22776,
  [SMALL_STATE(392)] = 22883,
  [SMALL_STATE(393)] = 22988,
  [SMALL_STATE(394)] = 23095,
  [SMALL_STATE(395)] = 23202,
  [SMALL_STATE(396)] = 23309,
  [SMALL_STATE(397)] = 23416,
  [SMALL_STATE(398)] = 23523,
  [SMALL_STATE(399)] = 23628,
  [SMALL_STATE(400)] = 23735,
  [SMALL_STATE(401)] = 23842,
  [SMALL_STATE(402)] = 23937,
  [SMALL_STATE(403)] = 24044,
  [SMALL_STATE(404)] = 24151,
  [SMALL_STATE(405)] = 24258,
  [SMALL_STATE(406)] = 24365,
  [SMALL_STATE(407)] = 24472,
  [SMALL_STATE(408)] = 24579,
  [SMALL_STATE(409)] = 24686,
  [SMALL_STATE(410)] = 24790,
  [SMALL_STATE(411)] = 24894,
  [SMALL_STATE(412)] = 24998,
  [SMALL_STATE(413)] = 25100,
  [SMALL_STATE(414)] = 25204,
  [SMALL_STATE(415)] = 25308,
  [SMALL_STATE(416)] = 25410,
  [SMALL_STATE(417)] = 25514,
  [SMALL_STATE(418)] = 25618,
  [SMALL_STATE(419)] = 25720,
  [SMALL_STATE(420)] = 25824,
  [SMALL_STATE(421)] = 25926,
  [SMALL_STATE(422)] = 26030,
  [SMALL_STATE(423)] = 26132,
  [SMALL_STATE(424)] = 26234,
  [SMALL_STATE(425)] = 26336,
  [SMALL_STATE(426)] = 26430,
  [SMALL_STATE(427)] = 26534,
  [SMALL_STATE(428)] = 26636,
  [SMALL_STATE(429)] = 26730,
  [SMALL_STATE(430)] = 26824,
  [SMALL_STATE(431)] = 26926,
  [SMALL_STATE(432)] = 27022,
  [SMALL_STATE(433)] = 27124,
  [SMALL_STATE(434)] = 27226,
  [SMALL_STATE(435)] = 27330,
  [SMALL_STATE(436)] = 27432,
  [SMALL_STATE(437)] = 27536,
  [SMALL_STATE(438)] = 27638,
  [SMALL_STATE(439)] = 27740,
  [SMALL_STATE(440)] = 27844,
  [SMALL_STATE(441)] = 27946,
  [SMALL_STATE(442)] = 28050,
  [SMALL_STATE(443)] = 28152,
  [SMALL_STATE(444)] = 28254,
  [SMALL_STATE(445)] = 28356,
  [SMALL_STATE(446)] = 28458,
  [SMALL_STATE(447)] = 28560,
  [SMALL_STATE(448)] = 28662,
  [SMALL_STATE(449)] = 28766,
  [SMALL_STATE(450)] = 28868,
  [SMALL_STATE(451)] = 28972,
  [SMALL_STATE(452)] = 29074,
  [SMALL_STATE(453)] = 29178,
  [SMALL_STATE(454)] = 29280,
  [SMALL_STATE(455)] = 29382,
  [SMALL_STATE(456)] = 29486,
  [SMALL_STATE(457)] = 29590,
  [SMALL_STATE(458)] = 29692,
  [SMALL_STATE(459)] = 29794,
  [SMALL_STATE(460)] = 29896,
  [SMALL_STATE(461)] = 29990,
  [SMALL_STATE(462)] = 30065,
  [SMALL_STATE(463)] = 30166,
  [SMALL_STATE(464)] = 30267,
  [SMALL_STATE(465)] = 30342,
  [SMALL_STATE(466)] = 30443,
  [SMALL_STATE(467)] = 30544,
  [SMALL_STATE(468)] = 30621,
  [SMALL_STATE(469)] = 30722,
  [SMALL_STATE(470)] = 30823,
  [SMALL_STATE(471)] = 30924,
  [SMALL_STATE(472)] = 31025,
  [SMALL_STATE(473)] = 31100,
  [SMALL_STATE(474)] = 31201,
  [SMALL_STATE(475)] = 31302,
  [SMALL_STATE(476)] = 31403,
  [SMALL_STATE(477)] = 31504,
  [SMALL_STATE(478)] = 31605,
  [SMALL_STATE(479)] = 31706,
  [SMALL_STATE(480)] = 31807,
  [SMALL_STATE(481)] = 31905,
  [SMALL_STATE(482)] = 32003,
  [SMALL_STATE(483)] = 32101,
  [SMALL_STATE(484)] = 32199,
  [SMALL_STATE(485)] = 32297,
  [SMALL_STATE(486)] = 32395,
  [SMALL_STATE(487)] = 32493,
  [SMALL_STATE(488)] = 32591,
  [SMALL_STATE(489)] = 32689,
  [SMALL_STATE(490)] = 32787,
  [SMALL_STATE(491)] = 32885,
  [SMALL_STATE(492)] = 32983,
  [SMALL_STATE(493)] = 33081,
  [SMALL_STATE(494)] = 33179,
  [SMALL_STATE(495)] = 33277,
  [SMALL_STATE(496)] = 33375,
  [SMALL_STATE(497)] = 33473,
  [SMALL_STATE(498)] = 33571,
  [SMALL_STATE(499)] = 33669,
  [SMALL_STATE(500)] = 33767,
  [SMALL_STATE(501)] = 33865,
  [SMALL_STATE(502)] = 33963,
  [SMALL_STATE(503)] = 34061,
  [SMALL_STATE(504)] = 34159,
  [SMALL_STATE(505)] = 34257,
  [SMALL_STATE(506)] = 34355,
  [SMALL_STATE(507)] = 34453,
  [SMALL_STATE(508)] = 34551,
  [SMALL_STATE(509)] = 34649,
  [SMALL_STATE(510)] = 34747,
  [SMALL_STATE(511)] = 34845,
  [SMALL_STATE(512)] = 34943,
  [SMALL_STATE(513)] = 35041,
  [SMALL_STATE(514)] = 35139,
  [SMALL_STATE(515)] = 35237,
  [SMALL_STATE(516)] = 35335,
  [SMALL_STATE(517)] = 35433,
  [SMALL_STATE(518)] = 35531,
  [SMALL_STATE(519)] = 35629,
  [SMALL_STATE(520)] = 35727,
  [SMALL_STATE(521)] = 35825,
  [SMALL_STATE(522)] = 35923,
  [SMALL_STATE(523)] = 36021,
  [SMALL_STATE(524)] = 36119,
  [SMALL_STATE(525)] = 36217,
  [SMALL_STATE(526)] = 36289,
  [SMALL_STATE(527)] = 36361,
  [SMALL_STATE(528)] = 36459,
  [SMALL_STATE(529)] = 36557,
  [SMALL_STATE(530)] = 36655,
  [SMALL_STATE(531)] = 36753,
  [SMALL_STATE(532)] = 36851,
  [SMALL_STATE(533)] = 36949,
  [SMALL_STATE(534)] = 37047,
  [SMALL_STATE(535)] = 37145,
  [SMALL_STATE(536)] = 37243,
  [SMALL_STATE(537)] = 37341,
  [SMALL_STATE(538)] = 37439,
  [SMALL_STATE(539)] = 37537,
  [SMALL_STATE(540)] = 37635,
  [SMALL_STATE(541)] = 37733,
  [SMALL_STATE(542)] = 37831,
  [SMALL_STATE(543)] = 37929,
  [SMALL_STATE(544)] = 38027,
  [SMALL_STATE(545)] = 38125,
  [SMALL_STATE(546)] = 38223,
  [SMALL_STATE(547)] = 38321,
  [SMALL_STATE(548)] = 38419,
  [SMALL_STATE(549)] = 38517,
  [SMALL_STATE(550)] = 38615,
  [SMALL_STATE(551)] = 38713,
  [SMALL_STATE(552)] = 38811,
  [SMALL_STATE(553)] = 38909,
  [SMALL_STATE(554)] = 39007,
  [SMALL_STATE(555)] = 39105,
  [SMALL_STATE(556)] = 39203,
  [SMALL_STATE(557)] = 39301,
  [SMALL_STATE(558)] = 39399,
  [SMALL_STATE(559)] = 39497,
  [SMALL_STATE(560)] = 39595,
  [SMALL_STATE(561)] = 39693,
  [SMALL_STATE(562)] = 39791,
  [SMALL_STATE(563)] = 39889,
  [SMALL_STATE(564)] = 39987,
  [SMALL_STATE(565)] = 40085,
  [SMALL_STATE(566)] = 40157,
  [SMALL_STATE(567)] = 40255,
  [SMALL_STATE(568)] = 40353,
  [SMALL_STATE(569)] = 40453,
  [SMALL_STATE(570)] = 40551,
  [SMALL_STATE(571)] = 40651,
  [SMALL_STATE(572)] = 40723,
  [SMALL_STATE(573)] = 40823,
  [SMALL_STATE(574)] = 40921,
  [SMALL_STATE(575)] = 41021,
  [SMALL_STATE(576)] = 41119,
  [SMALL_STATE(577)] = 41217,
  [SMALL_STATE(578)] = 41317,
  [SMALL_STATE(579)] = 41415,
  [SMALL_STATE(580)] = 41513,
  [SMALL_STATE(581)] = 41611,
  [SMALL_STATE(582)] = 41709,
  [SMALL_STATE(583)] = 41807,
  [SMALL_STATE(584)] = 41879,
  [SMALL_STATE(585)] = 41977,
  [SMALL_STATE(586)] = 42049,
  [SMALL_STATE(587)] = 42147,
  [SMALL_STATE(588)] = 42219,
  [SMALL_STATE(589)] = 42317,
  [SMALL_STATE(590)] = 42415,
  [SMALL_STATE(591)] = 42513,
  [SMALL_STATE(592)] = 42585,
  [SMALL_STATE(593)] = 42683,
  [SMALL_STATE(594)] = 42781,
  [SMALL_STATE(595)] = 42879,
  [SMALL_STATE(596)] = 42979,
  [SMALL_STATE(597)] = 43077,
  [SMALL_STATE(598)] = 43175,
  [SMALL_STATE(599)] = 43273,
  [SMALL_STATE(600)] = 43371,
  [SMALL_STATE(601)] = 43469,
  [SMALL_STATE(602)] = 43567,
  [SMALL_STATE(603)] = 43665,
  [SMALL_STATE(604)] = 43763,
  [SMALL_STATE(605)] = 43861,
  [SMALL_STATE(606)] = 43959,
  [SMALL_STATE(607)] = 44057,
  [SMALL_STATE(608)] = 44155,
  [SMALL_STATE(609)] = 44253,
  [SMALL_STATE(610)] = 44326,
  [SMALL_STATE(611)] = 44388,
  [SMALL_STATE(612)] = 44450,
  [SMALL_STATE(613)] = 44518,
  [SMALL_STATE(614)] = 44586,
  [SMALL_STATE(615)] = 44654,
  [SMALL_STATE(616)] = 44722,
  [SMALL_STATE(617)] = 44784,
  [SMALL_STATE(618)] = 44852,
  [SMALL_STATE(619)] = 44920,
  [SMALL_STATE(620)] = 44986,
  [SMALL_STATE(621)] = 45048,
  [SMALL_STATE(622)] = 45114,
  [SMALL_STATE(623)] = 45182,
  [SMALL_STATE(624)] = 45250,
  [SMALL_STATE(625)] = 45316,
  [SMALL_STATE(626)] = 45384,
  [SMALL_STATE(627)] = 45452,
  [SMALL_STATE(628)] = 45509,
  [SMALL_STATE(629)] = 45572,
  [SMALL_STATE(630)] = 45633,
  [SMALL_STATE(631)] = 45696,
  [SMALL_STATE(632)] = 45761,
  [SMALL_STATE(633)] = 45824,
  [SMALL_STATE(634)] = 45887,
  [SMALL_STATE(635)] = 45950,
  [SMALL_STATE(636)] = 46013,
  [SMALL_STATE(637)] = 46076,
  [SMALL_STATE(638)] = 46139,
  [SMALL_STATE(639)] = 46202,
  [SMALL_STATE(640)] = 46259,
  [SMALL_STATE(641)] = 46316,
  [SMALL_STATE(642)] = 46379,
  [SMALL_STATE(643)] = 46440,
  [SMALL_STATE(644)] = 46497,
  [SMALL_STATE(645)] = 46554,
  [SMALL_STATE(646)] = 46615,
  [SMALL_STATE(647)] = 46672,
  [SMALL_STATE(648)] = 46729,
  [SMALL_STATE(649)] = 46785,
  [SMALL_STATE(650)] = 46841,
  [SMALL_STATE(651)] = 46897,
  [SMALL_STATE(652)] = 46989,
  [SMALL_STATE(653)] = 47045,
  [SMALL_STATE(654)] = 47101,
  [SMALL_STATE(655)] = 47157,
  [SMALL_STATE(656)] = 47213,
  [SMALL_STATE(657)] = 47269,
  [SMALL_STATE(658)] = 47325,
  [SMALL_STATE(659)] = 47381,
  [SMALL_STATE(660)] = 47437,
  [SMALL_STATE(661)] = 47493,
  [SMALL_STATE(662)] = 47585,
  [SMALL_STATE(663)] = 47641,
  [SMALL_STATE(664)] = 47697,
  [SMALL_STATE(665)] = 47753,
  [SMALL_STATE(666)] = 47809,
  [SMALL_STATE(667)] = 47865,
  [SMALL_STATE(668)] = 47921,
  [SMALL_STATE(669)] = 47977,
  [SMALL_STATE(670)] = 48033,
  [SMALL_STATE(671)] = 48089,
  [SMALL_STATE(672)] = 48145,
  [SMALL_STATE(673)] = 48201,
  [SMALL_STATE(674)] = 48257,
  [SMALL_STATE(675)] = 48313,
  [SMALL_STATE(676)] = 48369,
  [SMALL_STATE(677)] = 48425,
  [SMALL_STATE(678)] = 48481,
  [SMALL_STATE(679)] = 48537,
  [SMALL_STATE(680)] = 48593,
  [SMALL_STATE(681)] = 48649,
  [SMALL_STATE(682)] = 48705,
  [SMALL_STATE(683)] = 48761,
  [SMALL_STATE(684)] = 48817,
  [SMALL_STATE(685)] = 48873,
  [SMALL_STATE(686)] = 48929,
  [SMALL_STATE(687)] = 48985,
  [SMALL_STATE(688)] = 49041,
  [SMALL_STATE(689)] = 49097,
  [SMALL_STATE(690)] = 49153,
  [SMALL_STATE(691)] = 49209,
  [SMALL_STATE(692)] = 49265,
  [SMALL_STATE(693)] = 49321,
  [SMALL_STATE(694)] = 49377,
  [SMALL_STATE(695)] = 49433,
  [SMALL_STATE(696)] = 49489,
  [SMALL_STATE(697)] = 49545,
  [SMALL_STATE(698)] = 49601,
  [SMALL_STATE(699)] = 49657,
  [SMALL_STATE(700)] = 49713,
  [SMALL_STATE(701)] = 49772,
  [SMALL_STATE(702)] = 49827,
  [SMALL_STATE(703)] = 49886,
  [SMALL_STATE(704)] = 49941,
  [SMALL_STATE(705)] = 50000,
  [SMALL_STATE(706)] = 50059,
  [SMALL_STATE(707)] = 50114,
  [SMALL_STATE(708)] = 50173,
  [SMALL_STATE(709)] = 50232,
  [SMALL_STATE(710)] = 50291,
  [SMALL_STATE(711)] = 50350,
  [SMALL_STATE(712)] = 50409,
  [SMALL_STATE(713)] = 50468,
  [SMALL_STATE(714)] = 50527,
  [SMALL_STATE(715)] = 50582,
  [SMALL_STATE(716)] = 50641,
  [SMALL_STATE(717)] = 50700,
  [SMALL_STATE(718)] = 50755,
  [SMALL_STATE(719)] = 50814,
  [SMALL_STATE(720)] = 50869,
  [SMALL_STATE(721)] = 50928,
  [SMALL_STATE(722)] = 50987,
  [SMALL_STATE(723)] = 51041,
  [SMALL_STATE(724)] = 51095,
  [SMALL_STATE(725)] = 51149,
  [SMALL_STATE(726)] = 51203,
  [SMALL_STATE(727)] = 51295,
  [SMALL_STATE(728)] = 51387,
  [SMALL_STATE(729)] = 51440,
  [SMALL_STATE(730)] = 51493,
  [SMALL_STATE(731)] = 51546,
  [SMALL_STATE(732)] = 51599,
  [SMALL_STATE(733)] = 51652,
  [SMALL_STATE(734)] = 51705,
  [SMALL_STATE(735)] = 51758,
  [SMALL_STATE(736)] = 51811,
  [SMALL_STATE(737)] = 51864,
  [SMALL_STATE(738)] = 51917,
  [SMALL_STATE(739)] = 51970,
  [SMALL_STATE(740)] = 52059,
  [SMALL_STATE(741)] = 52112,
  [SMALL_STATE(742)] = 52165,
  [SMALL_STATE(743)] = 52218,
  [SMALL_STATE(744)] = 52271,
  [SMALL_STATE(745)] = 52324,
  [SMALL_STATE(746)] = 52377,
  [SMALL_STATE(747)] = 52430,
  [SMALL_STATE(748)] = 52483,
  [SMALL_STATE(749)] = 52536,
  [SMALL_STATE(750)] = 52589,
  [SMALL_STATE(751)] = 52678,
  [SMALL_STATE(752)] = 52731,
  [SMALL_STATE(753)] = 52784,
  [SMALL_STATE(754)] = 52837,
  [SMALL_STATE(755)] = 52890,
  [SMALL_STATE(756)] = 52943,
  [SMALL_STATE(757)] = 52996,
  [SMALL_STATE(758)] = 53049,
  [SMALL_STATE(759)] = 53102,
  [SMALL_STATE(760)] = 53155,
  [SMALL_STATE(761)] = 53208,
  [SMALL_STATE(762)] = 53261,
  [SMALL_STATE(763)] = 53314,
  [SMALL_STATE(764)] = 53367,
  [SMALL_STATE(765)] = 53420,
  [SMALL_STATE(766)] = 53509,
  [SMALL_STATE(767)] = 53598,
  [SMALL_STATE(768)] = 53651,
  [SMALL_STATE(769)] = 53704,
  [SMALL_STATE(770)] = 53793,
  [SMALL_STATE(771)] = 53846,
  [SMALL_STATE(772)] = 53899,
  [SMALL_STATE(773)] = 53952,
  [SMALL_STATE(774)] = 54005,
  [SMALL_STATE(775)] = 54058,
  [SMALL_STATE(776)] = 54147,
  [SMALL_STATE(777)] = 54200,
  [SMALL_STATE(778)] = 54253,
  [SMALL_STATE(779)] = 54306,
  [SMALL_STATE(780)] = 54359,
  [SMALL_STATE(781)] = 54412,
  [SMALL_STATE(782)] = 54465,
  [SMALL_STATE(783)] = 54518,
  [SMALL_STATE(784)] = 54571,
  [SMALL_STATE(785)] = 54624,
  [SMALL_STATE(786)] = 54677,
  [SMALL_STATE(787)] = 54766,
  [SMALL_STATE(788)] = 54819,
  [SMALL_STATE(789)] = 54872,
  [SMALL_STATE(790)] = 54925,
  [SMALL_STATE(791)] = 54978,
  [SMALL_STATE(792)] = 55031,
  [SMALL_STATE(793)] = 55084,
  [SMALL_STATE(794)] = 55137,
  [SMALL_STATE(795)] = 55190,
  [SMALL_STATE(796)] = 55243,
  [SMALL_STATE(797)] = 55296,
  [SMALL_STATE(798)] = 55349,
  [SMALL_STATE(799)] = 55402,
  [SMALL_STATE(800)] = 55455,
  [SMALL_STATE(801)] = 55508,
  [SMALL_STATE(802)] = 55597,
  [SMALL_STATE(803)] = 55686,
  [SMALL_STATE(804)] = 55739,
  [SMALL_STATE(805)] = 55792,
  [SMALL_STATE(806)] = 55845,
  [SMALL_STATE(807)] = 55898,
  [SMALL_STATE(808)] = 55951,
  [SMALL_STATE(809)] = 56004,
  [SMALL_STATE(810)] = 56057,
  [SMALL_STATE(811)] = 56110,
  [SMALL_STATE(812)] = 56199,
  [SMALL_STATE(813)] = 56252,
  [SMALL_STATE(814)] = 56305,
  [SMALL_STATE(815)] = 56358,
  [SMALL_STATE(816)] = 56411,
  [SMALL_STATE(817)] = 56464,
  [SMALL_STATE(818)] = 56517,
  [SMALL_STATE(819)] = 56570,
  [SMALL_STATE(820)] = 56623,
  [SMALL_STATE(821)] = 56676,
  [SMALL_STATE(822)] = 56729,
  [SMALL_STATE(823)] = 56782,
  [SMALL_STATE(824)] = 56835,
  [SMALL_STATE(825)] = 56888,
  [SMALL_STATE(826)] = 56941,
  [SMALL_STATE(827)] = 56994,
  [SMALL_STATE(828)] = 57047,
  [SMALL_STATE(829)] = 57100,
  [SMALL_STATE(830)] = 57153,
  [SMALL_STATE(831)] = 57206,
  [SMALL_STATE(832)] = 57259,
  [SMALL_STATE(833)] = 57312,
  [SMALL_STATE(834)] = 57365,
  [SMALL_STATE(835)] = 57418,
  [SMALL_STATE(836)] = 57471,
  [SMALL_STATE(837)] = 57524,
  [SMALL_STATE(838)] = 57577,
  [SMALL_STATE(839)] = 57630,
  [SMALL_STATE(840)] = 57683,
  [SMALL_STATE(841)] = 57736,
  [SMALL_STATE(842)] = 57825,
  [SMALL_STATE(843)] = 57878,
  [SMALL_STATE(844)] = 57931,
  [SMALL_STATE(845)] = 58020,
  [SMALL_STATE(846)] = 58109,
  [SMALL_STATE(847)] = 58198,
  [SMALL_STATE(848)] = 58287,
  [SMALL_STATE(849)] = 58340,
  [SMALL_STATE(850)] = 58393,
  [SMALL_STATE(851)] = 58446,
  [SMALL_STATE(852)] = 58535,
  [SMALL_STATE(853)] = 58621,
  [SMALL_STATE(854)] = 58707,
  [SMALL_STATE(855)] = 58793,
  [SMALL_STATE(856)] = 58879,
  [SMALL_STATE(857)] = 58965,
  [SMALL_STATE(858)] = 59051,
  [SMALL_STATE(859)] = 59134,
  [SMALL_STATE(860)] = 59217,
  [SMALL_STATE(861)] = 59303,
  [SMALL_STATE(862)] = 59381,
  [SMALL_STATE(863)] = 59459,
  [SMALL_STATE(864)] = 59537,
  [SMALL_STATE(865)] = 59615,
  [SMALL_STATE(866)] = 59693,
  [SMALL_STATE(867)] = 59771,
  [SMALL_STATE(868)] = 59849,
  [SMALL_STATE(869)] = 59927,
  [SMALL_STATE(870)] = 60006,
  [SMALL_STATE(871)] = 60081,
  [SMALL_STATE(872)] = 60156,
  [SMALL_STATE(873)] = 60235,
  [SMALL_STATE(874)] = 60310,
  [SMALL_STATE(875)] = 60389,
  [SMALL_STATE(876)] = 60464,
  [SMALL_STATE(877)] = 60539,
  [SMALL_STATE(878)] = 60614,
  [SMALL_STATE(879)] = 60689,
  [SMALL_STATE(880)] = 60764,
  [SMALL_STATE(881)] = 60839,
  [SMALL_STATE(882)] = 60914,
  [SMALL_STATE(883)] = 60989,
  [SMALL_STATE(884)] = 61064,
  [SMALL_STATE(885)] = 61139,
  [SMALL_STATE(886)] = 61218,
  [SMALL_STATE(887)] = 61297,
  [SMALL_STATE(888)] = 61376,
  [SMALL_STATE(889)] = 61451,
  [SMALL_STATE(890)] = 61530,
  [SMALL_STATE(891)] = 61609,
  [SMALL_STATE(892)] = 61688,
  [SMALL_STATE(893)] = 61767,
  [SMALL_STATE(894)] = 61842,
  [SMALL_STATE(895)] = 61917,
  [SMALL_STATE(896)] = 61996,
  [SMALL_STATE(897)] = 62071,
  [SMALL_STATE(898)] = 62146,
  [SMALL_STATE(899)] = 62221,
  [SMALL_STATE(900)] = 62296,
  [SMALL_STATE(901)] = 62371,
  [SMALL_STATE(902)] = 62446,
  [SMALL_STATE(903)] = 62521,
  [SMALL_STATE(904)] = 62596,
  [SMALL_STATE(905)] = 62681,
  [SMALL_STATE(906)] = 62756,
  [SMALL_STATE(907)] = 62831,
  [SMALL_STATE(908)] = 62906,
  [SMALL_STATE(909)] = 62981,
  [SMALL_STATE(910)] = 63056,
  [SMALL_STATE(911)] = 63131,
  [SMALL_STATE(912)] = 63206,
  [SMALL_STATE(913)] = 63281,
  [SMALL_STATE(914)] = 63356,
  [SMALL_STATE(915)] = 63431,
  [SMALL_STATE(916)] = 63506,
  [SMALL_STATE(917)] = 63581,
  [SMALL_STATE(918)] = 63656,
  [SMALL_STATE(919)] = 63731,
  [SMALL_STATE(920)] = 63806,
  [SMALL_STATE(921)] = 63885,
  [SMALL_STATE(922)] = 63960,
  [SMALL_STATE(923)] = 64035,
  [SMALL_STATE(924)] = 64110,
  [SMALL_STATE(925)] = 64185,
  [SMALL_STATE(926)] = 64264,
  [SMALL_STATE(927)] = 64339,
  [SMALL_STATE(928)] = 64414,
  [SMALL_STATE(929)] = 64489,
  [SMALL_STATE(930)] = 64564,
  [SMALL_STATE(931)] = 64639,
  [SMALL_STATE(932)] = 64714,
  [SMALL_STATE(933)] = 64789,
  [SMALL_STATE(934)] = 64864,
  [SMALL_STATE(935)] = 64939,
  [SMALL_STATE(936)] = 65014,
  [SMALL_STATE(937)] = 65089,
  [SMALL_STATE(938)] = 65164,
  [SMALL_STATE(939)] = 65239,
  [SMALL_STATE(940)] = 65314,
  [SMALL_STATE(941)] = 65389,
  [SMALL_STATE(942)] = 65464,
  [SMALL_STATE(943)] = 65539,
  [SMALL_STATE(944)] = 65614,
  [SMALL_STATE(945)] = 65689,
  [SMALL_STATE(946)] = 65764,
  [SMALL_STATE(947)] = 65849,
  [SMALL_STATE(948)] = 65928,
  [SMALL_STATE(949)] = 66003,
  [SMALL_STATE(950)] = 66082,
  [SMALL_STATE(951)] = 66157,
  [SMALL_STATE(952)] = 66236,
  [SMALL_STATE(953)] = 66315,
  [SMALL_STATE(954)] = 66394,
  [SMALL_STATE(955)] = 66473,
  [SMALL_STATE(956)] = 66548,
  [SMALL_STATE(957)] = 66623,
  [SMALL_STATE(958)] = 66698,
  [SMALL_STATE(959)] = 66777,
  [SMALL_STATE(960)] = 66852,
  [SMALL_STATE(961)] = 66927,
  [SMALL_STATE(962)] = 67002,
  [SMALL_STATE(963)] = 67077,
  [SMALL_STATE(964)] = 67161,
  [SMALL_STATE(965)] = 67245,
  [SMALL_STATE(966)] = 67329,
  [SMALL_STATE(967)] = 67381,
  [SMALL_STATE(968)] = 67433,
  [SMALL_STATE(969)] = 67517,
  [SMALL_STATE(970)] = 67569,
  [SMALL_STATE(971)] = 67651,
  [SMALL_STATE(972)] = 67708,
  [SMALL_STATE(973)] = 67779,
  [SMALL_STATE(974)] = 67830,
  [SMALL_STATE(975)] = 67891,
  [SMALL_STATE(976)] = 67960,
  [SMALL_STATE(977)] = 68027,
  [SMALL_STATE(978)] = 68090,
  [SMALL_STATE(979)] = 68147,
  [SMALL_STATE(980)] = 68228,
  [SMALL_STATE(981)] = 68279,
  [SMALL_STATE(982)] = 68330,
  [SMALL_STATE(983)] = 68381,
  [SMALL_STATE(984)] = 68432,
  [SMALL_STATE(985)] = 68489,
  [SMALL_STATE(986)] = 68554,
  [SMALL_STATE(987)] = 68605,
  [SMALL_STATE(988)] = 68662,
  [SMALL_STATE(989)] = 68712,
  [SMALL_STATE(990)] = 68768,
  [SMALL_STATE(991)] = 68830,
  [SMALL_STATE(992)] = 68910,
  [SMALL_STATE(993)] = 68956,
  [SMALL_STATE(994)] = 69012,
  [SMALL_STATE(995)] = 69058,
  [SMALL_STATE(996)] = 69108,
  [SMALL_STATE(997)] = 69164,
  [SMALL_STATE(998)] = 69224,
  [SMALL_STATE(999)] = 69292,
  [SMALL_STATE(1000)] = 69338,
  [SMALL_STATE(1001)] = 69404,
  [SMALL_STATE(1002)] = 69468,
  [SMALL_STATE(1003)] = 69514,
  [SMALL_STATE(1004)] = 69564,
  [SMALL_STATE(1005)] = 69610,
  [SMALL_STATE(1006)] = 69656,
  [SMALL_STATE(1007)] = 69704,
  [SMALL_STATE(1008)] = 69754,
  [SMALL_STATE(1009)] = 69802,
  [SMALL_STATE(1010)] = 69850,
  [SMALL_STATE(1011)] = 69896,
  [SMALL_STATE(1012)] = 69946,
  [SMALL_STATE(1013)] = 69996,
  [SMALL_STATE(1014)] = 70060,
  [SMALL_STATE(1015)] = 70126,
  [SMALL_STATE(1016)] = 70194,
  [SMALL_STATE(1017)] = 70254,
  [SMALL_STATE(1018)] = 70310,
  [SMALL_STATE(1019)] = 70380,
  [SMALL_STATE(1020)] = 70442,
  [SMALL_STATE(1021)] = 70498,
  [SMALL_STATE(1022)] = 70544,
  [SMALL_STATE(1023)] = 70594,
  [SMALL_STATE(1024)] = 70674,
  [SMALL_STATE(1025)] = 70724,
  [SMALL_STATE(1026)] = 70774,
  [SMALL_STATE(1027)] = 70824,
  [SMALL_STATE(1028)] = 70870,
  [SMALL_STATE(1029)] = 70950,
  [SMALL_STATE(1030)] = 71020,
  [SMALL_STATE(1031)] = 71076,
  [SMALL_STATE(1032)] = 71126,
  [SMALL_STATE(1033)] = 71182,
  [SMALL_STATE(1034)] = 71232,
  [SMALL_STATE(1035)] = 71288,
  [SMALL_STATE(1036)] = 71333,
  [SMALL_STATE(1037)] = 71388,
  [SMALL_STATE(1038)] = 71443,
  [SMALL_STATE(1039)] = 71502,
  [SMALL_STATE(1040)] = 71569,
  [SMALL_STATE(1041)] = 71616,
  [SMALL_STATE(1042)] = 71663,
  [SMALL_STATE(1043)] = 71710,
  [SMALL_STATE(1044)] = 71775,
  [SMALL_STATE(1045)] = 71838,
  [SMALL_STATE(1046)] = 71887,
  [SMALL_STATE(1047)] = 71932,
  [SMALL_STATE(1048)] = 71977,
  [SMALL_STATE(1049)] = 72026,
  [SMALL_STATE(1050)] = 72075,
  [SMALL_STATE(1051)] = 72120,
  [SMALL_STATE(1052)] = 72169,
  [SMALL_STATE(1053)] = 72218,
  [SMALL_STATE(1054)] = 72263,
  [SMALL_STATE(1055)] = 72312,
  [SMALL_STATE(1056)] = 72357,
  [SMALL_STATE(1057)] = 72402,
  [SMALL_STATE(1058)] = 72447,
  [SMALL_STATE(1059)] = 72492,
  [SMALL_STATE(1060)] = 72537,
  [SMALL_STATE(1061)] = 72582,
  [SMALL_STATE(1062)] = 72627,
  [SMALL_STATE(1063)] = 72672,
  [SMALL_STATE(1064)] = 72717,
  [SMALL_STATE(1065)] = 72764,
  [SMALL_STATE(1066)] = 72809,
  [SMALL_STATE(1067)] = 72854,
  [SMALL_STATE(1068)] = 72901,
  [SMALL_STATE(1069)] = 72948,
  [SMALL_STATE(1070)] = 72997,
  [SMALL_STATE(1071)] = 73042,
  [SMALL_STATE(1072)] = 73087,
  [SMALL_STATE(1073)] = 73148,
  [SMALL_STATE(1074)] = 73193,
  [SMALL_STATE(1075)] = 73238,
  [SMALL_STATE(1076)] = 73293,
  [SMALL_STATE(1077)] = 73338,
  [SMALL_STATE(1078)] = 73387,
  [SMALL_STATE(1079)] = 73436,
  [SMALL_STATE(1080)] = 73499,
  [SMALL_STATE(1081)] = 73564,
  [SMALL_STATE(1082)] = 73615,
  [SMALL_STATE(1083)] = 73660,
  [SMALL_STATE(1084)] = 73705,
  [SMALL_STATE(1085)] = 73774,
  [SMALL_STATE(1086)] = 73819,
  [SMALL_STATE(1087)] = 73886,
  [SMALL_STATE(1088)] = 73945,
  [SMALL_STATE(1089)] = 74000,
  [SMALL_STATE(1090)] = 74055,
  [SMALL_STATE(1091)] = 74116,
  [SMALL_STATE(1092)] = 74185,
  [SMALL_STATE(1093)] = 74240,
  [SMALL_STATE(1094)] = 74299,
  [SMALL_STATE(1095)] = 74366,
  [SMALL_STATE(1096)] = 74421,
  [SMALL_STATE(1097)] = 74476,
  [SMALL_STATE(1098)] = 74521,
  [SMALL_STATE(1099)] = 74586,
  [SMALL_STATE(1100)] = 74655,
  [SMALL_STATE(1101)] = 74706,
  [SMALL_STATE(1102)] = 74751,
  [SMALL_STATE(1103)] = 74812,
  [SMALL_STATE(1104)] = 74867,
  [SMALL_STATE(1105)] = 74912,
  [SMALL_STATE(1106)] = 74957,
  [SMALL_STATE(1107)] = 75006,
  [SMALL_STATE(1108)] = 75061,
  [SMALL_STATE(1109)] = 75124,
  [SMALL_STATE(1110)] = 75189,
  [SMALL_STATE(1111)] = 75240,
  [SMALL_STATE(1112)] = 75295,
  [SMALL_STATE(1113)] = 75362,
  [SMALL_STATE(1114)] = 75421,
  [SMALL_STATE(1115)] = 75476,
  [SMALL_STATE(1116)] = 75545,
  [SMALL_STATE(1117)] = 75606,
  [SMALL_STATE(1118)] = 75661,
  [SMALL_STATE(1119)] = 75706,
  [SMALL_STATE(1120)] = 75755,
  [SMALL_STATE(1121)] = 75800,
  [SMALL_STATE(1122)] = 75855,
  [SMALL_STATE(1123)] = 75906,
  [SMALL_STATE(1124)] = 75951,
  [SMALL_STATE(1125)] = 76014,
  [SMALL_STATE(1126)] = 76069,
  [SMALL_STATE(1127)] = 76124,
  [SMALL_STATE(1128)] = 76169,
  [SMALL_STATE(1129)] = 76218,
  [SMALL_STATE(1130)] = 76263,
  [SMALL_STATE(1131)] = 76308,
  [SMALL_STATE(1132)] = 76353,
  [SMALL_STATE(1133)] = 76398,
  [SMALL_STATE(1134)] = 76449,
  [SMALL_STATE(1135)] = 76494,
  [SMALL_STATE(1136)] = 76538,
  [SMALL_STATE(1137)] = 76582,
  [SMALL_STATE(1138)] = 76626,
  [SMALL_STATE(1139)] = 76674,
  [SMALL_STATE(1140)] = 76718,
  [SMALL_STATE(1141)] = 76762,
  [SMALL_STATE(1142)] = 76806,
  [SMALL_STATE(1143)] = 76850,
  [SMALL_STATE(1144)] = 76894,
  [SMALL_STATE(1145)] = 76942,
  [SMALL_STATE(1146)] = 76990,
  [SMALL_STATE(1147)] = 77034,
  [SMALL_STATE(1148)] = 77078,
  [SMALL_STATE(1149)] = 77122,
  [SMALL_STATE(1150)] = 77166,
  [SMALL_STATE(1151)] = 77212,
  [SMALL_STATE(1152)] = 77258,
  [SMALL_STATE(1153)] = 77304,
  [SMALL_STATE(1154)] = 77350,
  [SMALL_STATE(1155)] = 77396,
  [SMALL_STATE(1156)] = 77442,
  [SMALL_STATE(1157)] = 77486,
  [SMALL_STATE(1158)] = 77530,
  [SMALL_STATE(1159)] = 77574,
  [SMALL_STATE(1160)] = 77618,
  [SMALL_STATE(1161)] = 77662,
  [SMALL_STATE(1162)] = 77706,
  [SMALL_STATE(1163)] = 77750,
  [SMALL_STATE(1164)] = 77794,
  [SMALL_STATE(1165)] = 77838,
  [SMALL_STATE(1166)] = 77882,
  [SMALL_STATE(1167)] = 77926,
  [SMALL_STATE(1168)] = 77974,
  [SMALL_STATE(1169)] = 78022,
  [SMALL_STATE(1170)] = 78070,
  [SMALL_STATE(1171)] = 78114,
  [SMALL_STATE(1172)] = 78158,
  [SMALL_STATE(1173)] = 78202,
  [SMALL_STATE(1174)] = 78248,
  [SMALL_STATE(1175)] = 78292,
  [SMALL_STATE(1176)] = 78336,
  [SMALL_STATE(1177)] = 78380,
  [SMALL_STATE(1178)] = 78424,
  [SMALL_STATE(1179)] = 78468,
  [SMALL_STATE(1180)] = 78514,
  [SMALL_STATE(1181)] = 78558,
  [SMALL_STATE(1182)] = 78602,
  [SMALL_STATE(1183)] = 78650,
  [SMALL_STATE(1184)] = 78694,
  [SMALL_STATE(1185)] = 78742,
  [SMALL_STATE(1186)] = 78786,
  [SMALL_STATE(1187)] = 78830,
  [SMALL_STATE(1188)] = 78874,
  [SMALL_STATE(1189)] = 78918,
  [SMALL_STATE(1190)] = 78964,
  [SMALL_STATE(1191)] = 79018,
  [SMALL_STATE(1192)] = 79066,
  [SMALL_STATE(1193)] = 79114,
  [SMALL_STATE(1194)] = 79162,
  [SMALL_STATE(1195)] = 79210,
  [SMALL_STATE(1196)] = 79264,
  [SMALL_STATE(1197)] = 79308,
  [SMALL_STATE(1198)] = 79356,
  [SMALL_STATE(1199)] = 79402,
  [SMALL_STATE(1200)] = 79446,
  [SMALL_STATE(1201)] = 79492,
  [SMALL_STATE(1202)] = 79538,
  [SMALL_STATE(1203)] = 79582,
  [SMALL_STATE(1204)] = 79628,
  [SMALL_STATE(1205)] = 79674,
  [SMALL_STATE(1206)] = 79720,
  [SMALL_STATE(1207)] = 79766,
  [SMALL_STATE(1208)] = 79810,
  [SMALL_STATE(1209)] = 79854,
  [SMALL_STATE(1210)] = 79898,
  [SMALL_STATE(1211)] = 79942,
  [SMALL_STATE(1212)] = 79988,
  [SMALL_STATE(1213)] = 80032,
  [SMALL_STATE(1214)] = 80076,
  [SMALL_STATE(1215)] = 80120,
  [SMALL_STATE(1216)] = 80164,
  [SMALL_STATE(1217)] = 80208,
  [SMALL_STATE(1218)] = 80252,
  [SMALL_STATE(1219)] = 80296,
  [SMALL_STATE(1220)] = 80340,
  [SMALL_STATE(1221)] = 80390,
  [SMALL_STATE(1222)] = 80434,
  [SMALL_STATE(1223)] = 80478,
  [SMALL_STATE(1224)] = 80522,
  [SMALL_STATE(1225)] = 80566,
  [SMALL_STATE(1226)] = 80610,
  [SMALL_STATE(1227)] = 80654,
  [SMALL_STATE(1228)] = 80698,
  [SMALL_STATE(1229)] = 80742,
  [SMALL_STATE(1230)] = 80796,
  [SMALL_STATE(1231)] = 80856,
  [SMALL_STATE(1232)] = 80924,
  [SMALL_STATE(1233)] = 80978,
  [SMALL_STATE(1234)] = 81022,
  [SMALL_STATE(1235)] = 81080,
  [SMALL_STATE(1236)] = 81146,
  [SMALL_STATE(1237)] = 81210,
  [SMALL_STATE(1238)] = 81272,
  [SMALL_STATE(1239)] = 81316,
  [SMALL_STATE(1240)] = 81360,
  [SMALL_STATE(1241)] = 81408,
  [SMALL_STATE(1242)] = 81456,
  [SMALL_STATE(1243)] = 81506,
  [SMALL_STATE(1244)] = 81554,
  [SMALL_STATE(1245)] = 81598,
  [SMALL_STATE(1246)] = 81642,
  [SMALL_STATE(1247)] = 81686,
  [SMALL_STATE(1248)] = 81734,
  [SMALL_STATE(1249)] = 81782,
  [SMALL_STATE(1250)] = 81826,
  [SMALL_STATE(1251)] = 81870,
  [SMALL_STATE(1252)] = 81914,
  [SMALL_STATE(1253)] = 81958,
  [SMALL_STATE(1254)] = 82002,
  [SMALL_STATE(1255)] = 82046,
  [SMALL_STATE(1256)] = 82090,
  [SMALL_STATE(1257)] = 82133,
  [SMALL_STATE(1258)] = 82176,
  [SMALL_STATE(1259)] = 82219,
  [SMALL_STATE(1260)] = 82270,
  [SMALL_STATE(1261)] = 82313,
  [SMALL_STATE(1262)] = 82356,
  [SMALL_STATE(1263)] = 82399,
  [SMALL_STATE(1264)] = 82442,
  [SMALL_STATE(1265)] = 82485,
  [SMALL_STATE(1266)] = 82528,
  [SMALL_STATE(1267)] = 82571,
  [SMALL_STATE(1268)] = 82616,
  [SMALL_STATE(1269)] = 82659,
  [SMALL_STATE(1270)] = 82702,
  [SMALL_STATE(1271)] = 82745,
  [SMALL_STATE(1272)] = 82788,
  [SMALL_STATE(1273)] = 82831,
  [SMALL_STATE(1274)] = 82874,
  [SMALL_STATE(1275)] = 82917,
  [SMALL_STATE(1276)] = 82960,
  [SMALL_STATE(1277)] = 83003,
  [SMALL_STATE(1278)] = 83050,
  [SMALL_STATE(1279)] = 83097,
  [SMALL_STATE(1280)] = 83144,
  [SMALL_STATE(1281)] = 83187,
  [SMALL_STATE(1282)] = 83230,
  [SMALL_STATE(1283)] = 83273,
  [SMALL_STATE(1284)] = 83320,
  [SMALL_STATE(1285)] = 83363,
  [SMALL_STATE(1286)] = 83406,
  [SMALL_STATE(1287)] = 83449,
  [SMALL_STATE(1288)] = 83492,
  [SMALL_STATE(1289)] = 83535,
  [SMALL_STATE(1290)] = 83578,
  [SMALL_STATE(1291)] = 83621,
  [SMALL_STATE(1292)] = 83664,
  [SMALL_STATE(1293)] = 83707,
  [SMALL_STATE(1294)] = 83750,
  [SMALL_STATE(1295)] = 83793,
  [SMALL_STATE(1296)] = 83836,
  [SMALL_STATE(1297)] = 83879,
  [SMALL_STATE(1298)] = 83922,
  [SMALL_STATE(1299)] = 83967,
  [SMALL_STATE(1300)] = 84014,
  [SMALL_STATE(1301)] = 84057,
  [SMALL_STATE(1302)] = 84104,
  [SMALL_STATE(1303)] = 84149,
  [SMALL_STATE(1304)] = 84196,
  [SMALL_STATE(1305)] = 84243,
  [SMALL_STATE(1306)] = 84288,
  [SMALL_STATE(1307)] = 84333,
  [SMALL_STATE(1308)] = 84376,
  [SMALL_STATE(1309)] = 84419,
  [SMALL_STATE(1310)] = 84462,
  [SMALL_STATE(1311)] = 84505,
  [SMALL_STATE(1312)] = 84548,
  [SMALL_STATE(1313)] = 84591,
  [SMALL_STATE(1314)] = 84634,
  [SMALL_STATE(1315)] = 84677,
  [SMALL_STATE(1316)] = 84720,
  [SMALL_STATE(1317)] = 84763,
  [SMALL_STATE(1318)] = 84810,
  [SMALL_STATE(1319)] = 84857,
  [SMALL_STATE(1320)] = 84904,
  [SMALL_STATE(1321)] = 84947,
  [SMALL_STATE(1322)] = 84990,
  [SMALL_STATE(1323)] = 85033,
  [SMALL_STATE(1324)] = 85076,
  [SMALL_STATE(1325)] = 85119,
  [SMALL_STATE(1326)] = 85162,
  [SMALL_STATE(1327)] = 85207,
  [SMALL_STATE(1328)] = 85250,
  [SMALL_STATE(1329)] = 85293,
  [SMALL_STATE(1330)] = 85336,
  [SMALL_STATE(1331)] = 85379,
  [SMALL_STATE(1332)] = 85422,
  [SMALL_STATE(1333)] = 85465,
  [SMALL_STATE(1334)] = 85508,
  [SMALL_STATE(1335)] = 85551,
  [SMALL_STATE(1336)] = 85594,
  [SMALL_STATE(1337)] = 85637,
  [SMALL_STATE(1338)] = 85680,
  [SMALL_STATE(1339)] = 85723,
  [SMALL_STATE(1340)] = 85766,
  [SMALL_STATE(1341)] = 85809,
  [SMALL_STATE(1342)] = 85852,
  [SMALL_STATE(1343)] = 85897,
  [SMALL_STATE(1344)] = 85940,
  [SMALL_STATE(1345)] = 85983,
  [SMALL_STATE(1346)] = 86026,
  [SMALL_STATE(1347)] = 86069,
  [SMALL_STATE(1348)] = 86112,
  [SMALL_STATE(1349)] = 86155,
  [SMALL_STATE(1350)] = 86198,
  [SMALL_STATE(1351)] = 86241,
  [SMALL_STATE(1352)] = 86284,
  [SMALL_STATE(1353)] = 86327,
  [SMALL_STATE(1354)] = 86370,
  [SMALL_STATE(1355)] = 86413,
  [SMALL_STATE(1356)] = 86456,
  [SMALL_STATE(1357)] = 86499,
  [SMALL_STATE(1358)] = 86542,
  [SMALL_STATE(1359)] = 86585,
  [SMALL_STATE(1360)] = 86628,
  [SMALL_STATE(1361)] = 86671,
  [SMALL_STATE(1362)] = 86714,
  [SMALL_STATE(1363)] = 86757,
  [SMALL_STATE(1364)] = 86800,
  [SMALL_STATE(1365)] = 86845,
  [SMALL_STATE(1366)] = 86888,
  [SMALL_STATE(1367)] = 86931,
  [SMALL_STATE(1368)] = 86974,
  [SMALL_STATE(1369)] = 87019,
  [SMALL_STATE(1370)] = 87066,
  [SMALL_STATE(1371)] = 87113,
  [SMALL_STATE(1372)] = 87164,
  [SMALL_STATE(1373)] = 87209,
  [SMALL_STATE(1374)] = 87252,
  [SMALL_STATE(1375)] = 87295,
  [SMALL_STATE(1376)] = 87338,
  [SMALL_STATE(1377)] = 87381,
  [SMALL_STATE(1378)] = 87426,
  [SMALL_STATE(1379)] = 87471,
  [SMALL_STATE(1380)] = 87514,
  [SMALL_STATE(1381)] = 87557,
  [SMALL_STATE(1382)] = 87600,
  [SMALL_STATE(1383)] = 87647,
  [SMALL_STATE(1384)] = 87690,
  [SMALL_STATE(1385)] = 87737,
  [SMALL_STATE(1386)] = 87780,
  [SMALL_STATE(1387)] = 87823,
  [SMALL_STATE(1388)] = 87868,
  [SMALL_STATE(1389)] = 87911,
  [SMALL_STATE(1390)] = 87954,
  [SMALL_STATE(1391)] = 87997,
  [SMALL_STATE(1392)] = 88040,
  [SMALL_STATE(1393)] = 88085,
  [SMALL_STATE(1394)] = 88128,
  [SMALL_STATE(1395)] = 88171,
  [SMALL_STATE(1396)] = 88214,
  [SMALL_STATE(1397)] = 88259,
  [SMALL_STATE(1398)] = 88302,
  [SMALL_STATE(1399)] = 88345,
  [SMALL_STATE(1400)] = 88388,
  [SMALL_STATE(1401)] = 88431,
  [SMALL_STATE(1402)] = 88474,
  [SMALL_STATE(1403)] = 88517,
  [SMALL_STATE(1404)] = 88562,
  [SMALL_STATE(1405)] = 88605,
  [SMALL_STATE(1406)] = 88648,
  [SMALL_STATE(1407)] = 88691,
  [SMALL_STATE(1408)] = 88734,
  [SMALL_STATE(1409)] = 88777,
  [SMALL_STATE(1410)] = 88822,
  [SMALL_STATE(1411)] = 88865,
  [SMALL_STATE(1412)] = 88910,
  [SMALL_STATE(1413)] = 88953,
  [SMALL_STATE(1414)] = 88996,
  [SMALL_STATE(1415)] = 89039,
  [SMALL_STATE(1416)] = 89084,
  [SMALL_STATE(1417)] = 89127,
  [SMALL_STATE(1418)] = 89170,
  [SMALL_STATE(1419)] = 89213,
  [SMALL_STATE(1420)] = 89255,
  [SMALL_STATE(1421)] = 89301,
  [SMALL_STATE(1422)] = 89343,
  [SMALL_STATE(1423)] = 89387,
  [SMALL_STATE(1424)] = 89431,
  [SMALL_STATE(1425)] = 89475,
  [SMALL_STATE(1426)] = 89519,
  [SMALL_STATE(1427)] = 89567,
  [SMALL_STATE(1428)] = 89611,
  [SMALL_STATE(1429)] = 89655,
  [SMALL_STATE(1430)] = 89697,
  [SMALL_STATE(1431)] = 89739,
  [SMALL_STATE(1432)] = 89781,
  [SMALL_STATE(1433)] = 89823,
  [SMALL_STATE(1434)] = 89865,
  [SMALL_STATE(1435)] = 89907,
  [SMALL_STATE(1436)] = 89949,
  [SMALL_STATE(1437)] = 89999,
  [SMALL_STATE(1438)] = 90041,
  [SMALL_STATE(1439)] = 90083,
  [SMALL_STATE(1440)] = 90125,
  [SMALL_STATE(1441)] = 90167,
  [SMALL_STATE(1442)] = 90209,
  [SMALL_STATE(1443)] = 90251,
  [SMALL_STATE(1444)] = 90293,
  [SMALL_STATE(1445)] = 90335,
  [SMALL_STATE(1446)] = 90377,
  [SMALL_STATE(1447)] = 90419,
  [SMALL_STATE(1448)] = 90461,
  [SMALL_STATE(1449)] = 90503,
  [SMALL_STATE(1450)] = 90545,
  [SMALL_STATE(1451)] = 90587,
  [SMALL_STATE(1452)] = 90629,
  [SMALL_STATE(1453)] = 90671,
  [SMALL_STATE(1454)] = 90713,
  [SMALL_STATE(1455)] = 90755,
  [SMALL_STATE(1456)] = 90797,
  [SMALL_STATE(1457)] = 90843,
  [SMALL_STATE(1458)] = 90885,
  [SMALL_STATE(1459)] = 90931,
  [SMALL_STATE(1460)] = 90973,
  [SMALL_STATE(1461)] = 91015,
  [SMALL_STATE(1462)] = 91057,
  [SMALL_STATE(1463)] = 91099,
  [SMALL_STATE(1464)] = 91143,
  [SMALL_STATE(1465)] = 91187,
  [SMALL_STATE(1466)] = 91231,
  [SMALL_STATE(1467)] = 91272,
  [SMALL_STATE(1468)] = 91315,
  [SMALL_STATE(1469)] = 91358,
  [SMALL_STATE(1470)] = 91401,
  [SMALL_STATE(1471)] = 91444,
  [SMALL_STATE(1472)] = 91487,
  [SMALL_STATE(1473)] = 91530,
  [SMALL_STATE(1474)] = 91571,
  [SMALL_STATE(1475)] = 91612,
  [SMALL_STATE(1476)] = 91653,
  [SMALL_STATE(1477)] = 91694,
  [SMALL_STATE(1478)] = 91735,
  [SMALL_STATE(1479)] = 91776,
  [SMALL_STATE(1480)] = 91819,
  [SMALL_STATE(1481)] = 91862,
  [SMALL_STATE(1482)] = 91905,
  [SMALL_STATE(1483)] = 91946,
  [SMALL_STATE(1484)] = 91987,
  [SMALL_STATE(1485)] = 92028,
  [SMALL_STATE(1486)] = 92102,
  [SMALL_STATE(1487)] = 92176,
  [SMALL_STATE(1488)] = 92244,
  [SMALL_STATE(1489)] = 92312,
  [SMALL_STATE(1490)] = 92380,
  [SMALL_STATE(1491)] = 92448,
  [SMALL_STATE(1492)] = 92516,
  [SMALL_STATE(1493)] = 92584,
  [SMALL_STATE(1494)] = 92652,
  [SMALL_STATE(1495)] = 92720,
  [SMALL_STATE(1496)] = 92788,
  [SMALL_STATE(1497)] = 92856,
  [SMALL_STATE(1498)] = 92924,
  [SMALL_STATE(1499)] = 92992,
  [SMALL_STATE(1500)] = 93060,
  [SMALL_STATE(1501)] = 93128,
  [SMALL_STATE(1502)] = 93196,
  [SMALL_STATE(1503)] = 93264,
  [SMALL_STATE(1504)] = 93332,
  [SMALL_STATE(1505)] = 93400,
  [SMALL_STATE(1506)] = 93468,
  [SMALL_STATE(1507)] = 93536,
  [SMALL_STATE(1508)] = 93604,
  [SMALL_STATE(1509)] = 93672,
  [SMALL_STATE(1510)] = 93740,
  [SMALL_STATE(1511)] = 93808,
  [SMALL_STATE(1512)] = 93876,
  [SMALL_STATE(1513)] = 93944,
  [SMALL_STATE(1514)] = 94012,
  [SMALL_STATE(1515)] = 94080,
  [SMALL_STATE(1516)] = 94148,
  [SMALL_STATE(1517)] = 94216,
  [SMALL_STATE(1518)] = 94284,
  [SMALL_STATE(1519)] = 94352,
  [SMALL_STATE(1520)] = 94420,
  [SMALL_STATE(1521)] = 94488,
  [SMALL_STATE(1522)] = 94556,
  [SMALL_STATE(1523)] = 94624,
  [SMALL_STATE(1524)] = 94689,
  [SMALL_STATE(1525)] = 94754,
  [SMALL_STATE(1526)] = 94819,
  [SMALL_STATE(1527)] = 94884,
  [SMALL_STATE(1528)] = 94949,
  [SMALL_STATE(1529)] = 95015,
  [SMALL_STATE(1530)] = 95081,
  [SMALL_STATE(1531)] = 95147,
  [SMALL_STATE(1532)] = 95213,
  [SMALL_STATE(1533)] = 95279,
  [SMALL_STATE(1534)] = 95345,
  [SMALL_STATE(1535)] = 95411,
  [SMALL_STATE(1536)] = 95477,
  [SMALL_STATE(1537)] = 95543,
  [SMALL_STATE(1538)] = 95609,
  [SMALL_STATE(1539)] = 95675,
  [SMALL_STATE(1540)] = 95741,
  [SMALL_STATE(1541)] = 95807,
  [SMALL_STATE(1542)] = 95873,
  [SMALL_STATE(1543)] = 95939,
  [SMALL_STATE(1544)] = 96005,
  [SMALL_STATE(1545)] = 96071,
  [SMALL_STATE(1546)] = 96137,
  [SMALL_STATE(1547)] = 96203,
  [SMALL_STATE(1548)] = 96269,
  [SMALL_STATE(1549)] = 96332,
  [SMALL_STATE(1550)] = 96390,
  [SMALL_STATE(1551)] = 96448,
  [SMALL_STATE(1552)] = 96506,
  [SMALL_STATE(1553)] = 96564,
  [SMALL_STATE(1554)] = 96610,
  [SMALL_STATE(1555)] = 96656,
  [SMALL_STATE(1556)] = 96714,
  [SMALL_STATE(1557)] = 96772,
  [SMALL_STATE(1558)] = 96830,
  [SMALL_STATE(1559)] = 96888,
  [SMALL_STATE(1560)] = 96932,
  [SMALL_STATE(1561)] = 96976,
  [SMALL_STATE(1562)] = 97020,
  [SMALL_STATE(1563)] = 97064,
  [SMALL_STATE(1564)] = 97107,
  [SMALL_STATE(1565)] = 97148,
  [SMALL_STATE(1566)] = 97191,
  [SMALL_STATE(1567)] = 97232,
  [SMALL_STATE(1568)] = 97275,
  [SMALL_STATE(1569)] = 97318,
  [SMALL_STATE(1570)] = 97360,
  [SMALL_STATE(1571)] = 97402,
  [SMALL_STATE(1572)] = 97432,
  [SMALL_STATE(1573)] = 97464,
  [SMALL_STATE(1574)] = 97496,
  [SMALL_STATE(1575)] = 97528,
  [SMALL_STATE(1576)] = 97560,
  [SMALL_STATE(1577)] = 97592,
  [SMALL_STATE(1578)] = 97624,
  [SMALL_STATE(1579)] = 97654,
  [SMALL_STATE(1580)] = 97696,
  [SMALL_STATE(1581)] = 97738,
  [SMALL_STATE(1582)] = 97768,
  [SMALL_STATE(1583)] = 97798,
  [SMALL_STATE(1584)] = 97828,
  [SMALL_STATE(1585)] = 97858,
  [SMALL_STATE(1586)] = 97888,
  [SMALL_STATE(1587)] = 97918,
  [SMALL_STATE(1588)] = 97948,
  [SMALL_STATE(1589)] = 97978,
  [SMALL_STATE(1590)] = 98007,
  [SMALL_STATE(1591)] = 98036,
  [SMALL_STATE(1592)] = 98065,
  [SMALL_STATE(1593)] = 98094,
  [SMALL_STATE(1594)] = 98123,
  [SMALL_STATE(1595)] = 98170,
  [SMALL_STATE(1596)] = 98217,
  [SMALL_STATE(1597)] = 98246,
  [SMALL_STATE(1598)] = 98275,
  [SMALL_STATE(1599)] = 98304,
  [SMALL_STATE(1600)] = 98333,
  [SMALL_STATE(1601)] = 98362,
  [SMALL_STATE(1602)] = 98391,
  [SMALL_STATE(1603)] = 98416,
  [SMALL_STATE(1604)] = 98445,
  [SMALL_STATE(1605)] = 98492,
  [SMALL_STATE(1606)] = 98521,
  [SMALL_STATE(1607)] = 98568,
  [SMALL_STATE(1608)] = 98597,
  [SMALL_STATE(1609)] = 98626,
  [SMALL_STATE(1610)] = 98655,
  [SMALL_STATE(1611)] = 98684,
  [SMALL_STATE(1612)] = 98731,
  [SMALL_STATE(1613)] = 98760,
  [SMALL_STATE(1614)] = 98789,
  [SMALL_STATE(1615)] = 98818,
  [SMALL_STATE(1616)] = 98847,
  [SMALL_STATE(1617)] = 98876,
  [SMALL_STATE(1618)] = 98923,
  [SMALL_STATE(1619)] = 98948,
  [SMALL_STATE(1620)] = 98995,
  [SMALL_STATE(1621)] = 99020,
  [SMALL_STATE(1622)] = 99067,
  [SMALL_STATE(1623)] = 99096,
  [SMALL_STATE(1624)] = 99125,
  [SMALL_STATE(1625)] = 99150,
  [SMALL_STATE(1626)] = 99197,
  [SMALL_STATE(1627)] = 99244,
  [SMALL_STATE(1628)] = 99272,
  [SMALL_STATE(1629)] = 99318,
  [SMALL_STATE(1630)] = 99342,
  [SMALL_STATE(1631)] = 99388,
  [SMALL_STATE(1632)] = 99434,
  [SMALL_STATE(1633)] = 99480,
  [SMALL_STATE(1634)] = 99526,
  [SMALL_STATE(1635)] = 99550,
  [SMALL_STATE(1636)] = 99582,
  [SMALL_STATE(1637)] = 99610,
  [SMALL_STATE(1638)] = 99640,
  [SMALL_STATE(1639)] = 99686,
  [SMALL_STATE(1640)] = 99718,
  [SMALL_STATE(1641)] = 99764,
  [SMALL_STATE(1642)] = 99810,
  [SMALL_STATE(1643)] = 99856,
  [SMALL_STATE(1644)] = 99880,
  [SMALL_STATE(1645)] = 99904,
  [SMALL_STATE(1646)] = 99950,
  [SMALL_STATE(1647)] = 99996,
  [SMALL_STATE(1648)] = 100039,
  [SMALL_STATE(1649)] = 100079,
  [SMALL_STATE(1650)] = 100119,
  [SMALL_STATE(1651)] = 100159,
  [SMALL_STATE(1652)] = 100185,
  [SMALL_STATE(1653)] = 100225,
  [SMALL_STATE(1654)] = 100262,
  [SMALL_STATE(1655)] = 100299,
  [SMALL_STATE(1656)] = 100324,
  [SMALL_STATE(1657)] = 100365,
  [SMALL_STATE(1658)] = 100406,
  [SMALL_STATE(1659)] = 100447,
  [SMALL_STATE(1660)] = 100466,
  [SMALL_STATE(1661)] = 100493,
  [SMALL_STATE(1662)] = 100534,
  [SMALL_STATE(1663)] = 100555,
  [SMALL_STATE(1664)] = 100596,
  [SMALL_STATE(1665)] = 100637,
  [SMALL_STATE(1666)] = 100656,
  [SMALL_STATE(1667)] = 100697,
  [SMALL_STATE(1668)] = 100716,
  [SMALL_STATE(1669)] = 100743,
  [SMALL_STATE(1670)] = 100770,
  [SMALL_STATE(1671)] = 100793,
  [SMALL_STATE(1672)] = 100834,
  [SMALL_STATE(1673)] = 100872,
  [SMALL_STATE(1674)] = 100902,
  [SMALL_STATE(1675)] = 100932,
  [SMALL_STATE(1676)] = 100962,
  [SMALL_STATE(1677)] = 101000,
  [SMALL_STATE(1678)] = 101030,
  [SMALL_STATE(1679)] = 101060,
  [SMALL_STATE(1680)] = 101090,
  [SMALL_STATE(1681)] = 101120,
  [SMALL_STATE(1682)] = 101158,
  [SMALL_STATE(1683)] = 101188,
  [SMALL_STATE(1684)] = 101218,
  [SMALL_STATE(1685)] = 101248,
  [SMALL_STATE(1686)] = 101286,
  [SMALL_STATE(1687)] = 101324,
  [SMALL_STATE(1688)] = 101354,
  [SMALL_STATE(1689)] = 101392,
  [SMALL_STATE(1690)] = 101430,
  [SMALL_STATE(1691)] = 101468,
  [SMALL_STATE(1692)] = 101506,
  [SMALL_STATE(1693)] = 101544,
  [SMALL_STATE(1694)] = 101574,
  [SMALL_STATE(1695)] = 101612,
  [SMALL_STATE(1696)] = 101650,
  [SMALL_STATE(1697)] = 101680,
  [SMALL_STATE(1698)] = 101718,
  [SMALL_STATE(1699)] = 101750,
  [SMALL_STATE(1700)] = 101788,
  [SMALL_STATE(1701)] = 101826,
  [SMALL_STATE(1702)] = 101856,
  [SMALL_STATE(1703)] = 101886,
  [SMALL_STATE(1704)] = 101924,
  [SMALL_STATE(1705)] = 101962,
  [SMALL_STATE(1706)] = 102000,
  [SMALL_STATE(1707)] = 102030,
  [SMALL_STATE(1708)] = 102068,
  [SMALL_STATE(1709)] = 102098,
  [SMALL_STATE(1710)] = 102128,
  [SMALL_STATE(1711)] = 102166,
  [SMALL_STATE(1712)] = 102204,
  [SMALL_STATE(1713)] = 102234,
  [SMALL_STATE(1714)] = 102272,
  [SMALL_STATE(1715)] = 102310,
  [SMALL_STATE(1716)] = 102348,
  [SMALL_STATE(1717)] = 102386,
  [SMALL_STATE(1718)] = 102407,
  [SMALL_STATE(1719)] = 102432,
  [SMALL_STATE(1720)] = 102457,
  [SMALL_STATE(1721)] = 102474,
  [SMALL_STATE(1722)] = 102499,
  [SMALL_STATE(1723)] = 102524,
  [SMALL_STATE(1724)] = 102541,
  [SMALL_STATE(1725)] = 102566,
  [SMALL_STATE(1726)] = 102583,
  [SMALL_STATE(1727)] = 102608,
  [SMALL_STATE(1728)] = 102627,
  [SMALL_STATE(1729)] = 102656,
  [SMALL_STATE(1730)] = 102673,
  [SMALL_STATE(1731)] = 102692,
  [SMALL_STATE(1732)] = 102721,
  [SMALL_STATE(1733)] = 102742,
  [SMALL_STATE(1734)] = 102759,
  [SMALL_STATE(1735)] = 102776,
  [SMALL_STATE(1736)] = 102799,
  [SMALL_STATE(1737)] = 102822,
  [SMALL_STATE(1738)] = 102847,
  [SMALL_STATE(1739)] = 102872,
  [SMALL_STATE(1740)] = 102888,
  [SMALL_STATE(1741)] = 102912,
  [SMALL_STATE(1742)] = 102930,
  [SMALL_STATE(1743)] = 102946,
  [SMALL_STATE(1744)] = 102966,
  [SMALL_STATE(1745)] = 102988,
  [SMALL_STATE(1746)] = 103008,
  [SMALL_STATE(1747)] = 103032,
  [SMALL_STATE(1748)] = 103050,
  [SMALL_STATE(1749)] = 103070,
  [SMALL_STATE(1750)] = 103100,
  [SMALL_STATE(1751)] = 103122,
  [SMALL_STATE(1752)] = 103146,
  [SMALL_STATE(1753)] = 103170,
  [SMALL_STATE(1754)] = 103194,
  [SMALL_STATE(1755)] = 103218,
  [SMALL_STATE(1756)] = 103242,
  [SMALL_STATE(1757)] = 103260,
  [SMALL_STATE(1758)] = 103284,
  [SMALL_STATE(1759)] = 103306,
  [SMALL_STATE(1760)] = 103326,
  [SMALL_STATE(1761)] = 103342,
  [SMALL_STATE(1762)] = 103360,
  [SMALL_STATE(1763)] = 103376,
  [SMALL_STATE(1764)] = 103400,
  [SMALL_STATE(1765)] = 103422,
  [SMALL_STATE(1766)] = 103442,
  [SMALL_STATE(1767)] = 103466,
  [SMALL_STATE(1768)] = 103482,
  [SMALL_STATE(1769)] = 103500,
  [SMALL_STATE(1770)] = 103522,
  [SMALL_STATE(1771)] = 103538,
  [SMALL_STATE(1772)] = 103562,
  [SMALL_STATE(1773)] = 103586,
  [SMALL_STATE(1774)] = 103606,
  [SMALL_STATE(1775)] = 103630,
  [SMALL_STATE(1776)] = 103657,
  [SMALL_STATE(1777)] = 103674,
  [SMALL_STATE(1778)] = 103691,
  [SMALL_STATE(1779)] = 103712,
  [SMALL_STATE(1780)] = 103741,
  [SMALL_STATE(1781)] = 103762,
  [SMALL_STATE(1782)] = 103785,
  [SMALL_STATE(1783)] = 103810,
  [SMALL_STATE(1784)] = 103833,
  [SMALL_STATE(1785)] = 103860,
  [SMALL_STATE(1786)] = 103885,
  [SMALL_STATE(1787)] = 103908,
  [SMALL_STATE(1788)] = 103929,
  [SMALL_STATE(1789)] = 103950,
  [SMALL_STATE(1790)] = 103971,
  [SMALL_STATE(1791)] = 103994,
  [SMALL_STATE(1792)] = 104017,
  [SMALL_STATE(1793)] = 104038,
  [SMALL_STATE(1794)] = 104067,
  [SMALL_STATE(1795)] = 104088,
  [SMALL_STATE(1796)] = 104109,
  [SMALL_STATE(1797)] = 104126,
  [SMALL_STATE(1798)] = 104155,
  [SMALL_STATE(1799)] = 104182,
  [SMALL_STATE(1800)] = 104205,
  [SMALL_STATE(1801)] = 104234,
  [SMALL_STATE(1802)] = 104255,
  [SMALL_STATE(1803)] = 104280,
  [SMALL_STATE(1804)] = 104301,
  [SMALL_STATE(1805)] = 104322,
  [SMALL_STATE(1806)] = 104343,
  [SMALL_STATE(1807)] = 104372,
  [SMALL_STATE(1808)] = 104397,
  [SMALL_STATE(1809)] = 104420,
  [SMALL_STATE(1810)] = 104449,
  [SMALL_STATE(1811)] = 104470,
  [SMALL_STATE(1812)] = 104493,
  [SMALL_STATE(1813)] = 104522,
  [SMALL_STATE(1814)] = 104549,
  [SMALL_STATE(1815)] = 104578,
  [SMALL_STATE(1816)] = 104599,
  [SMALL_STATE(1817)] = 104622,
  [SMALL_STATE(1818)] = 104639,
  [SMALL_STATE(1819)] = 104660,
  [SMALL_STATE(1820)] = 104677,
  [SMALL_STATE(1821)] = 104694,
  [SMALL_STATE(1822)] = 104713,
  [SMALL_STATE(1823)] = 104732,
  [SMALL_STATE(1824)] = 104753,
  [SMALL_STATE(1825)] = 104782,
  [SMALL_STATE(1826)] = 104797,
  [SMALL_STATE(1827)] = 104822,
  [SMALL_STATE(1828)] = 104849,
  [SMALL_STATE(1829)] = 104876,
  [SMALL_STATE(1830)] = 104899,
  [SMALL_STATE(1831)] = 104918,
  [SMALL_STATE(1832)] = 104945,
  [SMALL_STATE(1833)] = 104972,
  [SMALL_STATE(1834)] = 104997,
  [SMALL_STATE(1835)] = 105026,
  [SMALL_STATE(1836)] = 105052,
  [SMALL_STATE(1837)] = 105078,
  [SMALL_STATE(1838)] = 105104,
  [SMALL_STATE(1839)] = 105128,
  [SMALL_STATE(1840)] = 105150,
  [SMALL_STATE(1841)] = 105174,
  [SMALL_STATE(1842)] = 105194,
  [SMALL_STATE(1843)] = 105216,
  [SMALL_STATE(1844)] = 105234,
  [SMALL_STATE(1845)] = 105250,
  [SMALL_STATE(1846)] = 105276,
  [SMALL_STATE(1847)] = 105294,
  [SMALL_STATE(1848)] = 105320,
  [SMALL_STATE(1849)] = 105338,
  [SMALL_STATE(1850)] = 105360,
  [SMALL_STATE(1851)] = 105382,
  [SMALL_STATE(1852)] = 105408,
  [SMALL_STATE(1853)] = 105426,
  [SMALL_STATE(1854)] = 105448,
  [SMALL_STATE(1855)] = 105474,
  [SMALL_STATE(1856)] = 105494,
  [SMALL_STATE(1857)] = 105516,
  [SMALL_STATE(1858)] = 105542,
  [SMALL_STATE(1859)] = 105568,
  [SMALL_STATE(1860)] = 105590,
  [SMALL_STATE(1861)] = 105614,
  [SMALL_STATE(1862)] = 105638,
  [SMALL_STATE(1863)] = 105656,
  [SMALL_STATE(1864)] = 105682,
  [SMALL_STATE(1865)] = 105700,
  [SMALL_STATE(1866)] = 105718,
  [SMALL_STATE(1867)] = 105734,
  [SMALL_STATE(1868)] = 105760,
  [SMALL_STATE(1869)] = 105782,
  [SMALL_STATE(1870)] = 105808,
  [SMALL_STATE(1871)] = 105834,
  [SMALL_STATE(1872)] = 105860,
  [SMALL_STATE(1873)] = 105882,
  [SMALL_STATE(1874)] = 105900,
  [SMALL_STATE(1875)] = 105920,
  [SMALL_STATE(1876)] = 105946,
  [SMALL_STATE(1877)] = 105972,
  [SMALL_STATE(1878)] = 105990,
  [SMALL_STATE(1879)] = 106012,
  [SMALL_STATE(1880)] = 106034,
  [SMALL_STATE(1881)] = 106052,
  [SMALL_STATE(1882)] = 106078,
  [SMALL_STATE(1883)] = 106096,
  [SMALL_STATE(1884)] = 106122,
  [SMALL_STATE(1885)] = 106140,
  [SMALL_STATE(1886)] = 106163,
  [SMALL_STATE(1887)] = 106184,
  [SMALL_STATE(1888)] = 106201,
  [SMALL_STATE(1889)] = 106214,
  [SMALL_STATE(1890)] = 106235,
  [SMALL_STATE(1891)] = 106248,
  [SMALL_STATE(1892)] = 106265,
  [SMALL_STATE(1893)] = 106278,
  [SMALL_STATE(1894)] = 106295,
  [SMALL_STATE(1895)] = 106316,
  [SMALL_STATE(1896)] = 106337,
  [SMALL_STATE(1897)] = 106350,
  [SMALL_STATE(1898)] = 106369,
  [SMALL_STATE(1899)] = 106382,
  [SMALL_STATE(1900)] = 106395,
  [SMALL_STATE(1901)] = 106416,
  [SMALL_STATE(1902)] = 106429,
  [SMALL_STATE(1903)] = 106450,
  [SMALL_STATE(1904)] = 106471,
  [SMALL_STATE(1905)] = 106492,
  [SMALL_STATE(1906)] = 106509,
  [SMALL_STATE(1907)] = 106526,
  [SMALL_STATE(1908)] = 106543,
  [SMALL_STATE(1909)] = 106564,
  [SMALL_STATE(1910)] = 106585,
  [SMALL_STATE(1911)] = 106602,
  [SMALL_STATE(1912)] = 106623,
  [SMALL_STATE(1913)] = 106646,
  [SMALL_STATE(1914)] = 106667,
  [SMALL_STATE(1915)] = 106684,
  [SMALL_STATE(1916)] = 106697,
  [SMALL_STATE(1917)] = 106714,
  [SMALL_STATE(1918)] = 106735,
  [SMALL_STATE(1919)] = 106752,
  [SMALL_STATE(1920)] = 106769,
  [SMALL_STATE(1921)] = 106784,
  [SMALL_STATE(1922)] = 106801,
  [SMALL_STATE(1923)] = 106818,
  [SMALL_STATE(1924)] = 106841,
  [SMALL_STATE(1925)] = 106858,
  [SMALL_STATE(1926)] = 106873,
  [SMALL_STATE(1927)] = 106894,
  [SMALL_STATE(1928)] = 106911,
  [SMALL_STATE(1929)] = 106928,
  [SMALL_STATE(1930)] = 106945,
  [SMALL_STATE(1931)] = 106966,
  [SMALL_STATE(1932)] = 106987,
  [SMALL_STATE(1933)] = 107000,
  [SMALL_STATE(1934)] = 107017,
  [SMALL_STATE(1935)] = 107034,
  [SMALL_STATE(1936)] = 107047,
  [SMALL_STATE(1937)] = 107068,
  [SMALL_STATE(1938)] = 107089,
  [SMALL_STATE(1939)] = 107102,
  [SMALL_STATE(1940)] = 107115,
  [SMALL_STATE(1941)] = 107138,
  [SMALL_STATE(1942)] = 107159,
  [SMALL_STATE(1943)] = 107180,
  [SMALL_STATE(1944)] = 107197,
  [SMALL_STATE(1945)] = 107214,
  [SMALL_STATE(1946)] = 107235,
  [SMALL_STATE(1947)] = 107258,
  [SMALL_STATE(1948)] = 107279,
  [SMALL_STATE(1949)] = 107296,
  [SMALL_STATE(1950)] = 107313,
  [SMALL_STATE(1951)] = 107328,
  [SMALL_STATE(1952)] = 107341,
  [SMALL_STATE(1953)] = 107358,
  [SMALL_STATE(1954)] = 107379,
  [SMALL_STATE(1955)] = 107392,
  [SMALL_STATE(1956)] = 107411,
  [SMALL_STATE(1957)] = 107428,
  [SMALL_STATE(1958)] = 107449,
  [SMALL_STATE(1959)] = 107470,
  [SMALL_STATE(1960)] = 107487,
  [SMALL_STATE(1961)] = 107502,
  [SMALL_STATE(1962)] = 107519,
  [SMALL_STATE(1963)] = 107536,
  [SMALL_STATE(1964)] = 107549,
  [SMALL_STATE(1965)] = 107566,
  [SMALL_STATE(1966)] = 107579,
  [SMALL_STATE(1967)] = 107594,
  [SMALL_STATE(1968)] = 107607,
  [SMALL_STATE(1969)] = 107630,
  [SMALL_STATE(1970)] = 107647,
  [SMALL_STATE(1971)] = 107668,
  [SMALL_STATE(1972)] = 107685,
  [SMALL_STATE(1973)] = 107702,
  [SMALL_STATE(1974)] = 107725,
  [SMALL_STATE(1975)] = 107746,
  [SMALL_STATE(1976)] = 107759,
  [SMALL_STATE(1977)] = 107774,
  [SMALL_STATE(1978)] = 107787,
  [SMALL_STATE(1979)] = 107804,
  [SMALL_STATE(1980)] = 107825,
  [SMALL_STATE(1981)] = 107840,
  [SMALL_STATE(1982)] = 107853,
  [SMALL_STATE(1983)] = 107868,
  [SMALL_STATE(1984)] = 107889,
  [SMALL_STATE(1985)] = 107906,
  [SMALL_STATE(1986)] = 107923,
  [SMALL_STATE(1987)] = 107936,
  [SMALL_STATE(1988)] = 107949,
  [SMALL_STATE(1989)] = 107970,
  [SMALL_STATE(1990)] = 107991,
  [SMALL_STATE(1991)] = 108008,
  [SMALL_STATE(1992)] = 108029,
  [SMALL_STATE(1993)] = 108041,
  [SMALL_STATE(1994)] = 108053,
  [SMALL_STATE(1995)] = 108073,
  [SMALL_STATE(1996)] = 108087,
  [SMALL_STATE(1997)] = 108103,
  [SMALL_STATE(1998)] = 108115,
  [SMALL_STATE(1999)] = 108127,
  [SMALL_STATE(2000)] = 108145,
  [SMALL_STATE(2001)] = 108161,
  [SMALL_STATE(2002)] = 108173,
  [SMALL_STATE(2003)] = 108185,
  [SMALL_STATE(2004)] = 108203,
  [SMALL_STATE(2005)] = 108221,
  [SMALL_STATE(2006)] = 108241,
  [SMALL_STATE(2007)] = 108255,
  [SMALL_STATE(2008)] = 108267,
  [SMALL_STATE(2009)] = 108283,
  [SMALL_STATE(2010)] = 108303,
  [SMALL_STATE(2011)] = 108323,
  [SMALL_STATE(2012)] = 108335,
  [SMALL_STATE(2013)] = 108351,
  [SMALL_STATE(2014)] = 108363,
  [SMALL_STATE(2015)] = 108375,
  [SMALL_STATE(2016)] = 108395,
  [SMALL_STATE(2017)] = 108407,
  [SMALL_STATE(2018)] = 108419,
  [SMALL_STATE(2019)] = 108431,
  [SMALL_STATE(2020)] = 108443,
  [SMALL_STATE(2021)] = 108459,
  [SMALL_STATE(2022)] = 108479,
  [SMALL_STATE(2023)] = 108495,
  [SMALL_STATE(2024)] = 108507,
  [SMALL_STATE(2025)] = 108519,
  [SMALL_STATE(2026)] = 108539,
  [SMALL_STATE(2027)] = 108553,
  [SMALL_STATE(2028)] = 108565,
  [SMALL_STATE(2029)] = 108577,
  [SMALL_STATE(2030)] = 108597,
  [SMALL_STATE(2031)] = 108613,
  [SMALL_STATE(2032)] = 108625,
  [SMALL_STATE(2033)] = 108637,
  [SMALL_STATE(2034)] = 108649,
  [SMALL_STATE(2035)] = 108661,
  [SMALL_STATE(2036)] = 108681,
  [SMALL_STATE(2037)] = 108701,
  [SMALL_STATE(2038)] = 108721,
  [SMALL_STATE(2039)] = 108739,
  [SMALL_STATE(2040)] = 108755,
  [SMALL_STATE(2041)] = 108767,
  [SMALL_STATE(2042)] = 108783,
  [SMALL_STATE(2043)] = 108795,
  [SMALL_STATE(2044)] = 108815,
  [SMALL_STATE(2045)] = 108835,
  [SMALL_STATE(2046)] = 108847,
  [SMALL_STATE(2047)] = 108867,
  [SMALL_STATE(2048)] = 108887,
  [SMALL_STATE(2049)] = 108907,
  [SMALL_STATE(2050)] = 108919,
  [SMALL_STATE(2051)] = 108931,
  [SMALL_STATE(2052)] = 108945,
  [SMALL_STATE(2053)] = 108961,
  [SMALL_STATE(2054)] = 108973,
  [SMALL_STATE(2055)] = 108985,
  [SMALL_STATE(2056)] = 109005,
  [SMALL_STATE(2057)] = 109017,
  [SMALL_STATE(2058)] = 109029,
  [SMALL_STATE(2059)] = 109049,
  [SMALL_STATE(2060)] = 109067,
  [SMALL_STATE(2061)] = 109079,
  [SMALL_STATE(2062)] = 109099,
  [SMALL_STATE(2063)] = 109111,
  [SMALL_STATE(2064)] = 109129,
  [SMALL_STATE(2065)] = 109141,
  [SMALL_STATE(2066)] = 109153,
  [SMALL_STATE(2067)] = 109173,
  [SMALL_STATE(2068)] = 109191,
  [SMALL_STATE(2069)] = 109207,
  [SMALL_STATE(2070)] = 109227,
  [SMALL_STATE(2071)] = 109247,
  [SMALL_STATE(2072)] = 109267,
  [SMALL_STATE(2073)] = 109285,
  [SMALL_STATE(2074)] = 109297,
  [SMALL_STATE(2075)] = 109309,
  [SMALL_STATE(2076)] = 109329,
  [SMALL_STATE(2077)] = 109341,
  [SMALL_STATE(2078)] = 109353,
  [SMALL_STATE(2079)] = 109365,
  [SMALL_STATE(2080)] = 109385,
  [SMALL_STATE(2081)] = 109397,
  [SMALL_STATE(2082)] = 109417,
  [SMALL_STATE(2083)] = 109435,
  [SMALL_STATE(2084)] = 109451,
  [SMALL_STATE(2085)] = 109471,
  [SMALL_STATE(2086)] = 109483,
  [SMALL_STATE(2087)] = 109503,
  [SMALL_STATE(2088)] = 109515,
  [SMALL_STATE(2089)] = 109533,
  [SMALL_STATE(2090)] = 109545,
  [SMALL_STATE(2091)] = 109557,
  [SMALL_STATE(2092)] = 109577,
  [SMALL_STATE(2093)] = 109595,
  [SMALL_STATE(2094)] = 109613,
  [SMALL_STATE(2095)] = 109629,
  [SMALL_STATE(2096)] = 109649,
  [SMALL_STATE(2097)] = 109669,
  [SMALL_STATE(2098)] = 109687,
  [SMALL_STATE(2099)] = 109701,
  [SMALL_STATE(2100)] = 109713,
  [SMALL_STATE(2101)] = 109729,
  [SMALL_STATE(2102)] = 109741,
  [SMALL_STATE(2103)] = 109753,
  [SMALL_STATE(2104)] = 109765,
  [SMALL_STATE(2105)] = 109779,
  [SMALL_STATE(2106)] = 109791,
  [SMALL_STATE(2107)] = 109807,
  [SMALL_STATE(2108)] = 109819,
  [SMALL_STATE(2109)] = 109831,
  [SMALL_STATE(2110)] = 109843,
  [SMALL_STATE(2111)] = 109854,
  [SMALL_STATE(2112)] = 109865,
  [SMALL_STATE(2113)] = 109880,
  [SMALL_STATE(2114)] = 109895,
  [SMALL_STATE(2115)] = 109912,
  [SMALL_STATE(2116)] = 109929,
  [SMALL_STATE(2117)] = 109944,
  [SMALL_STATE(2118)] = 109961,
  [SMALL_STATE(2119)] = 109976,
  [SMALL_STATE(2120)] = 109991,
  [SMALL_STATE(2121)] = 110008,
  [SMALL_STATE(2122)] = 110025,
  [SMALL_STATE(2123)] = 110040,
  [SMALL_STATE(2124)] = 110055,
  [SMALL_STATE(2125)] = 110070,
  [SMALL_STATE(2126)] = 110085,
  [SMALL_STATE(2127)] = 110100,
  [SMALL_STATE(2128)] = 110115,
  [SMALL_STATE(2129)] = 110130,
  [SMALL_STATE(2130)] = 110147,
  [SMALL_STATE(2131)] = 110162,
  [SMALL_STATE(2132)] = 110173,
  [SMALL_STATE(2133)] = 110190,
  [SMALL_STATE(2134)] = 110203,
  [SMALL_STATE(2135)] = 110220,
  [SMALL_STATE(2136)] = 110235,
  [SMALL_STATE(2137)] = 110252,
  [SMALL_STATE(2138)] = 110269,
  [SMALL_STATE(2139)] = 110284,
  [SMALL_STATE(2140)] = 110299,
  [SMALL_STATE(2141)] = 110314,
  [SMALL_STATE(2142)] = 110331,
  [SMALL_STATE(2143)] = 110348,
  [SMALL_STATE(2144)] = 110365,
  [SMALL_STATE(2145)] = 110382,
  [SMALL_STATE(2146)] = 110397,
  [SMALL_STATE(2147)] = 110408,
  [SMALL_STATE(2148)] = 110425,
  [SMALL_STATE(2149)] = 110442,
  [SMALL_STATE(2150)] = 110459,
  [SMALL_STATE(2151)] = 110476,
  [SMALL_STATE(2152)] = 110493,
  [SMALL_STATE(2153)] = 110506,
  [SMALL_STATE(2154)] = 110517,
  [SMALL_STATE(2155)] = 110532,
  [SMALL_STATE(2156)] = 110545,
  [SMALL_STATE(2157)] = 110562,
  [SMALL_STATE(2158)] = 110579,
  [SMALL_STATE(2159)] = 110594,
  [SMALL_STATE(2160)] = 110611,
  [SMALL_STATE(2161)] = 110628,
  [SMALL_STATE(2162)] = 110645,
  [SMALL_STATE(2163)] = 110662,
  [SMALL_STATE(2164)] = 110679,
  [SMALL_STATE(2165)] = 110690,
  [SMALL_STATE(2166)] = 110701,
  [SMALL_STATE(2167)] = 110712,
  [SMALL_STATE(2168)] = 110723,
  [SMALL_STATE(2169)] = 110734,
  [SMALL_STATE(2170)] = 110745,
  [SMALL_STATE(2171)] = 110756,
  [SMALL_STATE(2172)] = 110767,
  [SMALL_STATE(2173)] = 110778,
  [SMALL_STATE(2174)] = 110789,
  [SMALL_STATE(2175)] = 110800,
  [SMALL_STATE(2176)] = 110811,
  [SMALL_STATE(2177)] = 110828,
  [SMALL_STATE(2178)] = 110845,
  [SMALL_STATE(2179)] = 110856,
  [SMALL_STATE(2180)] = 110867,
  [SMALL_STATE(2181)] = 110878,
  [SMALL_STATE(2182)] = 110889,
  [SMALL_STATE(2183)] = 110906,
  [SMALL_STATE(2184)] = 110917,
  [SMALL_STATE(2185)] = 110928,
  [SMALL_STATE(2186)] = 110939,
  [SMALL_STATE(2187)] = 110950,
  [SMALL_STATE(2188)] = 110961,
  [SMALL_STATE(2189)] = 110972,
  [SMALL_STATE(2190)] = 110983,
  [SMALL_STATE(2191)] = 110994,
  [SMALL_STATE(2192)] = 111005,
  [SMALL_STATE(2193)] = 111016,
  [SMALL_STATE(2194)] = 111027,
  [SMALL_STATE(2195)] = 111038,
  [SMALL_STATE(2196)] = 111049,
  [SMALL_STATE(2197)] = 111060,
  [SMALL_STATE(2198)] = 111071,
  [SMALL_STATE(2199)] = 111088,
  [SMALL_STATE(2200)] = 111099,
  [SMALL_STATE(2201)] = 111116,
  [SMALL_STATE(2202)] = 111133,
  [SMALL_STATE(2203)] = 111144,
  [SMALL_STATE(2204)] = 111155,
  [SMALL_STATE(2205)] = 111166,
  [SMALL_STATE(2206)] = 111177,
  [SMALL_STATE(2207)] = 111188,
  [SMALL_STATE(2208)] = 111199,
  [SMALL_STATE(2209)] = 111210,
  [SMALL_STATE(2210)] = 111221,
  [SMALL_STATE(2211)] = 111232,
  [SMALL_STATE(2212)] = 111243,
  [SMALL_STATE(2213)] = 111254,
  [SMALL_STATE(2214)] = 111265,
  [SMALL_STATE(2215)] = 111276,
  [SMALL_STATE(2216)] = 111287,
  [SMALL_STATE(2217)] = 111298,
  [SMALL_STATE(2218)] = 111309,
  [SMALL_STATE(2219)] = 111320,
  [SMALL_STATE(2220)] = 111331,
  [SMALL_STATE(2221)] = 111342,
  [SMALL_STATE(2222)] = 111353,
  [SMALL_STATE(2223)] = 111364,
  [SMALL_STATE(2224)] = 111375,
  [SMALL_STATE(2225)] = 111386,
  [SMALL_STATE(2226)] = 111397,
  [SMALL_STATE(2227)] = 111408,
  [SMALL_STATE(2228)] = 111419,
  [SMALL_STATE(2229)] = 111430,
  [SMALL_STATE(2230)] = 111441,
  [SMALL_STATE(2231)] = 111452,
  [SMALL_STATE(2232)] = 111463,
  [SMALL_STATE(2233)] = 111474,
  [SMALL_STATE(2234)] = 111485,
  [SMALL_STATE(2235)] = 111496,
  [SMALL_STATE(2236)] = 111507,
  [SMALL_STATE(2237)] = 111518,
  [SMALL_STATE(2238)] = 111529,
  [SMALL_STATE(2239)] = 111540,
  [SMALL_STATE(2240)] = 111554,
  [SMALL_STATE(2241)] = 111564,
  [SMALL_STATE(2242)] = 111578,
  [SMALL_STATE(2243)] = 111592,
  [SMALL_STATE(2244)] = 111606,
  [SMALL_STATE(2245)] = 111620,
  [SMALL_STATE(2246)] = 111630,
  [SMALL_STATE(2247)] = 111644,
  [SMALL_STATE(2248)] = 111658,
  [SMALL_STATE(2249)] = 111672,
  [SMALL_STATE(2250)] = 111686,
  [SMALL_STATE(2251)] = 111700,
  [SMALL_STATE(2252)] = 111714,
  [SMALL_STATE(2253)] = 111726,
  [SMALL_STATE(2254)] = 111740,
  [SMALL_STATE(2255)] = 111754,
  [SMALL_STATE(2256)] = 111768,
  [SMALL_STATE(2257)] = 111782,
  [SMALL_STATE(2258)] = 111796,
  [SMALL_STATE(2259)] = 111810,
  [SMALL_STATE(2260)] = 111824,
  [SMALL_STATE(2261)] = 111838,
  [SMALL_STATE(2262)] = 111850,
  [SMALL_STATE(2263)] = 111864,
  [SMALL_STATE(2264)] = 111878,
  [SMALL_STATE(2265)] = 111890,
  [SMALL_STATE(2266)] = 111904,
  [SMALL_STATE(2267)] = 111918,
  [SMALL_STATE(2268)] = 111932,
  [SMALL_STATE(2269)] = 111946,
  [SMALL_STATE(2270)] = 111960,
  [SMALL_STATE(2271)] = 111972,
  [SMALL_STATE(2272)] = 111986,
  [SMALL_STATE(2273)] = 112000,
  [SMALL_STATE(2274)] = 112014,
  [SMALL_STATE(2275)] = 112028,
  [SMALL_STATE(2276)] = 112042,
  [SMALL_STATE(2277)] = 112056,
  [SMALL_STATE(2278)] = 112070,
  [SMALL_STATE(2279)] = 112084,
  [SMALL_STATE(2280)] = 112098,
  [SMALL_STATE(2281)] = 112112,
  [SMALL_STATE(2282)] = 112126,
  [SMALL_STATE(2283)] = 112140,
  [SMALL_STATE(2284)] = 112154,
  [SMALL_STATE(2285)] = 112168,
  [SMALL_STATE(2286)] = 112182,
  [SMALL_STATE(2287)] = 112196,
  [SMALL_STATE(2288)] = 112208,
  [SMALL_STATE(2289)] = 112218,
  [SMALL_STATE(2290)] = 112232,
  [SMALL_STATE(2291)] = 112246,
  [SMALL_STATE(2292)] = 112260,
  [SMALL_STATE(2293)] = 112274,
  [SMALL_STATE(2294)] = 112284,
  [SMALL_STATE(2295)] = 112298,
  [SMALL_STATE(2296)] = 112312,
  [SMALL_STATE(2297)] = 112326,
  [SMALL_STATE(2298)] = 112338,
  [SMALL_STATE(2299)] = 112348,
  [SMALL_STATE(2300)] = 112362,
  [SMALL_STATE(2301)] = 112376,
  [SMALL_STATE(2302)] = 112390,
  [SMALL_STATE(2303)] = 112404,
  [SMALL_STATE(2304)] = 112414,
  [SMALL_STATE(2305)] = 112428,
  [SMALL_STATE(2306)] = 112440,
  [SMALL_STATE(2307)] = 112454,
  [SMALL_STATE(2308)] = 112468,
  [SMALL_STATE(2309)] = 112482,
  [SMALL_STATE(2310)] = 112496,
  [SMALL_STATE(2311)] = 112510,
  [SMALL_STATE(2312)] = 112524,
  [SMALL_STATE(2313)] = 112538,
  [SMALL_STATE(2314)] = 112552,
  [SMALL_STATE(2315)] = 112566,
  [SMALL_STATE(2316)] = 112576,
  [SMALL_STATE(2317)] = 112590,
  [SMALL_STATE(2318)] = 112604,
  [SMALL_STATE(2319)] = 112618,
  [SMALL_STATE(2320)] = 112632,
  [SMALL_STATE(2321)] = 112646,
  [SMALL_STATE(2322)] = 112656,
  [SMALL_STATE(2323)] = 112670,
  [SMALL_STATE(2324)] = 112682,
  [SMALL_STATE(2325)] = 112692,
  [SMALL_STATE(2326)] = 112704,
  [SMALL_STATE(2327)] = 112716,
  [SMALL_STATE(2328)] = 112728,
  [SMALL_STATE(2329)] = 112742,
  [SMALL_STATE(2330)] = 112756,
  [SMALL_STATE(2331)] = 112768,
  [SMALL_STATE(2332)] = 112780,
  [SMALL_STATE(2333)] = 112794,
  [SMALL_STATE(2334)] = 112806,
  [SMALL_STATE(2335)] = 112820,
  [SMALL_STATE(2336)] = 112834,
  [SMALL_STATE(2337)] = 112848,
  [SMALL_STATE(2338)] = 112862,
  [SMALL_STATE(2339)] = 112876,
  [SMALL_STATE(2340)] = 112890,
  [SMALL_STATE(2341)] = 112904,
  [SMALL_STATE(2342)] = 112918,
  [SMALL_STATE(2343)] = 112932,
  [SMALL_STATE(2344)] = 112946,
  [SMALL_STATE(2345)] = 112960,
  [SMALL_STATE(2346)] = 112974,
  [SMALL_STATE(2347)] = 112988,
  [SMALL_STATE(2348)] = 113002,
  [SMALL_STATE(2349)] = 113016,
  [SMALL_STATE(2350)] = 113030,
  [SMALL_STATE(2351)] = 113044,
  [SMALL_STATE(2352)] = 113058,
  [SMALL_STATE(2353)] = 113072,
  [SMALL_STATE(2354)] = 113086,
  [SMALL_STATE(2355)] = 113100,
  [SMALL_STATE(2356)] = 113114,
  [SMALL_STATE(2357)] = 113128,
  [SMALL_STATE(2358)] = 113142,
  [SMALL_STATE(2359)] = 113156,
  [SMALL_STATE(2360)] = 113170,
  [SMALL_STATE(2361)] = 113184,
  [SMALL_STATE(2362)] = 113198,
  [SMALL_STATE(2363)] = 113212,
  [SMALL_STATE(2364)] = 113226,
  [SMALL_STATE(2365)] = 113240,
  [SMALL_STATE(2366)] = 113254,
  [SMALL_STATE(2367)] = 113268,
  [SMALL_STATE(2368)] = 113282,
  [SMALL_STATE(2369)] = 113296,
  [SMALL_STATE(2370)] = 113310,
  [SMALL_STATE(2371)] = 113324,
  [SMALL_STATE(2372)] = 113336,
  [SMALL_STATE(2373)] = 113346,
  [SMALL_STATE(2374)] = 113360,
  [SMALL_STATE(2375)] = 113372,
  [SMALL_STATE(2376)] = 113386,
  [SMALL_STATE(2377)] = 113400,
  [SMALL_STATE(2378)] = 113412,
  [SMALL_STATE(2379)] = 113426,
  [SMALL_STATE(2380)] = 113436,
  [SMALL_STATE(2381)] = 113450,
  [SMALL_STATE(2382)] = 113464,
  [SMALL_STATE(2383)] = 113478,
  [SMALL_STATE(2384)] = 113492,
  [SMALL_STATE(2385)] = 113506,
  [SMALL_STATE(2386)] = 113520,
  [SMALL_STATE(2387)] = 113530,
  [SMALL_STATE(2388)] = 113544,
  [SMALL_STATE(2389)] = 113558,
  [SMALL_STATE(2390)] = 113572,
  [SMALL_STATE(2391)] = 113586,
  [SMALL_STATE(2392)] = 113600,
  [SMALL_STATE(2393)] = 113612,
  [SMALL_STATE(2394)] = 113622,
  [SMALL_STATE(2395)] = 113636,
  [SMALL_STATE(2396)] = 113650,
  [SMALL_STATE(2397)] = 113662,
  [SMALL_STATE(2398)] = 113676,
  [SMALL_STATE(2399)] = 113690,
  [SMALL_STATE(2400)] = 113704,
  [SMALL_STATE(2401)] = 113718,
  [SMALL_STATE(2402)] = 113730,
  [SMALL_STATE(2403)] = 113744,
  [SMALL_STATE(2404)] = 113758,
  [SMALL_STATE(2405)] = 113772,
  [SMALL_STATE(2406)] = 113786,
  [SMALL_STATE(2407)] = 113800,
  [SMALL_STATE(2408)] = 113814,
  [SMALL_STATE(2409)] = 113828,
  [SMALL_STATE(2410)] = 113842,
  [SMALL_STATE(2411)] = 113856,
  [SMALL_STATE(2412)] = 113870,
  [SMALL_STATE(2413)] = 113882,
  [SMALL_STATE(2414)] = 113896,
  [SMALL_STATE(2415)] = 113910,
  [SMALL_STATE(2416)] = 113924,
  [SMALL_STATE(2417)] = 113938,
  [SMALL_STATE(2418)] = 113952,
  [SMALL_STATE(2419)] = 113966,
  [SMALL_STATE(2420)] = 113980,
  [SMALL_STATE(2421)] = 113994,
  [SMALL_STATE(2422)] = 114008,
  [SMALL_STATE(2423)] = 114020,
  [SMALL_STATE(2424)] = 114034,
  [SMALL_STATE(2425)] = 114048,
  [SMALL_STATE(2426)] = 114062,
  [SMALL_STATE(2427)] = 114076,
  [SMALL_STATE(2428)] = 114090,
  [SMALL_STATE(2429)] = 114104,
  [SMALL_STATE(2430)] = 114114,
  [SMALL_STATE(2431)] = 114128,
  [SMALL_STATE(2432)] = 114142,
  [SMALL_STATE(2433)] = 114156,
  [SMALL_STATE(2434)] = 114170,
  [SMALL_STATE(2435)] = 114184,
  [SMALL_STATE(2436)] = 114198,
  [SMALL_STATE(2437)] = 114212,
  [SMALL_STATE(2438)] = 114226,
  [SMALL_STATE(2439)] = 114240,
  [SMALL_STATE(2440)] = 114254,
  [SMALL_STATE(2441)] = 114268,
  [SMALL_STATE(2442)] = 114282,
  [SMALL_STATE(2443)] = 114296,
  [SMALL_STATE(2444)] = 114310,
  [SMALL_STATE(2445)] = 114324,
  [SMALL_STATE(2446)] = 114338,
  [SMALL_STATE(2447)] = 114352,
  [SMALL_STATE(2448)] = 114366,
  [SMALL_STATE(2449)] = 114380,
  [SMALL_STATE(2450)] = 114394,
  [SMALL_STATE(2451)] = 114408,
  [SMALL_STATE(2452)] = 114422,
  [SMALL_STATE(2453)] = 114434,
  [SMALL_STATE(2454)] = 114448,
  [SMALL_STATE(2455)] = 114462,
  [SMALL_STATE(2456)] = 114476,
  [SMALL_STATE(2457)] = 114490,
  [SMALL_STATE(2458)] = 114504,
  [SMALL_STATE(2459)] = 114518,
  [SMALL_STATE(2460)] = 114532,
  [SMALL_STATE(2461)] = 114546,
  [SMALL_STATE(2462)] = 114560,
  [SMALL_STATE(2463)] = 114574,
  [SMALL_STATE(2464)] = 114588,
  [SMALL_STATE(2465)] = 114602,
  [SMALL_STATE(2466)] = 114616,
  [SMALL_STATE(2467)] = 114630,
  [SMALL_STATE(2468)] = 114644,
  [SMALL_STATE(2469)] = 114658,
  [SMALL_STATE(2470)] = 114672,
  [SMALL_STATE(2471)] = 114686,
  [SMALL_STATE(2472)] = 114700,
  [SMALL_STATE(2473)] = 114714,
  [SMALL_STATE(2474)] = 114728,
  [SMALL_STATE(2475)] = 114742,
  [SMALL_STATE(2476)] = 114756,
  [SMALL_STATE(2477)] = 114770,
  [SMALL_STATE(2478)] = 114784,
  [SMALL_STATE(2479)] = 114798,
  [SMALL_STATE(2480)] = 114812,
  [SMALL_STATE(2481)] = 114826,
  [SMALL_STATE(2482)] = 114840,
  [SMALL_STATE(2483)] = 114852,
  [SMALL_STATE(2484)] = 114866,
  [SMALL_STATE(2485)] = 114880,
  [SMALL_STATE(2486)] = 114894,
  [SMALL_STATE(2487)] = 114908,
  [SMALL_STATE(2488)] = 114922,
  [SMALL_STATE(2489)] = 114936,
  [SMALL_STATE(2490)] = 114950,
  [SMALL_STATE(2491)] = 114964,
  [SMALL_STATE(2492)] = 114978,
  [SMALL_STATE(2493)] = 114992,
  [SMALL_STATE(2494)] = 115006,
  [SMALL_STATE(2495)] = 115020,
  [SMALL_STATE(2496)] = 115034,
  [SMALL_STATE(2497)] = 115048,
  [SMALL_STATE(2498)] = 115062,
  [SMALL_STATE(2499)] = 115076,
  [SMALL_STATE(2500)] = 115085,
  [SMALL_STATE(2501)] = 115094,
  [SMALL_STATE(2502)] = 115103,
  [SMALL_STATE(2503)] = 115112,
  [SMALL_STATE(2504)] = 115121,
  [SMALL_STATE(2505)] = 115130,
  [SMALL_STATE(2506)] = 115139,
  [SMALL_STATE(2507)] = 115148,
  [SMALL_STATE(2508)] = 115159,
  [SMALL_STATE(2509)] = 115168,
  [SMALL_STATE(2510)] = 115179,
  [SMALL_STATE(2511)] = 115188,
  [SMALL_STATE(2512)] = 115197,
  [SMALL_STATE(2513)] = 115206,
  [SMALL_STATE(2514)] = 115215,
  [SMALL_STATE(2515)] = 115224,
  [SMALL_STATE(2516)] = 115233,
  [SMALL_STATE(2517)] = 115242,
  [SMALL_STATE(2518)] = 115251,
  [SMALL_STATE(2519)] = 115262,
  [SMALL_STATE(2520)] = 115271,
  [SMALL_STATE(2521)] = 115280,
  [SMALL_STATE(2522)] = 115289,
  [SMALL_STATE(2523)] = 115298,
  [SMALL_STATE(2524)] = 115307,
  [SMALL_STATE(2525)] = 115316,
  [SMALL_STATE(2526)] = 115325,
  [SMALL_STATE(2527)] = 115336,
  [SMALL_STATE(2528)] = 115347,
  [SMALL_STATE(2529)] = 115356,
  [SMALL_STATE(2530)] = 115365,
  [SMALL_STATE(2531)] = 115374,
  [SMALL_STATE(2532)] = 115385,
  [SMALL_STATE(2533)] = 115394,
  [SMALL_STATE(2534)] = 115405,
  [SMALL_STATE(2535)] = 115414,
  [SMALL_STATE(2536)] = 115423,
  [SMALL_STATE(2537)] = 115432,
  [SMALL_STATE(2538)] = 115443,
  [SMALL_STATE(2539)] = 115454,
  [SMALL_STATE(2540)] = 115465,
  [SMALL_STATE(2541)] = 115476,
  [SMALL_STATE(2542)] = 115487,
  [SMALL_STATE(2543)] = 115498,
  [SMALL_STATE(2544)] = 115509,
  [SMALL_STATE(2545)] = 115518,
  [SMALL_STATE(2546)] = 115529,
  [SMALL_STATE(2547)] = 115538,
  [SMALL_STATE(2548)] = 115549,
  [SMALL_STATE(2549)] = 115558,
  [SMALL_STATE(2550)] = 115567,
  [SMALL_STATE(2551)] = 115576,
  [SMALL_STATE(2552)] = 115587,
  [SMALL_STATE(2553)] = 115598,
  [SMALL_STATE(2554)] = 115607,
  [SMALL_STATE(2555)] = 115616,
  [SMALL_STATE(2556)] = 115625,
  [SMALL_STATE(2557)] = 115634,
  [SMALL_STATE(2558)] = 115643,
  [SMALL_STATE(2559)] = 115652,
  [SMALL_STATE(2560)] = 115661,
  [SMALL_STATE(2561)] = 115670,
  [SMALL_STATE(2562)] = 115679,
  [SMALL_STATE(2563)] = 115688,
  [SMALL_STATE(2564)] = 115697,
  [SMALL_STATE(2565)] = 115706,
  [SMALL_STATE(2566)] = 115715,
  [SMALL_STATE(2567)] = 115724,
  [SMALL_STATE(2568)] = 115733,
  [SMALL_STATE(2569)] = 115744,
  [SMALL_STATE(2570)] = 115753,
  [SMALL_STATE(2571)] = 115762,
  [SMALL_STATE(2572)] = 115771,
  [SMALL_STATE(2573)] = 115782,
  [SMALL_STATE(2574)] = 115791,
  [SMALL_STATE(2575)] = 115800,
  [SMALL_STATE(2576)] = 115809,
  [SMALL_STATE(2577)] = 115818,
  [SMALL_STATE(2578)] = 115829,
  [SMALL_STATE(2579)] = 115838,
  [SMALL_STATE(2580)] = 115847,
  [SMALL_STATE(2581)] = 115856,
  [SMALL_STATE(2582)] = 115867,
  [SMALL_STATE(2583)] = 115876,
  [SMALL_STATE(2584)] = 115885,
  [SMALL_STATE(2585)] = 115894,
  [SMALL_STATE(2586)] = 115903,
  [SMALL_STATE(2587)] = 115912,
  [SMALL_STATE(2588)] = 115921,
  [SMALL_STATE(2589)] = 115930,
  [SMALL_STATE(2590)] = 115941,
  [SMALL_STATE(2591)] = 115950,
  [SMALL_STATE(2592)] = 115961,
  [SMALL_STATE(2593)] = 115972,
  [SMALL_STATE(2594)] = 115981,
  [SMALL_STATE(2595)] = 115990,
  [SMALL_STATE(2596)] = 115999,
  [SMALL_STATE(2597)] = 116008,
  [SMALL_STATE(2598)] = 116017,
  [SMALL_STATE(2599)] = 116026,
  [SMALL_STATE(2600)] = 116035,
  [SMALL_STATE(2601)] = 116043,
  [SMALL_STATE(2602)] = 116051,
  [SMALL_STATE(2603)] = 116059,
  [SMALL_STATE(2604)] = 116067,
  [SMALL_STATE(2605)] = 116075,
  [SMALL_STATE(2606)] = 116083,
  [SMALL_STATE(2607)] = 116091,
  [SMALL_STATE(2608)] = 116099,
  [SMALL_STATE(2609)] = 116107,
  [SMALL_STATE(2610)] = 116115,
  [SMALL_STATE(2611)] = 116123,
  [SMALL_STATE(2612)] = 116131,
  [SMALL_STATE(2613)] = 116139,
  [SMALL_STATE(2614)] = 116147,
  [SMALL_STATE(2615)] = 116155,
  [SMALL_STATE(2616)] = 116163,
  [SMALL_STATE(2617)] = 116171,
  [SMALL_STATE(2618)] = 116179,
  [SMALL_STATE(2619)] = 116187,
  [SMALL_STATE(2620)] = 116195,
  [SMALL_STATE(2621)] = 116203,
  [SMALL_STATE(2622)] = 116211,
  [SMALL_STATE(2623)] = 116219,
  [SMALL_STATE(2624)] = 116227,
  [SMALL_STATE(2625)] = 116235,
  [SMALL_STATE(2626)] = 116243,
  [SMALL_STATE(2627)] = 116251,
  [SMALL_STATE(2628)] = 116259,
  [SMALL_STATE(2629)] = 116267,
  [SMALL_STATE(2630)] = 116275,
  [SMALL_STATE(2631)] = 116283,
  [SMALL_STATE(2632)] = 116291,
  [SMALL_STATE(2633)] = 116299,
  [SMALL_STATE(2634)] = 116307,
  [SMALL_STATE(2635)] = 116315,
  [SMALL_STATE(2636)] = 116323,
  [SMALL_STATE(2637)] = 116331,
  [SMALL_STATE(2638)] = 116339,
  [SMALL_STATE(2639)] = 116347,
  [SMALL_STATE(2640)] = 116355,
  [SMALL_STATE(2641)] = 116363,
  [SMALL_STATE(2642)] = 116371,
  [SMALL_STATE(2643)] = 116379,
  [SMALL_STATE(2644)] = 116387,
  [SMALL_STATE(2645)] = 116395,
  [SMALL_STATE(2646)] = 116403,
  [SMALL_STATE(2647)] = 116411,
  [SMALL_STATE(2648)] = 116419,
  [SMALL_STATE(2649)] = 116427,
  [SMALL_STATE(2650)] = 116435,
  [SMALL_STATE(2651)] = 116443,
  [SMALL_STATE(2652)] = 116451,
  [SMALL_STATE(2653)] = 116459,
  [SMALL_STATE(2654)] = 116467,
  [SMALL_STATE(2655)] = 116475,
  [SMALL_STATE(2656)] = 116483,
  [SMALL_STATE(2657)] = 116491,
  [SMALL_STATE(2658)] = 116499,
  [SMALL_STATE(2659)] = 116507,
  [SMALL_STATE(2660)] = 116515,
  [SMALL_STATE(2661)] = 116523,
  [SMALL_STATE(2662)] = 116531,
  [SMALL_STATE(2663)] = 116539,
  [SMALL_STATE(2664)] = 116547,
  [SMALL_STATE(2665)] = 116555,
  [SMALL_STATE(2666)] = 116563,
  [SMALL_STATE(2667)] = 116571,
  [SMALL_STATE(2668)] = 116579,
  [SMALL_STATE(2669)] = 116587,
  [SMALL_STATE(2670)] = 116595,
  [SMALL_STATE(2671)] = 116603,
  [SMALL_STATE(2672)] = 116611,
  [SMALL_STATE(2673)] = 116619,
  [SMALL_STATE(2674)] = 116627,
  [SMALL_STATE(2675)] = 116635,
  [SMALL_STATE(2676)] = 116643,
  [SMALL_STATE(2677)] = 116651,
  [SMALL_STATE(2678)] = 116659,
  [SMALL_STATE(2679)] = 116667,
  [SMALL_STATE(2680)] = 116675,
  [SMALL_STATE(2681)] = 116683,
  [SMALL_STATE(2682)] = 116691,
  [SMALL_STATE(2683)] = 116699,
  [SMALL_STATE(2684)] = 116707,
  [SMALL_STATE(2685)] = 116715,
  [SMALL_STATE(2686)] = 116723,
  [SMALL_STATE(2687)] = 116731,
  [SMALL_STATE(2688)] = 116739,
  [SMALL_STATE(2689)] = 116747,
  [SMALL_STATE(2690)] = 116755,
  [SMALL_STATE(2691)] = 116763,
  [SMALL_STATE(2692)] = 116771,
  [SMALL_STATE(2693)] = 116779,
  [SMALL_STATE(2694)] = 116787,
  [SMALL_STATE(2695)] = 116795,
  [SMALL_STATE(2696)] = 116803,
  [SMALL_STATE(2697)] = 116811,
  [SMALL_STATE(2698)] = 116819,
  [SMALL_STATE(2699)] = 116827,
  [SMALL_STATE(2700)] = 116835,
  [SMALL_STATE(2701)] = 116843,
  [SMALL_STATE(2702)] = 116851,
  [SMALL_STATE(2703)] = 116859,
  [SMALL_STATE(2704)] = 116867,
  [SMALL_STATE(2705)] = 116875,
  [SMALL_STATE(2706)] = 116883,
  [SMALL_STATE(2707)] = 116891,
  [SMALL_STATE(2708)] = 116899,
  [SMALL_STATE(2709)] = 116907,
  [SMALL_STATE(2710)] = 116915,
  [SMALL_STATE(2711)] = 116923,
  [SMALL_STATE(2712)] = 116931,
  [SMALL_STATE(2713)] = 116939,
  [SMALL_STATE(2714)] = 116947,
  [SMALL_STATE(2715)] = 116955,
  [SMALL_STATE(2716)] = 116963,
  [SMALL_STATE(2717)] = 116971,
  [SMALL_STATE(2718)] = 116979,
  [SMALL_STATE(2719)] = 116987,
  [SMALL_STATE(2720)] = 116995,
  [SMALL_STATE(2721)] = 117003,
  [SMALL_STATE(2722)] = 117011,
  [SMALL_STATE(2723)] = 117019,
  [SMALL_STATE(2724)] = 117027,
  [SMALL_STATE(2725)] = 117035,
  [SMALL_STATE(2726)] = 117043,
  [SMALL_STATE(2727)] = 117051,
  [SMALL_STATE(2728)] = 117059,
  [SMALL_STATE(2729)] = 117067,
  [SMALL_STATE(2730)] = 117075,
  [SMALL_STATE(2731)] = 117083,
  [SMALL_STATE(2732)] = 117091,
  [SMALL_STATE(2733)] = 117099,
  [SMALL_STATE(2734)] = 117107,
  [SMALL_STATE(2735)] = 117115,
  [SMALL_STATE(2736)] = 117123,
  [SMALL_STATE(2737)] = 117131,
  [SMALL_STATE(2738)] = 117139,
  [SMALL_STATE(2739)] = 117147,
  [SMALL_STATE(2740)] = 117155,
  [SMALL_STATE(2741)] = 117163,
  [SMALL_STATE(2742)] = 117171,
  [SMALL_STATE(2743)] = 117179,
  [SMALL_STATE(2744)] = 117187,
  [SMALL_STATE(2745)] = 117195,
  [SMALL_STATE(2746)] = 117203,
  [SMALL_STATE(2747)] = 117211,
  [SMALL_STATE(2748)] = 117219,
  [SMALL_STATE(2749)] = 117227,
  [SMALL_STATE(2750)] = 117235,
  [SMALL_STATE(2751)] = 117243,
  [SMALL_STATE(2752)] = 117251,
  [SMALL_STATE(2753)] = 117259,
  [SMALL_STATE(2754)] = 117267,
  [SMALL_STATE(2755)] = 117275,
  [SMALL_STATE(2756)] = 117283,
  [SMALL_STATE(2757)] = 117291,
  [SMALL_STATE(2758)] = 117299,
  [SMALL_STATE(2759)] = 117307,
  [SMALL_STATE(2760)] = 117315,
  [SMALL_STATE(2761)] = 117323,
  [SMALL_STATE(2762)] = 117331,
  [SMALL_STATE(2763)] = 117339,
  [SMALL_STATE(2764)] = 117347,
  [SMALL_STATE(2765)] = 117355,
  [SMALL_STATE(2766)] = 117363,
  [SMALL_STATE(2767)] = 117371,
  [SMALL_STATE(2768)] = 117379,
  [SMALL_STATE(2769)] = 117387,
  [SMALL_STATE(2770)] = 117395,
  [SMALL_STATE(2771)] = 117403,
  [SMALL_STATE(2772)] = 117411,
  [SMALL_STATE(2773)] = 117419,
  [SMALL_STATE(2774)] = 117427,
  [SMALL_STATE(2775)] = 117435,
  [SMALL_STATE(2776)] = 117443,
  [SMALL_STATE(2777)] = 117451,
  [SMALL_STATE(2778)] = 117459,
  [SMALL_STATE(2779)] = 117467,
  [SMALL_STATE(2780)] = 117475,
  [SMALL_STATE(2781)] = 117483,
  [SMALL_STATE(2782)] = 117491,
  [SMALL_STATE(2783)] = 117499,
  [SMALL_STATE(2784)] = 117507,
  [SMALL_STATE(2785)] = 117515,
  [SMALL_STATE(2786)] = 117523,
  [SMALL_STATE(2787)] = 117531,
  [SMALL_STATE(2788)] = 117539,
  [SMALL_STATE(2789)] = 117547,
  [SMALL_STATE(2790)] = 117555,
  [SMALL_STATE(2791)] = 117563,
  [SMALL_STATE(2792)] = 117571,
  [SMALL_STATE(2793)] = 117579,
  [SMALL_STATE(2794)] = 117587,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 1, 0, 0),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(624),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2121),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1838),
  [130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(219),
  [133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(885),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(84),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(496),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(392),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(469),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(362),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2500),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2501),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2503),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(586),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(86),
  [166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(464),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(846),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(590),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2759),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(411),
  [181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2784),
  [184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2780),
  [187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2779),
  [190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(472),
  [193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(73),
  [196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2761),
  [199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(204),
  [202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(607),
  [205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(913),
  [208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(606),
  [214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1630),
  [217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(357),
  [220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1130),
  [223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1130),
  [226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(154),
  [229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0),
  [231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1709),
  [234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(556),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(461),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(844),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(563),
  [253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2782),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(455),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2781),
  [262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2778),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(298),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 1), REDUCE(sym_primary_expression, 1, 0, 1),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(947),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, 0, 1),
  [294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 1),
  [296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(2743),
  [301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(297),
  [304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(888),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(592),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 1),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 1), REDUCE(sym_primary_expression, 1, 0, 1),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(290),
  [388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(887),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(291),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(913),
  [403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(606),
  [406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(949),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 2, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 3, 0, 0),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 1, 0, 0),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, 0, 97),
  [1253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 97),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [1261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [1269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 2, 0, 0),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 3, 0, 0),
  [1277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 5, 0, 77),
  [1279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 77),
  [1281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 96),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, 0, 96),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 7, 0, 108),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 7, 0, 108),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 3, 0, 0),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [1327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 1, 0, 0),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [1363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [1369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 1, 0, 0),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 3, 0, 0),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 2, 0, 0),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, 0, 5),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 3, 0, 0),
  [1433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 3, 0, 0),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 3, 0, 0),
  [1437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 4, 0, 0),
  [1441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 2, 0, 0),
  [1443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, -1, 15),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, 0, 14),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, 0, 0),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, -1, 6),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [1481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, 0, 61),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 61),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 42),
  [1495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 42),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, 0, 0),
  [1556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [1559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(470),
  [1572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(466),
  [1575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 54),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 54),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 55),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 55),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0),
  [1589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(593),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 37),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 37),
  [1596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [1598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(598),
  [1601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 81),
  [1603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 81),
  [1605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, 0, 70),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, 0, 70),
  [1609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 79),
  [1611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 79),
  [1613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 79), SHIFT_REPEAT(492),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 2, 0, 0),
  [1628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0), REDUCE(sym_tuple, 2, 0, 0),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 2, 0, 0),
  [1633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [1637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_type, 2, 0, 0),
  [1639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splat_type, 2, 0, 0),
  [1641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 2),
  [1643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 2),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 2),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2, 0, 0),
  [1650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0), REDUCE(sym_list, 2, 0, 0),
  [1653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2, 0, 0),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [1659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 79), SHIFT_REPEAT(600),
  [1662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, 0, 48),
  [1664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, 0, 48),
  [1666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, 0, 48),
  [1668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, 0, 48),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, 0, 70),
  [1672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, 0, 70),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 23),
  [1676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 3, 0, 23),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 3, 0, 88),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 3, 0, 88),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, 0, 0),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, 0, 104),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, 0, 104),
  [1712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 4, 0, 104),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 4, 0, 104),
  [1716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [1718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [1722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [1724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1, 0, 0),
  [1726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1, 0, 0),
  [1728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 7, 0, 0),
  [1730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 7, 0, 0),
  [1732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 7, 0, 0),
  [1734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 7, 0, 0),
  [1736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 6, 0, 127),
  [1738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 6, 0, 127),
  [1740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 6, 0, 127),
  [1742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 6, 0, 127),
  [1744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 5, 0, 0),
  [1746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 5, 0, 0),
  [1748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 5, 0, 0),
  [1750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 5, 0, 0),
  [1752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, 0, 42),
  [1754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 42),
  [1756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4, 0, 37),
  [1758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4, 0, 37),
  [1760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 86),
  [1762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 86),
  [1764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 52),
  [1766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 52),
  [1768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 60),
  [1770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 60),
  [1772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 103),
  [1774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 103),
  [1776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 5, 0, 55),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 5, 0, 55),
  [1780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, 0, 41),
  [1782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, 0, 41),
  [1784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 112),
  [1786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 112),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 99),
  [1790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 99),
  [1792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 61),
  [1794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 61),
  [1796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 4, 0, 61),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 4, 0, 61),
  [1800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 42),
  [1802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 42),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [1822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 4, 0, 0),
  [1824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 4, 0, 0),
  [1826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 114),
  [1828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 114),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 59),
  [1832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 59),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 4, 0, 43),
  [1836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 4, 0, 43),
  [1838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, 0, 62),
  [1840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, 0, 62),
  [1842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 63),
  [1844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 63),
  [1846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 64),
  [1848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 64),
  [1850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 65),
  [1852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 65),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 2, 0, 0),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [1870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 66),
  [1872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 66),
  [1874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 53),
  [1876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 53),
  [1878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, 0, 56),
  [1880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, 0, 56),
  [1882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorated_definition, 2, 0, 12),
  [1884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorated_definition, 2, 0, 12),
  [1886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 2, 0, 0),
  [1888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 2, 0, 0),
  [1890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, 0, 57),
  [1892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, 0, 57),
  [1894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 78),
  [1896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 78),
  [1898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 80),
  [1900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 80),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [1910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 2, 0, 0),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [1916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 111),
  [1918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 111),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 93),
  [1922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 93),
  [1924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 113),
  [1926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 113),
  [1928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 3, 0, 82),
  [1930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 3, 0, 82),
  [1932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 115),
  [1934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 115),
  [1936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, 0, 107),
  [1938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, 0, 107),
  [1940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 6, 0, 83),
  [1942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 6, 0, 83),
  [1944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 116),
  [1946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 116),
  [1948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 117),
  [1950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 117),
  [1952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, 0, 133),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 133),
  [1956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, 0, 58),
  [1958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, 0, 58),
  [1960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 3, 0, 0),
  [1962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 128),
  [1964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 128),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 106),
  [1968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 106),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, 0, 84),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, 0, 84),
  [1974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 126),
  [1976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 126),
  [1978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 125),
  [1980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 125),
  [1982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 124),
  [1984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 124),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 85),
  [1988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 85),
  [1990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 105),
  [1992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 105),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, 0, 61),
  [1996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, 0, 61),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 87),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 87),
  [2002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 3, 0, 0),
  [2004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 102),
  [2006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 102),
  [2008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 101),
  [2010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 101),
  [2012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 3, 0, 88),
  [2014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 3, 0, 88),
  [2016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 100),
  [2018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 100),
  [2020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 42),
  [2022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 42),
  [2024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 44),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 44),
  [2028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 89),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 89),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 90),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 90),
  [2036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 91),
  [2038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 91),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 92),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 92),
  [2044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, 0, 39),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, 0, 39),
  [2048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 1, 0, 0),
  [2050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 1, 0, 0),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 98),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 98),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [2058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [2060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_separator, 1, 0, 0),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [2066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [2074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [2076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [2138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [2382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1709),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [2395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, 0, 9),
  [2397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, 0, 9),
  [2399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24),
  [2401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24),
  [2403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, 0, 21),
  [2405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, 0, 21),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [2435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1674),
  [2438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1683),
  [2441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await, 2, 0, 0),
  [2443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await, 2, 0, 0),
  [2445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [2447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [2449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1675),
  [2452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1680),
  [2455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1696),
  [2458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1712),
  [2465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 33),
  [2471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 33),
  [2473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2, 0, 0),
  [2479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2, 0, 0),
  [2481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_comprehension, 4, 0, 34),
  [2483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_comprehension, 4, 0, 34),
  [2485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 33),
  [2487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 33),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_expression, 4, 0, 34),
  [2491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_expression, 4, 0, 34),
  [2493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 3, 0, 0),
  [2495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 3, 0, 0),
  [2497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3, 0, 0),
  [2499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3, 0, 0),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [2507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [2509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3, 0, 0),
  [2517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3, 0, 0),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 33),
  [2521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 33),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1677),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5, 0, 0),
  [2534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5, 0, 0),
  [2536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, 0, 10),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, 0, 10),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_comprehension, 4, 0, 34),
  [2544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_comprehension, 4, 0, 34),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4, 0, 0),
  [2548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4, 0, 0),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_comprehension, 4, 0, 34),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_comprehension, 4, 0, 34),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [2572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [2576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [2588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [2600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [2608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [2612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [2698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [2706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [2710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [2760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [2762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [2764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [2766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [2768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [2770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 2, 0, 11),
  [2772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 2, 0, 11),
  [2774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25),
  [2776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(948),
  [2779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25),
  [2781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(2719),
  [2784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(864),
  [2787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(948),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [2792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [2800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(955),
  [2803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(862),
  [2806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(955),
  [2809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(877),
  [2812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(867),
  [2815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(877),
  [2818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(940),
  [2821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(863),
  [2824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(940),
  [2827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(905),
  [2830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(865),
  [2833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(905),
  [2836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(921),
  [2839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(866),
  [2842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(921),
  [2845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(898),
  [2848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(868),
  [2851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(898),
  [2854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(961),
  [2857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(861),
  [2860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(961),
  [2863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__not_in, 2, 0, 0),
  [2865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__not_in, 2, 0, 0),
  [2867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__is_not, 2, 0, 0),
  [2869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__is_not, 2, 0, 0),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0),
  [2873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(855),
  [2876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, 0, 0),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [2886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(856),
  [2921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__right_hand_side, 1, 0, 0),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3, 0, 0),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2, 0, 0),
  [2953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18),
  [2955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(513),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [2974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 1, 0, 0),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [2980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, 0, 17),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_operator, 3, 0, 21),
  [2988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_operator, 2, 0, 6),
  [2990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 0),
  [2992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, 0, 47),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_pattern, 3, 0, 22),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [3054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(233),
  [3057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1816),
  [3060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1816),
  [3063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [3095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [3097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [3123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_with_item, 1, 1, 7), SHIFT(347),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [3156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 2, 0, 0),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__f_expression, 1, 0, 0),
  [3164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(523),
  [3167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(539),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(548),
  [3181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_operator, 3, 0, 21),
  [3183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0),
  [3185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2631),
  [3188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 2, 0, 0),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_pattern, 3, 0, 22),
  [3196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0),
  [3198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_operator, 2, 0, 6),
  [3200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(509),
  [3203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(487),
  [3206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 1, 0, 0),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [3212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 3, 0, 0),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 2, 0, 0),
  [3216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 4, 0, 8),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [3220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(559),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [3229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_within_for_in_clause, 1, 0, 0),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 45),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [3275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [3277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1811),
  [3280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1811),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [3287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, -1, 6),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(504),
  [3298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_content, 1, 0, 0),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [3314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2, 0, 0),
  [3316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [3318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 2, 0, 0),
  [3320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [3344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 2, 0, 0),
  [3346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2, 0, 0),
  [3348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(495),
  [3351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2792),
  [3354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(841),
  [3357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0),
  [3359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2753),
  [3362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 2, 0, 0),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [3374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 6),
  [3376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 1, 0, 0),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [3390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(561),
  [3393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2701),
  [3396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(811),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [3405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chevron, 2, 0, 0),
  [3407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 69),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [3411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2651),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [3418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2688),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [3435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(589),
  [3438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2789),
  [3441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(801),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [3460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat, 2, 0, 0),
  [3462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 72),
  [3464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 72),
  [3466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 5, 0, 0),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 73),
  [3470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 73),
  [3472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 0),
  [3474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2, 0, 0),
  [3476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(607),
  [3479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 1, 1, 7),
  [3481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 5, 0, 0),
  [3483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3, 0, 0),
  [3485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrained_type, 3, 0, 0),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_type, 3, 0, 0),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 3, 0, 16),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 0),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3, 0, 46),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 74),
  [3513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 74),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0),
  [3517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(430),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 108),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, 0, 18),
  [3526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(857),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [3533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 4, 0, 77),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat, 2, 0, 0),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0),
  [3543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1557),
  [3546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(418),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 19),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 97),
  [3573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(440),
  [3576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 26),
  [3578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 26),
  [3580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 38),
  [3582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_pattern, 3, 0, 0),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [3586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_pattern, 2, 0, 0),
  [3588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, 0, 0),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 96),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [3606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 51),
  [3608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 51),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [3612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(484),
  [3615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 4, 0, 36),
  [3617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 50),
  [3619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 50),
  [3621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, 0, 94),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [3639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 26),
  [3641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 26),
  [3643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_pattern, 1, 0, 0),
  [3645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 6, 0, 95),
  [3647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 6, 0, 95),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 18),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [3667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 68),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2716),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [3682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_pattern, 2, 0, 0),
  [3684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(531),
  [3687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 3, 0, 13),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [3695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 1, 0, 0),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [3701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 3, 0, 0),
  [3703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 5, 0, 120),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [3707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 3, 0, 0),
  [3709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 3, 0, 109),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [3713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 3, 0, 0),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 3, 0, 17),
  [3719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_pattern, 3, 0, 0),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [3723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1552),
  [3726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 3, 0, 0),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 4, 0, 47),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [3756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 4, 0, 0),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 5, 0, 0),
  [3766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 4, 0, 0),
  [3768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1556),
  [3771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_pattern, 4, 0, 0),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [3775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 109),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [3779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, 0, 4),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [3789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 118),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [3797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_statement, 4, 1, 0),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [3805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 0),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [3809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 120),
  [3811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 4, 0, 0),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 1, 0, 4),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [3825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(228),
  [3828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0),
  [3830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2084),
  [3833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 2, 0, 0),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [3841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 6, 0, 0),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [3845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_repeat1, 2, 0, 0),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [3861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 2, 0, 0),
  [3863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1550),
  [3866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 2, 0, 0),
  [3868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 2, 0, 0),
  [3870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 5, 0, 0),
  [3872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 5, 0, 0),
  [3874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 5, 0, 118),
  [3876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_prefix, 1, 0, 0),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [3882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, 0, 0),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [3886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 2, 0, 0),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [3890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 2, 0, 0),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, 0, 13),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [3902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_prefix_repeat1, 2, 0, 0),
  [3904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_prefix_repeat1, 2, 0, 0), SHIFT_REPEAT(2125),
  [3907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, 0, 14),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [3911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, -1, 15),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [3915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3, 0, 0),
  [3917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 3, 0, 0),
  [3919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 3, 0, 0),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [3925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 27),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 28),
  [3933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 28), SHIFT_REPEAT(2455),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [3938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 35),
  [3940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 35), SHIFT_REPEAT(491),
  [3943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 3, 0, 0),
  [3945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2, 0, 0),
  [3947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2669),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [3958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 5, 0, 8),
  [3960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 2, 0, 79), SHIFT_REPEAT(1527),
  [3963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 2, 0, 79),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [3983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0),
  [3985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__as_pattern, 3, 0, 0),
  [3987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1526),
  [3990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 0),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [4000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [4052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_import, 1, 0, 0),
  [4054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(364),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 1, 0, 0),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [4071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 1, 0, 0),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [4081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 2, 0, 8),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [4085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(599),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(852),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [4099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1, 0, 0),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [4133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1525),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(596),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [4157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1523),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [4198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(497),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [4219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0),
  [4221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1654),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [4228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0),
  [4230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(471),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [4239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(356),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [4278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0), SHIFT_REPEAT(153),
  [4281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [4291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 28), SHIFT_REPEAT(2329),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [4306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(853),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [4337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_import, 3, 0, 29),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [4361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(348),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [4374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_value_pattern, 3, 0, 45),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [4390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 40), SHIFT_REPEAT(505),
  [4393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 40),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [4405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(462),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 119), SHIFT_REPEAT(1548),
  [4425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 119),
  [4427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0), SHIFT_REPEAT(382),
  [4430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1653),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [4459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 1, 0, 49),
  [4461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 1, 0, 49),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [4475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(854),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [4528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_repeat1, 2, 0, 0), SHIFT_REPEAT(251),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(345),
  [4554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 71), SHIFT_REPEAT(426),
  [4557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 71),
  [4559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, 0, 31),
  [4561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1, 0, 0),
  [4563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1, 0, 0),
  [4565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [4567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 6, 0, 75),
  [4569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, 0, 3),
  [4571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 33),
  [4573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 6, 0, 76),
  [4575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 5, 0, 67),
  [4577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [4579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, 0, 33),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [4585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, 0, 0),
  [4587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_separator, 1, 0, 0),
  [4589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [4591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [4605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 1, 0, 52),
  [4607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [4609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [4613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [4617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [4621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, 0, 110),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 20),
  [4653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3, 0, 21),
  [4655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 109),
  [4657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [4663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard_import, 1, 0, 0),
  [4665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [4669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 121),
  [4671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 122),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, 0, 32),
  [4679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 123),
  [4681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [4683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [4687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 129),
  [4689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 130),
  [4691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 131),
  [4693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 132),
  [4695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 134),
  [4697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 135),
  [4707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 136),
  [4709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 8, 0, 137),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [4713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 4, 0, 30),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [4899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_import, 2, 0, 0),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [4927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 4, 0, 0),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [4931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 1, 0, 0),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [4935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 5, 0, 0),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [5009] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token_string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token_escape_interpolation = 5,
  ts_external_token_string_end = 6,
  ts_external_token_comment = 7,
  ts_external_token_RBRACK = 8,
  ts_external_token_RPAREN = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_except = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token_string_start] = sym_string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token_escape_interpolation] = sym_escape_interpolation,
  [ts_external_token_string_end] = sym_string_end,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_RPAREN] = anon_sym_RPAREN,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_except] = anon_sym_except,
};

static const bool ts_external_scanner_states[20][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token_escape_interpolation] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_RPAREN] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_except] = true,
  },
  [2] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [6] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [7] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [8] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [9] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [11] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [12] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [13] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [14] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [15] = {
    [ts_external_token_comment] = true,
  },
  [16] = {
    [ts_external_token__string_content] = true,
    [ts_external_token_escape_interpolation] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
  },
  [17] = {
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [18] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_comment] = true,
  },
  [19] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_python_external_scanner_create(void);
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_python(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
